<?php

namespace Incop\Mfc\OfertasBundle\Controller;

use Incop\Mfc\OfertasBundle\Entity\TmoaComproSubcontr;
use Incop\Mfc\OfertasBundle\Entity\TmoaComSubconRubro;
use Incop\Mfc\OfertasBundle\Form\ComproSubContraType;
use Incop\Mfc\OfertasBundle\Form\ComproSubConRubType;
use Incop\Mfc\Utils\MfcControlador;
use Symfony\Component\HttpFoundation\Request;

/**
 * Controlador para generar editar y eliminar compromisos de subcontratación de ofertas.
 *
 * @author Mauro Vincent <mauro.vincent@atikasoft.com.ec>
 */
class CompromisoSubcontratacionController extends MfcControlador {

    /**
     *
     * @var array 
     */
    private $retorno = array("mensaje" => "");

    /**
     * Crea el compromiso de subcontratacion
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return type
     */
    public function indexAction(Request $request) {
        //Declaro variables iniciales
        $em = $this->getDoctrine()->getManager();
        $this->retorno["nombreVentana"] = $this->traducir('comproSubontra.titulo.ventana');
        $this->retorno["accion"] = $request->get("accion");
        $this->retorno["id_comprosubcon"] = $request->get("id_comprosubcon");
        $this->retorno["id_comprosubconrub"] = $request->get("id_comprosubconrub");
        $formOfer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOfer")->findOneBy(array("contratacionesId" => $this->getClaveContratacion(), "oferenteId" => $this->getOferenteId()));
        $arreglo = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findBy(array("formoferId" => $formOfer->getId()));
        if (!is_null($arreglo) && !empty($arreglo)) {
            $formOfer->setDescrubrFinal(true);
            $formOfer->setActivo(true);
            $em->persist($formOfer);
            $em->flush();
        }
        $this->retorno["formOfer"] = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOfer")->findOneBy(array("contratacionesId" => $this->getClaveContratacion(), "oferenteId" => $this->getOferenteId(), "activo" => true));
        $form = $request->get("frm_comsubcon");
        $formRub = $request->get("frm_comsubconrub");
        //Verifico si se trae un compro subcon
        if ($this->retorno["id_comprosubcon"]) {
            $comSubCon = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaComproSubcontr")->find($this->retorno["id_comprosubcon"]);
        } else {
            $comSubCon = new TmoaComproSubcontr();
        }
        //Verifico si se trae un rubro
        if ($this->retorno["id_comprosubconrub"]) {
            $comSubConRub = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaComSubconRubro")->find($this->retorno["id_comprosubconrub"]);
        } else {
            $comSubConRub = new TmoaComSubconRubro();
        }
        //Creo los formularios
        if (is_null($comSubCon->getCiudadCodigo())) {
            $frm_comprosubcon = $this->createForm(new ComproSubContraType, $comSubCon, array("cod_ciud" => ""));
        } else {
            $frm_comprosubcon = $this->createForm(new ComproSubContraType, $comSubCon, array("cod_ciud" => $comSubCon->getCiudadCodigo()));
        }
        $frm_comprosubconrub = $this->createForm(new ComproSubConRubType, $comSubConRub);
        $this->retorno["frm_comsubcon"] = $this->createForm(new ComproSubContraType)->createView();
        $this->retorno["frm_comsubconrub"] = $this->createForm(new ComproSubConRubType)->createView();
        //Realizo la acción enviada por post
        switch ($this->retorno["accion"]) {
            case "btn_agregar_comsubcon":
                $comSubCon_ingresado = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaComproSubcontr")->findBy(array("contratacionId" => $this->getClaveContratacion(), "ruc" => $form['ruc'], "razonSocial" => trim($form['razonSocial']), "provinciaCodigo" => $form['provinciaCodigo'], "ciudadCodigo" => $form['ciudadCodigo']));
                if ($comSubCon_ingresado) {
                    foreach ($comSubCon_ingresado as $value) {
                        if ($value->getRuc() != $form['ruc'] && $value->getRazonSocial() != trim($form['razonSocial']) && $value->getProvinciaCodigo() != $form['provinciaCodigo'] && $value->getCiudadCodigo() != $form['ciudadCodigo']) {
                            $frm_comprosubcon->handleRequest($request);
                            $comSubCon->setContratacionId($this->getClaveContratacion());
                            $comSubCon->setOferenteId($this->getOferenteId());
                            $comSubCon->setCiudadCodigo($form["ciudadCodigo"]);
                            $em->persist($comSubCon);
                            $em->flush();
                            $this->retorno["mensaje"] = $this->generaAlertaTrans("generico.guardado");
                        }
                    }
                } else {
                    $frm_comprosubcon->handleRequest($request);
                    $comSubCon->setContratacionId($this->getClaveContratacion());
                    $comSubCon->setOferenteId($this->getOferenteId());
                    $comSubCon->setCiudadCodigo($form["ciudadCodigo"]);
                    $em->persist($comSubCon);
                    $em->flush();
                    $this->retorno["mensaje"] = $this->generaAlertaTrans("generico.guardado");
                }
                //Creo la vista de los formularios
                break;
            case "btn_editar_comsubcon":
                $frm_comprosubcon->handleRequest($request);
                $comSubCon->setContratacionId($this->getClaveContratacion());
                $comSubCon->setOferenteId($this->getOferenteId());
                $comSubCon->setCiudadCodigo($form["ciudadCodigo"]);
                $em->persist($comSubCon);
                $em->flush();
                $this->retorno["mensaje"] = $this->generaAlertaTrans("generico.guardado");
                //Creo la vista de los formularios
                break;
            case "btn_elimina_comsubcon":
                $em->createQuery("delete from IncopMfcOfertasBundle:TmoaComSubconRubro p where p.comproSubcontrId=" . $this->retorno["id_comprosubcon"])->execute();
                $em->remove($comSubCon);
                $em->flush();
                $this->retorno["mensaje"] = $this->generaAlertaTrans("generico.eliminado");
                //Creo la vista de los formularios
                break;
            case "btn_agregar_comsubconrub":
                $comSubConRub_ingresado = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaComSubconRubro")->findBy(array("comproSubcontrId" => $this->retorno["id_comprosubcon"], "rubro" => $formRub['rubro'], "cantidad" => $formRub['cantidad']));
                if ($comSubConRub_ingresado) {
                    foreach ($comSubConRub_ingresado as $value) {
                        if ($value->getRubro() != $formRub['rubro'] && $value->getCantidad() != $formRub['cantidad']) {
                            $frm_comprosubconrub->handleRequest($request);
                            $comSubConRub->setComproSubcontrId($this->retorno["id_comprosubcon"]);
                            //Cambio el formato de los datos
                            $comSubConRub->setPrecioUnitario($this->cambioFormato($comSubConRub->getPrecioUnitario()));
                            $comSubConRub->setPorcentajeSubcontratacion($this->cambioFormato($comSubConRub->getPorcentajeSubcontratacion()));
                            $comSubConRub->setRubro($this->cambioFormato($comSubConRub->getRubro()));
                            $comSubConRub->setValorSubcontratado($this->cambioFormato($comSubConRub->getValorSubcontratado()));
                            $em->persist($comSubConRub);
                            $em->flush();
                            //Actualiza los totales del padre
                            $suma = $em->createQuery("Select sum(b.porcentajeSubcontratacion) as suma from IncopMfcOfertasBundle:TmoaComSubconRubro b where b.comproSubcontrId=" . $comSubConRub->getComproSubcontrId() . "")->getSingleResult();
                            if (!is_null($suma) && !empty($suma) && $suma != '') {
                                $em->createQuery("update IncopMfcOfertasBundle:TmoaComproSubcontr a set a.porcentajeSubcontratacion = " . $suma["suma"] . " where a.id=" . $comSubConRub->getComproSubcontrId())->execute();
                            }
                            $this->retorno["mensaje"] = $this->generaAlertaTrans("generico.guardado");
                            //Creo la vista de los formularios
                            $this->retorno["frm_comsubcon"] = $frm_comprosubcon->createView();
                        }
                    }
                } else {
                    $frm_comprosubconrub->handleRequest($request);
                    $comSubConRub->setComproSubcontrId($this->retorno["id_comprosubcon"]);
                    //Cambio el formato de los datos
                    $comSubConRub->setPrecioUnitario($this->cambioFormato($comSubConRub->getPrecioUnitario()));
                    $comSubConRub->setPorcentajeSubcontratacion($this->cambioFormato($comSubConRub->getPorcentajeSubcontratacion()));
                    $comSubConRub->setRubro($this->cambioFormato($comSubConRub->getRubro()));
                    $comSubConRub->setValorSubcontratado($this->cambioFormato($comSubConRub->getValorSubcontratado()));
                    $em->persist($comSubConRub);
                    $em->flush();
                    //Actualiza los totales del padre
                    $suma = $em->createQuery("Select sum(b.porcentajeSubcontratacion) as suma from IncopMfcOfertasBundle:TmoaComSubconRubro b where b.comproSubcontrId=" . $comSubConRub->getComproSubcontrId() . "")->getSingleResult();
                    if (!is_null($suma) && !empty($suma) && $suma != '') {
                        $em->createQuery("update IncopMfcOfertasBundle:TmoaComproSubcontr a set a.porcentajeSubcontratacion = " . $suma["suma"] . " where a.id=" . $comSubConRub->getComproSubcontrId())->execute();
                    }
                    $this->retorno["mensaje"] = $this->generaAlertaTrans("generico.guardado");
                    //Creo la vista de los formularios
                    $this->retorno["frm_comsubcon"] = $frm_comprosubcon->createView();
                }
                break;
            case "btn_editar_comsubconrub":
                $frm_comprosubconrub->handleRequest($request);
                $comSubConRub->setComproSubcontrId($this->retorno["id_comprosubcon"]);
                //Cambio el formato de los datos
                $comSubConRub->setPrecioUnitario($this->cambioFormato($comSubConRub->getPrecioUnitario()));
                $comSubConRub->setPorcentajeSubcontratacion($this->cambioFormato($comSubConRub->getPorcentajeSubcontratacion()));
                $comSubConRub->setRubro($this->cambioFormato($comSubConRub->getRubro()));
                $comSubConRub->setValorSubcontratado($this->cambioFormato($comSubConRub->getValorSubcontratado()));
                $em->persist($comSubConRub);
                $em->flush();
                //Actualiza los totales del padre
                $suma = $em->createQuery("Select sum(b.porcentajeSubcontratacion) as suma from IncopMfcOfertasBundle:TmoaComSubconRubro b where b.comproSubcontrId=" . $comSubConRub->getComproSubcontrId() . "")->getSingleResult();
                if (!is_null($suma) && !empty($suma) && $suma != '') {
                    $em->createQuery("update IncopMfcOfertasBundle:TmoaComproSubcontr a set a.porcentajeSubcontratacion = " . $suma["suma"] . " where a.id=" . $comSubConRub->getComproSubcontrId())->execute();
                }
                $this->retorno["mensaje"] = $this->generaAlertaTrans("generico.guardado");
                //Creo la vista de los formularios
                $this->retorno["frm_comsubcon"] = $frm_comprosubcon->createView();
                break;
            case "btn_elimina_comsubconrub":
                if (!is_null($comSubConRub) && !empty($comSubConRub) && $comSubConRub != '') {
                    //Actualiza los totales del padre
                    $em->remove($comSubConRub);
                    $em->flush();
                    $suma = $em->createQuery("Select sum(b.porcentajeSubcontratacion) as suma from IncopMfcOfertasBundle:TmoaComSubconRubro b where b.comproSubcontrId=" . $comSubConRub->getComproSubcontrId() . "")->getSingleResult();
                    if (is_null($suma["suma"])) {    
                        $suma["suma"] = 0;
                    }
                    if (!empty($suma) && $suma != '') {
                        $em->createQuery("update IncopMfcOfertasBundle:TmoaComproSubcontr a set a.porcentajeSubcontratacion = " . $suma["suma"] . " where a.id=" . $comSubConRub->getComproSubcontrId())->execute();
                    }
                }
                $this->retorno["mensaje"] = $this->generaAlertaTrans("generico.eliminado");
                //Creo la vista de los formularios
                $this->retorno["frm_comsubcon"] = $frm_comprosubcon->createView();
                break;
        }
        $em->flush();
        if ($this->retorno["accion"] == "btn_valida_comsubcon") {
            $novalidos = $this->validarComproSubcontratacion(true);
            $this->retorno['datos_no_validos'] = $novalidos["html"];
            $this->retorno["mensaje"] = "";
        }
        //Creo el arreglo para las tablas
        $this->retorno["lst_comsubcon"] = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaComproSubcontr p where p.contratacionId=" . $this->getClaveContratacion() . " and p.oferenteId=" . $this->getOferenteId())->getResult(2);
        $this->retorno["lst_comsubconrub"] = $em->createQuery("Select c from IncopMfcOfertasBundle:TmoaComSubconRubro c where c.comproSubcontrId in (Select p.id from IncopMfcOfertasBundle:TmoaComproSubcontr p where p.contratacionId=" . $this->getClaveContratacion() . " and p.oferenteId=" . $this->getOferenteId() . ") order by c.comproSubcontrId")->getResult(2);
        //Retorno la vista
        return $this->render('IncopMfcOfertasBundle:CompromisoSubcontratacion:formCompromisoSubcontratacion.html.twig', $this->retorno);
    }
}

?>
