<?php

namespace Incop\Mfc\OfertasBundle\Controller;

use Doctrine\ORM\Query;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferAcci;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferente;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferOtroValo;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferReprLega;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferBeneficiarios;
use Incop\Mfc\OfertasBundle\Form\OferAcciType;
use Incop\Mfc\OfertasBundle\Form\OferenteType;
use Incop\Mfc\OfertasBundle\Form\OferOtroValoType;
use Incop\Mfc\OfertasBundle\Form\OferReprLegaType;
use Incop\Mfc\Utils\CatalogosUtil;
use Incop\Mfc\Utils\MfcControlador;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Incop\Mfc\OfertasBundle\Form\BeneficiariosType;

class DatosGeneralesOferenteController extends MfcControlador {

    /**
     * Este metodo lista los pliego.
     * @param Request $request
     * @return type
     */
    public function listarPliegosAction() {
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepContrataciones p 
            where p.identificador='" . $this->getIdentificadorUsuario() . "' and p.activo=true");
        $pliegos = $query->getResult();
        return $this->render('IncopMfcOfertasBundle:Default:listContrataciones.html.twig', array(
            'contrataciones' => $pliegos
        ));
    }

    /**
     * Este metodo busca una ubicacion segun su predecesor.
     * @param Request $request
     * @return Response
     */
    public function buscarUbicacionAction(Request $request) {
        $tipo = $request->request->get('valor');
        $mensaje = "";
        if ($tipo) {
            $data = $this->getCatalogos()->retornaCatalogoLista($tipo, "ubicacion.xml");
            foreach ($data as $valor => $descripcion) {
                $mensaje .= "<option value='" . $valor . "'>" . $this->traducir($descripcion) . "</option>";
            }
        }
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    public function inicioOferenteAction() {
        $em = $this->getDoctrine()->getManager();
        $em->createQuery("delete from IncopMfcOfertasBundle:TmoaOferReprLega o where o.oferenteId IN (select p.id from IncopMfcOfertasBundle:TmoaOferente p where p.temporal=true)")->execute();
        $em->createQuery("delete from IncopMfcOfertasBundle:TmoaOferOtroValo o where o.oferenteId IN (select p.id from IncopMfcOfertasBundle:TmoaOferente p where p.temporal=true)")->execute();
        $em->createQuery("delete from IncopMfcOfertasBundle:TmoaOferente o where o.temporal=true")->execute();
        $em->flush();
        $oferentes = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferente p")->getResult();
        $this->getRequest()->getSession()->set('oferenteId', null);
        return $this->render("IncopMfcOfertasBundle:Default:listaOferentes.html.twig", array(
            'oferentes' => $oferentes
        ));
    }

    /**
     * Este muetra, actualiza y crea la institucion en la que se va ha trabajar.
     * @param Request $request
     * @return type
     */
    public function inicioAction(Request $request) {
        $em = $this->getDoctrine()->getManager();
        $mensaje = '';
        $datos_no_validos = null;
        $accion = $request->get("accion");
        $id_accionista = $request->get("id_accionista");
        $datosRequerimiento = $request->get("incop_mfc_ofertasbundle_tmepoferente");
        $datosRequeAcci = $request->get("incop_mfc_ofertasbundle_tmepoferacci");
        $em->getConnection()->executeUpdate('delete from tmoa_oferente where tipo_documento = null');
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferente p where p.id=" . $this->getOferenteId())->getResult();
        $query_replega = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferReprLega p where p.oferenteId=" . $this->getOferenteId())->getResult();
        $query_otrovalo = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferOtroValo p where p.oferenteId=" . $this->getOferenteId())->getResult();
        if ($query) {
            $oferente = $query[0];
        } else {
            $oferente = new TmoaOferente();
            $oferente->setTemporal(true);
            $em->persist($oferente);
            $em->flush();
        }
        if ($query_replega) {
            $replega = $query_replega[0];
        } else {
            $replega = new TmoaOferReprLega();
            $replega->setOferenteId($oferente->getId());
            $em->persist($replega);
            $em->flush();
        }
        if ($query_otrovalo) {
            $otrovalo = $query_otrovalo[0];
        } else {
            $otrovalo = new TmoaOferOtroValo();
            $otrovalo->setOferenteId($oferente->getId());
            $em->persist($otrovalo);
            $em->flush();
        }
        if ($id_accionista) {
            $accionista_actual = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferAcci")->find($id_accionista);
        } else {
            $accionista_actual = new TmoaOferAcci();
        }
        if ($datosRequerimiento["tipoPersona"] == "N") {
            $em->createQuery("delete from IncopMfcOfertasBundle:TmoaOferOtroValo")->execute();
            $tmoaOferenteCA = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferente p where p.tipoParticipacion='CA'")->getResult();
            if (count($tmoaOferenteCA) == 0) {
                $em->createQuery("delete from IncopMfcOfertasBundle:TmoaOferAcci")->execute();
            }
            $otrovalo = new TmoaOferOtroValo();
            $otrovalo->setOferenteId($oferente->getId());
            $accionista_actual = new TmoaOferAcci();
            $em->flush();
        }
        //Crea los formularios
        $form_dgo = $this->createForm(new OferenteType(), $oferente, array("cod_ciud" => $oferente->getCodigoProvincia()));
        $form_orl = $this->createForm(new OferReprLegaType(), $replega);
        $form_oac = $this->createForm(new OferAcciType(), $accionista_actual);
        $form_oov = $this->createForm(new OferOtroValoType(), $otrovalo);
        $form_ben = $this->createForm(new BeneficiariosType(), array("oferenteId" => $oferente->getId()));
        //Guarda los datos del formulario n la entidad
        $form_dgo->handleRequest($request);
        $form_orl->handleRequest($request);
        $form_oov->handleRequest($request);
        if (isset($datosRequerimiento['bolsaValores'])) {
            if ($datosRequerimiento['bolsaValores'] == '1') {
                $em->createQuery("Delete from IncopMfcOfertasBundle:TmoaOferAcci d where d.oferenteId=" . $oferente->getId())->execute();
            }
        }
        if (isset($datosRequerimiento['empresaPublica'])) {
            if ($datosRequerimiento['empresaPublica'] == '1') {
                $em->createQuery("Delete from IncopMfcOfertasBundle:TmoaOferAcci d where d.oferenteId=" . $oferente->getId())->execute();
            }
        }
        //Guarda datos de submited
        if ($form_dgo->isSubmitted()) {
            $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferente p where p.documento='" . $oferente->getDocumento() . "' and p.id!=" . $oferente->getId());
            $tmoaOferente = $query->getResult();
            if ($form_dgo->getNormData()->getEmpresaPublica()) {
                $oferente->setEmpresaPublica($form_dgo->getNormData()->getEmpresaPublica());
            }
            if ($oferente->getTipoParticipacion() == 'IN' && count($tmoaOferente) > 0) {
                $mensaje = $this->generaAlertaTrans("accionista.guardado.error.documento", "alert-warning");
            } else {
                $replega->setTipoRepresentante("R");
                $replega->upload();
                $catalogos = new CatalogosUtil();
                $oferente->setTipoParticipacionNombre($catalogos->buscarPorcodigo($oferente->getTipoParticipacion()));
                $oferente->setTipoPersonaNombre($catalogos->buscarPorcodigo($oferente->getTipoPersona()));
                $oferente->setTemporal(false);
                $oferente->setTipoDocumento("-");
                $oferente->setCodigoCiudad($datosRequerimiento["codigoCiudad"]);
                $oferente->upload();
                $em->persist($oferente);
                $em->flush();
                $this->getRequest()->getSession()->set('oferenteId', $oferente->getId());
                $form_dgo = $this->createForm(new OferenteType(), $oferente, array("cod_ciud" => $oferente->getCodigoProvincia()));
                $mensaje = $this->generaAlertaTrans("generico.guardado");
                if (!$accionista_actual) {
                    $mensaje = $this->generaAlertaTrans("accionista.guardado.error", "alert-warning");
                } else {
                    switch ($accion) {
                        case "btn_agrega_accionista":
                            $accionista_ingresado = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferAcci")->findBy(array("oferenteId" => $oferente->getId(), "nombre" => $datosRequeAcci['nombre'], "documento" => $datosRequeAcci['documento'], "tipoPersona" => $datosRequeAcci['tipoPersona']));
                            if ($accionista_ingresado) {
                                foreach ($accionista_ingresado as $value) {
                                    if ($value->getNombre() != $datosRequeAcci['nombre'] && $value->getDocumento() != $datosRequeAcci['documento']) {
                                        $padre = $datosRequeAcci["padreId"];
                                        $form_oac->handleRequest($request);
                                        $accionista_actual->setPadreId($padre);
                                        $accionista_actual->setOferenteId($oferente->getId());
                                        $accionista_actual->agregacionSegura($em, $oferente->getId());
                                    }
                                    if ($value->getTipoDocumento() != $datosRequeAcci['tipoDocumento']) {
                                        $accionista_actual->setTipoDocumento($datosRequeAcci['tipoDocumento']);
                                    }
                                    if ($value->getParticipacion() != $datosRequeAcci['participacion']) {
                                        $accionista_actual->setParticipacion($this->cambioFormato($accionista_actual->getParticipacion()));
                                    }
                                    if (isset($datosRequeAcci['domicilio'])) {
                                    if ($value->getDomicilio() != $datosRequeAcci['domicilio']) {
                                        $accionista_actual->setDomicilio($datosRequeAcci['domicilio']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['direccionNotificacion'])) {
                                    if ($value->getDireccionNotificacion() != $datosRequeAcci['direccionNotificacion']) {
                                        $accionista_actual->setDireccionNotificacion($datosRequeAcci['direccionNotificacion']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['aporte'])) {
                                    if ($value->getAporte() != $datosRequeAcci['aporte']) {
                                        $accionista_actual->setAporte($datosRequeAcci['aporte']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['compromisoObligacion'])) {
                                    if ($value->getCompromisoObligacion() != $datosRequeAcci['compromisoObligacion']) {
                                        $accionista_actual->setCompromisoObligacion($datosRequeAcci['compromisoObligacion']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['tipoDocumentoReprlega'])) {
                                    if ($value->getTipoDocumentoReprlega() != $datosRequeAcci['tipoDocumentoReprlega']) {
                                        $accionista_actual->setTipoDocumentoReprlega($datosRequeAcci['tipoDocumentoReprlega']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['documentoReprlega'])) {
                                    if ($value->getDocumentoReprlega() != $datosRequeAcci['documentoReprlega']) {
                                        $accionista_actual->setDocumentoReprlega($datosRequeAcci['documentoReprlega']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['nombreReprlega'])) {
                                    if ($value->getNombreReprlega() != $datosRequeAcci['nombreReprlega']) {
                                        $accionista_actual->setNombreReprlega($datosRequeAcci['nombreReprlega']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['direccionNotificacionReprlega'])) {
                                    if ($value->getDireccionNotificacionReprlega() != $datosRequeAcci['direccionNotificacionReprlega']) {
                                        $accionista_actual->setDireccionNotificacionReprlega($datosRequeAcci['direccionNotificacionReprlega']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['ciudad'])) {
                                    if (trim($datosRequeAcci['ciudad']) != '') {
                                        $accionista_actual->setDomicilioFiscal($datosRequeAcci['ciudad']);
                                        $accionista_actual->setPaisCodigo($datosRequeAcci['paisCodigo']);
                                        $accionista_actual->setPaisNombre($datosRequeAcci['paisNombre']);
                                        $accionista_actual->setCiudad($datosRequeAcci['ciudad']);
                                    }
                                    }
                                    if (isset($datosRequeAcci['paisCodigo'])) {
                                    if (trim($datosRequeAcci['paisCodigo']) == 'ECU') {
                                        $accionista_actual->setDomicilioFiscal(null);
                                        $accionista_actual->setPaisCodigo($datosRequeAcci['paisCodigo']);
                                        $accionista_actual->setPaisNombre($datosRequeAcci['paisNombre']);
                                        $accionista_actual->setCiudad(null);
                                    }
                                }
                                }
                            } else {
                                $padre = $datosRequeAcci["padreId"];
                                $form_oac->handleRequest($request);
                                $accionista_actual->setPadreId($padre);
                                $accionista_actual->setOferenteId($oferente->getId());
                                if ($oferente->getTipoPersona() == 'J') {
                                    if (trim($accionista_actual->getCiudad()) != '') {
                                        $accionista_actual->setDomicilioFiscal($accionista_actual->getCiudad());
                                    }
                                }
                                $accionista_actual->setParticipacion($this->cambioFormato($accionista_actual->getParticipacion()));
                                $accionista_actual->agregacionSegura($em, $oferente->getId());
                            }
                            $em->persist($accionista_actual);
                            break;
                        case "btn_edita_accionista":
                            $padre = $datosRequeAcci["padreId"];
                            $form_oac->handleRequest($request);
                            $accionista_actual->setPadreId($padre);
                            $accionista_actual->setOferenteId($oferente->getId());
                            if ($oferente->getTipoPersona() == 'J') {
                                if (trim($accionista_actual->getCiudad()) != '') {
                                    $accionista_actual->setDomicilioFiscal($accionista_actual->getCiudad());
                                }
                            }
                            $accionista_actual->setParticipacion($this->cambioFormato($accionista_actual->getParticipacion()));
                            $accionista_actual->agregacionSegura($em, $oferente->getId());
                            $em->persist($accionista_actual);
                            break;
                        case "btn_elimina_accionista":
                            $accionista_actual->eliminacionSegura($em);
                            $mensaje = $this->generaAlertaTrans("accionista.eliminado");
                            break;
                        case "validar_oferente":
                            $novalidos = $this->validarAccionistas();
                            $mensaje = '';
                            $datos_no_validos = $novalidos["html"];
                            $this->arreglo_respuesta["mensaje"] = "";
                            break;
                    }
                }
            }
            $em->flush();
        }
        $form_oac = $this->createForm(new OferAcciType(), new TmoaOferAcci());
        //Refresco el array de accionistas padres
        $padresAcci = $this->generaArrayPadresAccionistas();
        //Variables para listas o tablas
        $accionistas = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaOferAcci p where p.oferenteId=' . $oferente->getId() . " order by p.ordenMin")->getResult(Query::HYDRATE_ARRAY);
        $beneficiariosFinales = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaOferBeneficiarios p where p.oferenteId=' . $oferente->getId())->getResult(Query::HYDRATE_ARRAY);
        return $this->render('IncopMfcOfertasBundle:Default:formCargarInformacionInicial.html.twig', array(
            'mensaje' => $mensaje,
                    'form' => $form_dgo->createView(),
                    'form_orl' => $form_orl->createView(),
                    'form_oac' => $form_oac->createView(),
                    'certificado' => $oferente->getCertificado(),
                    'documentoNotariado' => $replega->getDocumentoNotariadoAp(),
                    'oferente' => $oferente,
                    'form_oov' => $form_oov->createView(),
                    'lst_accionistas' => $accionistas,
                    'pantalla_accionistas' => false,
                    'accionistas_padres' => $padresAcci,
                    'datos_no_validos' => $datos_no_validos,
                    'form_ben' => $form_ben->createView(),
                    'lst_beneficiarioFinal' => $beneficiariosFinales,
                    'json_OferBeneficiarios' => json_encode($beneficiariosFinales),
        ));
    }

    public function personaPublicaAction(Request $request) {
        $mensaje = '';
        $em = $this->getDoctrine()->getManager();
        $accion = $request->get('accion');
        switch ($accion) {
            case 'btn_modifica_OferPersonasPublicas':
                $personas = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferPersonasPublicas")->find($request->get('id'));
                $personas->setNombre($request->get('nombre'));
                $personas->setDocumento($request->get('documento'));
                $personas->setCargo($request->get('cargo'));
                $personas->setEntidad($request->get('entidad'));
                $personas->setTipo($request->get('tipoPersonaPublica'));
                $em->persist($personas);
                $em->flush();
                $mensaje = $this->traducir('generico.guardado');
                break;
            case 'btn_elimina_OferPersonasPublicas':
                $em->createQuery("Delete from IncopMfcOfertasBundle:TmoaOferPersonasPublicas d where d.id=" . $request->get('id'))->execute();
                $mensaje = $this->traducir('generico.eliminado');
                break;
            default:
                $personas = new TmoaOferPersonasPublicas();
                $personas->setOferenteId($request->get('oferenteId'));
                $personas->setNombre($request->get('nombre'));
                $personas->setDocumento($request->get('documento'));
                $personas->setCargo($request->get('cargo'));
                $personas->setEntidad($request->get('entidad'));
                $personas->setTipo($request->get('tipoPersonaPublica'));
                $em->persist($personas);
                $em->flush();
                $mensaje = $this->traducir('generico.guardado');
                break;
        }
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    public function personaPublicaOpcionAction(Request $request) {
        $mensaje = '';
        $em = $this->getDoctrine()->getManager();
        $opcion = $request->get('opcion');
        $personas = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferente")->find($request->get('id'));
        $personas->setPersonaPublica($opcion);
        $em->persist($personas);
        $em->flush();
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    public function beneficiarioFinalAction(Request $request) {
        $inst_financiera = $mensaje = '';
        $em = $this->getDoctrine()->getManager();
        $accion = $request->get('accion');
        switch ($accion) {
            case 'btn_modifica_OferBeneficiarioFinal':
                $personas = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferBeneficiarios")->find($request->get('id'));
                $personas->setNombre($request->get('nombre'));
                $personas->setTipoDocumento($request->get('tipo_documento'));
                $personas->setDocumento($request->get('documento'));
                $personas->setNacionalidad($request->get('nacionalidad'));
                $personas->setNumCuenta($request->get('num_cuenta'));
                $personas->setCodInstFinanciera($request->get('cod_ins_financiera'));
                $inst_financiera = $request->get('ins_financiera');
                $personas->setInstFinanciera(strtoupper($inst_financiera));
                $em->persist($personas);
                $em->flush();
                $mensaje = $this->traducir('generico.guardado');
                break;
            case 'btn_elimina_OferBeneficiarioFinal':
                $em->createQuery("Delete from IncopMfcOfertasBundle:TmoaOferBeneficiarios d where d.id=" . $request->get('id'))->execute();
                $mensaje = $this->traducir('generico.eliminado');
                break;
            default:
                $personas = new TmoaOferBeneficiarios();
                $personas->setOferenteId($request->get('oferenteId'));
                $personas->setNombre($request->get('nombre'));
                $personas->setTipoDocumento($request->get('tipo_documento'));
                $personas->setDocumento($request->get('documento'));
                $personas->setNacionalidad($request->get('nacionalidad'));
                $personas->setNumCuenta($request->get('num_cuenta'));
                $personas->setCodInstFinanciera($request->get('cod_ins_financiera'));
                $inst_financiera = $request->get('ins_financiera');
                $personas->setInstFinanciera(strtoupper($inst_financiera));
                $em->persist($personas);
                $em->flush();
                $mensaje = $this->traducir('generico.guardado');
                break;
        }
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Retorna el arreglo para el select de accionistas padres
     * @return string
     */
    private function generaArrayPadresAccionistas() {
        $return = array();
        $em = $this->getDoctrine()->getManager();
        $accionistas = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferAcci p where p.tipoPersona = 'J' and p.oferenteId = " . $this->getOferenteId() . " order by p.ordenMin")->getResult();
        foreach ($accionistas as $accionista) {
            $nombre = "";
            for ($i = 1; $i < $accionista->getNivel(); $i++) {
                $nombre . "-";
            }
            $return[] = array("nombre" => $nombre . " " . $accionista->getNombre(), "id" => $accionista->getId());
        }
        return $return;
    }

    /**
     * 
     * @param Request $request
     * @return Response
     */
    public function consultaCedulaAction(Request $request) {
        $request = '';
        $return = array("responseCode" => 200, "response" => "");
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }
}
