<?php

namespace Incop\Mfc\OfertasBundle\Controller;

use Doctrine\ORM\Query;
use Incop\Mfc\Utils\MfcControlador;
//FormOfer
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer;
use Incop\Mfc\OfertasBundle\Form\FormOferType;
//FormOferExpeOfer
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferExpeOfer;
use Incop\Mfc\OfertasBundle\Form\FormOferExpeOferType;
//FormOferPersTecn
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPersTecn;
use Incop\Mfc\OfertasBundle\Form\FormOferPersTecnType;
//FormOferEquiMini
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferEquiMini;
use Incop\Mfc\OfertasBundle\Form\FormOferEquiMiniType;
//FormOferBienServ
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferBienServTdr;
use Incop\Mfc\OfertasBundle\Form\FormOferBienServTdrType;
//FormOferBienServ
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferBienServEt;
//FormOferValoAgre
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferValoAgre;
//FormOferValoAgreCro
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferValoAgreCro;
//FormOferEquiposInstrumentos
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferEquiposInstrumentos;
use Incop\Mfc\OfertasBundle\Form\FormOferEquiposInstrumentosType;
//FormOferOferEcon
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferOferEcon;
use Incop\Mfc\OfertasBundle\Form\FormOferOferEconType;
//FormOferPlanTrabajo
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPlanTrab;
use Incop\Mfc\OfertasBundle\Form\FormOferPlanTrabType;
//FormOferProgActividad
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferProgActividad;
use Incop\Mfc\OfertasBundle\Form\FormOferProgActividadType;
//FormOferEquiAsigType
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferEquiAsig;
use Incop\Mfc\OfertasBundle\Form\FormOferEquiAsigType;
//TmoaFormOferIndices
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferIndices;
use Incop\Mfc\OfertasBundle\Form\FormOferIndicesType;
//TmoaFormOferPatrimonio
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPatrimonio;
use Incop\Mfc\OfertasBundle\Form\FormOferPatrimonioType;
//TmoaFormOferPlanTrabProd
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPlanTrabProd;
use Incop\Mfc\OfertasBundle\Form\FormOferPlanTrabProdType;
//FormOferCronTot
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferCronTot;
use Incop\Mfc\OfertasBundle\Form\PartiEcuaType;
use Incop\Mfc\OfertasBundle\Entity\TmepOtrosParametros;
use Incop\Mfc\OfertasBundle\Form\FormOtrosParametrosType;
//Otros
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Incop\Mfc\Utils\CatalogosUtil;
use Incop\Mfc\Utils\NumerosALetras;

class FormularioOfertaController extends MfcControlador {

    //Genero la variable global de respuesta
    private $arreglo_respuesta;
    private $archivos_xls = array("XLS", "XLSX", "ODS");

    private function catalogos() {
        return new CatalogosUtil();
    }

    /**
     * Funcion de carga de informaci?n
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return type View
     */
    public function indexAction(Request $request) {
        //Variables
        $accion = $request->get("accion");
        $campos = $request->get("incop_mfc_ofertasbundle_tmepformofer");
        $em = $this->getDoctrine()->getManager();
        $this->arreglo_respuesta["requerimiento"] = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepRequerimientos")->find($this->getClaveRequerimiento());
        $this->arreglo_respuesta['mensaje'] = '';
        $this->arreglo_respuesta['tipo_pliego'] = $this->getCodTipoPliego();
        $this->arreglo_respuesta['nombreVentana'] = $this->traducir('formofer.tituloVentana');
        $this->arreglo_respuesta['accion'] = $accion;
        //Consulta Crea el Formulario Oferta
        $formOfer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOfer")->find($this->getIdFormOfer());
        $tipoAdjudicacion = $formOfer->getTipoCantprec();
        //Consulta los archivos adjuntos
        $this->arreglo_respuesta["archivos_ofertas"] = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepArchivos p where p.contratacionId=" . $this->getClaveContratacion() . " and ( p.oferta=true or p.oferta=" . $this->getOferenteId() . " )")->getResult();
        $this->arreglo_respuesta["archivos_formofer"] = array();
        if ($this->arreglo_respuesta["archivos_ofertas"]) {
            foreach ($this->arreglo_respuesta["archivos_ofertas"] as $archivo) {
                $this->arreglo_respuesta["archivos_formofer"][$archivo->getId()] = $archivo->getDescripcion();
            }
        }
        //Archivos ods o xls
        $archivos = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepArchivos p where p.contratacionId=" . $this->getClaveContratacion() . " and ( p.oferta=true or p.oferta=" . $this->getOferenteId() . " )")->getResult();
        $this->arreglo_respuesta["archivos_formofer_xls"] = array();
        if ($archivos) {
            foreach ($archivos as $archivo) {
                $nombre = explode(".", $archivo->getArchivo());
                if (in_array(strtoupper($nombre[sizeof($nombre) - 1]), $this->archivos_xls)) {
                    $this->arreglo_respuesta["archivos_formofer_xls"][$archivo->getId()] = $archivo->getDescripcion();
                }
            }
        }
        //Genero el formulario
        $frm_formOfer = $this->createForm(new FormOferType(), $formOfer, array("archivos" => $this->arreglo_respuesta["archivos_formofer"], "archivos_xls" => $this->arreglo_respuesta["archivos_formofer_xls"]));
        $frm_formOfer->handleRequest($request);
        if ($accion) {
            switch ($accion) {
                case "btn_valida_formofer":
                    $this->getRequest()->getSession()->set('IngresoOferta', 1);
                    $novalidos = $this->validarFormularioOferta(true);
                    $this->arreglo_respuesta['datos_no_validos'] = $novalidos["html"];
                    $this->arreglo_respuesta["mensaje"] = "";
                    $em->persist($formOfer);
                    $em->flush();
                    break;
                case "btn_valida_formofer2":
                    $novalidos = $this->validarFormularioOferta2(true);
                    $this->arreglo_respuesta['datos_no_validos'] = $novalidos["html"];
                    $this->arreglo_respuesta["mensaje"] = "";
                    $em->persist($formOfer);
                    $em->flush();
                    break;
                case "btn_actualiza_formofer":
                    if (empty($campos["anexoNombre"])) {
                        $formOfer->setAnexoNombre(null);
                        $frm_formOfer = $this->createForm(new FormOferType(), $formOfer, array("archivos" => $this->arreglo_respuesta["archivos_formofer"]));
                    }
                    $em->persist($formOfer);
                    $em->flush();
                    if (isset($request->get("incop_mfc_ofertasbundle_tmepformofer")["tipoCantprec"])) {
                        if ($request->get("incop_mfc_ofertasbundle_tmepformofer")["tipoCantprec"] == '') {
                            $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans($this->traducir("formofer.valoagre.error.tipoAdjudicacion"), "alert-warning");
                        } else {
                            $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.actualizaSituFina");
                        }
                    }
                    break;
                default:
                    $seccion = explode("-", $accion);
                    if (($seccion[0] == 'btn_prespuesto_formOferCantPrec') || ($seccion[0] == 'btn_guardarVAE')) {
                        $formOfer->setTipoCantprec($tipoAdjudicacion);
                        $frm_formOfer = $this->createForm(new FormOferType(), $formOfer, array("archivos" => $this->arreglo_respuesta["archivos_formofer"]));
                    } else {
                        $em->persist($formOfer);
                        if ($seccion[0] == 'btn_agrega_formOtrosParametros') {
                            if ($request->get("medioOferente") == '') {
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans($this->traducir("formofer.valoagre.error.tipoAdjudicacion"), "alert-warning");
                            } else {
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.actualizaSituFina");
                            }
                        } else {
                            if (isset($request->get("incop_mfc_ofertasbundle_tmepformofer")["tipoCantprec"])) {
                                if ($request->get("incop_mfc_ofertasbundle_tmepformofer")["tipoCantprec"] == '') {
                                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans($this->traducir("formofer.valoagre.error.tipoAdjudicacion"), "alert-warning");
                                } else {
                                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.actualizaSituFina");
                                }
                            }
                        }
                    }
                    break;
            }
        }
        $formOfer->setContratacionesId($this->getClaveContratacion());
        $em->flush();
        $this->arreglo_respuesta["frm_foo"] = $frm_formOfer->createView();
        //Busco los hijos
        try {
            $this->generaFormOferIndices($formOfer, $request);
            $this->generaFormOferPatrimonio($formOfer, $request);
            $this->generaFormOferExpeOfer($formOfer, $request);
            $this->generaFormOferPersTecn($formOfer, $request);
            $this->generaFormOferEquiMini($formOfer, $request);
            if ($this->arreglo_respuesta["requerimiento"]->getTipoContratacion() != 'OBR.LCT') {
                $this->generaFormOferBienServ($formOfer, $request);
            }
            $this->generaFormOferOferEcon($formOfer, $request);
            if ($this->arreglo_respuesta["requerimiento"]->getTipoContratacion() != 'OBR.LCT') {
                $this->guardarVAEAction($formOfer, $request);
            }
            $this->generaFormOferPartiEcua($formOfer, $request);
            if ($this->arreglo_respuesta["requerimiento"]->getTipoContratacion() != 'OBR.LCT') {
                $this->generaFormOferValoAgre($formOfer, $request);
            }
            if ($this->arreglo_respuesta["requerimiento"]->getTipoContratacion() == 'OBR.LCT' && $formOfer->getCantprecFinal() == NULL) {
                $this->generaFormOferValoAgreLicObras($formOfer, $request);
            }
            $this->generaFormOferValoAgreCro($formOfer, $request);
            $this->generaFormOferEquiposInstrumentos($formOfer, $request);
            $this->generaFormOferPlanTrabajo($formOfer, $request);
            $this->generaFormOferPlanTrabajoProd($formOfer, $request);
            $this->generaFormOferProgActividad($formOfer, $request);
            $this->generaFormOferEquiAsig($formOfer, $request);
            $this->generaFormOferOtrosParametros($formOfer, $request);
            $this->arreglo_respuesta["formOfer"] = $formOfer;
            $this->getRequest()->getSession()->set('idFormOfer', $formOfer->getId());
        } catch (\Exception $ex) {
            $this->generarLogError($ex);
            $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans($this->traducir("generico.error.proceso"), "alert-danger");
        }
        //Valida si muestra la vista de patrimonios
        $this->arreglo_respuesta["muestraPatrimonio"] = $this->muestraPatrimonio();
        //Catalogo de vistas  
        $this->arreglo_respuesta["lst_vista"] = $this->getCatalogos()->retornaCatalogo($this->getCodTipoPliego(), "vistaFormOfer.xml");
        //Lanza la vista    
        return $this->render('IncopMfcOfertasBundle:FormularioOfertas:formofer.html.twig', $this->arreglo_respuesta);
    }

    /**
     * Registra datos en la tabla FormOferValoAgre
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferValoAgreLicObras(TmoaFormOfer $formOfer, Request $request) {
        $request = '';
        if ($this->getClaveRequerimiento()) {
            $em = $this->getDoctrine()->getManager();
            $presupuesto = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepPresupuesto")->findOneByRequerimientoId($this->getClaveRequerimiento());
            if ($presupuesto) {
                $presupuesto_det = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepPresupuestoDetalle")->findByPresupuestoId($presupuesto->getId());
                //Lleno los Valor Agregado Ecuatoriano
                if ($presupuesto_det) {
                    $valoAgre = $em->createQuery('SELECT AG.id FROM IncopMfcOfertasBundle:TmoaFormOferValoAgre AG WHERE AG.formoferId =' . $formOfer->getId())->getResult();
                    if (!$valoAgre) {
                        foreach ($presupuesto_det as $item) {
                            $query_et = $em->createQuery('SELECT ET.cpcNivel9 FROM IncopMfcOfertasBundle:TmepPresupuestoDetalle PD, IncopMfcOfertasBundle:TmepPresupuesto PR, IncopMfcOfertasBundle:TmepEspeTecnicas ET WHERE PD.presupuestoId = PR.id and PD.numero = ET.ordinal and ET.requerimientoId = PR.requerimientoId and PR.requerimientoId =' . $this->getClaveRequerimiento() . ' AND PD.numero =' . $item->getNumero())->getResult();
                            foreach ($query_et as $item2) {
                                $cpc = $item2['cpcNivel9'];
                            }
                            $formOferValoAgre = new TmoaFormOferValoAgre();
                            $formOferValoAgre->setFormoferId($formOfer->getId());
                            $formOferValoAgre->setPresupuestoId($item->getId());
                            $formOferValoAgre->setDescripcion($item->getRubroDescripcion());
                            $formOferValoAgre->setOrden($item->getNumero());
                            if (isset($cpc)) {
                                $formOferValoAgre->setCpc($cpc);
                            } else {
                                $formOferValoAgre->setCpc($presRef[0]->getCpc9());
                            }
                            $formOferValoAgre->setCantidad($this->cambioFormato($item->getCantidad()));
                            $formOferValoAgre->setUnidad($item->getUnidad());
                            $formOferValoAgre->setCodigoUnidad($item->getCodigoUnidad());
                            $em->persist($formOferValoAgre);
                        }
                        $formOfer->setCantPrecFinal(true);
                        $em->flush();
                        $this->arreglo_respuesta["guardaPresupuesto"] = true;
                    }
                }
            }
        } else {
            $this->arreglo_respuesta["mensaje_valorAgre"] = $this->generaAlertaTrans("formofer.errorNoExisteRequerimiento", "alert-danger");
        }
    }

    /**
     * Consulta los rubros 
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function consultaFormOferValoAgreAction(Request $request) {
        $em = $this->getDoctrine()->getManager();
        //Inicia las variables principales
        $id_ofer = $request->get("id_formOfer");
        $arreglo_de_valoAgre = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferValoAgre p where p.formoferId=' . $id_ofer . " order by p.etId ASC")->getResult(Query::HYDRATE_ARRAY);
        $return = array("responseCode" => 200, "response" => $arreglo_de_valoAgre);
        $return = json_encode($return); // json encode the array
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Manipula los objetos de Participaci?n Ecuatoriana
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     */
    private function generaFormOferPartiEcua(TmoaFormOfer $formOfer, Request $request) {
        $formOfer = '';
        $em = $this->getDoctrine()->getManager();
        $partiEcuaId = $request->get("id_partiEcua");
        $accion = $request->get("accion");
        if ($partiEcuaId) {
            $partiEcua = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($partiEcuaId);
        } else {
            $partiEcua = new TmoaFormOferValoAgre();
        }
        $frm_formOferPartiEcua = $this->createForm(new PartiEcuaType(), $partiEcua, array("archivos" => $this->arreglo_respuesta["archivos_formofer"]));
        switch ($accion) {
            case "btn_agregar_partiEcua":
                $frm_formOferPartiEcua->handleRequest($request);
                $pesoRelativo = floatval($partiEcua->getPesoRelativo());
                $vaeRubroLo = floatval(str_replace(",", ".", $partiEcua->getVaeRubroLo()));
                $vapemLo = ($pesoRelativo * $vaeRubroLo) / 100;
                $partiEcua->setVapemLo($vapemLo);
                $partiEcua->setVaeRubroLo($this->cambioFormato($partiEcua->getVaeRubroLo()));
                $em->persist($partiEcua);
                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.actualizaPartiEcua");
                break;
        }
        $em->flush();
        $this->arreglo_respuesta["frm_partiEcua"] = $frm_formOferPartiEcua->createView();
    }

    /**
     * Manipula los objetos de tipo FormOferIndices
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $>request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferIndices(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferIndices = $request->get("id_formOferIndices");
        $accion = $request->get("accion");
        $formulario = $request->get("incop_mfc_ofertasbundle_tmepformoferindices");
        $em = $this->getDoctrine()->getManager();
        //Crea los indices
        $indices = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferIndices")->findBy(array("formoferId" => $formOfer->getId()));
        if (!$indices) {
            $pliego = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepPliegos")->findOneBy(array("requerimientoId" => $this->getClaveRequerimiento()));
            $indicesPliego = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepIndicePatrimonio")->findBy(array("pliegosId" => $pliego->getId()));
            foreach ($indicesPliego as $indPli) {
                $indice = new TmoaFormOferIndices();
                $indice->setFormoferId($formOfer->getId());
                $indice->setIndiceId($indPli->getId());
                $em->persist($indice);
            }
            $em->flush();
        }
        //Consulta o crea el objeto
        if ($id_formOferIndices) {
            $formOferIndices = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferIndices")->find($id_formOferIndices);
        } else {
            $formOferIndices = new TmoaFormOferIndices();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferIndicesType(), $formOferIndices, array("archivos" => $this->arreglo_respuesta["archivos_formofer"]));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferIndices":
                if ($formOferIndices) {
                    $form->handleRequest($request);
                    $formOferIndices->setFormoferId($formOfer->getId());
                    $formOferIndices->setIndiceDeclarado($this->cambioFormato($formulario["indiceDeclarado"]));
                    $em->persist($formOferIndices);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferIndices");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferIndices", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p.id, p.formoferId, p.indiceId, p.indiceDeclarado, p.archivos, q.orden, q.descripcion, q.valor, q.medio, q.tipoIndice, q.indicador from IncopMfcOfertasBundle:TmoaFormOferIndices p, IncopMfcOfertasBundle:TmepIndicePatrimonio q where p.indiceId=q.id and p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferIndices"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferIndices"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferIndices"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo FormOferPatrimonio
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $>request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferPatrimonio(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferPatrimonio = $request->get("id_formOferPatrimonio");
        $accion = $request->get("accion");
        $formulario = $request->get("incop_mfc_ofertasbundle_tmepformoferpatrimonio");
        $em = $this->getDoctrine()->getManager();
        //Crea los patrimonios
        $patrimonios = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferPatrimonio")->findBy(array("formoferId" => $formOfer->getId()));
        if (!$patrimonios) {
            $requisitosMinimos = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepRequisitosMinimos")->findBy(array("requerimientoId" => $this->getClaveRequerimiento()));
            foreach ($requisitosMinimos as $requMini) {
                $patrimonio = new TmoaFormOferPatrimonio();
                $patrimonio->setFormoferId($formOfer->getId());
                $patrimonio->setRequisitosminimosId($requMini->getId());
                $em->persist($patrimonio);
            }
            $em->flush();
        }
        //Consulta o crea el objeto
        if ($id_formOferPatrimonio) {
            $formOferPatrimonio = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferPatrimonio")->find($id_formOferPatrimonio);
        } else {
            $formOferPatrimonio = new TmoaFormOferPatrimonio();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferPatrimonioType(), $formOferPatrimonio, array("archivos" => $this->arreglo_respuesta["archivos_formofer"]));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferPatrimonio":
                if ($formOferPatrimonio) {
                    $form->handleRequest($request);
                    $formOferPatrimonio->setFormoferId($formOfer->getId());
                    $formOferPatrimonio->setPatrimonio($this->cambioFormato($formulario["patrimonio"]));
                    $em->persist($formOferPatrimonio);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferPatrimonio");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferPatrimonio", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p.id, p.formoferId, p.requisitosminimosId, p.patrimonio, p.archivos, q.patrimonio as patrimonio_pliego from IncopMfcOfertasBundle:TmoaFormOferPatrimonio p, IncopMfcOfertasBundle:TmepRequisitosMinimos q where p.requisitosminimosId=q.id and p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferPatrimonio"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferPatrimonio"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferPatrimonio"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo FormOferExpeOfer
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $>request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferExpeOfer(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferExpeOfer = $request->get("id_formOferExpeOfer");
        $accion = $request->get("accion");
        $expeOferRequest = $request->get("incop_mfc_ofertasbundle_tmepformoferexpeofer");
        $em = $this->getDoctrine()->getManager();
        //Consulta o crea el objeto
        if ($id_formOferExpeOfer) {
            $formOferExpeOfer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferExpeOfer")->find($id_formOferExpeOfer);
        } else {
            $formOferExpeOfer = new TmoaFormOferExpeOfer();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferExpeOferType(), $formOferExpeOfer, array("formOferId" => $formOfer->getId(), "archivos" => $this->arreglo_respuesta["archivos_formofer"]));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferExpeOfer":
                $expeOfer_ingresado = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferExpeOfer")->findBy(array("formoferId" => $formOfer->getId(), "tipo" => trim($expeOferRequest['tipo']), "contratante" => trim($expeOferRequest['contratante']), "objetoContrato" => trim($expeOferRequest['objetoContrato']), "fechaRecepcion" => $expeOferRequest['fechaRecepcion']));
                if ($expeOfer_ingresado) {
                    foreach ($expeOfer_ingresado as $value) {
                        if ($value->getTipo() != trim($expeOferRequest['tipo']) && $value->getContratante() != trim($expeOferRequest['contratante']) && $value->getObjetoContrato() != trim($expeOferRequest['objetoContrato']) && $value->getFechaRecepcion() != $expeOferRequest['fechaRecepcion']) {
                            if ($formOferExpeOfer) {
                                $form->handleRequest($request);
                                $formOferExpeOfer->setFormoferId($formOfer->getId());
                                $formOferExpeOfer->setValorContrato($this->cambioFormato($formOferExpeOfer->getValorContrato()));
                                $formOferExpeOfer->setMontoEjecutado($this->cambioFormato($formOferExpeOfer->getMontoEjecutado()));
                                $formOferExpeOfer->setPorcentajeEjecutado($this->cambioFormato($formOferExpeOfer->getPorcentajeEjecutado()));
                                $em->persist($formOferExpeOfer);
                                $em->flush();
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferExpeOfer");
                            } else {
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferExpeOfer", "alert-danger");
                            }
                        }
                    }
                } else {
                    if ($formOferExpeOfer) {
                        $form->handleRequest($request);
                        $formOferExpeOfer->setFormoferId($formOfer->getId());
                        $formOferExpeOfer->setValorContrato($this->cambioFormato($formOferExpeOfer->getValorContrato()));
                        $formOferExpeOfer->setMontoEjecutado($this->cambioFormato($formOferExpeOfer->getMontoEjecutado()));
                        $formOferExpeOfer->setPorcentajeEjecutado($this->cambioFormato($formOferExpeOfer->getPorcentajeEjecutado()));
                        $em->persist($formOferExpeOfer);
                        $em->flush();
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferExpeOfer");
                    } else {
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferExpeOfer", "alert-danger");
                    }
                }
                break;
            case "btn_edita_formOferExpeOfer":
                if ($formOferExpeOfer) {
                    $form->handleRequest($request);
                    $formOferExpeOfer->setFormoferId($formOfer->getId());
                    $formOferExpeOfer->setValorContrato($this->cambioFormato($formOferExpeOfer->getValorContrato()));
                    $formOferExpeOfer->setMontoEjecutado($this->cambioFormato($formOferExpeOfer->getMontoEjecutado()));
                    $formOferExpeOfer->setPorcentajeEjecutado($this->cambioFormato($formOferExpeOfer->getPorcentajeEjecutado()));
                    $em->persist($formOferExpeOfer);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferExpeOfer");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferExpeOfer", "alert-danger");
                }
                break;
            case "btn_elimina_formOferExpeOfer":
                if ($formOferExpeOfer) {
                    $em->remove($formOferExpeOfer);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.elimnaFormOferExpeOfer");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorElimnaFormOferExpeOfer", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferExpeOfer p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferExpeOfer"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferExpeOfer"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferExpeOfer"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo FormOferPersTecn
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferPersTecn(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferPersTecn = $request->get("id_formOferPersTecn");
        $accion = $request->get("accion");
        $persTecnRequest = $request->get("incop_mfc_ofertasbundle_tmepformoferperstecn");
        $em = $this->getDoctrine()->getManager();
        //Consulta o crea el objeto
        if ($id_formOferPersTecn) {
            $formOferPersTecn = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferPersTecn")->find($id_formOferPersTecn);
        } else {
            $formOferPersTecn = new TmoaFormOferPersTecn();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferPersTecnType(), $formOferPersTecn, array("formOferId" => $formOfer->getId()));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferPersTecn":
                $perstecn_ingresado = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferPersTecn")->findBy(array("formoferId" => $formOfer->getId(), "cargoFuncion" => trim($persTecnRequest['cargoFuncion']), "cantidad" => $persTecnRequest['cantidad'], "experienciaRequerida" => trim($persTecnRequest['experienciaRequerida'])));
                if ($perstecn_ingresado) {
                    foreach ($perstecn_ingresado as $value) {
                        if ($value->getCargoFuncion() != trim($persTecnRequest['cargoFuncion']) && $value->getCantidad() != $persTecnRequest['cantidad'] && $value->getExperienciaRequerida() != trim($persTecnRequest['experienciaRequerida'])) {
                            if ($formOferPersTecn) {
                                $form->handleRequest($request);
                                $formOferPersTecn->setFormoferId($formOfer->getId());
                                $em->persist($formOferPersTecn);
                                $em->flush();
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferPersTecn");
                            } else {
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferPersTecn", "alert-danger");
                            }
                        }
                    }
                } else {
                    if ($formOferPersTecn) {
                        $form->handleRequest($request);
                        $formOferPersTecn->setFormoferId($formOfer->getId());
                        $em->persist($formOferPersTecn);
                        $em->flush();
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferPersTecn");
                    } else {
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferPersTecn", "alert-danger");
                    }
                }
                break;
            case "btn_elimina_formOferPersTecn":
                if ($formOferPersTecn) {
                    $em->remove($formOferPersTecn);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.elimnaFormOferPersTecn");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorElimnaFormOferPersTecn", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferPersTecn p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferPersTecn"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferPersTecn"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferPersTecn"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo generaFormOferEquiposInstrumentos
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferEquiposInstrumentos(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferEquiposInstrumentos = $request->get("id_formOferEquiposInstrumentos");
        $accion = $request->get("accion");
        $em = $this->getDoctrine()->getManager();
        //Consulta o crea el objeto
        if ($id_formOferEquiposInstrumentos) {
            $formOferEquiposInstrumentos = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferEquiposInstrumentos")->find($id_formOferEquiposInstrumentos);
        } else {
            $formOferEquiposInstrumentos = new TmoaFormOferEquiposInstrumentos();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferEquiposInstrumentosType(), $formOferEquiposInstrumentos, array("formOferId" => $formOfer->getId()));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferEquiposInstrumentos":
                if ($formOferEquiposInstrumentos) {

                    $form->handleRequest($request);
                    $em->persist($formOferEquiposInstrumentos);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferEquiposInstrumentos");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferEquiposInstrumentos", "alert-danger");
                }
                break;
            case "btn_elimina_formOferEquiposInstrumentos":
                if ($formOferEquiposInstrumentos) {
                    $em->remove($formOferEquiposInstrumentos);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.elimnaFormOferEquiposInstrumentos");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorElimnaFormOferEquiposInstrumentos", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferEquiposInstrumentos p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferEquiposInstrumentos"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferEquiposInstrumentos"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferEquiposInstrumentos"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo FormOferPlanTrabajo
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferPlanTrabajo(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $accion = $request->get("accion");
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferPlanTrab p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        //Consulta o crea el objeto
        if ($query) {
            $formOferPlanTrab = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferPlanTrab")->find($query[0]['id']);
        } else {
            $formOferPlanTrab = new TmoaFormOferPlanTrab();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferPlanTrabType(), $formOferPlanTrab, array("formOferId" => $formOfer->getId(), "archivos" => $this->arreglo_respuesta["archivos_formofer"]));
        $form->handleRequest($request);
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_actualiza_formofer":
                if ($formOferPlanTrab) {
                    $em->persist($formOferPlanTrab);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.actualizaSituFina");
                }
                break;
            case "btn_elimina_formOferPlanTrab":
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferPlanTrab p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferPlanTrab"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferPlanTrab"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferPlanTrab"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo FormOferPlanTrabajoProd
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferPlanTrabajoProd(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $accion = $request->get("accion");
        $em = $this->getDoctrine()->getManager();
        $id_formofer_plantrab_prod = $request->get("id_formOferPlanTrabProd");
        //Consulta o crea el objeto
        if ($id_formofer_plantrab_prod) {
            $formOferPlanTrabProd = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferPlanTrabProd")->find($id_formofer_plantrab_prod);
        } else {
            $formOferPlanTrabProd = new TmoaFormOferPlanTrabProd();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferPlanTrabProdType(), $formOferPlanTrabProd);
        $form->handleRequest($request);
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferPlanTrabProd":
                if ($formOferPlanTrabProd) {
                    $formOferPlanTrabProd->setFormoferId($formOfer->getId());
                    if (!$id_formofer_plantrab_prod) {
                        $formOferPlanTrabProd->setOrden($formOferPlanTrabProd->buscaOrdenMaximo($em, $formOfer->getId()) + 1);
                    }
                    $em->persist($formOferPlanTrabProd);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.actualizaPlanTrabProd");
                }
                break;
            case "btn_elimina_formOferPlanTrabProd":
                if ($formOferPlanTrabProd) {
                    $formOferPlanTrabProd->cambiaOrdenSiguientes($em);
                    $em->remove($formOferPlanTrabProd);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.eliminaPlanTrabProd");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorEliminaPlanTrabProd", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferPlanTrabProd p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferPlanTrabProd"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferPlanTrabProd"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferPlanTrabProd"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo generaFormOferProgActividad
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferProgActividad(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferProgActividad = $request->get("id_formOferProgActividad");
        $accion = $request->get("accion");
        $em = $this->getDoctrine()->getManager();
        //Consulta o crea el objeto
        if ($id_formOferProgActividad) {
            $formOferProgActividad = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferProgActividad")->find($id_formOferProgActividad);
        } else {
            $formOferProgActividad = new TmoaFormOferProgActividad();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferProgActividadType(), $formOferProgActividad, array("formoferPlanTrabId" => $formOfer->getId()));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferProgActividad":
                if ($formOferProgActividad) {
                    $form->handleRequest($request);
                    $formOferProgActividad->setformoferPlanTrabId($formOfer->getId());
                    $em->persist($formOferProgActividad);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferProgActividad");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferProgActividad", "alert-danger");
                }
                break;
            case "btn_elimina_formOferProgActividad":
                if ($formOferProgActividad) {
                    $em->remove($formOferProgActividad);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.elimnaFormOferProgActividad");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorElimnaFormOferProgActividad", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferProgActividad p where p.formoferPlanTrabId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferProgActividad"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferProgActividad"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferProgActividad"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo FormOferEquiMini
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferEquiMini(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferEquiMini = $request->get("id_formOferEquiMini");
        $accion = $request->get("accion");
        $equiMiniRequest = $request->get("incop_mfc_ofertasbundle_tmepformoferequimini");
        $em = $this->getDoctrine()->getManager();
        //Creo los equipos m?nimos del pliego por defecto si no existen registros
        $equiposMinimos = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferEquiMini")->findByFormoferId($formOfer->getId());
        if (!$equiposMinimos) {
            $equiposMinimosPliego = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepEquipoMinimo")->findByRequerimientoId($this->getClaveRequerimiento());
            foreach ($equiposMinimosPliego as $equiMiniPlie) {
                $equiMini = new TmoaFormOferEquiMini();
                $equiMini->setDetalleEquipo($equiMiniPlie->getDescripcion());
                $equiMini->setTipo("de_pliego");
                $equiMini->setFormoferId($formOfer->getId());
                $em->persist($equiMini);
            }
            $em->flush();
        }
        //Consulta o crea el objeto
        if ($id_formOferEquiMini) {
            $formOferEquiMini = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferEquiMini")->find($id_formOferEquiMini);
        } else {
            $formOferEquiMini = new TmoaFormOferEquiMini();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferEquiMiniType(), $formOferEquiMini, array("formOferId" => $formOfer->getId()));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferEquiMini":
                $equiMini_ingresado = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferEquiMini")->findBy(array("formoferId" => $formOfer->getId(), "detalleEquipo" => trim($equiMiniRequest['detalleEquipo']), "cantidad" => $equiMiniRequest['cantidad'], "caracteristicas" => trim($equiMiniRequest['caracteristicas'])));
                if ($equiMini_ingresado) {
                    foreach ($equiMini_ingresado as $value) {
                        if ($value->getDetalleEquipo() != trim($equiMiniRequest['detalleEquipo']) && $value->getCantidad() != $equiMiniRequest['cantidad'] && $value->getCaracteristicas() != trim($equiMiniRequest['caracteristicas'])) {
                            if ($formOferEquiMini) {
                                $form->handleRequest($request);
                                $formOferEquiMini->setFormoferId($formOfer->getId());
                                if (!$formOferEquiMini->getTipo()) {
                                    $formOferEquiMini->setTipo("de_oferta");
                                }
                                $em->persist($formOferEquiMini);
                                $em->flush();
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferEquiMini");
                            } else {
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferEquiMini", "alert-danger");
                            }
                        }
                    }
                } else {
                    if ($formOferEquiMini) {
                        $form->handleRequest($request);
                        $formOferEquiMini->setFormoferId($formOfer->getId());
                        if (!$formOferEquiMini->getTipo()) {
                            $formOferEquiMini->setTipo("de_oferta");
                        }
                        $em->persist($formOferEquiMini);
                        $em->flush();
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferEquiMini");
                    } else {
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferEquiMini", "alert-danger");
                    }
                }
                break;
            case "btn_elimina_formOferEquiMini":
                if ($formOferEquiMini) {
                    $em->remove($formOferEquiMini);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.elimnaFormOferEquiMini");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorElimnaFormOferEquiMini", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferEquiMini p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferEquiMini"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferEquiMini"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferEquiMini"] = $form->createView();
    }

    /**
     * Manipula los objetos de tipo FormOferBienServ
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferBienServ(TmoaFormOfer $formOfer, Request $request) {
        $accion = $request->get("accion");
        if ($accion == "btn_agrega_formOferBienServ") {
            $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.actualizaFormOferBienServ");
        }
        $em = $this->getDoctrine()->getManager();
        if ($this->getCodTipoCompra() == "SER") {
            $bienSer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferBienServTdr")->findOneByFormoferId($formOfer->getId());
            if (!$bienSer) {
                $tdr = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepTdrs")->findOneByRequerimientoId($this->getClaveRequerimiento());
                $bienSer = new TmoaFormOferBienServTdr();
                $bienSer->setFormoferId($formOfer->getId());
                $bienSer->setTdrAlcance($tdr->getAlcance());
                $bienSer->setTdrFormaPago($tdr->getCondicionesPago());
                $bienSer->setTdrPersonalTecnico($tdr->getPersonalTecnicoText());
                $bienSer->setTdrMetodologia($tdr->getMetoTrabajo());
                $bienSer->setTdrPlazoEjecucion($tdr->getTipoEjecucion());
                $em->persist($bienSer);
                $em->flush();
            }
            $form = $this->createForm(new FormOferBienServTdrType(), $bienSer);
            $form->handleRequest($request);
            if ($form->isSubmitted()) {
                $bienSer->setFormoferId($formOfer->getId());
                $em->persist($bienSer);
                $em->flush();
            }
            $this->arreglo_respuesta["obj_formOferBienSerTdr"] = $bienSer;
            $this->arreglo_respuesta["det_parciales"] = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepTdrsDetparcial p, IncopMfcOfertasBundle:TmepTdrs c where p.tdrsId=c.id and c.requerimientoId=" . $this->getClaveRequerimiento() . " order by p.orden")->getResult();
            $this->arreglo_respuesta["condiciones_pago"] = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepMatFormasPago p where p.requerimientoId=" . $this->getClaveRequerimiento())->getResult();
            $this->arreglo_respuesta["frm_formOferBienSerTdr"] = $form->createView();
            $this->arreglo_respuesta["bienser"] = "tdr";
        } else if ($this->getCodTipoCompra() == "BIE") {
            $descripcionOferta = $request->get("descripcionOferta");
            if ($descripcionOferta) {
                foreach ($descripcionOferta as $id => $descripcion) {
                    $bienSerEt = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferBienServEt")->find($id);
                    $bienSerEt->setDescripcionOferta($descripcion);
                    $em->persist($bienSerEt);
                    $em->flush();
                }
            }
            $bienSer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferBienServEt")->findByFormoferId($formOfer->getId());
            if (!$bienSer) {
                if ($this->getCodTipoCompra() != "OBR") {
                    $et = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepEspeTecnicas")->findByRequerimientoId($this->getClaveRequerimiento());
                    foreach ($et as $et_item) {
                        $et_detalle = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepEspeTecDet")->findByEspecificacionId($et_item->getId());
                        foreach ($et_detalle as $et_detalle_item) {
                            $bienSer = new TmoaFormOferBienServEt();
                            $bienSer->setFormoferId($formOfer->getId());
                            $bienSer->setEtId($et_item->getId());
                            $bienSer->setEtDescripcion($et_item->getDescripcion());
                            $bienSer->setEtAtributo($et_detalle_item->getCaracteristica());
                            $bienSer->setEtCantidad($et_detalle_item->getValorCantidad());
                            $bienSer->setEtCaracteristica($et_detalle_item->getValorRequisito());
                            $bienSer->setEtCondicion($et_detalle_item->getValorCondicion());
                            $bienSer->setEtUnidad($et_detalle_item->getValorUnidad());
                            $bienSer->setEtTipoCompra($et_item->getTipoCompra());
                            $em->persist($bienSer);
                            $em->flush();
                        }
                    }
                }
                $bienSer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferBienServEt")->findByFormoferId($formOfer->getId());
            }
            $this->arreglo_respuesta["lst_et_referencia"] = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepEspeTecnicas")->findByRequerimientoId($this->getClaveRequerimiento());
            $this->arreglo_respuesta["lst_bienser_et"] = $bienSer;
            $this->arreglo_respuesta["bienser"] = "et";
        }
    }

    /**
     * Manipula los objetos de tipo FormOferValoAgre
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferValoAgre(TmoaFormOfer $formOfer, Request $request) {
        if ($this->getClaveRequerimiento()) {
            $costos_unitarios = $request->get("frm_costoUnitario");
            $costos_totales = $request->get("frm_costoTotal");
            $espeTecSeleccionado = $request->get("espeTecSeleccionado");
            $accion = $request->get("accion");
            $this->arreglo_respuesta["lst_espetecn"] = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepEspeTecnicas")->findByRequerimientoId($this->getClaveRequerimiento());
            $this->arreglo_respuesta["lst_presref"] = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepMatPresRef")->findByRequerimientoId($this->getClaveRequerimiento());
            //Inicia las variables principales
            $em = $this->getDoctrine()->getManager();
            //Elimino los datos referentes
            if ($accion == "btn_prespuesto_formOferCantPrec") {
                $em->createQuery("delete from IncopMfcOfertasBundle:TmoaFormOferCronTot p where p.formoferId=" . $formOfer->getId())->execute();
                $em->createQuery("delete from IncopMfcOfertasBundle:TmoaFormOferValoAgreCro c where c.formoferValoagreId in (Select p.id from IncopMfcOfertasBundle:TmoaFormOferValoAgre p where p.formoferId=" . $formOfer->getId() . ")")->execute();
                $em->createQuery("delete from IncopMfcOfertasBundle:TmoaComSubconRubro c where c.comproSubcontrId in (Select p.id from IncopMfcOfertasBundle:TmoaComproSubcontr p where p.contratacionId=" . $this->getClaveContratacion() . " and p.oferenteId=" . $this->getOferenteId() . ")")->execute();
                $em->createQuery("delete from IncopMfcOfertasBundle:TmoaComproSubcontr p where p.contratacionId=" . $this->getClaveContratacion() . " and p.oferenteId=" . $this->getOferenteId())->execute();
            }
            //Consulta los datos
            $requerimiento = $em->createQuery('Select p.prt from IncopMfcOfertasBundle:TmepRequerimientos p where p.id=' . $this->getClaveRequerimiento())->getResult(Query::HYDRATE_ARRAY);
            if ($requerimiento) {
                $presupuetoReferencial = $requerimiento[0]['prt'];
            }
            $query_ofer = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferValoAgre p where p.formoferId=' . $formOfer->getId())->getResult();
            if (!$query_ofer || $accion == "btn_cambia_tipoAjud" || $accion == "btn_cambia_tipoAjudDef") {
                $presRef = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepMatPresRef")->findByRequerimientoId($this->getClaveRequerimiento());
                if ($this->getCodTipoCompra() == "BIE") {
                    if ($this->arreglo_respuesta["requerimiento"]->getTipoAjud() == "P") {
                        if ($accion == "btn_cambia_tipoAjud" || $accion == "btn_cambia_tipoAjudDef") {
                            $em->createQuery("Delete from IncopMfcOfertasBundle:TmoaFormOferValoAgre p where p.formoferId=" . $formOfer->getId())->execute();
                            $formOfer->setValoagreTotal(null);
                            $formOfer->setValoagreTotalTexto(null);
                            $formOfer->setTotalPesoRelativo(null);
                            if ($accion == "btn_cambia_tipoAjudDef") {
                                if ($request->get("incop_mfc_ofertasbundle_tmepformofer")["tipoCantprec"] == '') {
                                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoagre.error.tipoAdjudicacion", "alert-warning");
                                } else {
                                    $formOfer->setCantprecFinal(true);
                                }
                            }
                            if ($formOfer->getTipoCantprec() == "T") {
                                //Lleno los Valor Agregado Ecuatoriano
                                foreach ($this->arreglo_respuesta["lst_espetecn"] as $item) {
                                    $formOferValoAgre = new TmoaFormOferValoAgre();
                                    $formOferValoAgre->setFormoferId($formOfer->getId());
                                    $formOferValoAgre->setDescripcion($item->getDescripcion());
                                    $formOferValoAgre->setCpc($item->getCpcNivel9());
                                    $formOferValoAgre->setCantidad($this->cambioFormato($item->getCantidad()));
                                    $formOferValoAgre->setUnidad($item->getUnidades());
                                    $formOferValoAgre->setEtId($item->getId());
                                    $formOferValoAgre->setOrden($item->getIdPartida());
                                    $formOferValoAgre->setValorOfertado($item->getPrecioRefSubtotal());
                                    $em->persist($formOferValoAgre);
                                }
                                $em->flush();
                            } else if ($formOfer->getTipoCantprec() == "P") {
                                $fechaRequerimiento = $em->createQuery('Select p.fecha from IncopMfcOfertasBundle:TmepRequerimientos p where p.id=' . $this->getClaveRequerimiento())->getResult(Query::HYDRATE_ARRAY);
                                $catalogos = new CatalogosUtil();
                                $fechaVae3 = $catalogos->buscarPorcodigo('FECHA_VAE_UMBRAL_BYS2');
                                $fechaRequerimiento = strtotime($fechaRequerimiento[0]['fecha']);
                                $fechaVae3 = strtotime($fechaVae3);
                                foreach ($this->arreglo_respuesta["lst_espetecn"] as $item) {
                                    if ($fechaVae3 <= $fechaRequerimiento) {
                                        $campoEspeTec = $item->getIdPartida();
                                    } else {
                                        $campoEspeTec = $item->getCpcNivel5();
                                    }
                                    if (is_array($espeTecSeleccionado) && array_key_exists($campoEspeTec, $espeTecSeleccionado)) {
                                        $formOferValoAgre = new TmoaFormOferValoAgre();
                                        $formOferValoAgre->setFormoferId($formOfer->getId());
                                        $formOferValoAgre->setDescripcion($item->getDescripcion());
                                        $formOferValoAgre->setCpc($item->getCpcNivel9());
                                        $formOferValoAgre->setCantidad($this->cambioFormato($item->getCantidad()));
                                        $formOferValoAgre->setUnidad($item->getUnidades());
                                        $formOferValoAgre->setEtId($item->getId());
                                        $formOferValoAgre->setOrden($item->getIdPartida());
                                        $formOferValoAgre->setValorOfertado($item->getPrecioRefSubtotal());
                                        $em->persist($formOferValoAgre);
                                    }
                                }
                                $em->flush();
                            }
                        }
                    } else {
                        foreach ($this->arreglo_respuesta["lst_espetecn"] as $item) {
                            $formOferValoAgre = new TmoaFormOferValoAgre();
                            $formOferValoAgre->setFormoferId($formOfer->getId());
                            $formOferValoAgre->setDescripcion($item->getDescripcion());
                            $formOferValoAgre->setCpc($item->getCpcNivel9());
                            $formOferValoAgre->setCantidad($this->cambioFormato($item->getCantidad()));
                            $formOferValoAgre->setUnidad($item->getUnidades());
                            $formOferValoAgre->setEtId($item->getId());
                            $formOferValoAgre->setOrden($item->getIdPartida());
                            $formOferValoAgre->setValorOfertado($item->getPrecioRefSubtotal());
                            $em->persist($formOferValoAgre);
                            $em->flush();
                        }
                    }
                } else if ($this->getCodTipoCompra() == "SER") {
                    if ($presRef) {
                        foreach ($presRef as $item) {
                            $formOferValoAgre = new TmoaFormOferValoAgre();
                            $formOferValoAgre->setFormoferId($formOfer->getId());
                            $formOferValoAgre->setDescripcion($item->getCpc9Desc());
                            $formOferValoAgre->setCpc($item->getCpc9());
                            $formOferValoAgre->setCantidad(1);
                            $formOferValoAgre->setUnidad($this->traducir("GLOBAL"));
                            $formOferValoAgre->setValorOfertado($presupuetoReferencial);
                            $em->persist($formOferValoAgre);
                        }
                        $em->flush();
                    }
                } else {
                    $presupuesto = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepPresupuesto")->findOneByRequerimientoId($this->getClaveRequerimiento());
                    if ($presupuesto) {
                        $presupuesto_det = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepPresupuestoDetalle")->findByPresupuestoId($presupuesto->getId());
                        //Lleno los Valor Agregado Ecuatoriano
                        if ($presupuesto_det) {
                            $suma_costos = 0;
                            foreach ($presupuesto_det as $item) {
                                $query_et = $em->createQuery('SELECT ET.cpcNivel9 FROM IncopMfcOfertasBundle:TmepPresupuestoDetalle PD, IncopMfcOfertasBundle:TmepPresupuesto PR, IncopMfcOfertasBundle:TmepEspeTecnicas ET WHERE PD.presupuestoId = PR.id and PD.numero = ET.ordinal and ET.requerimientoId = PR.requerimientoId and PR.requerimientoId =' . $this->getClaveRequerimiento() . ' AND PD.numero =' . $item->getNumero())->getResult();
                                foreach ($query_et as $item2) {
                                    $cpc = $item2['cpcNivel9'];
                                }
                                $formOferValoAgre = new TmoaFormOferValoAgre();
                                $formOferValoAgre->setFormoferId($formOfer->getId());
                                $formOferValoAgre->setPresupuestoId($item->getId());
                                $formOferValoAgre->setDescripcion($item->getRubroDescripcion());
                                $formOferValoAgre->setOrden($item->getNumero());
                                if (isset($cpc)) {
                                    $formOferValoAgre->setCpc($cpc);
                                } else {
                                    $formOferValoAgre->setCpc($presRef[0]->getCpc9());
                                }
                                $formOferValoAgre->setCantidad($this->cambioFormato($item->getCantidad()));
                                $formOferValoAgre->setUnidad($item->getUnidad());
                                $formOferValoAgre->setCodigoUnidad($item->getCodigoUnidad());
                                if ($this->getCodTipoPliego() == "PLI.MENOBR") {
                                    $formOferValoAgre->setCostoUnitario($this->cambioFormato($item->getPrecioValorUnitario()));
                                    $formOferValoAgre->setCostoTotal($this->cambioFormato($item->getPrecioValorGlobal()));
                                    $suma_costos += $item->getPrecioValorGlobal();
                                }
                                $formOferValoAgre->setValorOfertado($item->getPrecioValorGlobal());
                                $em->persist($formOferValoAgre);
                            }
                            if ($suma_costos) {
                                $lib = new NumerosALetras();
                                $numero_texto = $lib->ValorEnLetras($suma_costos, $this->traducir("generico.dolares"));
                                $formOfer->setValoagreTotalTexto($numero_texto);
                                $formOfer->setFechaFirmaOferta(date('Y-m-d'));
                                $formOfer->setValoagreTotal($this->cambioFormato($suma_costos));
                                $em->persist($formOfer);
                            }
                            $em->flush();
                        }
                    }
                }
            }
            $guardaPresupuesto = true;
            //Verifica si se realiz? una acci?n
            switch ($accion) {
                case "btn_prespuesto_formOferCantPrec":
                    $sumaTotales = 0;
                    $costo = 0;
                    if ($this->getCodTipoCompra() == "OBR") {
                        foreach ($costos_unitarios as $id => $costo) {
                            $sumaTotales += $this->cambioFormato($costos_totales[$id]);
                        }
                    }
                    //Validaci?n de subasta inversa
                    if ($this->getCodTipoPliego() == "PLI.SUBINV") {
                        if (is_numeric($this->arreglo_respuesta["requerimiento"]->getPrt())) {
                            $prt = (float) $this->arreglo_respuesta["requerimiento"]->getPrt();
                        } else {
                            $prt = (float) $this->decrip($this->arreglo_respuesta["requerimiento"]->getPrt());
                        }
                        if ($sumaTotales > $prt) {
                            $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoagre.pasaSubInv", "alert-warning");
                            break;
                        }
                    }
                    if ($guardaPresupuesto) {
                        $formOfer->setDescrubrFinal(true);
                        $em->persist($formOfer);
                        $em->flush();
                    }
                case "btn_prespuesto_formOferCantPrecTemp":
                    //Actualizo los costos
                    $suma_costos = 0;
                    if ($costos_unitarios) {
                        foreach ($costos_unitarios as $id => $costoUnitario) {
                            if (!is_null($costoUnitario) && !empty($costoUnitario) && trim($costoUnitario) != '') {
                                $formOferValoAgre = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($id);
                                $formOferValoAgre->setCostoUnitario((float) $this->cambioFormato($this->cambioFormato($costoUnitario)));
                                $formOferValoAgre->setCostoTotal((float) $this->cambioFormato($this->cambioFormato($costos_totales[$id])));
                                $formOferValoAgre->setA('');
                                $formOferValoAgre->setB('');
                                $formOferValoAgre->setC('');
                                $formOferValoAgre->setVaeOferta('');
                                $em->persist($formOferValoAgre);
                                $suma_costos += $this->cambioFormato($costos_totales[$id]);
                            } else {
                                $formOferValoAgre = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($id);
                                $formOferValoAgre->vaciar();
                                $em->persist($formOferValoAgre);
                                $guardaPresupuesto = false;
                            }
                        }
                    }
                    $em->flush();
                    //Guarda el total en numeros y letras
                    $lib = new NumerosALetras();
                    $numero_texto = $lib->ValorEnLetras($suma_costos, $this->traducir("generico.dolares"));
                    $formOfer->setValoagreTotalTexto($numero_texto);
                    $formOfer->setFechaFirmaOferta(date('Y-m-d'));
                    $formOfer->setValoagreTotal($this->cambioFormato($suma_costos));
                    //Actualiza el total
                    if ($suma_costos) {
                        //Actualizo el peso relativo
                        $peso_rela_total = 0;
                        foreach ($costos_totales as $id => $costoTotal) {
                            if (!empty($costoTotal)) {
                                $peso_rela = $this->cambioFormato($costos_totales[$id]) * 100 / $suma_costos;
                                $formOferValoAgre = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($id);
                                $formOferValoAgre->setPesoRelativo($peso_rela);
                                //Modifica el total VAEO si se cambio los 
                                if ($formOferValoAgre->getValorAe()) {
                                    $formOfer->setTotalVaeo($formOfer->getTotalVaeo() - $formOferValoAgre->getValorVaeo());
                                    $formOferValoAgre->setValorVaeo(number_format(($peso_rela * $formOferValoAgre->getValorAe()) / 100, 2));
                                    $formOfer->setTotalVaeo(number_format($formOfer->getTotalVaeo() + $formOferValoAgre->getValorVaeo(), 2));
                                }
                                $em->persist($formOferValoAgre);
                                $peso_rela_total += $peso_rela;
                            }
                        }
                        $formOfer->setTotalPesoRelativo($peso_rela_total);
                        $em->persist($formOfer);
                    } else {
                        $formOfer->setTotalPesoRelativo(0);
                    }
                    $em->flush();
                    if ($guardaPresupuesto) {
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferCostTota");
                    } else {
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferCostTota.noCero", "alert-warning");
                    }
                    break;
            }
            if (in_array($this->getCodTipoCompra(), array("OBR", "SER"))) {
                $arreglo_de_valoAgre = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferValoAgre p where p.formoferId=' . $formOfer->getId() . " order by p.etId ASC")->getResult(Query::HYDRATE_ARRAY);
            } else {
                $arreglo_de_valoAgre = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferValoAgre p,IncopMfcOfertasBundle:TmepEspeTecnicas q  where p.etId = q.id and p.formoferId=' . $formOfer->getId() . " and q.requerimientoId =" . $this->getClaveRequerimiento() . " order by q.idPartida")->getResult(Query::HYDRATE_ARRAY);
            }
            $arreglo_de_valoAgreIns = array();
            $arreglo_de_valoAgreIns2 = array();
            $es_total = 0;
            //Verifica si se debe mostrar la pantalla de participaci?n ecuatoriana
            $vacios = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaFormOferValoAgre p where ( p.costoUnitario<=0 or p.costoUnitario is null ) and p.formoferId=" . $formOfer->getId())->getResult();
            if ($vacios) {
                $this->arreglo_respuesta["muestra_partiecua"] = false;
            } else {
                $this->arreglo_respuesta["muestra_partiecua"] = true;
            }
            if ($this->getCodTipoCompra() != "OBR") {
                $arreglo_de_valoAgreIns = $em->createQuery('Select DISTINCT q.cpcNivel5  from IncopMfcOfertasBundle:TmoaFormOferValoAgre p,IncopMfcOfertasBundle:TmepEspeTecnicas q  where p.cpc = q.cpcNivel9 and p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
                $arreglo_de_valoAgreIns2 = $em->createQuery('Select DISTINCT p,q.cpcNivel5 from IncopMfcOfertasBundle:TmoaFormOferValoAgre p,IncopMfcOfertasBundle:TmepEspeTecnicas q  where p.cpc = q.cpcNivel9 and p.formoferId=' . $formOfer->getId() . " and q.requerimientoId =" . $this->getClaveRequerimiento() . " order by q.cpcNivel5")->getResult(Query::HYDRATE_ARRAY);
                $ins3 = false;
                $arreglo_de_valoAgreIns3 = array();
                $i = 0;
                foreach ($arreglo_de_valoAgreIns2 as $item) {
                    $ins3 = true;
                    if (!empty($item[0]['etId']) || !is_null($item[0]['etId'])) {
                        $partida = $em->createQuery('Select DISTINCT q.idPartida from IncopMfcOfertasBundle:TmepEspeTecnicas q where q.id=' . $item[0]['etId'])->getResult(Query::HYDRATE_ARRAY);
                        if ($partida) {
                            $arreglo_de_valoAgreIns3[$i]['idPartida'] = $partida[0]['idPartida'];
                            $i++;
                        }
                    }
                }
                $arreglo_de_valoAgreIns3 = array_unique($arreglo_de_valoAgreIns3, SORT_REGULAR);
                $arreglo_de_valoAgreIns4 = $em->createQuery("Select DISTINCT p.idPartida from IncopMfcOfertasBundle:TmepEspeTecnicas p where p.requerimientoId =" . $this->getClaveRequerimiento())->getResult(Query::HYDRATE_ARRAY);
                $arreglo_de_valoAgreIns4 = array_unique($arreglo_de_valoAgreIns4, SORT_REGULAR);
                if (count($arreglo_de_valoAgreIns3) == count($arreglo_de_valoAgreIns4)) {
                    $es_total = 1;
                }
            }
            $fechaRequerimiento = $em->createQuery('Select p.fecha from IncopMfcOfertasBundle:TmepRequerimientos p where p.id=' . $this->getClaveRequerimiento())->getResult(Query::HYDRATE_ARRAY);
            $catalogos = new CatalogosUtil();
            $fechaVae1 = $catalogos->buscarPorcodigo('FECHA_VAE_UMBRAL');
            $fechaVae2 = $catalogos->buscarPorcodigo('FECHA_VAE_UMBRAL_BYS');
            $fechaVae3 = $catalogos->buscarPorcodigo('FECHA_VAE_UMBRAL_BYS2');
            $fechaRequerimiento = strtotime($fechaRequerimiento[0]['fecha']);
            $fechaVae1 = strtotime($fechaVae1);
            $fechaVae2 = strtotime($fechaVae2);
            $fechaVae3 = strtotime($fechaVae3);
            $tipo_vae = 0;
            if ($fechaRequerimiento > $fechaVae1) {
                $tipo_vae = 1;
            }
            if ($fechaRequerimiento > $fechaVae2) {
                $tipo_vae = 2;
            }
            if ($fechaRequerimiento >= $fechaVae3) {
                $tipo_vae = 3;
            }
            //Consulta crea los campos
            $this->arreglo_respuesta["mensaje_valorAgre"] = "";
            $this->arreglo_respuesta["lst_TipoVae"] = $tipo_vae;
            for ($i = 0; $i < count($arreglo_de_valoAgre); $i++) {
                $descripcion = $arreglo_de_valoAgre[$i]['descripcion'];
                $descripcion = html_entity_decode($descripcion);
                $arreglo_de_valoAgre[$i]['descripcion'] = $descripcion;
            }
            $this->arreglo_respuesta["lst_formOferValoAgre"] = $arreglo_de_valoAgre;
            $this->arreglo_respuesta["lst_formOferValoAgreIns"] = $arreglo_de_valoAgreIns;
            $this->arreglo_respuesta["lst_formOferValoAgreIns2"] = $arreglo_de_valoAgreIns2;
            $this->arreglo_respuesta["es_total"] = $es_total;
            if ($this->getCodTipoCompra() != "OBR") {
                if ($ins3) {
                    $this->arreglo_respuesta["lst_formOferValoAgreIns3"] = $arreglo_de_valoAgreIns3;
                } else {
                    $this->arreglo_respuesta["lst_formOferValoAgreIns3"] = array();
                }
            }
        } else { //Retorna error cuando no existe un cat?logo
            $this->arreglo_respuesta["mensaje_valorAgre"] = $this->generaAlertaTrans("formofer.errorNoExisteRequerimiento", "alert-danger");
            $this->arreglo_respuesta["lst_formOferValoAgre"] = array();
            $this->arreglo_respuesta["lst_formOferValoAgreIns"] = array();
            $this->arreglo_respuesta["lst_formOferValoAgreIns2"] = array();
            $this->arreglo_respuesta["es_total"] = 0;
            if ($this->getCodTipoCompra() != "OBR") {
                $this->arreglo_respuesta["lst_formOferValoAgreIns3"] = array();
            }
        }
    }

    /**
     * Manipula los objetos de tipo FormOferOferEcon
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferOferEcon(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferOferEcon = $request->get("id_formOferOferEcon");
        $datosFormu = array();
        $accion = $request->get("accion");
        $em = $this->getDoctrine()->getManager();
        $Oferente = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferente")->find($this->getOferenteId());
        $tipoPersona = trim($Oferente->getTipoPersona());
        //Crea los datos fijos
        $data = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferOferEcon")->findBy(array("formoferId" => $formOfer->getId()));
        if (!$data) {
            $items = $this->catalogos()->listaOfertasEconomicas($tipoPersona);
            foreach ($items as $item) {
                $formOferOferEcon = new TmoaFormOferOferEcon();
                $formOferOferEcon->setEsPersonal(false);
                $formOferOferEcon->setFormoferId($formOfer->getId());
                $formOferOferEcon->setNombre($item["nombre"]);
                $formOferOferEcon->setTipoOfertaeconomica($item["codigo"]);
                $em->persist($formOferOferEcon);
                $em->flush();
            }
        }
        //Consulta o crea el objeto
        if ($id_formOferOferEcon) {
            $formOferOferEcon = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferOferEcon")->find($id_formOferOferEcon);
        } else {
            $formOferOferEcon = new TmoaFormOferOferEcon();
        }
        //Creo el formulario del objeto
        $datosFormu['formOferId'] = $formOfer->getId();
        $datosFormu['tipoPersona'] = $tipoPersona;
        $form = $this->createForm(new FormOferOferEconType(), $formOferOferEcon, array("formOferId" => $datosFormu));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferOferEcon":
                if ($formOferOferEcon) {
                    $form->handleRequest($request);
                    $formOferOferEcon->setFormoferId($formOfer->getId());
                    $formOferOferEcon->setValor($this->cambioFormato($formOferOferEcon->getValor()));
                    $em->persist($formOferOferEcon);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferOferEcon");
                    //Calcula el total en n?meros y letras
                    $total_totales = 0;
                    $valores = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferOferEcon")->findBy(array("formoferId" => $formOfer->getId()));
                    foreach ($valores as $item) {
                        $total_totales += (float) $item->getValor();
                    }
                    if ($formOfer) {
                        $lib = new NumerosALetras();
                        $numero_texto = $lib->ValorEnLetras($total_totales, $this->traducir("generico.dolares"));
                        $formOfer->setValooferTotalTexto($numero_texto);
                        $formOfer->setValooferTotal($total_totales);
                        $em->persist($formOfer);
                        $em->flush();
                    }
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferOferEcon", "alert-danger");
                }
                break;
            case "btn_elimina_formOferOferEcon":
                if ($formOferOferEcon) {
                    $em->remove($formOferOferEcon);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.elimnaFormOferOferEcon");
                    //Calcula el total en n?meros y letras
                    $total_totales = 0;
                    $valores = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferOferEcon")->findBy(array("formoferId" => $formOfer->getId()));
                    foreach ($valores as $item) {
                        $total_totales += $item->getValor();
                    }
                    if ($formOfer) {
                        $lib = new NumerosALetras();
                        $numero_texto = $lib->ValorEnLetras($total_totales, $this->traducir("generico.dolares"));
                        $formOfer->setValooferTotalTexto($numero_texto);
                        $formOfer->setValooferTotal($total_totales);
                        $em->persist($formOfer);
                        $em->flush();
                    }
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorElimnaFormOferOferEcon", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferOferEcon p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferOferEcon"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferOferEcon"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferOferEcon"] = $form->createView();
    }

    ////////////////////cambios ushay para mostrar Otros Requerimientos Resueltos por la entidad

    /**
     * Manipula los objetos de tipo OtrosParametrosResueltosPorLaEntidad
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferOtrosParametros(TmoaFormOfer $formOfer, Request $request) {
        $formOfer = '';
        //Inicia las variables principales       
        $id_formOferOtrosParametros = $request->get('id_formOtrosParametros');
        $accion = $request->get("accion");
        $idOferta = $this->getClaveRequerimiento();
        $em = $this->getDoctrine()->getManager();
        if ($id_formOferOtrosParametros) {
            $formOferOtrosParametros = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepOtrosParametros")->find($id_formOferOtrosParametros);
        } else {
            $formOferOtrosParametros = new TmepOtrosParametros();
        }
        //Creo el formulario del objeto              
        $form = $this->createForm(new FormOtrosParametrosType(), $formOferOtrosParametros, array("requerimientoId" => $idOferta));
        //Verifica si se realiz? una acci?n       
        switch ($accion) {
            case "btn_agrega_formOtrosParametros":
                if ($formOferOtrosParametros) {
                    $form->handleRequest($request);
                    $formOferOtrosParametros->setRequerimientoId($idOferta);
                    $formOferOtrosParametros->setMedioOferente($request->get('medioOferente'));
                    $em->persist($formOferOtrosParametros);
                    $em->flush();
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepOtrosParametros p where p.requerimientoId= ' . $idOferta)->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_OtrosParametros"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_OtrosParametros"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_OtrosParametros"] = $form->createView();
    }

    /**
     * Actualiza el valor de SI o NO de un bien o servicio
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function actualizaOpcionesBienServAction(Request $request) {
        $id = $request->get("id");
        $texto = $request->get("valor");
        $em = $this->getDoctrine()->getManager();
        $formOferBienServ = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferBienServ")->find($id);
        if ($formOferBienServ) {
            $formOferBienServ->setObservaciones($texto);
            $em->persist($formOferBienServ);
            $em->flush();
            $resul = "S";
        } else {
            $resul = "N";
        }
        $return = array("responseCode" => 200, "response" => $resul);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Actualiza el nombre del anexo
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function actualizaAnexoNombreAction(Request $request) {
        $texto = $request->get("texto");
        $em = $this->getDoctrine()->getManager();
        $query_ofer = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p where p.contratacionesId=' . $this->getClaveContratacion())->getResult();
        if ($query_ofer) {
            $formOfer = $query_ofer[0];
            $formOfer->setAnexoNombre($texto);
            $em->persist($formOfer);
            $em->flush();
            $resul = "S";
        } else {
            $resul = "N";
        }
        $return = array("responseCode" => 200, "response" => $resul);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Actualiza los costos unitarios
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOferValoAgre $formOferValoAgre
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param type $costoUnitario
     */
    private function actualizaCostoUnit(TmoaFormOferValoAgre $formOferValoAgre, TmoaFormOfer $formOfer, $costoUnitario) {
        $em = $this->getDoctrine()->getManager();
        $et = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepEspeTecnicas")->find($formOferValoAgre->getEtId());
        $costoTotal = $costoUnitario * $et->getCantidad();
        $formOferValoAgre->setCostoUnitario($this->cambioFormato($costoUnitario));
        $formOferValoAgre->setCostoTotal($this->cambioFormato($costoTotal));
        $em->persist($formOferValoAgre);
        $em->flush();
        //Calcula el total de totales
        $total_totales = 0;
        $arreglo = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findByFormoferId($formOferValoAgre->getFormoferId());
        foreach ($arreglo as $item) {
            $total_totales += $item->getCostoTotal();
        }
        $pesoRelativo = 0;
        if ($total_totales !== 0) {
            $pesoRelativo = $costoTotal * 100.0 / $total_totales;
        }
        $formOferValoAgre->setPesoRelativo($pesoRelativo);
        $em->persist($formOferValoAgre);
        $em->flush();
        //Guarda el total en numeros y letras
        $lib = new NumerosALetras();
        $numero_texto = $lib->ValorEnLetras($total_totales, $this->traducir("generico.dolares"));
        $formOfer->setValoagreTotalTexto($numero_texto);
        $formOfer->setFechaFirmaOferta(date('Y-m-d'));
        $formOfer->setValoagreTotal($this->cambioFormato($total_totales));
        $em->persist($formOfer);
        $em->flush();
    }

    /**
     * guarda e? valor agregado ecuatoriano
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function guardarVAEAction(TmoaFormOfer $formOfer, Request $request) {
        //inicializo variables
        $em = $this->getDoctrine()->getManager();
        $accion = $request->get("accion");
        $id = $request->get('hid_idReg');
        $aCalc = $request->get('A_VAE_CALC');
        $bCalc = $request->get('B_VAE_CALC');
        $cCalc = $request->get('C_VAE_CALC');
        $dCalc = $request->get('D_VAE_CALC');
        $eCalc = $request->get('E_VAE_CALC');
        $sumaCalc = $request->get('SUMA_VAE_CALC');
        $valorA = $request->get('importar');
        if ($valorA == '-') {
            $valorA = 0;
        }
        $valorB = $request->get('comprar');
        if ($valorB == '-') {
            $valorB = 0;
        }
        $valorC = $request->get('oferta');
        if ($valorC == '' || is_null($valorC) || empty($valorC)) {
            $valorC = $request->get('ofertaC');
        }
        $valorVAE = $request->get('valorVae');
        $tipoAdju = $request->get('tipoAjud');
        $optionSI = $request->get('optionSI');
        $es_total = $request->get('es_total');
        $cpc5 = '';
        $partida = '';
        $errorIngreso = false;
        if ($tipoAdju == 'P') {
            $seccion = explode("-", $accion);
            if ($seccion[0] == 'btn_guardarVAE') {
                $accion = $seccion[0];
                $cpc5 = $seccion[1];
                $cpc5P = $seccion[1] . "-" . $seccion[2];
                $partida = $seccion[2];
                $valorA = $request->get('importar_' . $cpc5P);
                if ($valorA == '-') {
                    $valorA = 0;
                }
                $valorB = $request->get('comprar_' . $cpc5P);
                if ($valorB == '-') {
                    $valorB = 0;
                }
                $valorC = $request->get('oferta_' . $cpc5P);
                $opSiVAE = $request->get('optionSI_' . $cpc5P);
                if ($valorC == '' || is_null($valorC) || empty($valorC)) {
                    $valorC = $request->get('ofertaC_' . $cpc5P);
                }
                $patrón = '/\./';
                $sustitución = '';
                $valorA = preg_replace($patrón, $sustitución, $valorA);
                $valorB = preg_replace($patrón, $sustitución, $valorB);
                $valorC = preg_replace($patrón, $sustitución, $valorC);
                $patrón = '/\,/';
                $sustitución = '.';
                $valorA = preg_replace($patrón, $sustitución, $valorA);
                $valorB = preg_replace($patrón, $sustitución, $valorB);
                $valorC = preg_replace($patrón, $sustitución, $valorC);
                if ($valorC) {
                    $suma = (float) $valorA + (float) $valorB;
                    $valorVAE = (1 - ($suma / $valorC)) * 100;
                    $places = 2;
                    $power = pow(10, $places);
                    if ($valorVAE > 0) {
                        $valorVAE = floor($valorVAE * $power) / $power;
                    } else {
                        $valorVAE = 0;
                    }
                }
                if ($valorA == '' || is_null($valorA) || empty($valorA)) {
                    $valorA = 0;
                }
                if ($valorB == '' || is_null($valorB) || empty($valorB)) {
                    $valorB = 0;
                }
                if ($valorC == '' || is_null($valorC) || empty($valorC)) {
                    $valorC = 0;
                }
                if ($valorVAE == '' || is_null($valorVAE) || empty($valorVAE)) {
                    $valorVAE = 0;
                }
            }
        }
        if ($optionSI == 'NO') {
            if ($valorA == '' || is_null($valorA) || empty($valorA)) {
                $errorIngreso = true;
            }
            if ($valorB == '' || is_null($valorB) || empty($valorB)) {
                $errorIngreso = true;
            }
        }
        $sumaPorcCostoTotal = $this->cambioFormato($sumaCalc);
        try {
            if ($sumaPorcCostoTotal > 100) {
                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.mayorCosto", "alert-danger");
            } else {
                if ($accion === 'guardarPorcenVAE') {
                    $em = $this->getDoctrine()->getManager();
                    $VAE = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($id);
                    if ($VAE) {
                        $VAE->setValorAcalc($this->cambioFormato($aCalc, ',', '.'));
                        $VAE->setValorBcalc($this->cambioFormato($bCalc, ',', '.'));
                        $VAE->setValorCcalc($this->cambioFormato($cCalc, ',', '.'));
                        $VAE->setValorDcalc($this->cambioFormato($dCalc, ',', '.'));
                        $VAE->setValorEcalc($this->cambioFormato($eCalc, ',', '.'));
                        $VAE->setValorAe($this->cambioFormato($sumaCalc, ',', '.')); //Calcula el total de totales
                        $total_totales = 0;
                        $idFormOfer = $VAE->getFormoferId();
                        $arreglo = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findByFormoferId($idFormOfer);
                        foreach ($arreglo as $item) {
                            $total_totales += (float) $item->getCostoTotal();
                        }
                        $pesoRelativo = 0;
                        if ($total_totales !== 0) {
                            foreach ($arreglo as $item) {
                                $item->setPesoRelativo($item->getCostoTotal() * 100.0 / $total_totales);
                                $em->persist($item);
                                $em->flush();
                            }
                        }
                        $arreglo = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($id);
                        $pr1 = $arreglo->getPesoRelativo();
                        $valor1 = $this->cambioFormato($sumaCalc, ',', '.');
                        $valor2 = $this->cambioFormato($pr1, ',', '.');
                        $VAE->setValorVaeo(number_format(($valor1 * $valor2) / 100, 2));
                        $em->persist($VAE);
                        $em->flush();
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.guardado");
                    } else {
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.noExiste", "alert-danger");
                    }
                }
                if ($accion === 'btn_guardarVAE') {
                    $em = $this->getDoctrine()->getManager();
                    if ($tipoAdju == 'T') {
                        $VAE = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findBy(array("formoferId" => $formOfer->getId()));
                        if ($VAE) {
                            foreach ($VAE as $item) {
                                if ($valorA == '') {
                                    $item->setA($this->cambioFormato(0, ',', '.'));
                                } else {
                                    $item->setA($this->cambioFormato($valorA, ',', '.'));
                                }
                                if ($valorB == '') {
                                    $item->setB($this->cambioFormato(0, ',', '.'));
                                } else {
                                    $item->setB($this->cambioFormato($valorB, ',', '.'));
                                }
                                if ($valorC == '') {
                                    $item->setC($this->cambioFormato(0, ',', '.'));
                                } else {
                                    $item->setC($this->cambioFormato($valorC, ',', '.'));
                                }
                                if ($valorVAE == '' || is_null($valorVAE) || empty($valorVAE)) {
                                    $item->setVaeOferta($this->cambioFormato(0, ',', '.'));
                                } else {
                                    $item->setVaeOferta($this->cambioFormato($valorVAE, ',', '.'));
                                }
                                if ($optionSI == 'SI') {
                                    $item->setEsIntermediario('1');
                                    $item->setVaeOferta($this->cambioFormato(0, ',', '.'));
                                    if ($this->getCodTipoPliego() == 'PLI.SUBINV') {
                                        $item->setC($this->cambioFormato(0, ',', '.'));
                                    }
                                } else {
                                    $item->setEsIntermediario('0');
                                }
                                if ($item->getA() === 0 && $item->getB() === 0 && $optionSI == 'SI') {
                                    $errorIngreso = false;
                                }
                                if (trim($item->getCostoUnitario()) != '' && $errorIngreso == false) {
                                    $em->persist($item);
                                    $em->flush();
                                } else {
                                    $item->setA('');
                                    $item->setB('');
                                    $item->setC('');
                                    $item->setVaeOferta('');
                                    $item->setEsIntermediario('');
                                    $errorIngreso = true;
                                }
                            }
                            if ($errorIngreso) {
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("generico.verificar.valores", "alert-danger");
                            } else {
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.guardado");
                            }
                        } else {
                            $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.noExiste", "alert-danger");
                        }
                    }
                    if ($tipoAdju == 'P') {
                        if ($es_total == 1) {
                            $VAE = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findBy(array("formoferId" => $formOfer->getId()));
                            if ($VAE) {
                                foreach ($VAE as $item) {
                                    if ($valorA == '') {
                                        $item->setA($this->cambioFormato(0, ',', '.'));
                                    } else {
                                        $item->setA($this->cambioFormato($valorA, ',', '.'));
                                    }
                                    if ($valorB == '') {
                                        $item->setB($this->cambioFormato(0, ',', '.'));
                                    } else {
                                        $item->setB($this->cambioFormato($valorB, ',', '.'));
                                    }
                                    if ($valorC == '') {
                                        $item->setC($this->cambioFormato(0, ',', '.'));
                                    } else {
                                        $item->setC($this->cambioFormato($valorC, ',', '.'));
                                    }
                                    if ($valorVAE == '' || is_null($valorVAE) || empty($valorVAE)) {
                                        $item->setVaeOferta($this->cambioFormato(0, ',', '.'));
                                    } else {
                                        $item->setVaeOferta($this->cambioFormato($valorVAE, ',', '.'));
                                    }
                                    if ($opSiVAE == 'SI') {
                                        $item->setEsIntermediario('1');
                                        $item->setVaeOferta($this->cambioFormato(0, ',', '.'));
                                        if ($this->getCodTipoPliego() == 'PLI.SUBINV') {
                                            $item->setC($this->cambioFormato(0, ',', '.'));
                                        }
                                    } else {
                                        $item->setEsIntermediario('0');
                                    }
                                    if (trim($item->getCostoUnitario()) != '' && $errorIngreso == false) {
                                        $em->persist($item);
                                        $em->flush();
                                    } else {
                                        $item->setA('');
                                        $item->setB('');
                                        $item->setC('');
                                        $item->setVaeOferta('');
                                        $item->setEsIntermediario('');
                                        $errorIngreso = true;
                                    }
                                }
                                if ($errorIngreso) {
                                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("generico.verificar.valores", "alert-danger");
                                } else {
                                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.guardado");
                                }
                            } else {
                                $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.noExiste", "alert-danger");
                            }
                        } else {
                            $arregloCPC = $em->createQuery('Select p.id from IncopMfcOfertasBundle:TmepEspeTecnicas p where p.requerimientoId=' . $this->getClaveRequerimiento() . " and p.cpcNivel5=" . $cpc5 . " and p.idPartida=" . $partida)->getResult();
                            foreach ($arregloCPC as $item) {
                                $etId = $item['id'];
                                $VAE = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findBy(array("formoferId" => $formOfer->getId(), "etId" => $etId));
                                if ($VAE) {
                                    foreach ($VAE as $item) {
                                        if ($valorA == '') {
                                            $item->setA($this->cambioFormato(0, ',', '.'));
                                        } else {
                                            $item->setA($this->cambioFormato($valorA, ',', '.'));
                                        }
                                        if ($valorB == '') {
                                            $item->setB($this->cambioFormato(0, ',', '.'));
                                        } else {
                                            $item->setB($this->cambioFormato($valorB, ',', '.'));
                                        }
                                        if ($valorC == '') {
                                            $item->setC($this->cambioFormato(0, ',', '.'));
                                        } else {
                                            $item->setC($this->cambioFormato($valorC, ',', '.'));
                                        }
                                        if ($valorVAE == '' || is_null($valorVAE) || empty($valorVAE)) {
                                            $item->setVaeOferta($this->cambioFormato(0, ',', '.'));
                                        } else {
                                            $item->setVaeOferta($this->cambioFormato($valorVAE, ',', '.'));
                                        }
                                        if ($opSiVAE == 'SI') {
                                            $item->setEsIntermediario('1');
                                            $item->setVaeOferta($this->cambioFormato(0, ',', '.'));
                                            if ($this->getCodTipoPliego() == 'PLI.SUBINV') {
                                                $item->setC($this->cambioFormato(0, ',', '.'));
                                            }
                                        } else {
                                            $item->setEsIntermediario('0');
                                        }
                                        if (trim($item->getCostoUnitario()) != '' && $errorIngreso == false) {
                                            $em->persist($item);
                                            $em->flush();
                                        } else {
                                            $item->setA('');
                                            $item->setB('');
                                            $item->setC('');
                                            $item->setVaeOferta('');
                                            $item->setEsIntermediario('');
                                            $errorIngreso = true;
                                        }
                                    }
                                    if ($errorIngreso) {
                                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("generico.verificar.valores", "alert-danger");
                                    } else {
                                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.guardado");
                                    }
                                } else {
                                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.noExiste", "alert-danger");
                                }
                            }
                        }
                    }
                }
                if ($accion === 'agregarVAERubro') {
                    $vaeR = $request->get("vaeR");
                    $idVaeR = $request->get("idVaeR");
                    $em = $this->getDoctrine()->getManager();
                    $VAE = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($idVaeR);
                    if ($VAE) {
                        $totalOfertado = null;
                        $idFormOfer = $VAE->getFormoferId();
                        $formOfer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOfer")->find($idFormOfer);
                        if ($formOfer) {
                            $totalOfertado = $formOfer->getValooferTotal();
                        }
                        if ($totalOfertado) {
                            $costoTotal = $VAE->getCostoTotal();
                            if ($totalOfertado) {
                                $pesoRelativo = ($costoTotal / $totalOfertado) * 100;
                            } else {
                                $pesoRelativo = 0;
                            }
                            $VAE->setPorcenRubroLo($pesoRelativo);
                            $vaeRCambio = $this->cambioFormato($vaeR, ',', '.');
                            $VAE->setVaeRubroLo($vaeRCambio);
                            $calculo = $vaeRCambio * $pesoRelativo;
                            $VAE->setVapemLo($calculo);
                            $em->persist($VAE);
                            $em->flush();
                            $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.guardado");
                        } else {
                            $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("comproSubontraRubro.mensaje.sinTotalRubros", "alert-danger");
                        }
                    } else {
                        $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.valoragre.noExiste", "alert-danger");
                    }
                }
            }
        } catch (\Exception $e) {
            $this->generarLogError($e);
            $mensaje = "Error al guardar<br>";
            $mensaje = $this->generaAlerta($mensaje, "alert-danger");
            $this->arreglo_respuesta["mensaje"] = $mensaje;
        }
        //Guarda el total de VAEOs
        $total_vaeo = 0;
        $arreglo = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findBy(array("formoferId" => $formOfer->getId()));
        foreach ($arreglo as $item) {
            $total_vaeo += number_format((float) $item->getValorVaeo(), 2);
        }
        $formOfer->setTotalVaeo($total_vaeo);
        $em->persist($formOfer);
        $em->flush();
    }

    /**
     * Manipula los objetos de tipo FormOferValoAgreDet
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferValoAgreCro(TmoaFormOfer $formOfer, Request $request) {
        $em = $this->getDoctrine()->getManager();
        $id_formofer_valoagre = $request->get("id_formofer_valoagre");
        $valores = $request->get("valor_formofer_valoagre_cro");
        $porcentajes = $request->get("porcentaje_formofer_valoagre_cro");
        $accion = $request->get("accion");
        $form = $request->get("form");
        switch ($accion) {
            case "btn_agregar_formofer_valoagre_cro":
                if ($valores) {
                    foreach ($valores as $orden => $valor) {
                        if (!empty($valor)) {
                            $em->createQuery("update IncopMfcOfertasBundle:TmoaFormOferValoAgreCro p set p.valor=" . $this->cambioFormato($valor) . ", p.porcentaje='" . $this->cambioFormato($porcentajes[$orden]) . "', p.porcentaje2d='" . number_format($this->cambioFormato($porcentajes[$orden]), 2) . "' where p.orden=" . $orden . " and p.formoferValoagreId=" . $id_formofer_valoagre)->execute();
                        } else {
                            $em->createQuery("update IncopMfcOfertasBundle:TmoaFormOferValoAgreCro p set p.valor=null, p.porcentaje=0 where p.orden=" . $orden . " and p.formoferValoagreId=" . $id_formofer_valoagre)->execute();
                        }
                    }
                    $em->flush();
                    $this->calculaTotalesCronograma($formOfer);
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.crontot.actualizado");
                }
                break;
            case "btn_cambia_tipoFechaCronograma":
                if ($form) {
                    $em->createQuery("Delete from IncopMfcOfertasBundle:TmoaFormOferValoAgreCro p where p.formoferValoagreId in (Select c from IncopMfcOfertasBundle:TmoaFormOferValoAgre c where c.formoferId=" . $formOfer->getId() . ")")->execute();
                    $em->createQuery("Delete from IncopMfcOfertasBundle:TmoaFormOferCronTot p where p.formoferId=" . $formOfer->getId() . "")->execute();
                    $formOfer->setTipoFechaCronograma($form["tipoFechaCronograma"]);
                    $em->persist($formOfer);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.crontot.cambiado");
                }
                break;
        }
        $lista = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaFormOferValoAgreCro p where p.formoferValoagreId in (Select c from IncopMfcOfertasBundle:TmoaFormOferValoAgre c where c.formoferId=" . $formOfer->getId() . ")")->getResult(2);
        if (!$lista) {
            $plazo = $this->arreglo_respuesta["requerimiento"]->getPlazoEjec();
            //Calcula los periodos
            if ($plazo > 90) {
                $plazo = ceil($plazo / 30);
                $formOfer->setTipoFechaCronograma("M");
            } else {
                if ($formOfer->getTipoFechaCronograma() == "M") {
                    $plazo = ceil($plazo / 30);
                    $formOfer->setTipoFechaCronograma("M");
                } else {
                    $plazo = ceil($plazo / 7);
                    $formOfer->setTipoFechaCronograma("S");
                }
            }
            $formOfer->setTotalPeriodos($plazo);
            $em->persist($formOfer);
            $em->flush();
            //Calcula los cronogramas
            $formoferValoAgre = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findByFormoferId($formOfer->getId());
            for ($i = 0; $i < $plazo; $i++) {
                foreach ($formoferValoAgre as $valoAgre) {
                    $cronograma = new TmoaFormOferValoAgreCro();
                    $cronograma->setFormoferValoagreId($valoAgre->getId());
                    $cronograma->setOrden($i + 1);
                    $em->persist($cronograma);
                }
                $cronTot = new TmoaFormOferCronTot();
                $cronTot->setFormoferId($formOfer->getId());
                $cronTot->setOrden($i + 1);
                $em->persist($cronTot);
            }
            $em->flush();
        }
        $listaTot = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaFormOferCronTot p where p.formoferId=" . $formOfer->getId())->getResult(2);
        if ($this->arreglo_respuesta["requerimiento"]->getPlazoEjec() > 90) {
            $this->arreglo_respuesta["frm_cro"] = $this->createFormBuilder($formOfer)
                    ->add('tipoFechaCronograma', 'choice', array("required" => false, "choices" => $this->getCatalogos()->retornaCatalogoLista("tipo_fecha_cronograma"), "attr" => array("class" => "form-control input-sm")))
                    ->getForm()
                    ->createView();
        } else {
            $this->arreglo_respuesta["frm_cro"] = $this->createFormBuilder($formOfer)
                    ->add('tipoFechaCronograma', 'choice', array("required" => false, "choices" => $this->getCatalogos()->retornaCatalogoLista("tipo_fecha_cronograma_90"), "attr" => array("class" => "form-control input-sm")))
                    ->getForm()
                    ->createView();
        }
        $this->arreglo_respuesta["lst_formofer_valoagre_cro"] = $lista;
        $this->arreglo_respuesta["lst_formofer_crontot"] = $listaTot;
        if (isset($_SESSION["_sf2_attributes"]["tmpOfertaIdCreacion"])) {
            if ($_SESSION["_sf2_attributes"]["tmpOfertaIdCreacion"] == "EO") {
                $this->arreglo_respuesta["lst_formofer_eo"] = 1; //Reutilizacion
            } else {
                $this->arreglo_respuesta["lst_formofer_eo"] = 0;
            }
        } else {
            $this->arreglo_respuesta["lst_formofer_eo"] = 0;
        }
    }

    /**
     * M?todo que calcula el total en los cronogramas
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     */
    private function calculaTotalesCronograma(TmoaFormOfer $formOfer) {
        $em = $this->getDoctrine()->getManager();
        //Elimino registros actuales
        //Guardo los nuevos valores
        $inversionAcumulada = 0;
        $avanceAcumulado = 0;
        $total = (float) $formOfer->getValoagreTotal();
        for ($i = 1; $i <= $formOfer->getTotalPeriodos(); $i++) {
            $sumatoria = $em->createQuery("select sum(p.valor) as valor_total from IncopMfcOfertasBundle:TmoaFormOferValoAgreCro p where p.formoferValoagreId in (Select c from IncopMfcOfertasBundle:TmoaFormOferValoAgre c where c.formoferId=" . $formOfer->getId() . ") and p.orden=" . $i)->getResult();
            $inversionParcial = (float) $sumatoria[0]["valor_total"];
            if ($total != 0) {
                $avanceParcial = $inversionParcial * 100 / $total;
            } else {
                $avanceParcial = 0;
            }
            $inversionAcumulada += $inversionParcial;
            $avanceAcumulado += $avanceParcial;
            //Creo un nuevo
            $formOferCron = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferCronTot")->findOneBy(array("formoferId" => $formOfer->getId(), "orden" => $i));
            $formOferCron->setInversionParcial($inversionParcial);
            $formOferCron->setAvanceParcial($avanceParcial);
            $formOferCron->setInversionAcumulada($inversionAcumulada);
            $formOferCron->setAvanceAcumulado($avanceAcumulado);
            $em->persist($formOferCron);
            $em->flush();
        }
    }

    /**
     * Actualiza los costos unitarios por ajax
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function actualizaCostoUnitAction(Request $request) {
        $id = $request->get("id");
        $costoUnitario = $request->get("valor");
        $em = $this->getDoctrine()->getManager();
        $formOferValoAgre = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($id);
        if ($formOferValoAgre) {
            $et = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepEspeTecnicas")->find($formOferValoAgre->getEtId());
            $costoTotal = $costoUnitario * $et->getCantidad();
            $formOferValoAgre->setCostoUnitario($this->cambioFormato($costoUnitario));
            $formOferValoAgre->setCostoTotal($this->cambioFormato($costoTotal));
            $em->persist($formOferValoAgre);
            $em->flush();
            //Calcula el total de totales
            $total_totales = 0;
            $arreglo = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findByFormoferId($formOferValoAgre->getFormoferId());
            foreach ($arreglo as $item) {
                $total_totales += (float) $item->getCostoTotal();
            }
            $pesoRelativo = 0;
            $pesosRelativos = array();
            if ($total_totales !== 0) {
                foreach ($arreglo as $item) {
                    $item->setPesoRelativo($item->getCostoTotal() * 100.0 / $total_totales);
                    $em->persist($item);
                    $em->flush();
                    $pesosRelativos[$item->getId()] = number_format($item->getPesoRelativo(), 2, ",", ".");
                }
                $pesoRelativo = $costoTotal * 100.0 / $total_totales;
            }
            $formOfer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOfer")->findOneByContratacionesId($this->getClaveContratacion());
            if ($formOfer) {
                $lib = new NumerosALetras();
                $numero_texto = $lib->ValorEnLetras($total_totales, $this->traducir("generico.dolares"));
                $formOfer->setValoagreTotalTexto($numero_texto);
                $formOfer->setFechaFirmaOferta(date('Y-m-d'));
                $formOfer->setValoagreTotal($this->cambioFormato($total_totales));
                $em->persist($formOfer);
                $em->flush();
            }
            //Calcula el total de los pesos relativos
            $total_relativos = 0;
            $arreglo2 = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findByFormoferId($formOferValoAgre->getFormoferId());
            foreach ($arreglo2 as $item) {
                $total_relativos += (float) $item->getPesoRelativo();
            }
            $formOfer->setTotalPesoRelativo($total_relativos);
            $em->persist($formOfer);
            $em->flush();
            //Actualizo el valor de VAE si existe
            $existeVae = false;
            $arr_vae = array();
            $VAE = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($id);
            if ($VAE) {
                $existeVae = true;
                $a = (float) $VAE->getValorA();
                $b = (float) $VAE->getValorB();
                $c = (float) $VAE->getValorC();
                $d = (float) $VAE->getValorD();
                $e = (float) $VAE->getValorE();
                $sumaCalc = (($a / $costoTotal) * 100) + (($b / $costoTotal) * 100) + (($c / $costoTotal) * 100) + (($d / $costoTotal) * 100) + (($e / $costoTotal) * 100);
                $VAE->setValorAcalc($this->cambioFormato(($a / $costoTotal) * 100, ',', '.'));
                $VAE->setValorBcalc($this->cambioFormato(($b / $costoTotal) * 100, ',', '.'));
                $VAE->setValorCcalc($this->cambioFormato(($c / $costoTotal) * 100, ',', '.'));
                $VAE->setValorDcalc($this->cambioFormato(($d / $costoTotal) * 100, ',', '.'));
                $VAE->setValorEcalc($this->cambioFormato(($e / $costoTotal) * 100, ',', '.'));
                $VAE->setValorAe($this->cambioFormato($sumaCalc, ',', '.'));
                $valor1 = $this->cambioFormato($sumaCalc, ',', '.');
                $VAE->setValorVaeo(number_format(($valor1 * $pesoRelativo) / 100, 2));
                $em->persist($VAE);
                $em->flush();
                $arr_vae = array(
                    "a" => number_format($VAE->getValorAcalc(), 2, ",", "."),
                    "b" => number_format($VAE->getValorBcalc(), 2, ",", "."),
                    "c" => number_format($VAE->getValorCcalc(), 2, ",", "."),
                    "d" => number_format($VAE->getValorDcalc(), 2, ",", "."),
                    "e" => number_format($VAE->getValorEcalc(), 2, ",", "."),
                    "ae" => number_format($VAE->getValorAe(), 2, ",", "."),
                    "vaeo" => number_format($VAE->getValorVaeo(), 2, ",", "."),
                );
            }
            //Actualiza el total de VAEOS
            $vaeos = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->findBy(array("formoferId" => $formOfer->getId()));
            $sumatoria = 0;
            foreach ($vaeos as $item) {
                $sumatoria += (float) $item->getValorVaeo();
            }
            $formOfer->setTotalVaeo($sumatoria);
            $em->persist($formOfer);
            $em->flush();
            $resul = 200;
            $data = array("costo_total" => number_format($costoTotal, 5, ",", "."),
                "pesos_relativos" => $pesosRelativos,
                "costo_total_total" => number_format($total_totales, 5, ",", "."),
                "costo_total_letras" => $numero_texto,
                "peso_relativo_total" => number_format($total_relativos, 2, ",", "."),
                "vae" => $arr_vae,
                "total_vaeo" => number_format($sumatoria, 2, ",", "."),
            );
        } else {
            $data = array();
            $resul = -1;
        }
        $return = array("responseCode" => $resul, "response" => $data);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Actualiza los costos unitarios por ajax
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function valorCpcAction(Request $request) {
        $valor = $request->get("valor");
        $valorCpc = '';
        $resul = 200;
        if (is_numeric($valor)) {
            $valorCpc = $valor;
        } else {
            $valorCpc = $this->decrip($valor);
        }
        $data = array("valorCpc" => $valorCpc,
        );
        $return = array("responseCode" => $resul, "response" => $data);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Manipula los objetos de tipo FormOferEquiAsig
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     * @param \Symfony\Component\HttpFoundation\Request $>request
     * @param array $this->arreglo_respuesta
     */
    private function generaFormOferEquiAsig(TmoaFormOfer $formOfer, Request $request) {
        //Inicia las variables principales
        $id_formOferEquiAsig = $request->get("id_formOferEquiAsig");
        $accion = $request->get("accion");
        $em = $this->getDoctrine()->getManager();
        //Genera los equipos que vienen desde el pliego
        $equiAsigLst = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferEquiAsig")->findByFormoferId($formOfer->getId());
        if (!$equiAsigLst) {
            $equiMini = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepEquipoMinimo")->findByRequerimientoId($this->getClaveRequerimiento());
            foreach ($equiMini as $equiMiniItem) {
                $equiAsigLst = new TmoaFormOferEquiAsig();
                $equiAsigLst->setFormoferId($formOfer->getId());
                $equiAsigLst->setDetalle($equiMiniItem->getDescripcion());
                $equiAsigLst->setEsDePliego(true);
                $em->persist($equiAsigLst);
                $em->flush();
            }
        }
        //Consulta o crea el objeto
        if ($id_formOferEquiAsig) {
            $formOferEquiAsig = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferEquiAsig")->find($id_formOferEquiAsig);
        } else {
            $formOferEquiAsig = new TmoaFormOferEquiAsig();
        }
        //Creo el formulario del objeto
        $form = $this->createForm(new FormOferEquiAsigType(), $formOferEquiAsig, array("formOferId" => $formOfer->getId()));
        //Verifica si se realiz? una acci?n
        switch ($accion) {
            case "btn_agrega_formOferEquiAsig":
                if ($formOferEquiAsig) {
                    $form->handleRequest($request);
                    $formOferEquiAsig->setFormoferId($formOfer->getId());
                    $em->persist($formOferEquiAsig);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.agregaFormOferEquiAsig");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorAgregaFormOferEquiAsig", "alert-danger");
                }
                break;
            case "btn_elimina_formOferEquiAsig":
                if ($formOferEquiAsig) {
                    $em->remove($formOferEquiAsig);
                    $em->flush();
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.elimnaFormOferEquiAsig");
                } else {
                    $this->arreglo_respuesta["mensaje"] = $this->generaAlertaTrans("formofer.errorElimnaFormOferEquiAsig", "alert-danger");
                }
                break;
        }
        $arreglo_de_retorno = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferEquiAsig p where p.formoferId=' . $formOfer->getId())->getResult(Query::HYDRATE_ARRAY);
        $this->arreglo_respuesta["lst_formOferEquiAsig"] = $arreglo_de_retorno;
        $this->arreglo_respuesta["json_formOferEquiAsig"] = json_encode($arreglo_de_retorno);
        $this->arreglo_respuesta["frm_formOferEquiAsig"] = $form->createView();
    }

    /**
     * 
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function actualizaValorOfertadoAction(Request $request) {
        $id = $request->get("id");
        $valorOfertadoText = (float) $request->get("valor");
        $em = $this->getDoctrine()->getManager();
        $formOferValoAgre = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOferValoAgre")->find($id);
        if ($formOferValoAgre) {
            $totalEqmomatr = (float) $formOferValoAgre->getTotalEqmomatr();
            if ($totalEqmomatr >= $valorOfertadoText) {
                $formOferValoAgre->setValorOfertado($valorOfertadoText);
                $em->persist($formOferValoAgre);
                $em->flush();
                $this->actualizaFormOferTotalOfertado($em);
                $resul = 200;
                $data = number_format($formOferValoAgre->getValorOfertado(), 5, ",", ".");
            } else {
                $resul = 300;
                $data = "Mayor";
            }
        } else {
            $data = null;
            $resul = -1;
        }
        $return = array("responseCode" => $resul, "response" => $data);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Actualiza el total ofertado
     * @param type $em
     * @param \Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer $formOfer
     */
    private function actualizaFormOferTotalOfertado($em, TmoaFormOfer $formOfer = null) {
        //Actualiza el total de formofer el valor ofertado
        $query_ofer = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p where p.contratacionesId=' . $this->getClaveContratacion())->getResult();
        if ($query_ofer) {
            $formOfer = $query_ofer[0];
        }
        if ($formOfer) {
            $lib = new NumerosALetras();
            $suma_valorOfertado = $em->createQuery("select sum(p.valorOfertado) as suma from IncopMfcOfertasBundle:TmoaFormOferValoAgre p where p.formoferId=" . $formOfer->getId())->getResult();
            $numero_texto = $lib->ValorEnLetras($suma_valorOfertado[0]["suma"], $this->traducir("generico.dolares"));
            $formOfer->setValooferTotal($suma_valorOfertado[0]["suma"]);
            $formOfer->setValooferTotalTexto($numero_texto);
            $em->persist($formOfer);
            $em->flush();
        }
    }
}
