<?php

namespace Incop\Mfc\OfertasBundle\Controller;

use Incop\Mfc\Utils\MfcControlador;
use nusoap_client;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

class ServiciosOfertaController extends MfcControlador {

    /**
     * Carga el cronograma del soce
     * @param \Symfony\Component\HttpFoundation\Request $request
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function cargarCronogramaOfertaAction(Request $request) {
        $request = '';
        $em = $this->getDoctrine()->getManager();
        $mensaje = "";
        $servicioCalendario = $this->container->getParameter('direccion_ws_calendario');
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepPliegos p where p.requerimientoId=" . $this->getClaveRequerimiento());
        $pliego = $query->getOneOrNullResult();
        $codigo = $pliego->getCodigoProceso();
        $client = new nusoap_client($servicioCalendario, true);
        $parametros = array(
            'codigo' => $codigo
        );
        $cronograma = $client->call('MuestraCronograma', $parametros);
        if (is_array($cronograma) && count($cronograma) > 0) {
            $em->createQuery("delete from IncopMfcOfertasBundle:TmoaCronogramaSoce o where o.formoferId=" . $this->getIdFormOfer())->execute();
            foreach ($cronograma as $cron) {
                $cronsoce = new \Incop\Mfc\OfertasBundle\Entity\TmoaCronogramaSoce();
                $cronsoce->setDetalleFecha($cron["detalle_fecha"]);
                $cronsoce->setFechaHora($cron["fecha_hora"]);
                $cronsoce->setDescripcion($cron["descripcion"]);
                $cronsoce->setFormoferId($this->getIdFormOfer());
                $em->persist($cronsoce);
            }
            $em->flush();
            $return = array("responseCode" => 200, "response" => "");
        } else {
            $mensaje = $this->traducir('generico.error.cronograma');
            $return = array("responseCode" => 400, "response" => $mensaje);
        }
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

}
