<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use DateTime;
use Doctrine\ORM\Mapping as ORM;

/**
 * TmepContrataciones
 *
 * @ORM\Table(name="TMEP_CONTRATACIONES")
 * @ORM\Entity
 */
class TmepContrataciones {

    /**
     * @var float
     *
     * @ORM\Column(name="INSTITUCION_ID", type="decimal", nullable=true)
     */
    private $institucionId;

    /**
     * @var float
     *
     * @ORM\Column(name="CAT_PLIEGO_ID", type="decimal", nullable=true)
     */
    private $catPliegoId;

    /**
     * @var string
     *
     * @ORM\Column(name="CAT_PLIEGO_NOMBRE", type="string", nullable=true)
     */
    private $catPliegoNombre;

    /**
     * @var string
     *
     * @ORM\Column(name="FECHA", type="string", nullable=true)
     */
    private $fecha;

    /**
     * @var string
     *
     * @ORM\Column(name="COD_PROC", type="string", nullable=true)
     */
    private $codProc;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION", type="string", nullable=true)
     */
    private $descripcion;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION_OFERTA", type="string", nullable=true)
     */
    private $descripcionOferta;

    /**
     * @var string
     *
     * @ORM\Column(name="IDENTIFICADOR", type="string", nullable=true)
     */
    private $identificador;

    /**
     * @var boolean
     *
     * @ORM\Column(name="ACTIVO", type="boolean", nullable=true)
     */
    private $activo;

    /**
     *
     * @var TmepPliegos
     */
    private $pliego;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     *
     * @var integer 
     */
    private $oferenteId;

    /**
     * @var string
     *
     * @ORM\Column(name="ENTIDAD_CALIFICACION", type="string", nullable=true)
     */
    private $entidadCalificacion;

    /**
     * @var string
     *
     * @ORM\Column(name="MAX_AUT_CALIFICACION", type="string", nullable=true)
     */
    private $maxAutCalificacion;

    function __construct($data = null) {
        if ($data != null) {
            $this->institucionId = isset($data['INSTITUCION_ID']) ? $data['INSTITUCION_ID'] : null;
            $this->catPliegoId = isset($data['CAT_PLIEGO_ID']) ? $data['CAT_PLIEGO_ID'] : null;
            $this->catPliegoNombre = isset($data['CAT_PLIEGO_NOMBRE']) ? $data['CAT_PLIEGO_NOMBRE'] : null;
            $this->fecha = date('Y-m-d');
            $this->codProc = isset($data['COD_PROC']) ? $data['COD_PROC'] : null;
            $this->descripcion = isset($data['DESCRIPCION']) ? $data['DESCRIPCION'] : null;
            $this->identificador = isset($data['IDENTIFICADOR']) ? $data['IDENTIFICADOR'] : null;
            $this->descripcionOferta = isset($data['DESCRIPCION_OFERTA']) ? $data['DESCRIPCION_OFERTA'] : null;
            $this->oferenteId = isset($data['OFERENTE_ID']) ? $data['OFERENTE_ID'] : null;
            $this->entidadCalificacion = isset($data['ENTIDAD_CALIFICACION']) ? $data['ENTIDAD_CALIFICACION'] : null;
            $this->maxAutCalificacion = isset($data['MAX_AUT_CALIFICACION']) ? $data['MAX_AUT_CALIFICACION'] : null;
        }
    }

    public function getOferenteId() {
        return $this->oferenteId;
    }

    public function setOferenteId($oferenteId) {
        $this->oferenteId = $oferenteId;
    }

    /**
     * Set pliego
     *
     * @param TmepPliegos $pliego
     * @return TmepContrataciones
     */
    public function setPliego($pliego) {
        $this->pliego = $pliego;
        return $this;
    }

    /**
     * Get pliego
     *
     * @return TmepPliegos 
     */
    public function getPliego() {
        return $this->pliego;
    }

    /**
     * Set institucionId
     *
     * @param float $institucionId
     * @return TmepContrataciones
     */
    public function setInstitucionId($institucionId) {
        $this->institucionId = intval($institucionId);
        return $this;
    }

    /**
     * Get institucionId
     *
     * @return float 
     */
    public function getInstitucionId() {
        return $this->institucionId;
    }

    /**
     * Set catPliegoId
     *
     * @param float $catPliegoId
     * @return TmepContrataciones
     */
    public function setCatPliegoId($catPliegoId) {
        $this->catPliegoId = $catPliegoId;
        return $this;
    }

    /**
     * Get catPliegoId
     *
     * @return float 
     */
    public function getCatPliegoId() {
        return $this->catPliegoId;
    }

    /**
     * Set catPliegoNombre
     *
     * @param String $catPliegoNombre
     * @return TmepContrataciones
     */
    public function setCatPliegoNombre($catPliegoNombre) {
        $this->catPliegoNombre = $catPliegoNombre;
        return $this;
    }

    /**
     * Get catPliegoId
     *
     * @return String 
     */
    public function getCatPliegoNombre() {
        return $this->catPliegoNombre;
    }

    /**
     * Set fecha
     *
     * @param DateTime $fecha
     * @return TmepContrataciones
     */
    public function setFecha($fecha) {
        $this->fecha = $fecha;
        return $this;
    }

    /**
     * Get fecha
     *
     * @return DateTime 
     */
    public function getFecha() {
        return $this->fecha;
    }

    /**
     * Set codProc
     *
     * @param string $codProc
     * @return TmepContrataciones
     */
    public function setCodProc($codProc) {
        $this->codProc = $codProc;
        return $this;
    }

    /**
     * Get codProc
     *
     * @return string 
     */
    public function getCodProc() {
        return $this->codProc;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepContrataciones
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string 
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set descripcionOferta
     *
     * @param string $descripcionOferta
     * @return TmepContrataciones
     */
    public function setDescripcionOferta($descripcionOferta) {
        $this->descripcionOferta = $descripcionOferta;
        return $this;
    }

    /**
     * Get descripcionOferta
     *
     * @return string 
     */
    public function getDescripcionOferta() {
        return $this->descripcionOferta;
    }

    /**
     * Set identificador
     *
     * @param string $identificador
     * @return TmepContrataciones
     */
    public function setIdentificador($identificador) {
        $this->identificador = $identificador;
        return $this;
    }

    /**
     * Get identificador
     *
     * @return string 
     */
    public function getIdentificador() {
        return $this->identificador;
    }

    /**
     * Set activo
     *
     * @param string $activo
     * @return TmepContrataciones
     */
    public function setActivo($activo) {
        $this->activo = $activo;
        return $this;
    }

    /**
     * Get activo
     *
     * @return string 
     */
    public function getActivo() {
        return $this->activo;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set entidadCalificacion
     *
     * @param string $entidadCalificacion
     * @return TmepContrataciones
     */
    public function setEntidadCalificacion($entidadCalificacion) {
        $this->entidadCalificacion = $entidadCalificacion;
        return $this;
    }

    /**
     * Get entidadCalificacion
     *
     * @return string 
     */
    public function getEntidadCalificacion() {
        return $this->entidadCalificacion;
    }

    /**
     * Set maxAutCalificacion
     *
     * @param string $maxAutCalificacion
     * @return TmepContrataciones
     */
    public function setMaxAutCalificacion($maxAutCalificacion) {
        $this->maxAutCalificacion = $maxAutCalificacion;
        return $this;
    }

    /**
     * Get maxAutCalificacion
     *
     * @return string 
     */
    public function getMaxAutCalificacion() {
        return $this->maxAutCalificacion;
    }

}
