<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\ORM\EntityManager;

/**
 * TmepEquipoMinimo
 *
 * @ORM\Table(name="TMEP_EQUIPOMINIMO")
 * @ORM\Entity
 */
class TmepEquipoMinimo {

    function __construct($data = null) {
        if ($data) {
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->descripcion = isset($data['DESCRIPCION']) ? $data['DESCRIPCION'] : null;
            $this->cantidad = isset($data['CANTIDAD']) ? $data['CANTIDAD'] : null;
            $this->equipoEspecial = isset($data['EQUIPOESPECIAL']) ? $data['EQUIPOESPECIAL'] : null;
            $this->orden = isset($data['ORDEN']) ? $data['ORDEN'] : null;
            $this->caracteristicas = isset($data['CARACTERISTICAS']) ? $data['CARACTERISTICAS'] : null;
            $this->numeroMatricula = isset($data['NUMERO_MATRICULA']) ? $data['NUMERO_MATRICULA'] : null;
        }
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="integer")
     */
    private $requerimientoId;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION", type="text")
     */
    private $descripcion;

    /**
     * @var integer
     *
     * @ORM\Column(name="CANTIDAD", type="integer")
     */
    private $cantidad;

    /**
     * @var string
     *
     * @ORM\Column(name="EQUIPOESPECIAL", type="string", length=1)
     */
    private $equipoEspecial;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDEN", type="integer")
     */
    private $orden;

    /**
     * @var string
     *
     * @ORM\Column(name="CARACTERISTICAS", type="string")
     */
    private $caracteristicas;

    /**
     * @var string
     *
     * @ORM\Column(name="NUMERO_MATRICULA", type="string")
     */
    private $numeroMatricula;

    /**
     * Set requerimientoId
     *
     * @param integer $requerimientoId
     * @return TmepEquipoMinimo
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return integer 
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepEquipoMinimo
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string 
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set cantidad
     *
     * @param integer $cantidad
     * @return TmepEquipoMinimo
     */
    public function setCantidad($cantidad) {
        $this->cantidad = intval($cantidad);
        return $this;
    }

    /**
     * Get cantidad
     *
     * @return integer 
     */
    public function getCantidad() {
        return $this->cantidad;
    }

    /**
     * Set equipoEspecial
     *
     * @param string $equipoEspecial
     * @return TmepEquipoMinimo
     */
    public function setEquipoEspecial($equipoEspecial) {
        $this->equipoEspecial = $equipoEspecial;
        return $this;
    }

    /**
     * Get equipoEspecial
     *
     * @return string 
     */
    public function getEquipoEspecial() {
        return $this->equipoEspecial;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function setOrden($orden) {
        $this->orden = intval($orden);
        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function getOrden() {
        return $this->orden;
    }

    /**
     * get caracteristicas
     * 
     * @return string
     */
    public function getCaracteristicas() {
        return $this->caracteristicas;
    }

    /**
     * set caracteristicas
     * @param string $caracteristicas
     * @return \Incop\Mfc\OfertasBundle\Entity\TmepEquipoMinimo
     */
    public function setCaracteristicas($caracteristicas) {
        $this->caracteristicas = $caracteristicas;
        return $this;
    }

    /**
     * Get numeroMatricula
     * 
     * @return string
     */
    public function getNumeroMatricula() {
        return $this->numeroMatricula;
    }

    /**
     * Set numeroMatricula
     * 
     * @param string $numeroMatricula
     * @return \Incop\Mfc\OfertasBundle\Entity\TmepEquipoMinimo
     */
    public function setNumeroMatricula($numeroMatricula) {
        $this->numeroMatricula = $numeroMatricula;
        return $this;
    }

    public function buscaOrdenMaximo($tdrsId, EntityManager $em) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmepEquipoMinimo d WHERE d.tdrsId = ' . $tdrsId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (\Doctrine\ORM\NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

}
