<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepEspeTecDet
 *
 * @ORM\Table(name="TMEP_ESPE_TEC_DET")
 * @ORM\Entity
 */
class TmepEspeTecDet {

    /**
     * @var float
     *
     * @ORM\Column(name="ESPECIFICACION_ID", type="decimal", nullable=false)
     */
    private $especificacionId;

    /**
     * @var string
     *
     * @ORM\Column(name="CARACTERISTICA", type="string", nullable=false)
     */
    private $caracteristica;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDINAL", type="integer", nullable=false)
     */
    private $ordinal;

    /**
     * @var string
     *
     * @ORM\Column(name="VALOR_REQUISITO", type="string", nullable=true)
     */
    private $valorRequisito;

    /**
     * @var string
     *
     * @ORM\Column(name="VALOR_CONDICION", type="string", nullable=true)
     */
    private $valorCondicion;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALOR_CANTIDAD", type="string", nullable=true)
     */
    private $valorCantidad;

    /**
     * @var string
     *
     * @ORM\Column(name="VALOR_UNIDAD", type="string", nullable=true)
     */
    private $valorUnidad;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    function __construct($datos = null) {
        if ($datos) {
            $this->especificacionId = isset($datos['ESPECIFICACION_ID']) ? $datos['ESPECIFICACION_ID'] : null;
            $this->caracteristica = isset($datos['CARACTERISTICA']) ? $datos['CARACTERISTICA'] : null;
            $this->ordinal = isset($datos['ORDINAL']) ? $datos['ORDINAL'] : null;
            $this->valorRequisito = isset($datos['VALOR_REQUISITO']) ? $datos['VALOR_REQUISITO'] : null;
            $this->valorCondicion = isset($datos['VALOR_CONDICION']) ? $datos['VALOR_CONDICION'] : null;
            $this->valorCantidad = isset($datos['VALOR_CANTIDAD']) ? $datos['VALOR_CANTIDAD'] : null;
            $this->valorUnidad = isset($datos['VALOR_UNIDAD']) ? $datos['VALOR_UNIDAD'] : null;
        }
    }

    /**
     * Set especificacionId
     *
     * @param float $especificacionId
     * @return TmepEspeTecDet
     */
    public function setEspecificacionId($especificacionId) {
        $this->especificacionId = intval($especificacionId);

        return $this;
    }

    /**
     * Get especificacionId
     *
     * @return float
     */
    public function getEspecificacionId() {
        return $this->especificacionId;
    }

    /**
     * Set caracteristica
     *
     * @param string $caracteristica
     * @return TmepEspeTecDet
     */
    public function setCaracteristica($caracteristica) {
        $this->caracteristica = $caracteristica;
        return $this;
    }

    /**
     * Get caracteristica
     *
     * @return string
     */
    public function getCaracteristica() {
        return $this->caracteristica;
    }

    /**
     * Set ordinal
     *
     * @param integer $ordinal
     * @return TmepEspeTecDet
     */
    public function setOrdinal($ordinal) {
        $this->ordinal = intval($ordinal);
        return $this;
    }

    /**
     * Get ordinal
     *
     * @return integer
     */
    public function getOrdinal() {
        return $this->ordinal;
    }

    /**
     * Set valorRequisito
     *
     * @param string $valorRequisito
     * @return TmepEspeTecDet
     */
    public function setValorRequisito($valorRequisito) {
        $this->valorRequisito = $valorRequisito;
        return $this;
    }

    /**
     * Get valorRequisito
     *
     * @return string
     */
    public function getValorRequisito() {
        return $this->valorRequisito;
    }

    /**
     * Set valorCondicion
     *
     * @param string $valorCondicion
     * @return TmepEspeTecDet
     */
    public function setValorCondicion($valorCondicion) {
        $this->valorCondicion = $valorCondicion;
        return $this;
    }

    /**
     * Get valorCondicion
     *
     * @return string
     */
    public function getValorCondicion() {
        return $this->valorCondicion;
    }

    /**
     * Set valorCantidad
     *
     * @param integer $valorCantidad
     * @return TmepEspeTecDet
     */
    public function setValorCantidad($valorCantidad) {
        $this->valorCantidad = $valorCantidad;
        return $this;
    }

    /**
     * Get valorCantidad
     *
     * @return integer
     */
    public function getValorCantidad() {
        return $this->valorCantidad;
    }

    /**
     * Set valorUnidad
     *
     * @param string $valorUnidad
     * @return TmepEspeTecDet
     */
    public function setValorUnidad($valorUnidad) {
        $this->valorUnidad = $valorUnidad;
        return $this;
    }

    /**
     * Get valorUnidad
     *
     * @return string
     */
    public function getValorUnidad() {
        return $this->valorUnidad;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

}
