<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepEspeTecVt
 *
 * @ORM\Table(name="TMEP_ESPE_TEC_VT")
 * @ORM\Entity
 */
class TmepEspeTecVt {

    /**
     * @var float
     *
     * @ORM\Column(name="ESPECIFICACION_ID", type="decimal", nullable=false)
     */
    private $especificacionId;
    private $mantenimientoCorrectivo;
    private $mantenimientoPreventivo;
    private $garantiaTecnicaFabricante;
    private $garantiaVidaUtil;
    private $reposicionTemporal;
    private $recompra;
    private $tiempoVidaUtil;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    function __construct($datos = null) {
        if ($datos) {
            $this->especificacionId = isset($datos['ESPECIFICACION_ID']) ? $datos['ESPECIFICACION_ID'] : null;
            $this->tiempoVidaUtil = isset($datos['TIEMPO_VIDA_UTIL']) ? $datos['TIEMPO_VIDA_UTIL'] : null;
            $this->recompra = isset($datos['RECOMPRA']) ? $datos['RECOMPRA'] : null;
            $this->reposicionTemporal = isset($datos['REPOSICION_TEMPORAL']) ? $datos['REPOSICION_TEMPORAL'] : null;
            $this->garantiaVidaUtil = isset($datos['GARANTIA_TEC_VU']) ? $datos['GARANTIA_TEC_VU'] : null;
            $this->garantiaTecnicaFabricante = isset($datos['GARANTIA_TEC_FAB']) ? $datos['GARANTIA_TEC_FAB'] : null;
            $this->mantenimientoPreventivo = isset($datos['MANTENIMIENTO_PREV']) ? $datos['MANTENIMIENTO_PREV'] : null;
            $this->mantenimientoCorrectivo = isset($datos['MANTENIMIENTO_CORR']) ? $datos['MANTENIMIENTO_CORR'] : null;
        }
    }

    public function getTiempoVidaUtil() {
        return $this->tiempoVidaUtil;
    }

    public function setTiempoVidaUtil($tiempoVidaUtil) {
        $this->tiempoVidaUtil = $tiempoVidaUtil;
    }

    public function getEspecificacionId() {
        return $this->especificacionId;
    }

    public function setEspecificacionId($especificacionId) {
        $this->especificacionId = $especificacionId;
    }

    public function getMantenimientoCorrectivo() {
        return $this->mantenimientoCorrectivo;
    }

    public function setMantenimientoCorrectivo($mantenimientoCorrectivo) {
        $this->mantenimientoCorrectivo = $mantenimientoCorrectivo;
    }

    public function getMantenimientoPreventivo() {
        return $this->mantenimientoPreventivo;
    }

    public function setMantenimientoPreventivo($mantenimientoPreventivo) {
        $this->mantenimientoPreventivo = $mantenimientoPreventivo;
    }

    public function getGarantiaTecnicaFabricante() {
        return $this->garantiaTecnicaFabricante;
    }

    public function setGarantiaTecnicaFabricante($garantiaTecnicaFabricante) {
        $this->garantiaTecnicaFabricante = $garantiaTecnicaFabricante;
    }

    public function getGarantiaVidaUtil() {
        return $this->garantiaVidaUtil;
    }

    public function setGarantiaVidaUtil($garantiaVidaUtil) {
        $this->garantiaVidaUtil = $garantiaVidaUtil;
    }

    public function getReposicionTemporal() {
        return $this->reposicionTemporal;
    }

    public function setReposicionTemporal($reposicionTemporal) {
        $this->reposicionTemporal = $reposicionTemporal;
    }

    public function getRecompra() {
        return $this->recompra;
    }

    public function setRecompra($recompra) {
        $this->recompra = $recompra;
    }

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

}
