<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepEspeTecnicas
 *
 * @ORM\Table(name="TMEP_ESPE_TECNICAS")
 * @ORM\Entity
 */
class TmepEspeTecnicas {

    /**
     * @var float
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="decimal", nullable=true)
     */
    private $requerimientoId;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDINAL", type="integer", nullable=false)
     */
    private $ordinal;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION", type="string", nullable=false)
     */
    private $descripcion;

    /**
     * @var float
     *
     * @ORM\Column(name="CANTIDAD", type="decimal", nullable=false)
     */
    private $cantidad;

    /**
     * @var string
     *
     * @ORM\Column(name="UNIDADES", type="string", nullable=false)
     */
    private $unidades;

    /**
     * @var float
     *
     * @ORM\Column(name="PRECIO_REF_UNITARIO", type="decimal", nullable=false)
     */
    private $precioRefUnitario;

    /**
     * @var float
     *
     * @ORM\Column(name="PRECIO_REF_SUBTOTAL", type="decimal", nullable=false)
     */
    private $precioRefSubtotal;

    /**
     * @var string
     *
     * @ORM\Column(name="CPC_NIVEL9", type="string", nullable=true)
     */
    private $cpcNivel9;

    /**
     * @var string
     *
     * @ORM\Column(name="CPC9_DESCRIPCION", type="string", nullable=true)
     */
    private $descripcionCpc9;

    /**
     * @var string
     *
     * @ORM\Column(name="CPC_NIVEL5", type="string", nullable=true)
     */
    private $cpcNivel5;

    /**
     * @var boolean
     *
     * @ORM\Column(name="REQUISITO", type="boolean", nullable=true)
     */
    private $requisito;

    /**
     * @var boolean
     *
     * @ORM\Column(name="CONDICION", type="boolean", nullable=true)
     */
    private $condicion;

    /**
     * @var boolean
     *
     * @ORM\Column(name="CANTIDAD_DETALLE", type="boolean", nullable=true)
     */
    private $cantidadDetalle;

    /**
     * @var boolean
     *
     * @ORM\Column(name="UNIDAD", type="boolean", nullable=true)
     */
    private $unidad;

    /**
     * @var boolean
     *
     * @ORM\Column(name="VIGENCIA_TECNOLOGICA", type="boolean", nullable=true)
     */
    private $vigenciaTecnologica;

    /**
     * @var float
     *
     * @ORM\Column(name="PESO_REL_RUBRO", type="decimal", nullable=true)
     */
    private $pesoRelativoRubro;

    /**
     * @var float
     *
     * @ORM\Column(name="AGREGADO_EC_RUBRO", type="decimal", nullable=true)
     */
    private $agregadoEcuatorianoRubro;

    /**
     * @var float
     *
     * @ORM\Column(name="AGREGADO_EC_PONDER", type="decimal", nullable=false)
     */
    private $agregadoEcuatorianoPonderado;
    private $servicio;
    private $cpcRelacionado;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_COMPRA", type="string", nullable=true)
     */
    private $tipoCompra;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID_PARTIDA", type="integer", nullable=false)
     *
     */
    private $idPartida;

    /**
     * @var decimal
     *
     * @ORM\Column(name="VAE_PONDERADO", type="decimal", nullable=true)
     */
    private $vaePonderado;

    function __construct($datos = null) {
        if ($datos) {
            $this->requerimientoId = isset($datos['REQUERIMIENTO_ID']) ? $datos['REQUERIMIENTO_ID'] : null;
            $this->ordinal = isset($datos['ORDINAL']) ? $datos['ORDINAL'] : null;
            $this->descripcion = isset($datos['DESCRIPCION']) ? $datos['DESCRIPCION'] : null;
            $this->cantidad = isset($datos['CANTIDAD']) ? $datos['CANTIDAD'] : null;
            $this->unidades = isset($datos['UNIDADES']) ? $datos['UNIDADES'] : null;
            $this->precioRefUnitario = isset($datos['PRECIO_REF_UNITARIO']) ? $datos['PRECIO_REF_UNITARIO'] : null;
            $this->precioRefSubtotal = isset($datos['PRECIO_REF_SUBTOTAL']) ? $datos['PRECIO_REF_SUBTOTAL'] : null;
            $this->cpcNivel9 = isset($datos['CPC_NIVEL9']) ? $datos['CPC_NIVEL9'] : null;
            $this->descripcionCpc9 = isset($datos['CPC9_DESCRIPCION']) ? $datos['CPC9_DESCRIPCION'] : null;
            $this->pesoRelativoRubro = isset($datos['PESO_REL_RUBRO']) ? $datos['PESO_REL_RUBRO'] : null;
            $this->agregadoEcuatorianoRubro = isset($datos['AGREGADO_EC_RUBRO']) ? $datos['AGREGADO_EC_RUBRO'] : null;
            $this->agregadoEcuatorianoPonderado = isset($datos['AGREGADO_EC_PONDER']) ? $datos['AGREGADO_EC_PONDER'] : null;
            $this->cpcNivel5 = isset($datos['CPC_NIVEL5']) ? $datos['CPC_NIVEL5'] : null;
            $this->requisito = isset($datos['REQUISITO']) ? $datos['REQUISITO'] : null;
            $this->condicion = isset($datos['CONDICION']) ? $datos['CONDICION'] : null;
            $this->cantidadDetalle = isset($datos['CANTIDAD_DETALLE']) ? $datos['CANTIDAD_DETALLE'] : null;
            $this->unidad = isset($datos['UNIDAD']) ? $datos['UNIDAD'] : null;
            $this->vigenciaTecnologica = isset($datos['VIGENCIA_TECNOLOGICA']) ? $datos['VIGENCIA_TECNOLOGICA'] : null;
            $this->servicio = isset($datos['SERVICIO']) ? $datos['SERVICIO'] : null;
            $this->cpcRelacionado = isset($datos['CPC_RELACIONADO']) ? $datos['CPC_RELACIONADO'] : null;
            $this->tipoCompra = isset($datos['TIPO_COMPRA']) ? $datos['TIPO_COMPRA'] : null;
            $this->idPartida = isset($datos['ID_PARTIDA']) ? $datos['ID_PARTIDA'] : null;
            $this->vaePonderado = isset($datos['VAE_PONDERADO']) ? $datos['VAE_PONDERADO'] : NULL;
        }
    }

    public function getServicio() {
        return $this->servicio;
    }

    public function setServicio($servicio) {
        $this->servicio = $servicio;
        return $this;
    }

    public function getCpcRelacionado() {
        return $this->cpcRelacionado;
    }

    public function setCpcRelacionado($cpcRelacionado) {
        $this->cpcRelacionado = $cpcRelacionado;
        return $this;
    }

    /**
     * Set requerimientoId
     *
     * @param float $requerimientoId
     * @return TmepEspeTecnicas
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);

        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return float
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set ordinal
     *
     * @param integer $ordinal
     * @return TmepEspeTecnicas
     */
    public function setOrdinal($ordinal) {
        $this->ordinal = intval($ordinal);
        return $this;
    }

    /**
     * Get ordinal
     *
     * @return integer
     */
    public function getOrdinal() {
        return $this->ordinal;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepEspeTecnicas
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set cantidad
     *
     * @param integer $cantidad
     * @return TmepEspeTecnicas
     */
    public function setCantidad($cantidad) {
        $this->cantidad = $cantidad;
        return $this;
    }

    /**
     * Get cantidad
     *
     * @return integer
     */
    public function getCantidad() {
        return $this->cantidad;
    }

    /**
     * Set unidades
     *
     * @param string $unidades
     * @return TmepEspeTecnicas
     */
    public function setUnidades($unidades) {
        $this->unidades = $unidades;
        return $this;
    }

    /**
     * Get unidades
     *
     * @return string
     */
    public function getUnidades() {
        return $this->unidades;
    }

    /**
     * Set precioRefUnitario
     *
     * @param float $precioRefUnitario
     * @return TmepEspeTecnicas
     */
    public function setPrecioRefUnitario($precioRefUnitario) {
        $this->precioRefUnitario = $precioRefUnitario;
        return $this;
    }

    /**
     * Get precioRefUnitario
     *
     * @return float
     */
    public function getPrecioRefUnitario() {
        return $this->precioRefUnitario;
    }

    /**
     * Set precioRefSubtotal
     *
     * @param float $precioRefSubtotal
     * @return TmepEspeTecnicas
     */
    public function setPrecioRefSubtotal($precioRefSubtotal) {
        $this->precioRefSubtotal = $precioRefSubtotal;
        return $this;
    }

    /**
     * Get precioRefSubtotal
     *
     * @return float
     */
    public function getPrecioRefSubtotal() {
        return $this->precioRefSubtotal;
    }

    /**
     * Set cpcNivel9
     *
     * @param string $cpcNivel9
     * @return TmepEspeTecnicas
     */
    public function setCpcNivel9($cpcNivel9) {
        $this->cpcNivel9 = $cpcNivel9;
        return $this;
    }

    /**
     * Get cpcNivel9
     *
     * @return string
     */
    public function getCpcNivel9() {
        return $this->cpcNivel9;
    }

    /**
     * Set descripcionCpc9
     *
     * @param string $descripcionCpc9
     * @return TmepEspeTecnicas
     */
    public function setDescripcionCpc9($descripcionCpc9) {
        $this->descripcionCpc9 = $descripcionCpc9;
        return $this;
    }

    /**
     * Get descripcionCpc9
     *
     * @return string
     */
    public function getDescripcionCpc9() {
        return $this->descripcionCpc9;
    }

    /**
     * Set cpcNivel5
     *
     * @param string $cpcNivel5
     * @return TmepEspeTecnicas
     */
    public function setCpcNivel5($cpcNivel5) {
        $this->cpcNivel5 = $cpcNivel5;
        return $this;
    }

    /**
     * Get cpcNivel5
     *
     * @return string
     */
    public function getCpcNivel5() {
        return $this->cpcNivel5;
    }

    /**
     * Set requisito
     *
     * @param boolean $requisito
     * @return TmepEspeTecnicas
     */
    public function setRequisito($requisito) {
        $this->requisito = $requisito;
        return $this;
    }

    /**
     * Get requisito
     *
     * @return boolean
     */
    public function getRequisito() {
        return $this->requisito;
    }

    /**
     * Set condicion
     *
     * @param boolean $condicion
     * @return TmepEspeTecnicas
     */
    public function setCondicion($condicion) {
        $this->condicion = $condicion;
        return $this;
    }

    /**
     * Get condicion
     *
     * @return boolean
     */
    public function getCondicion() {
        return $this->condicion;
    }

    /**
     * Set cantidadDetalle
     *
     * @param boolean $cantidadDetalle
     * @return TmepEspeTecnicas
     */
    public function setCantidadDetalle($cantidadDetalle) {
        $this->cantidadDetalle = $cantidadDetalle;
        return $this;
    }

    /**
     * Get cantidadDetalle
     *
     * @return boolean
     */
    public function getCantidadDetalle() {
        return $this->cantidadDetalle;
    }

    /**
     * Set unidad
     *
     * @param boolean $unidad
     * @return TmepEspeTecnicas
     */
    public function setUnidad($unidad) {
        $this->unidad = $unidad;
        return $this;
    }

    /**
     * Get unidad
     *
     * @return boolean
     */
    public function getUnidad() {
        return $this->unidad;
    }

    /**
     * Set vigenciaTecnologica
     *
     * @param integer $vigenciaTecnologica
     * @return TmepEspeTecnicas
     */
    public function setVigenciaTecnologica($vigenciaTecnologica) {
        $this->vigenciaTecnologica = intval($vigenciaTecnologica);
        return $this;
    }

    /**
     * Get vigenciaTecnologica
     *
     * @return integer
     */
    public function getVigenciaTecnologica() {
        return $this->vigenciaTecnologica;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set pesoRelativoRubro
     *
     * @param float $pesoRelativoRubro
     * @return TmepEspeTecnicas
     */
    public function setPesoRelativoRubro($pesoRelativoRubro) {
        $this->pesoRelativoRubro = $pesoRelativoRubro;
        return $this;
    }

    /**
     * Get precioRefUnitario
     *
     * @return float
     */
    public function getPesoRelativoRubro() {
        return $this->pesoRelativoRubro;
    }

    /**
     * Set agregadoEcuatorianoRubro
     *
     * @param float $agregadoEcuatorianoRubro
     * @return TmepEspeTecnicas
     */
    public function setAgregadoEcuatorianoRubro($agregadoEcuatorianoRubro) {
        $this->agregadoEcuatorianoRubro = $agregadoEcuatorianoRubro;
        return $this;
    }

    /**
     * Get agregadoEcuatorianoRubro
     *
     * @return float
     */
    public function getAgregadoEcuatorianoRubro() {
        return $this->agregadoEcuatorianoRubro;
    }

    /**
     * Set agregadoEcuatorianoPonderado
     *
     * @param float $agregadoEcuatorianoPonderado
     * @return TmepEspeTecnicas
     */
    public function setAgregadoEcuatorianoPonderado($agregadoEcuatorianoPonderado) {
        $this->agregadoEcuatorianoPonderado = $agregadoEcuatorianoPonderado;
        return $this;
    }

    /**
     * Get agregadoEcuatorianoPonderado
     *
     * @return float
     */
    public function getAgregadoEcuatorianoPonderado() {
        return $this->agregadoEcuatorianoPonderado;
    }

    /**
     * Set tipoCompra
     *
     * @param string $tipoCompra
     * @return TmepEspeTecnicas
     */
    public function setTipoCompra($tipoCompra) {
        $this->tipoCompra = $tipoCompra;

        return $this;
    }

    /**
     * Get tipoCompra
     *
     * @return string
     */
    public function getTipoCompra() {
        return $this->tipoCompra;
    }

    public function setVaePonderado($vaePonderado) {
        $this->vaePonderado = $vaePonderado;
    }

    public function getVaePonderado() {
        return $this->vaePonderado;
    }

    public function setIdPartida($idPartida) {
        $this->idPartida = $idPartida;
    }

    public function getIdPartida() {
        return $this->idPartida;
    }

}
