<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\EntityManager;
use Doctrine\ORM\Mapping as ORM;
use Doctrine\ORM\NoResultException;

/**
 * TmepExpeperstecn
 *
 * @ORM\Table(name="TMEP_EXPEPERSTECN")
 * @ORM\Entity
 */
class TmepExpeperstecn {

    function __construct($data = null) {
        if ($data) {
            $this->personaltecnicoId = isset($data['PERSONALTECNICO_ID']) ? $data['PERSONALTECNICO_ID'] : null;
            $this->descripcion = isset($data['DESCRIPCION']) ? $data['DESCRIPCION'] : null;
            $this->tiempoMinimo = isset($data['TIEMPO_MINIMO']) ? $data['TIEMPO_MINIMO'] : null;
            $this->tipoTiempoMinimo = isset($data['TIPO_TIEMPO_MINIMO']) ? $data['TIPO_TIEMPO_MINIMO'] : null;
            $this->numeroProyectos = isset($data['NUMERO_PROYECTOS']) ? $data['NUMERO_PROYECTOS'] : null;
            $this->montoProyectos = isset($data['MONTO_PROYECTOS']) ? $data['MONTO_PROYECTOS'] : null;
            $this->orden = isset($data['ORDEN']) ? $data['ORDEN'] : null;
        }
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="integer")
     */
    private $requerimientoId;

    /**
     * @var integer
     *
     * @ORM\Column(name="PERSONALTECNICO_ID", type="integer")
     */
    private $personaltecnicoId;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION", type="text")
     */
    private $descripcion;

    /**
     * @var integer
     *
     * @ORM\Column(name="TIEMPO_MINIMO", type="integer")
     */
    private $tiempoMinimo;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_TIEMPO_MINIMO", type="string", length=2)
     */
    private $tipoTiempoMinimo;

    /**
     * @var integer
     *
     * @ORM\Column(name="NUMERO_PROYECTOS", type="integer")
     */
    private $numeroProyectos;

    /**
     * @var integer
     *
     * @ORM\Column(name="MONTO_PROYECTOS", type="integer")
     */
    private $montoProyectos;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDEN", type="integer")
     */
    private $orden;

    /**
     * Set requerimientoId
     *
     * @param integer $requerimientoId
     * @return TmepExpeperstecn
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return integer 
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set personaltecnicoId
     *
     * @param integer $personaltecnicoId
     * @return TmepExpeperstecn
     */
    public function setPersonaltecnicoId($personaltecnicoId) {
        $this->personaltecnicoId = intval($personaltecnicoId);
        return $this;
    }

    /**
     * Get personaltecnicoId
     *
     * @return integer 
     */
    public function getPersonaltecnicoId() {
        return $this->personaltecnicoId;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepExpeperstecn
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string 
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set tiempoMinimo
     *
     * @param integer $tiempoMinimo
     * @return TmepExpeperstecn
     */
    public function setTiempoMinimo($tiempoMinimo) {
        $this->tiempoMinimo = intval($tiempoMinimo);
        return $this;
    }

    /**
     * Get tiempoMinimo
     *
     * @return integer 
     */
    public function getTiempoMinimo() {
        return $this->tiempoMinimo;
    }

    /**
     * Set tipoTiempoMinimo
     *
     * @param string $tipoTiempoMinimo
     * @return TmepExpeperstecn
     */
    public function setTipoTiempoMinimo($tipoTiempoMinimo) {
        $this->tipoTiempoMinimo = $tipoTiempoMinimo;
        return $this;
    }

    /**
     * Get tipoTiempoMinimo
     *
     * @return string 
     */
    public function getTipoTiempoMinimo() {
        return $this->tipoTiempoMinimo;
    }

    /**
     * Set numeroProyectos
     *
     * @param integer $numeroProyectos
     * @return TmepExpeperstecn
     */
    public function setNumeroProyectos($numeroProyectos) {
        $this->numeroProyectos = intval($numeroProyectos);
        return $this;
    }

    /**
     * Get numeroProyectos
     *
     * @return integer 
     */
    public function getNumeroProyectos() {
        return $this->numeroProyectos;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * 
     * @return type
     */
    public function getMontoProyectos() {
        return $this->montoProyectos;
    }

    /**
     * 
     * @param type $montoProyectos
     * @return \Incop\Mfc\OfertasBundle\Entity\TmepExpeperstecn
     */
    public function setMontoProyectos($montoProyectos) {
        $this->montoProyectos = $montoProyectos;
        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function setOrden($orden) {
        $this->orden = intval($orden);
        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function getOrden() {
        return $this->orden;
    }

    public function buscaOrdenMaximo(EntityManager $em, $personalTecnicoId) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmepExpeperstecn d WHERE d.personaltecnicoId=' . $personalTecnicoId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

    /**
     * Reduce el orden en 1 antes de eliminar el elemento
     * @param EntityManager $em
     * @return boolean
     */
    public function cambiaOrdenSiguientes(EntityManager $em) {
        $mensaje = '';
        try {
            $em->createQuery('UPDATE IncopMfcOfertasBundle:TmepExpeperstecn d SET d.orden=d.orden-1 WHERE d.orden >' . $this->getOrden() . " AND d.personaltecnicoId=" . $this->getPersonaltecnicoId())->execute();
            return true;
        } catch (NoResultException $e) {
            $mensaje = $e;
            return false;
        }
    }

}
