<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\EntityManager;
use Doctrine\ORM\NoResultException;

/**
 * TmepExperienciaEspecificaMinima
 */
class TmepExperienciaEspecificaMinima {

    function __construct($data = null) {
        if ($data) {
            $this->descripcion = isset($data['DESCRIPCION']) ? $data['DESCRIPCION'] : null;
            $this->numeroCertificados = isset($data['NUMERO_CERTIFICADOS']) ? $data['NUMERO_CERTIFICADOS'] : null;
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->orden = isset($data['ORDEN']) ? $data['ORDEN'] : null;
            $this->documento = isset($data['DOCUMENTO']) ? $data['DOCUMENTO'] : null;
        }
    }

    /**
     * @var integer
     */
    private $id;

    /**
     * @var string
     */
    private $descripcion;

    /**
     * @var integer
     */
    private $numeroCertificados;

    /**
     * @var integer
     */
    private $requerimientoId;

    /**
     * @var integer
     */
    private $orden;

    /**
     *
     * @var string 
     */
    private $documento;

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepExperienciaEspecificaMinima
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string 
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set numeroCertificados
     *
     * @param integer $numeroCertificados
     * @return TmepExperienciaEspecificaMinima
     */
    public function setNumeroCertificados($numeroCertificados) {
        $this->numeroCertificados = $numeroCertificados;

        return $this;
    }

    /**
     * Get numeroCertificados
     *
     * @return integer 
     */
    public function getNumeroCertificados() {
        return $this->numeroCertificados;
    }

    /**
     * Set requerimientoId
     *
     * @param integer $requerimientoId
     * @return TmepExperienciaEspecificaMinima
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = $requerimientoId;

        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return integer 
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set orden
     *
     * @param integer $orden
     * @return TmepExperienciaEspecificaMinima
     */
    public function setOrden($orden) {
        $this->orden = $orden;

        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function getOrden() {
        return $this->orden;
    }

    /**
     * 
     * @return string
     */
    public function getDocumento() {
        return $this->documento;
    }

    /**
     * 
     * @param string $documento
     * @return TmepExperienciaEspecificaMinima
     */
    public function setDocumento($documento) {
        $this->documento = $documento;
        return $this;
    }

    public function buscaOrdenMaximo($tdrsId, EntityManager $em) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmepExperienciaEspecificaMinima d WHERE d.tdrsId = ' . $tdrsId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

}
