<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\EntityManager;
use Doctrine\ORM\NoResultException;

/**
 * TmepIndicePatrimonio
 */
class TmepIndicePatrimonio {

    function __construct($data = null) {
        if ($data) {
            $this->pliegosId = isset($data['PLIEGOS_ID']) ? $data['PLIEGOS_ID'] : null;
            $this->descripcion = isset($data['DESCRIPCION']) ? $data['DESCRIPCION'] : null;
            $this->valor = isset($data['VALOR']) ? $data['VALOR'] : null;
            $this->orden = isset($data['ORDEN']) ? $data['ORDEN'] : null;
            $this->tipoIndice = isset($data['TIPO_INDICE']) ? $data['TIPO_INDICE'] : null;
            $this->indicador = isset($data['INDICADOR']) ? $data['INDICADOR'] : null;
            $this->medio = isset($data['MEDIO']) ? $data['MEDIO'] : null;
        }
    }

    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $pliegosId;

    /**
     * @var string
     */
    private $descripcion;

    /**
     * @var float
     */
    private $valor;

    /**
     * @var integer
     */
    private $orden;

    /**
     * @var string
     */
    private $tipoIndice;

    /**
     * @var string
     */
    private $nombre;

    /**
     * @var string
     */
    private $indicador;

    /**
     * @var string
     */
    private $medio;

    /**
     * 
     * @return string
     */
    public function getTipoIndice() {
        return $this->tipoIndice;
    }

    /**
     * 
     * @param string $tipoIndice
     */
    public function setTipoIndice($tipoIndice) {
        $this->tipoIndice = $tipoIndice;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set tdrsId
     *
     * @param integer $pliegosId
     * @return TmepIndicePatrimonio
     */
    public function setPliegosId($pliegosId) {
        $this->pliegosId = intval($pliegosId);

        return $this;
    }

    /**
     * Get tdrsId
     *
     * @return integer 
     */
    public function getPliegosId() {
        return $this->pliegosId;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepIndicePatrimonio
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string 
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set valor
     *
     * @param float $valor
     * @return TmepIndicePatrimonio
     */
    public function setValor($valor) {
        $this->valor = $valor;

        return $this;
    }

    /**
     * Get valor
     *
     * @return float 
     */
    public function getValor() {
        return $this->valor;
    }

    /**
     * Set orden
     *
     * @param integer $orden
     * @return TmepIndicePatrimonio
     */
    public function setOrden($orden) {
        $this->orden = intval($orden);

        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function getOrden() {
        return $this->orden;
    }

    public function getNombre() {
        return $this->nombre;
    }

    public function setNombre($nombre) {
        $this->nombre = $nombre;
    }

    public function getIndicador() {
        return $this->indicador;
    }

    public function setIndicador($indicador) {
        $this->indicador = $indicador;
    }

    public function getMedio() {
        return $this->medio;
    }

    public function setMedio($medio) {
        $this->medio = $medio;
    }

    /**
     * 
     * @param type $pliegosId
     * @param \Doctrine\ORM\EntityManager $em
     * @return int|null
     */
    public function buscaOrdenMaximo($pliegosId, $em) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmepIndicePatrimonio d WHERE d.pliegosId = ' . $tdrsId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

}
