<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\HttpFoundation\File\UploadedFile;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * TmepInstituciones
 *
 * @ORM\Table(name="TMEP_INSTITUCIONES")
 * @ORM\Entity
 */
class TmepInstituciones {

    /**
     * @var string
     *
     * @ORM\Column(name="RUC", type="string", nullable=true)
     */
    private $ruc;

    /**
     * @var string
     *
     * @ORM\Column(name="RUP", type="string", nullable=true)
     */
    private $rup;

    /**
     * @var string
     *
     * @ORM\Column(name="LOGO_NOMBRE", type="string", nullable=true)
     */
    private $logoNombre;

    /**
     * @var string
     *
     * @ORM\Column(name="LOGO_PATH", type="string", nullable=true)
     */
    private $logoPath;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE_ENTID_CONTRAT", type="string", nullable=true)
     */
    private $nombreEntidContrat;

    /**
     * @var string
     *
     * @ORM\Column(name="PROVINCIA_COD", type="string", nullable=true)
     */
    private $provinciaCod;

    /**
     * @var string
     *
     * @ORM\Column(name="CANTON_COD", type="string", nullable=true)
     */
    private $cantonCod;

    /**
     * @var string
     *
     * @ORM\Column(name="PARROQUIA_COD", type="string", nullable=true)
     */
    private $parroquiaCod;

    /**
     * @var string
     *
     * @ORM\Column(name="CALLE_PRINCIPAL", type="string", nullable=true)
     */
    private $callePrincipal;

    /**
     * @var string
     *
     * @ORM\Column(name="INTERSECCION", type="string", nullable=true)
     */
    private $interseccion;

    /**
     * @var string
     *
     * @ORM\Column(name="NUMERO", type="string", nullable=true)
     */
    private $numero;

    /**
     * @var string
     *
     * @ORM\Column(name="REFERENCIAS_CERCANAS", type="string", nullable=true)
     */
    private $referenciasCercanas;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_POSTAL", type="string", nullable=true)
     */
    private $codigoPostal;

    /**
     * @var string
     *
     * @ORM\Column(name="CEDULA_REPRE_LEGAL", type="string", nullable=true)
     */
    private $cedulaRepreLegal;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE_REPRE_LEGAL", type="string", nullable=true)
     */
    private $nombreRepreLegal;

    /**
     * @var string
     *
     * @ORM\Column(name="CEDULA_MAX_AUTOR", type="string", nullable=true)
     */
    private $cedulaMaxAutor;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE_MAX_AUTOR", type="string", nullable=true)
     */
    private $nombreMaxAutor;

    /**
     * @var string
     *
     * @ORM\Column(name="CARGO_MAX_AUTOR", type="string", nullable=true)
     */
    private $cargoMaxAutor;

    /**
     * @var boolean
     *
     * @ORM\Column(name="TIENE_DELEGADO", type="boolean", nullable=true)
     */
    private $tieneDelegado;

    /**
     * @var string
     *
     * @ORM\Column(name="CEDULA_DELEGADO", type="string", nullable=true)
     */
    private $cedulaDelegado;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE_DELEGADO", type="string", nullable=true)
     */
    private $nombreDelegado;

    /**
     * @var string
     *
     * @ORM\Column(name="CARGO_DELEGADO", type="string", nullable=true)
     */
    private $cargoDelegado;

    /**
     * @var string
     *
     * @ORM\Column(name="NUMERO_RESOLUCION", type="string", nullable=true)
     */
    private $numeroResolucion;

    /**
     * @var string
     *
     * @ORM\Column(name="FECHA_RESOLUCION", type="string", nullable=true)
     */
    private $fechaResolucion;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="PROVINCIA_NOMBRE", type="string", nullable=true)
     */
    private $nombreProvincia;

    /**
     * @var string
     *
     * @ORM\Column(name="CANTON_NOMBRE", type="string", nullable=true)
     */
    private $nombreCanton;

    /**
     * @var string
     *
     * @ORM\Column(name="PARROQUIA_NOMBRE", type="string", nullable=true)
     */
    private $nombreParroquia;

    /**
     * @var boolean
     *
     * @ORM\Column(name="ESIGEF", type="boolean", nullable=true)
     */
    private $esigef;

    /**
     * @var string
     *
     * @ORM\Column(name="PREFIJO", type="string", nullable=false)
     */
    private $prefijo;

function __construct($data = null) {
        if ($data) {
            $this->ruc = isset($data['RUC']) ? $data['RUC'] : null;
            $this->rup = isset($data['RUP']) ? $data['RUP'] : null;
            $this->logoNombre = isset($data['LOGO_NOMBRE']) ? $data['LOGO_NOMBRE'] : null;
            $this->logoPath = isset($data['LOGO_PATH']) ? $data['LOGO_PATH'] : null;
            $this->nombreEntidContrat = isset($data['NOMBRE_ENTID_CONTRAT']) ? $data['NOMBRE_ENTID_CONTRAT'] : null;
            $this->provinciaCod = isset($data['PROVINCIA_COD']) ? $data['PROVINCIA_COD'] : null;
            $this->cantonCod = isset($data['CANTON_COD']) ? $data['CANTON_COD'] : null;
            $this->parroquiaCod = isset($data['PARROQUIA_COD']) ? $data['PARROQUIA_COD'] : null;
            $this->callePrincipal = isset($data['CALLE_PRINCIPAL']) ? $data['CALLE_PRINCIPAL'] : null;
            $this->interseccion = isset($data['INTERSECCION']) ? $data['INTERSECCION'] : null;
            $this->numero = isset($data['NUMERO']) ? $data['NUMERO'] : null;
            $this->referenciasCercanas = isset($data['REFERENCIAS_CERCANAS']) ? $data['REFERENCIAS_CERCANAS'] : null;
            $this->codigoPostal = isset($data['CODIGO_POSTAL']) ? $data['CODIGO_POSTAL'] : null;
            $this->cedulaRepreLegal = isset($data['CEDULA_REPRE_LEGAL']) ? $data['CEDULA_REPRE_LEGAL'] : null;
            $this->nombreRepreLegal = isset($data['NOMBRE_REPRE_LEGAL']) ? $data['NOMBRE_REPRE_LEGAL'] : null;
            $this->cedulaMaxAutor = isset($data['CEDULA_MAX_AUTOR']) ? $data['CEDULA_MAX_AUTOR'] : null;
            $this->nombreMaxAutor = isset($data['NOMBRE_MAX_AUTOR']) ? $data['NOMBRE_MAX_AUTOR'] : null;
            $this->cargoMaxAutor = isset($data['CARGO_MAX_AUTOR']) ? $data['CARGO_MAX_AUTOR'] : null;
            $this->tieneDelegado = isset($data['TIENE_DELEGADO']) ? $data['TIENE_DELEGADO'] : null;
            $this->cedulaDelegado = isset($data['CEDULA_DELEGADO']) ? $data['CEDULA_DELEGADO'] : null;
            $this->nombreDelegado = isset($data['NOMBRE_DELEGADO']) ? $data['NOMBRE_DELEGADO'] : null;
            $this->cargoDelegado = isset($data['CARGO_DELEGADO']) ? $data['CARGO_DELEGADO'] : null;
            $this->numeroResolucion = isset($data['NUMERO_RESOLUCION']) ? $data['NUMERO_RESOLUCION'] : null;
            $this->fechaResolucion = isset($data['FECHA_RESOLUCION']) ? $data['FECHA_RESOLUCION'] : null;
            $this->nombreProvincia = isset($data['PROVINCIA_NOMBRE']) ? $data['PROVINCIA_NOMBRE'] : null;
            $this->nombreCanton = isset($data['CANTON_NOMBRE']) ? $data['CANTON_NOMBRE'] : null;
            $this->nombreParroquia = isset($data['PARROQUIA_NOMBRE']) ? $data['PARROQUIA_NOMBRE'] : null;
        }
    }

    /**
     * Set esigef
     *
     * @param string $esigef
     * @return TmepInstituciones
     */
    public function setEsigef($esigef) {
        $this->esigef = $esigef;

        return $this;
    }

    /**
     * Get esigef
     *
     * @return string 
     */
    public function getEsigef() {
        return $this->esigef;
    }

    /**
     * Set nombreProvincia
     *
     * @param float $nombreProvincia
     * @return TmepInstituciones
     */
    public function setNombreProvincia($nombreProvincia) {
        $this->nombreProvincia = $nombreProvincia;

        return $this;
    }

    /**
     * Get ruc
     *
     * @return float 
     */
    public function getNombreProvincia() {
        return $this->nombreProvincia;
    }

    /**
     * Set nombreCanton
     *
     * @param float $nombreCanton
     * @return TmepInstituciones
     */
    public function setNombreCanton($nombreCanton) {
        $this->nombreCanton = $nombreCanton;

        return $this;
    }

    /**
     * Get nombreCanton
     *
     * @return float 
     */
    public function getNombreCanton() {
        return $this->nombreCanton;
    }

    /**
     * Set nombreParroquia
     *
     * @param float $nombreParroquia
     * @return TmepInstituciones
     */
    public function setNombreParroquia($nombreParroquia) {
        $this->nombreParroquia = $nombreParroquia;

        return $this;
    }

    /**
     * Get ruc
     *
     * @return float 
     */
    public function getNombreParroquia() {
        return $this->nombreParroquia;
    }

    /**
     * Set ruc
     *
     * @param string $ruc
     * @return TmepInstituciones
     */
    public function setRuc($ruc) {
        $this->ruc = $ruc;

        return $this;
    }

    /**
     * Get ruc
     *
     * @return string 
     */
    public function getRuc() {
        return $this->ruc;
    }

    /**
     * Set rup
     *
     * @param string $rup
     * @return TmepInstituciones
     */
    public function setRup($rup) {
        $this->rup = $rup;

        return $this;
    }

    /**
     * Get rup
     *
     * @return string 
     */
    public function getRup() {
        return $this->rup;
    }

    /**
     * Set logoNombre
     *
     * @param string $logoNombre
     * @return TmepInstituciones
     */
    public function setLogoNombre($logoNombre) {
        $this->logoNombre = $logoNombre;

        return $this;
    }

    /**
     * Get logoNombre
     *
     * @return string 
     */
    public function getLogoNombre() {
        return $this->logoNombre;
    }

    /**
     * Set logoPath
     *
     * @param string $logoPath
     * @return TmepInstituciones
     */
    public function setLogoPath($logoPath) {
        $this->logoPath = $logoPath;

        return $this;
    }

    /**
     * Get logoPath
     *
     * @return string 
     */
    public function getLogoPath() {
        return $this->logoPath;
    }

    /**
     * Set nombreEntidContrat
     *
     * @param string $nombreEntidContrat
     * @return TmepInstituciones
     */
    public function setNombreEntidContrat($nombreEntidContrat) {
        $this->nombreEntidContrat = $nombreEntidContrat;

        return $this;
    }

    /**
     * Get nombreEntidContrat
     *
     * @return string 
     */
    public function getNombreEntidContrat() {
        return $this->nombreEntidContrat;
    }

    /**
     * Set provinciaCod
     *
     * @param string $provinciaCod
     * @return TmepInstituciones
     */
    public function setProvinciaCod($provinciaCod) {
        $this->provinciaCod = $provinciaCod;

        return $this;
    }

    /**
     * Get provinciaCod
     *
     * @return string 
     */
    public function getProvinciaCod() {
        return $this->provinciaCod;
    }

    /**
     * Set cantonCod
     *
     * @param string $cantonCod
     * @return TmepInstituciones
     */
    public function setCantonCod($cantonCod) {
        $this->cantonCod = $cantonCod;

        return $this;
    }

    /**
     * Get cantonCod
     *
     * @return string 
     */
    public function getCantonCod() {
        return $this->cantonCod;
    }

    /**
     * Set parroquiaCod
     *
     * @param string $parroquiaCod
     * @return TmepInstituciones
     */
    public function setParroquiaCod($parroquiaCod) {
        $this->parroquiaCod = $parroquiaCod;

        return $this;
    }

    /**
     * Get parroquiaCod
     *
     * @return string 
     */
    public function getParroquiaCod() {
        return $this->parroquiaCod;
    }

    /**
     * Set callePrincipal
     *
     * @param string $callePrincipal
     * @return TmepInstituciones
     */
    public function setCallePrincipal($callePrincipal) {
        $this->callePrincipal = $callePrincipal;

        return $this;
    }

    /**
     * Get callePrincipal
     *
     * @return string 
     */
    public function getCallePrincipal() {
        return $this->callePrincipal;
    }

    /**
     * Set interseccion
     *
     * @param string $interseccion
     * @return TmepInstituciones
     */
    public function setInterseccion($interseccion) {
        $this->interseccion = $interseccion;

        return $this;
    }

    /**
     * Get interseccion
     *
     * @return string 
     */
    public function getInterseccion() {
        return $this->interseccion;
    }

    /**
     * Set numero
     *
     * @param string $numero
     * @return TmepInstituciones
     */
    public function setNumero($numero) {
        $this->numero = $numero;

        return $this;
    }

    /**
     * Get numero
     *
     * @return string 
     */
    public function getNumero() {
        return $this->numero;
    }

    /**
     * Set referenciasCercanas
     *
     * @param string $referenciasCercanas
     * @return TmepInstituciones
     */
    public function setReferenciasCercanas($referenciasCercanas) {
        $this->referenciasCercanas = $referenciasCercanas;

        return $this;
    }

    /**
     * Get referenciasCercanas
     *
     * @return string 
     */
    public function getReferenciasCercanas() {
        return $this->referenciasCercanas;
    }

    /**
     * Set codigoPostal
     *
     * @param string $codigoPostal
     * @return TmepInstituciones
     */
    public function setCodigoPostal($codigoPostal) {
        $this->codigoPostal = $codigoPostal;

        return $this;
    }

    /**
     * Get codigoPostal
     *
     * @return string 
     */
    public function getCodigoPostal() {
        return $this->codigoPostal;
    }

    /**
     * Set cedulaRepreLegal
     *
     * @param string $cedulaRepreLegal
     * @return TmepInstituciones
     */
    public function setCedulaRepreLegal($cedulaRepreLegal) {
        $this->cedulaRepreLegal = $cedulaRepreLegal;

        return $this;
    }

    /**
     * Get cedulaRepreLegal
     *
     * @return string 
     */
    public function getCedulaRepreLegal() {
        return $this->cedulaRepreLegal;
    }

    /**
     * Set nombreRepreLegal
     *
     * @param string $nombreRepreLegal
     * @return TmepInstituciones
     */
    public function setNombreRepreLegal($nombreRepreLegal) {
        $this->nombreRepreLegal = $nombreRepreLegal;

        return $this;
    }

    /**
     * Get nombreRepreLegal
     *
     * @return string 
     */
    public function getNombreRepreLegal() {
        return $this->nombreRepreLegal;
    }

    /**
     * Set cedulaMaxAutor
     *
     * @param string $cedulaMaxAutor
     * @return TmepInstituciones
     */
    public function setCedulaMaxAutor($cedulaMaxAutor) {
        $this->cedulaMaxAutor = $cedulaMaxAutor;

        return $this;
    }

    /**
     * Get cedulaMaxAutor
     *
     * @return string 
     */
    public function getCedulaMaxAutor() {
        return $this->cedulaMaxAutor;
    }

    /**
     * Set nombreMaxAutor
     *
     * @param string $nombreMaxAutor
     * @return TmepInstituciones
     */
    public function setNombreMaxAutor($nombreMaxAutor) {
        $this->nombreMaxAutor = $nombreMaxAutor;

        return $this;
    }

    /**
     * Get nombreMaxAutor
     *
     * @return string 
     */
    public function getNombreMaxAutor() {
        return $this->nombreMaxAutor;
    }

    /**
     * Set cargoMaxAutor
     *
     * @param string $cargoMaxAutor
     * @return TmepInstituciones
     */
    public function setCargoMaxAutor($cargoMaxAutor) {
        $this->cargoMaxAutor = $cargoMaxAutor;

        return $this;
    }

    /**
     * Get cargoMaxAutor
     *
     * @return string 
     */
    public function getCargoMaxAutor() {
        return $this->cargoMaxAutor;
    }

    /**
     * Set tieneDelegado
     *
     * @param boolean $tieneDelegado
     * @return TmepInstituciones
     */
    public function setTieneDelegado($tieneDelegado) {
        $this->tieneDelegado = $tieneDelegado;

        return $this;
    }

    /**
     * Get tieneDelegado
     *
     * @return boolean 
     */
    public function getTieneDelegado() {
        return $this->tieneDelegado;
    }

    /**
     * Set cedulaDelegado
     *
     * @param string $cedulaDelegado
     * @return TmepInstituciones
     */
    public function setCedulaDelegado($cedulaDelegado) {
        $this->cedulaDelegado = $cedulaDelegado;

        return $this;
    }

    /**
     * Get cedulaDelegado
     *
     * @return string 
     */
    public function getCedulaDelegado() {
        return $this->cedulaDelegado;
    }

    /**
     * Set nombreDelegado
     *
     * @param string $nombreDelegado
     * @return TmepInstituciones
     */
    public function setNombreDelegado($nombreDelegado) {
        $this->nombreDelegado = $nombreDelegado;

        return $this;
    }

    /**
     * Get nombreDelegado
     *
     * @return string 
     */
    public function getNombreDelegado() {
        return $this->nombreDelegado;
    }

    /**
     * Set cargoDelegado
     *
     * @param string $cargoDelegado
     * @return TmepInstituciones
     */
    public function setCargoDelegado($cargoDelegado) {
        $this->cargoDelegado = $cargoDelegado;

        return $this;
    }

    /**
     * Get cargoDelegado
     *
     * @return string 
     */
    public function getCargoDelegado() {
        return $this->cargoDelegado;
    }

    /**
     * Set numeroResolucion
     *
     * @param string $numeroResolucion
     * @return TmepInstituciones
     */
    public function setNumeroResolucion($numeroResolucion) {
        $this->numeroResolucion = $numeroResolucion;

        return $this;
    }

    /**
     * Get numeroResolucion
     *
     * @return string 
     */
    public function getNumeroResolucion() {
        return $this->numeroResolucion;
    }

    /**
     * Set fechaResolucion
     *
     * @param string $fechaResolucion
     * @return TmepInstituciones
     */
    public function setFechaResolucion($fechaResolucion) {
        $this->fechaResolucion = $fechaResolucion;

        return $this;
    }

    /**
     * Get fechaResolucion
     *
     * @return string 
     */
    public function getFechaResolucion() {
        return $this->fechaResolucion;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * @Assert\File(maxSize="10M")
     */
    private $file;

    /**
     * Sets file.
     *
     * @param UploadedFile $file
     */
    public function setFile(UploadedFile $file = null) {
        $this->file = $file;
    }

    /**
     * Get file.
     *
     * @return UploadedFile
     */
    public function getFile() {
        return $this->file;
    }

    /**
     * Set prefijo
     *
     * @param string $prefijo
     * @return TmepInstituciones
     */
    public function setPrefijo($prefijo) {
        $this->prefijo = $prefijo;
        return $this;
    }

    /**
     * Get prefijo
     *
     * @return string 
     */
    public function getPrefijo() {
        return $this->prefijo;
    }

    public function getAbsolutePath() {
        return null === $this->logoPath ? null : $this->getUploadRootDir() . '/' . $this->logoPath;
    }

    public function getWebPath() {
        return null === $this->logoPath ? null : $this->getUploadDir() . '/' . $this->logoPath;
    }

    protected function getUploadRootDir() {
        return __DIR__ . '/../../../../../web/' . $this->getUploadDir();
    }

    protected function getUploadDir() {
        // get rid of the __DIR__ so it doesn't screw up
        // when displaying uploaded doc/image in the view.
        return 'uploads/documents';
    }

    public function upload() {
        // the file property can be empty if the field is not required
        if (null === $this->getFile()) {
            return;
        }

        // use the original file name here but you should
        // sanitize it at least to avoid any security issues
        // move takes the target directory and then the
        // target filename to move to
        $this->getFile()->move(
                $this->getUploadRootDir(), $this->getFile()->getClientOriginalName()
        );

        // set the path property to the filename where you've saved the file
        $this->logoPath = $this->getFile()->getClientOriginalName();

        // clean up the file property as you won't need it anymore
        $this->file = null;
    }

}
