<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepMatDatosProvi
 *
 * @ORM\Table(name="TMEP_MAT_DATOS_PROVI")
 * @ORM\Entity
 */
class TmepMatDatosProvi {

    /**
     * @var float
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="decimal", nullable=true)
     */
    private $requerimientoId;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE_PROV", type="string", nullable=true)
     */
    private $nombreProv;

    /**
     * @var string
     *
     * @ORM\Column(name="RUC", type="string", nullable=true)
     */
    private $ruc;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->nombreProv = isset($data['NOMBRE_PROV']) ? $data['NOMBRE_PROV'] : null;
            $this->ruc = isset($data['RUC']) ? $data['RUC'] : null;
        }
    }

    /**
     * Set requerimientoId
     *
     * @param float $requerimientoId
     * @return TmepMatDatosProvi
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return float
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set nombreProv
     *
     * @param string $nombreProv
     * @return TmepMatDatosProvi
     */
    public function setNombreProv($nombreProv) {
        $this->nombreProv = $nombreProv;
        return $this;
    }

    /**
     * Get nombreProv
     *
     * @return string
     */
    public function getNombreProv() {
        return $this->nombreProv;
    }

    /**
     * Set ruc
     *
     * @param string $ruc
     * @return TmepMatDatosProvi
     */
    public function setRuc($ruc) {
        $this->ruc = $ruc;
        return $this;
    }

    /**
     * Get ruc
     *
     * @return string
     */
    public function getRuc() {
        return $this->ruc;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

}
