<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepMatFormasPago
 *
 * @ORM\Table(name="TMEP_MAT_FORMAS_PAGO")
 * @ORM\Entity
 */
class TmepMatFormasPago {

    /**
     * @var float
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="decimal", nullable=true)
     */
    private $requerimientoId;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PAGO", type="string", nullable=true)
     */
    private $tipoPago;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PAGO_NOMBRE", type="string", nullable=true)
     */
    private $tipoPagoNombre;

    /**
     * @var float
     *
     * @ORM\Column(name="VALOR_PAGO", type="decimal", nullable=true)
     */
    private $valorPago;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION_PAGO", type="string", nullable=true)
     */
    private $descripcionPago;

    /**
     * @var integer
     *
     * @ORM\Column(name="NUMERO_FASE", type="integer", nullable=true)
     */
    private $numeroFase;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->tipoPago = isset($data['TIPO_PAGO']) ? $data['TIPO_PAGO'] : null;
            $this->tipoPagoNombre = isset($data['TIPO_PAGO_NOMBRE']) ? $data['TIPO_PAGO_NOMBRE'] : null;
            $this->valorPago = isset($data['VALOR_PAGO']) ? $data['VALOR_PAGO'] : null;
            $this->descripcionPago = isset($data['DESCRIPCION_PAGO']) ? $data['DESCRIPCION_PAGO'] : null;
            $this->numeroFase = isset($data['NUMERO_FASE']) ? $data['NUMERO_FASE'] : null;
        }
    }

    /**
     * Set requerimientoId
     *
     * @param float $requerimientoId
     * @return TmepMatFormasPago
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return float
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set tipoPago
     *
     * @param string $tipoPago
     * @return TmepMatFormasPago
     */
    public function setTipoPago($tipoPago) {
        $this->tipoPago = $tipoPago;
        return $this;
    }

    /**
     * Get tipoPago
     *
     * @return string
     */
    public function getTipoPago() {
        return $this->tipoPago;
    }

    /**
     * Set tipoPagoNombre
     *
     * @param string $tipoPagoNombre
     * @return TmepMatFormasPago
     */
    public function setTipoPagoNombre($tipoPagoNombre) {
        $this->tipoPagoNombre = $tipoPagoNombre;
        return $this;
    }

    /**
     * Get tipoPagoNombre
     *
     * @return string
     */
    public function getTipoPagoNombre() {
        return $this->tipoPagoNombre;
    }

    /**
     * Set valorPago
     *
     * @param float $valorPago
     * @return TmepMatFormasPago
     */
    public function setValorPago($valorPago) {
        $this->valorPago = $valorPago;
        return $this;
    }

    /**
     * Get valorPago
     *
     * @return float
     */
    public function getValorPago() {
        return $this->valorPago;
    }

    /**
     * Set descripcionPago
     *
     * @param string $descripcionPago
     * @return TmepMatFormasPago
     */
    public function setDescripcionPago($descripcionPago) {
        $this->descripcionPago = $descripcionPago;
        return $this;
    }

    /**
     * Get descripcionPago
     *
     * @return string
     */
    public function getDescripcionPago() {
        return $this->descripcionPago;
    }

    /**
     * Set numeroFase
     *
     * @param string $numeroFase
     * @return TmepMatFormasPago
     */
    public function setNumeroFase($numeroFase) {
        $this->numeroFase = $numeroFase;
        return $this;
    }

    /**
     * Get numeroFase
     *
     * @return string
     */
    public function getNumeroFase() {
        return $this->numeroFase;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

}
