<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepMatPresRef
 *
 * @ORM\Table(name="TMEP_MAT_PRES_REF")
 * @ORM\Entity
 */
class TmepMatPresRef {

    /**
     * @var float
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="decimal", nullable=true)
     */
    private $requerimientoId;

    /**
     * @var string
     *
     * @ORM\Column(name="PARTIDA_CUENTA", type="string", nullable=true)
     */
    private $partidaCuenta;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION_PARTIDA", type="text", nullable=true)
     */
    private $descPartida;

    /**
     * @var float
     *
     * @ORM\Column(name="PRU", type="decimal", nullable=true)
     */
    private $pru;

    /**
     * @var integer
     *
     * @ORM\Column(name="CPC5", type="integer", nullable=true)
     */
    private $cpc5;

    /**
     * @var string
     *
     * @ORM\Column(name="CPC5_DESC", type="string", nullable=true)
     */
    private $cpc5Desc;

    /**
     * @var string
     *
     * @ORM\Column(name="CPC9", type="string", nullable=true)
     */
    private $cpc9;

    /**
     * @var string
     *
     * @ORM\Column(name="CPC9_DESC", type="string", nullable=true)
     */
    private $cpc9Desc;

    /**
     * @var float
     *
     * @ORM\Column(name="PRT", type="decimal", nullable=true)
     */
    private $prt;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_COMPRA", type="string", nullable=true)
     */
    private $tipoCompra;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    /**
     * @var float
     *
     * @ORM\Column(name="VALOR_PAC", type="decimal", nullable=true)
     */
    private $valorPac;

    /**
     * @var boolean
     * @ORM\Column(name="PARTIDA_PRESUPUESTARIA", type="string", nullable=true)
     */
    private $cpcBien;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION_LOTE", type="string", nullable=true)
     */
    private $descripcionLote;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDEN", type="integer")
     */
    private $orden;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->partidaCuenta = isset($data['PARTIDA_CUENTA']) ? $data['PARTIDA_CUENTA'] : null;
            $this->descPartida = isset($data['DESCRIPCION_PARTIDA']) ? $data['DESCRIPCION_PARTIDA'] : null;
            $this->pru = isset($data['PRU']) ? $data['PRU'] : null;
            $this->cpc5 = isset($data['CPC5']) ? $data['CPC5'] : null;
            $this->cpc5Desc = isset($data['CPC5_DESC']) ? $data['CPC5_DESC'] : null;
            $this->prt = isset($data['PRT']) ? $data['PRT'] : null;
            $this->cpc9 = isset($data['CPC9']) ? $data['CPC9'] : null;
            $this->cpc9Desc = isset($data['CPC9_DESC']) ? $data['CPC9_DESC'] : null;
            $this->valorPac = isset($data['VALOR_PAC']) ? $data['VALOR_PAC'] : null;
            $this->tipoCompra = isset($data['TIPO_COMPRA']) ? $data['TIPO_COMPRA'] : null;
            $this->cpcBien = isset($data['PARTIDA_PRESUPUESTARIA']) ? $data['PARTIDA_PRESUPUESTARIA'] : null;
            $this->descripcionLote = isset($data['DESCRIPCION_LOTE']) ? $data['DESCRIPCION_LOTE'] : NULL;
            $this->orden = isset($data['ORDEN']) ? $data['ORDEN'] : NULL;
        }
    }

    /**
     * Set requerimientoId
     *
     * @param float $requerimientoId
     * @return TmepMatPresRef
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return float
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set partidaCuenta
     *
     * @param string $partidaCuenta
     * @return TmepMatPresRef
     */
    public function setPartidaCuenta($partidaCuenta) {
        $this->partidaCuenta = $partidaCuenta;
        return $this;
    }

    /**
     * Get partidaCuenta
     *
     * @return string
     */
    public function getPartidaCuenta() {
        return $this->partidaCuenta;
    }

    /**
     * Set descPartida
     *
     * @param string $descPartida
     * @return TmepMatPresRef
     */
    public function setDescPartida($descPartida) {
        $this->descPartida = $descPartida;
        return $this;
    }

    /**
     * Get descPartida
     *
     * @return string
     */
    public function getDescPartida() {
        return $this->descPartida;
    }

    /**
     * Set pru
     *
     * @param float $pru
     * @return TmepMatPresRef
     */
    public function setPru($pru) {
        $this->pru = $pru;
        return $this;
    }

    /**
     * Get pru
     *
     * @return float
     */
    public function getPru() {
        return $this->pru;
    }

    /**
     * Set cpc5
     *
     * @param integer $cpc5
     * @return TmepMatPresRef
     */
    public function setCpc5($cpc5) {
        $this->cpc5 = intval($cpc5);
        return $this;
    }

    /**
     * Get cpc5
     *
     * @return string
     */
    public function getCpc5() {
        return $this->cpc5;
    }

    /**
     * Set cpc5Desc
     *
     * @param string $cpc5Desc
     * @return TmepMatPresRef
     */
    public function setCpc5Desc($cpc5Desc) {
        $this->cpc5Desc = $cpc5Desc;
        return $this;
    }

    /**
     * Get cpc5Desc
     *
     * @return string
     */
    public function getCpc5Desc() {
        return $this->cpc5Desc;
    }

    /**
     * Set prt
     *
     * @param float $prt
     * @return TmepMatPresRef
     */
    public function setPrt($prt) {
        $this->prt = $prt;
        return $this;
    }

    /**
     * Get prt
     *
     * @return float
     */
    public function getPrt() {
        return $this->prt;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set cpc9
     *
     * @param string $cpc9
     * @return TmepMatPresRef
     */
    public function setCpc9($cpc9) {
        $this->cpc9 = $cpc9;
        return $this;
    }

    /**
     * Get cpc9
     *
     * @return string
     */
    public function getCpc9() {
        return $this->cpc9;
    }

    /**
     * Set cpc9Desc
     *
     * @param string $cpc9Desc
     * @return TmepMatPresRef
     */
    public function setCpc9Desc($cpc9Desc) {
        $this->cpc9Desc = $cpc9Desc;
        return $this;
    }

    /**
     * Get cpc9Desc
     *
     * @return string
     */
    public function getCpc9Desc() {
        return $this->cpc9Desc;
    }

    /**
     * Set valorPac
     *
     * @param float $valorPac
     * @return TmepMatPresRef
     */
    public function setValorPac($valorPac) {
        $this->valorPac = $valorPac;

        return $this;
    }

    /**
     * Get valorPac
     *
     * @return float
     */
    public function getValorPac() {
        return $this->valorPac;
    }

    /**
     * Set tipoCompra
     *
     * @param string $tipoCompra
     * @return TmepMatPresRef
     */
    public function setTipoCompra($tipoCompra) {
        $this->tipoCompra = $tipoCompra;
        return $this;
    }

    /**
     * Get tipoCompra
     *
     * @return string
     */
    public function getTipoCompra() {
        return $this->tipoCompra;
    }

    /**
     * Set cpcBien
     *
     * @param string $CpcBien
     * @return TmepMatPresRef
     */
    public function setCpcBien($CpcBien) {
        $this->cpcBien = $CpcBien;

        return $this;
    }

    /**
     * Get cpcBien
     *
     * @return string
     */
    public function getCpcBien() {
        return $this->cpcBien;
    }

    public function setDescripcionLote($descripcion) {
        $this->descripcionLote = $descripcion;
    }

    public function getDescripcionLote() {
        return $this->descripcionLote;
    }

    public function setOrden($orden) {
        $this->orden = $orden;
    }

    public function getOrden() {
        return $this->orden;
    }

}
