<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\EntityManager;
use Doctrine\ORM\Mapping as ORM;
use Doctrine\ORM\NoResultException;

/**
 * TmepMetodologiaCronogramaEjecucion
 * @ORM\Table(name="TMEP_METCRONEJEC")
 * @ORM\Entity
 */
class TmepMetodologiaCronogramaEjecucion {

    function __construct($data = null) {
        if ($data) {
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->descripcion = isset($data['DESCRIPCION']) ? $data['DESCRIPCION'] : null;
            $this->orden = isset($data['ORDEN']) ? $data['ORDEN'] : null;
        }
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="integer")
     */
    private $requerimientoId;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION", type="string")
     */
    private $descripcion;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDEN", type="integer")
     */
    private $orden;

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set requerimientoId
     *
     * @param integer $requerimientoId
     * @return TmepMetodologiaCronogramaEjecucion
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return integer
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepMetodologiaCronogramaEjecucion
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set orden
     *
     * @param integer $orden
     * @return TmepMetodologiaCronogramaEjecucion
     */
    public function setOrden($orden) {
        $this->orden = intval($orden);
        return $this;
    }

    /**
     * Get orden
     *
     * @return integer
     */
    public function getOrden() {
        return $this->orden;
    }

    public function buscaOrdenMaximo($tdrsId, EntityManager $em) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmepMetodologiaCronogramaEjecucion d WHERE d.tdrsId = ' . $tdrsId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

}
