<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\EntityManager;
use Doctrine\ORM\NoResultException;

/**
 * TmepOtrosParametros
 */
class TmepOtrosParametros {

    /**
     * Constructor
     * @param type $data
     */
    function __construct($data = null) {
        if ($data) {
            $this->orden = isset($data["ORDEN"]) ? $data["ORDEN"] : null;
            $this->requerimientoId = isset($data["REQUERIMIENTO_ID"]) ? $data["REQUERIMIENTO_ID"] : null;
            $this->nombre = isset($data["NOMBRE"]) ? $data["NOMBRE"] : null;
            $this->descripcion = isset($data["DESCRIPCION"]) ? $data["DESCRIPCION"] : null;
            $this->indicador = isset($data["INDICADOR"]) ? $data["INDICADOR"] : null;
            $this->medio = isset($data["MEDIO"]) ? $data["MEDIO"] : null;
            $this->medioOferente = isset($data["MEDIO_OFERENTE"]) ? $data["MEDIO_OFERENTE"] : null;
            $this->archivos = isset($data["ARCHIVOS"]) ? $data["ARCHIVOS"] : null;
        }
    }

    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $orden;

    /**
     * @var integer
     */
    private $requerimientoId;

    /**
     * @var string
     */
    private $nombre;

    /**
     * @var string
     */
    private $descripcion;

    /**
     * @var string
     */
    private $indicador;

    /**
     * @var string
     */
    private $archivos;

    public function getArchivos() {
        return $this->archivos;
    }

    public function setArchivos($archivo) {
        $this->archivos = $archivo;
    }
    public function getDescripcion() {
        return $this->descripcion;
    }

    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
    }

    public function getIndicador() {
        return $this->indicador;
    }

    public function setIndicador($indicador) {
        $this->indicador = $indicador;
    }

    public function getMedio() {
        return $this->medio;
    }

    public function setMedio($medio) {
        $this->medio = $medio;
    }

    /**
     * @var string
     */
    private $medio;

    /**
     * @var string
     */
    private $medioOferente;

    public function getMedioOferente() {
        return $this->medioOferente;
    }

    public function setMedioOferente($medio) {
        $this->medioOferente = $medio;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set orden
     *
     * @param integer $orden
     * @return TmepOtrosParametros
     */
    public function setOrden($orden) {
        $this->orden = intval($orden);
        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function getOrden() {
        return $this->orden;
    }

    /**
     * Set requerimientoId
     *
     * @param integer $requerimientoId
     * @return TmepOtrosParametros
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return integer 
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set nombre
     *
     * @param string $nombre
     * @return TmepOtrosParametros
     */
    public function setNombre($nombre) {
        $this->nombre = $nombre;
        return $this;
    }

    /**
     * Get nombre
     *
     * @return string 
     */
    public function getNombre() {
        return $this->nombre;
    }

    public function buscaOrdenMaximo($requerimientoId, EntityManager $em) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmepOtrosParametros d WHERE d.requerimientoId = ' . $requerimientoId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

    /**
     * Reduce el orden en 1 antes de eliminar el elemento
     * @param EntityManager $em
     * @return boolean
     */
    public function cambiaOrdenSiguientes(EntityManager $em) {
        $mensaje = '';
        try {
            $em->createQuery('UPDATE IncopMfcOfertasBundle:TmepOtrosParametros d SET d.orden=d.orden-1 WHERE d.orden >' . $this->getOrden() . ' and d.requerimientoId=' . $this->getRequerimientoId())->execute();
            return true;
        } catch (NoResultException $e) {
            $mensaje = $e;
            return false;
        }
    }

}
