<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\EntityManager;
use Doctrine\ORM\Mapping as ORM;
use Doctrine\ORM\NoResultException;

/**
 * TmepIngrPersTecnico
 *
 * @ORM\Table(name="TMEP_INGRPERSTECNICO")
 * @ORM\Entity
 */
class TmepPersonalTecnico {

    function __construct($data = null) {
        if ($data) {
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->cargo = isset($data['CARGO']) ? $data['CARGO'] : null;
            $this->instrumento = isset($data['INSTRUMENTO']) ? $data['INSTRUMENTO'] : null;
            $this->nivelEstudio = isset($data['NIVEL_ESTUDIO']) ? $data['NIVEL_ESTUDIO'] : null;
            $this->descripcion = isset($data['DESCRIPCION']) ? $data['DESCRIPCION'] : null;
            $this->cantidad = isset($data['CANTIDAD']) ? $data['CANTIDAD'] : null;
            $this->orden = isset($data['ORDEN']) ? $data['ORDEN'] : null;
        }
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="integer")
     */
    private $requerimientoId;

    /**
     * @var string
     *
     * @ORM\Column(name="CARGO", type="string", length=255)
     */
    private $cargo;

    /**
     * @var string
     *
     * @ORM\Column(name="INSTRUMENTO", type="string", length=255)
     */
    private $instrumento;

    /**
     * @var string
     *
     * @ORM\Column(name="NIVEL_ESTUDIO", type="string", length=2)
     */
    private $nivelEstudio;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION", type="string", length=255)
     */
    private $descripcion;

    /**
     * @var integer
     *
     * @ORM\Column(name="CANTIDAD", type="integer")
     */
    private $cantidad;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDEN", type="integer")
     */
    private $orden;

    /**
     * Set requerimientoId
     *
     * @param integer $requerimientoId
     * @return TmepPersonalTecnico
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return integer 
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set cargo
     *
     * @param string $cargo
     * @return TmepPersonalTecnico
     */
    public function setCargo($cargo) {
        $this->cargo = $cargo;
        return $this;
    }

    /**
     * Get cargo
     *
     * @return string 
     */
    public function getCargo() {
        return $this->cargo;
    }

    /**
     * Set instrumento
     *
     * @param string $instrumento
     * @return TmepPersonalTecnico
     */
    public function setInstrumento($instrumento) {
        $this->instrumento = $instrumento;
        return $this;
    }

    /**
     * Get instrumento
     *
     * @return string 
     */
    public function getInstrumento() {
        return $this->instrumento;
    }

    /**
     * Set nivelEstudio
     *
     * @param string $nivelEstudio
     * @return TmepPersonalTecnico
     */
    public function setNivelEstudio($nivelEstudio) {
        $this->nivelEstudio = $nivelEstudio;
        return $this;
    }

    /**
     * Get nivelEstudio
     *
     * @return string 
     */
    public function getNivelEstudio() {
        return $this->nivelEstudio;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepPersonalTecnico
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string 
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set cantidad
     *
     * @param integer $cantidad
     * @return TmepPersonalTecnico
     */
    public function setCantidad($cantidad) {
        $this->cantidad = intval($cantidad);
        return $this;
    }

    /**
     * Get cantidad
     *
     * @return integer 
     */
    public function getCantidad() {
        return $this->cantidad;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function setOrden($orden) {
        $this->orden = $orden;
        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function getOrden() {
        return $this->orden;
    }

    public function buscaOrdenMaximo($tdrsId, EntityManager $em) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmepPersonalTecnico d WHERE d.tdrsId = ' . $tdrsId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

}
