<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use DateTime;
use Doctrine\ORM\Mapping as ORM;

/**
 * TmepPliegos
 *
 * @ORM\Table(name="TMEP_PLIEGOS")
 * @ORM\Entity
 */
class TmepPliegos {

    /**
     * @var float
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="decimal", nullable=false)
     */
    private $requerimientoId;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_PROCESO", type="string", nullable=true)
     */
    private $codigoProceso;

    /**
     * @var float
     *
     * @ORM\Column(name="PRESUPUESTO_REFERENCIAL_NUMEROS", type="decimal", nullable=true)
     */
    private $presupuestoReferencialNumeros;

    /**
     * @var string
     *
     * @ORM\Column(name="PRESUPUESTO_REFERENCIAL_LETRAS", type="string", nullable=true)
     */
    private $presupuestoReferencialLetras;

    /**
     * @var float
     *
     * @ORM\Column(name="PAGO_ANTICIPO", type="decimal", nullable=true)
     */
    private $pagoAnticipo;

    /**
     * @var string
     *
     * @ORM\Column(name="CIUDAD_CONVOCATORIA", type="string", nullable=true)
     */
    private $ciudadConvocatoria;

    /**
     * @var string
     *
     * @ORM\Column(name="PROVINCIA_COD", type="string", nullable=true)
     */
    private $provinciaCod;

    /**
     * @var string
     *
     * @ORM\Column(name="CANTON_COD", type="string", nullable=true)
     */
    private $cantonCod;

    /**
     * @var string
     *
     * @ORM\Column(name="PARROQUIA_COD", type="string", nullable=true)
     */
    private $parroquiaCod;

    /**
     * @var float
     *
     * @ORM\Column(name="NUM_DIAS_SOL_PRO", type="decimal", nullable=true)
     */
    private $numDiasSolPro;

    /**
     * @var string
     *
     * @ORM\Column(name="CALLE_PRINCIPAL_APERTURA_OFERTAS", type="string", nullable=true)
     */
    private $callePrincipalAperturaOfertas;

    /**
     * @var string
     *
     * @ORM\Column(name="CALLE_SECUNDARIA_APERTURA_OFERTAS", type="string", nullable=true)
     */
    private $calleSecundariaAperturaOfertas;

    /**
     * @var string
     *
     * @ORM\Column(name="NUMERO_APERTURA_OFERTAS", type="string", nullable=true)
     */
    private $numeroAperturaOfertas;

    /**
     * @var float
     *
     * @ORM\Column(name="COSTO_PLIEGO", type="decimal", nullable=true)
     */
    private $costoPliego;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION_PROYECTO", type="string", nullable=true)
     */
    private $descripcionProyecto;

    /**
     * @var string
     *
     * @ORM\Column(name="FIRMA", type="string", nullable=true)
     */
    private $firma;

    /**
     * @var string
     *
     * @ORM\Column(name="OTROS", type="string", nullable=true)
     */
    private $otros;

    /**
     * @var string
     *
     * @ORM\Column(name="REFERENCIA", type="string", nullable=true)
     */
    private $referencia;

    /**
     * @var DateTime
     *
     * @ORM\Column(name="FECHA_ENTREGA_ELECTRONICA", type="date", nullable=true)
     */
    private $fechaEntregaElectronica;

    /**
     * @var DateTime
     *
     * @ORM\Column(name="HORA_ENTREGA_ELECTRONICA", type="time", nullable=true)
     */
    private $horaEntregaElectronica;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_CONSULTORIA_COD", type="string", nullable=true)
     */
    private $tipoConsultoriaCod;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_CONSULTORIA_DES", type="string", nullable=true)
     */
    private $tipoConsultoriaDes;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="CALLE_PRINCIPAL_ENTREGA_OFERTAS", type="string", nullable=true)
     */
    private $callePrincipalEntregaOfertas;

    /**
     * @var string
     *
     * @ORM\Column(name="CALLE_SECUNDARIA_ENTREGA_OFERTAS", type="string", nullable=true)
     */
    private $calleSecundariaEntregaOfertas;

    /**
     * @var string
     *
     * @ORM\Column(name="NUMERO_ENTREGA_OFERTAS", type="string", nullable=true)
     */
    private $numeroEntregaOfertas;

    /**
     * @var string
     *
     * @ORM\Column(name="REFERENCIA_ENTREGA_OFERTAS", type="string", nullable=true)
     */
    private $referenciaEntregaOfertas;

    /**
     * @var string
     *
     * @ORM\Column(name="OBLIGACIONES_ADICIONALES_CONTRATANTE", type="string", nullable=true)
     */
    private $obligacionesAdicionalesContratante;

    /**
     * @var string
     *
     * @ORM\Column(name="OBLIGACIONES_ADICIONALES_CONTRATISTA", type="string", nullable=true)
     */
    private $obligacionesAdicionalesContratista;

    /**
     * @var string
     *
     * @ORM\Column(name="CONDICION_ADICIONAL_PRECIO_OFERTA", type="string", nullable=true)
     */
    private $condicionAdicionalPrecioOferta;

    /**
     * @var boolean
     *
     * @ORM\Column(name="TIENE_EXTRANJERO", type="boolean", nullable=true)
     */
    private $tieneExtranjero;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_VERIFICACION_CAPACIDAD_NACIONAL", type="string", nullable=true)
     */
    private $codigoVerificacionCapacidadNacional;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION_PLAZO_TERMINO_RECEPCION", type="string", nullable=true)
     */
    private $descripcionPlazoTerminoRecepcion;
    
    /**
     * @var string
     *
     * @ORM\Column(name="OBLIGACIONES_ADICIONALES_ADJUDICATARIO", type="string", nullable=true)
     */
    private $obligacionesAdicionalesAdjudicatario;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->codigoProceso = isset($data['CODIGO_PROCESO']) ? $data['CODIGO_PROCESO'] : null;
            $this->presupuestoReferencialNumeros = isset($data['PRESUPUESTO_REFERENCIAL_NUMEROS']) ? $data['PRESUPUESTO_REFERENCIAL_NUMEROS'] : null;
            $this->presupuestoReferencialLetras = isset($data['PRESUPUESTO_REFERENCIAL_LETRAS']) ? $data['PRESUPUESTO_REFERENCIAL_LETRAS'] : null;
            $this->pagoAnticipo = isset($data['PAGO_ANTICIPO']) ? $data['PAGO_ANTICIPO'] : null;
            $this->ciudadConvocatoria = isset($data['CIUDAD_CONVOCATORIA']) ? $data['CIUDAD_CONVOCATORIA'] : null;
            $this->provinciaCod = isset($data['PROVINCIA_COD']) ? $data['PROVINCIA_COD'] : null;
            $this->cantonCod = isset($data['CANTON_COD']) ? $data['CANTON_COD'] : null;
            $this->parroquiaCod = isset($data['PARROQUIA_COD']) ? $data['PARROQUIA_COD'] : null;
            $this->numDiasSolPro = isset($data['NUM_DIAS_SOL_PRO']) ? $data['NUM_DIAS_SOL_PRO'] : null;
            $this->callePrincipalAperturaOfertas = isset($data['CALLE_PRINCIPAL_APERTURA_OFERTAS']) ? $data['CALLE_PRINCIPAL_APERTURA_OFERTAS'] : null;
            $this->calleSecundariaAperturaOfertas = isset($data['CALLE_SECUNDARIA_APERTURA_OFERTAS']) ? $data['CALLE_SECUNDARIA_APERTURA_OFERTAS'] : null;
            $this->numeroAperturaOfertas = isset($data['NUMERO_APERTURA_OFERTAS']) ? $data['NUMERO_APERTURA_OFERTAS'] : null;
            $this->descripcionProyecto = isset($data['DESCRIPCION_PROYECTO']) ? $data['DESCRIPCION_PROYECTO'] : null;
            $this->firma = isset($data['FIRMA']) ? $data['FIRMA'] : null;
            $this->fechaEntregaElectronica = isset($data['FECHA_ENTREGA_ELECTRONICA']) ? $data['FECHA_ENTREGA_ELECTRONICA'] : null;
            $this->horaEntregaElectronica = isset($data['HORA_ENTREGA_ELECTRONICA']) ? $data['HORA_ENTREGA_ELECTRONICA'] : null;
            $this->otros = isset($data['OTROS']) ? $data['OTROS'] : null;
            $this->referencia = isset($data['REFERENCIA']) ? $data['REFERENCIA'] : null;
            $this->tipoConsultoriaCod = isset($data['TIPO_CONSULTORIA_COD']) ? $data['TIPO_CONSULTORIA_COD'] : null;
            $this->tipoConsultoriaDes = isset($data['TIPO_CONSULTORIA_DES']) ? $data['TIPO_CONSULTORIA_DES'] : null;
            //Campos nuevos
            $this->callePrincipalEntregaOfertas = isset($data['CALLE_PRINCIPAL_ENTREGA_OFERTAS']) ? $data['CALLE_PRINCIPAL_ENTREGA_OFERTAS'] : null;
            $this->calleSecundariaEntregaOfertas = isset($data['CALLE_SECUNDARIA_ENTREGA_OFERTAS']) ? $data['CALLE_SECUNDARIA_ENTREGA_OFERTAS'] : null;
            $this->numeroEntregaOfertas = isset($data['NUMERO_ENTREGA_OFERTAS']) ? $data['NUMERO_ENTREGA_OFERTAS'] : null;
            $this->referenciaEntregaOfertas = isset($data['REFERENCIA_ENTREGA_OFERTAS']) ? $data['REFERENCIA_ENTREGA_OFERTAS'] : null;
            $this->obligacionesAdicionalesContratante = isset($data['OBLIGACIONES_ADICIONALES_CONTRATANTE']) ? $data['OBLIGACIONES_ADICIONALES_CONTRATANTE'] : null;
            $this->obligacionesAdicionalesContratista = isset($data['OBLIGACIONES_ADICIONALES_CONTRATISTA']) ? $data['OBLIGACIONES_ADICIONALES_CONTRATISTA'] : null;
            $this->condicionAdicionalPrecioOferta = isset($data['CONDICION_ADICIONAL_PRECIO_OFERTA']) ? $data['CONDICION_ADICIONAL_PRECIO_OFERTA'] : null;
            $this->tieneExtranjero = isset($data['TIENE_EXTRANJERO']) ? $data['TIENE_EXTRANJERO'] : null;
            $this->codigoVerificacionCapacidadNacional = isset($data['CODIGO_VERIFICACION_CAPACIDAD_NACIONAL']) ? $data['CODIGO_VERIFICACION_CAPACIDAD_NACIONAL'] : null;
            $this->descripcionPlazoTerminoRecepcion = isset($data['DESCRIPCION_PLAZO_TERMINO_RECEPCION']) ? $data['DESCRIPCION_PLAZO_TERMINO_RECEPCION'] : null;
            $this->obligacionesAdicionalesAdjudicatario = isset($data['OBLIGACIONES_ADICIONALES_ADJUDICATARIO']) ? $data['OBLIGACIONES_ADICIONALES_ADJUDICATARIO'] : null;
        }
    }

    /**
     * Set requerimientoId
     *
     * @param float $requerimientoId
     * @return TmepPliegos
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return float
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set codigoProceso
     *
     * @param string $codigoProceso
     * @return TmepPliegos
     */
    public function setCodigoProceso($codigoProceso) {
        $this->codigoProceso = $codigoProceso;
        return $this;
    }

    /**
     * Get codigoProceso
     *
     * @return string
     */
    public function getCodigoProceso() {
        return $this->codigoProceso;
    }

    /**
     * Set numeroProceso
     *
     * @param string $numeroProceso
     * @return TmepPliegos
     */
    public function setNumeroProceso($numeroProceso) {
        $this->codigoProceso = $numeroProceso;

        return $this;
    }

    /**
     * Get numeroProceso
     *
     * @return string
     */
    public function getNumeroProceso() {
        return $this->codigoProceso;
    }

    /**
     * Set presupuestoReferencialNumeros
     *
     * @param float $presupuestoReferencialNumeros
     * @return TmepPliegos
     */
    public function setPresupuestoReferencialNumeros($presupuestoReferencialNumeros) {
        $this->presupuestoReferencialNumeros = $presupuestoReferencialNumeros;
        return $this;
    }

    /**
     * Get presupuestoReferencialNumeros
     *
     * @return float
     */
    public function getPresupuestoReferencialNumeros() {
        return $this->presupuestoReferencialNumeros;
    }

    /**
     * Set presupuestoReferencialLetras
     *
     * @param string $presupuestoReferencialLetras
     * @return TmepPliegos
     */
    public function setPresupuestoReferencialLetras($presupuestoReferencialLetras) {
        $this->presupuestoReferencialLetras = $presupuestoReferencialLetras;
        return $this;
    }

    /**
     * Get presupuestoReferencialLetras
     *
     * @return string
     */
    public function getPresupuestoReferencialLetras() {
        return $this->presupuestoReferencialLetras;
    }

    /**
     * Set pagoAnticipo
     *
     * @param float $pagoAnticipo
     * @return TmepPliegos
     */
    public function setPagoAnticipo($pagoAnticipo) {
        $this->pagoAnticipo = $pagoAnticipo;
        return $this;
    }

    /**
     * Get pagoAnticipo
     *
     * @return float
     */
    public function getPagoAnticipo() {
        return $this->pagoAnticipo;
    }

    /**
     * Set ciudadConvocatoria
     *
     * @param string $ciudadConvocatoria
     * @return TmepPliegos
     */
    public function setCiudadConvocatoria($ciudadConvocatoria) {
        $this->ciudadConvocatoria = $ciudadConvocatoria;
        return $this;
    }

    /**
     * Get ciudadConvocatoria
     *
     * @return string
     */
    public function getCiudadConvocatoria() {
        return $this->ciudadConvocatoria;
    }

    /**
     * Set provinciaCod
     *
     * @param string $provinciaCod
     * @return TmepPliegos
     */
    public function setProvinciaCod($provinciaCod) {
        $this->provinciaCod = $provinciaCod;
        return $this;
    }

    /**
     * Get provinciaCod
     *
     * @return string
     */
    public function getProvinciaCod() {
        return $this->provinciaCod;
    }

    /**
     * Set cantonCod
     *
     * @param string $cantonCod
     * @return TmepPliegos
     */
    public function setCantonCod($cantonCod) {
        $this->cantonCod = $cantonCod;
        return $this;
    }

    /**
     * Get cantonCod
     *
     * @return string
     */
    public function getCantonCod() {
        return $this->cantonCod;
    }

    /**
     * Set parroquiaCod
     *
     * @param string $parroquiaCod
     * @return TmepPliegos
     */
    public function setParroquiaCod($parroquiaCod) {
        $this->parroquiaCod = $parroquiaCod;
        return $this;
    }

    /**
     * Get parroquiaCod
     *
     * @return string
     */
    public function getParroquiaCod() {
        return $this->parroquiaCod;
    }

    /**
     * Set numDiasSolPro
     *
     * @param string $numDiasSolPro
     * @return TmepPliegos
     */
    public function setNumDiasSolPro($numDiasSolPro) {
        $this->numDiasSolPro = $numDiasSolPro;
        return $this;
    }

    /**
     * Get numDiasSolPro
     *
     * @return string
     */
    public function getNumDiasSolPro() {
        return $this->numDiasSolPro;
    }

    /**
     * Set callePrincipalAperturaOfertas
     *
     * @param string $callePrincipalAperturaOfertas
     * @return TmepPliegos
     */
    public function setCallePrincipalAperturaOfertas($callePrincipalAperturaOfertas) {
        $this->callePrincipalAperturaOfertas = $callePrincipalAperturaOfertas;
        return $this;
    }

    /**
     * Get callePrincipalAperturaOfertas
     *
     * @return string
     */
    public function getCallePrincipalAperturaOfertas() {
        return $this->callePrincipalAperturaOfertas;
    }

    /**
     * Set calleSecundariaAperturaOfertas
     *
     * @param string $calleSecundariaAperturaOfertas
     * @return TmepPliegos
     */
    public function setCalleSecundariaAperturaOfertas($calleSecundariaAperturaOfertas) {
        $this->calleSecundariaAperturaOfertas = $calleSecundariaAperturaOfertas;
        return $this;
    }

    /**
     * Get callePrincipalAperturaOfertas
     *
     * @return string
     */
    public function getCalleSecundariaAperturaOfertas() {
        return $this->calleSecundariaAperturaOfertas;
    }

    /**
     * Set numeroAperturaOfertas
     *
     * @param string $numeroAperturaOfertas
     * @return TmepPliegos
     */
    public function setNumeroAperturaOfertas($numeroAperturaOfertas) {
        $this->numeroAperturaOfertas = $numeroAperturaOfertas;
        return $this;
    }

    /**
     * Get numeroAperturaOfertas
     *
     * @return string
     */
    public function getNumeroAperturaOfertas() {
        return $this->numeroAperturaOfertas;
    }

    /**
     * Set costoPliego
     *
     * @param string $costoPliego
     * @return TmepPliegos
     */
    public function setCostoPliego($costoPliego) {
        $this->costoPliego = $costoPliego;
        return $this;
    }

    /**
     * Get costoPliego
     *
     * @return string
     */
    public function getCostoPliego() {
        return $this->costoPliego;
    }

    /**
     * Set descripcionProyecto
     *
     * @param string $descripcionProyecto
     * @return TmepPliegos
     */
    public function setDescripcionProyecto($descripcionProyecto) {
        $this->descripcionProyecto = $descripcionProyecto;
        return $this;
    }

    /**
     * Get descripcionProyecto
     *
     * @return string
     */
    public function getDescripcionProyecto() {
        return $this->descripcionProyecto;
    }

    /**
     * Set firma
     *
     * @param string $firma
     * @return TmepPliegos
     */
    public function setFirma($firma) {
        $this->firma = $firma;
        return $this;
    }

    /**
     * Get firma
     *
     * @return string
     */
    public function getFirma() {
        return $this->firma;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set fechaEntregaElectronica
     *
     * @param DateTime $fechaEntregaElectronica
     * @return TmepPliMenbieser
     */
    public function setFechaEntregaElectronica($fechaEntregaElectronica) {
        $this->fechaEntregaElectronica = $fechaEntregaElectronica;
        return $this;
    }

    /**
     * Get fechaEntregaElectronica
     *
     * @return DateTime
     */
    public function getFechaEntregaElectronica() {
        return $this->fechaEntregaElectronica;
    }

    /**
     * Set horaEntregaElectronica
     *
     * @param DateTime $horaEntregaElectronica
     * @return TmepPliMenbieser
     */
    public function setHoraEntregaElectronica($horaEntregaElectronica) {
        $this->horaEntregaElectronica = $horaEntregaElectronica;
        return $this;
    }

    /**
     * Get horaEntregaElectronica
     *
     * @return DateTime
     */
    public function getHoraEntregaElectronica() {
        return $this->horaEntregaElectronica;
    }

    /**
     * Set otros
     *
     * @param string $otros
     * @return TmepPliegos
     */
    public function setOtros($otros) {
        $this->otros = $otros;
        return $this;
    }

    /**
     * Get otros
     *
     * @return string
     */
    public function getOtros() {
        return $this->otros;
    }

    /**
     * Set referencia
     *
     * @param string $referencia
     * @return TmepPliegos
     */
    public function setReferencia($referencia) {
        $this->referencia = $referencia;
        return $this;
    }

    /**
     * Get referencia
     *
     * @return string
     */
    public function getReferencia() {
        return $this->referencia;
    }

    /**
     * Set tipoConsultoriaCod
     *
     * @param string $tipoConsultoriaCod
     * @return TmepPliegos
     */
    public function setTipoConsultoriaCod($tipoConsultoriaCod) {
        $this->tipoConsultoriaCod = $tipoConsultoriaCod;
        return $this;
    }

    /**
     * Get tipoConsultoriaCod
     *
     * @return string
     */
    public function getTipoConsultoriaCod() {
        return $this->tipoConsultoriaCod;
    }

    /**
     * Set tipoConsultoriaDes
     *
     * @param string $tipoConsultoriaDes
     * @return TmepPliegos
     */
    public function setTipoConsultoriaDes($tipoConsultoriaDes) {
        $this->tipoConsultoriaDes = $tipoConsultoriaDes;
        return $this;
    }

    /**
     * Get tipoConsultoriaDes
     *
     * @return string
     */
    public function getTipoConsultoriaDes() {
        return $this->tipoConsultoriaDes;
    }

    /**
     *
     * @return type
     */
    public function getCallePrincipalEntregaOfertas() {
        return $this->callePrincipalEntregaOfertas;
    }

    /**
     *
     * @param type $callePrincipalEntregaOfertas
     * @return TmepPliegos
     */
    public function setCallePrincipalEntregaOfertas($callePrincipalEntregaOfertas) {
        $this->callePrincipalEntregaOfertas = $callePrincipalEntregaOfertas;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getCalleSecundariaEntregaOfertas() {
        return $this->calleSecundariaEntregaOfertas;
    }

    /**
     *
     * @param type $calleSecundariaEntregaOfertas
     * @return TmepPliegos
     */
    public function setCalleSecundariaEntregaOfertas($calleSecundariaEntregaOfertas) {
        $this->calleSecundariaEntregaOfertas = $calleSecundariaEntregaOfertas;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getNumeroEntregaOfertas() {
        return $this->numeroEntregaOfertas;
    }

    /**
     *
     * @param type $numeroEntregaOfertas
     * @return TmepPliegos
     */
    public function setNumeroEntregaOfertas($numeroEntregaOfertas) {
        $this->numeroEntregaOfertas = $numeroEntregaOfertas;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getReferenciaEntregaOfertas() {
        return $this->referenciaEntregaOfertas;
    }

    /**
     *
     * @param type $referenciaEntregaOfertas
     * @return TmepPliegos
     */
    public function setReferenciaEntregaOfertas($referenciaEntregaOfertas) {
        $this->referenciaEntregaOfertas = $referenciaEntregaOfertas;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getObligacionesAdicionalesContratante() {
        return $this->obligacionesAdicionalesContratante;
    }

    /**
     *
     * @param type $obligacionesAdicionalesContratante
     * @return TmepPliegos
     */
    public function setObligacionesAdicionalesContratante($obligacionesAdicionalesContratante) {
        $this->obligacionesAdicionalesContratante = $obligacionesAdicionalesContratante;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getObligacionesAdicionalesContratista() {
        return $this->obligacionesAdicionalesContratista;
    }

    /**
     *
     * @param type $obligacionesAdicionalesContratista
     * @return TmepPliegos
     */
    public function setObligacionesAdicionalesContratista($obligacionesAdicionalesContratista) {
        $this->obligacionesAdicionalesContratista = $obligacionesAdicionalesContratista;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getCondicionAdicionalPrecioOferta() {
        return $this->condicionAdicionalPrecioOferta;
    }

    /**
     *
     * @param type $condicionAdicionalPrecioOferta
     * @return TmepPliegos
     */
    public function setCondicionAdicionalPrecioOferta($condicionAdicionalPrecioOferta) {
        $this->condicionAdicionalPrecioOferta = $condicionAdicionalPrecioOferta;
        return $this;
    }

    /**
     *
     * @return boolean
     */
    public function getTieneExtranjero() {
        return $this->tieneExtranjero;
    }

    /**
     *
     * @param boolean $tieneExtranjero
     * @return TmepPliegos
     */
    public function setTieneExtranjero($tieneExtranjero) {
        $this->tieneExtranjero = $tieneExtranjero;
        return $this;
    }

    /**
     *
     * @return string
     */
    public function getCodigoVerificacionCapacidadNacional() {
        return $this->codigoVerificacionCapacidadNacional;
    }

    /**
     *
     * @param string $codigoVerificacionCapacidadNacional
     * @return TmepPliegos
     */
    public function setCodigoVerificacionCapacidadNacional($codigoVerificacionCapacidadNacional) {
        $this->codigoVerificacionCapacidadNacional = $codigoVerificacionCapacidadNacional;
        return $this;
    }

    /**
     *
     * @return string
     */
    public function getDescripcionPlazoTerminoRecepcion() {
        return $this->descripcionPlazoTerminoRecepcion;
    }

    /**
     *
     * @param string $descripcionPlazoTerminoRecepcion
     * @return TmepPliegos
     */
    public function setDescripcionPlazoTerminoRecepcion($descripcionPlazoTerminoRecepcion) {
        $this->descripcionPlazoTerminoRecepcion = $descripcionPlazoTerminoRecepcion;
        return $this;
    }
    
    /**
     *
     * @return type
     */
    public function getObligacionesAdicionalesAdjudicatario() {
        return $this->obligacionesAdicionalesAdjudicatario;
    }

    /**
     *
     * @param type $obligacionesAdicionalesAdjudicatario
     * @return TmepPliegos
     */
    public function setObligacionesAdicionalesAdjudicatario($obligacionesAdicionalesAdjudicatario) {
        $this->obligacionesAdicionalesAdjudicatario = $obligacionesAdicionalesAdjudicatario;
        return $this;
    }
}
