<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints\DateTime;

/**
 * TmepRequerimientos
 *
 * @ORM\Table(name="TMEP_REQUERIMIENTOS")
 * @ORM\Entity
 */
class TmepRequerimientos {

    /**
     * @var float
     *
     * @ORM\Column(name="CONTRATACION_ID", type="decimal", nullable=true)
     */
    private $contratacionId;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_COMPRA", type="string", nullable=true)
     */
    private $tipoCompra;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_CONTRATACION", type="string", nullable=true)
     */
    private $tipoContratacion;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PLIEGO ", type="string", nullable=true)
     */
    private $tipoPliego;

    /**
     * @var string
     *
     * @ORM\Column(name="JUSTIFICACION_TIPO_CONTRATACION", type="string", nullable=true)
     */
    private $justificacionTipoContratacion;

    /**
     * @var string
     *
     * @ORM\Column(name="AREA_REQUIRENTE", type="text", nullable=true)
     */
    private $areaRequirente;

    /**
     * @var string
     *
     * @ORM\Column(name="CED_RESP_AREA", type="string", nullable=true)
     */
    private $cedRespArea;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMB_RESP_AREA", type="string", nullable=true)
     */
    private $nombRespArea;

    /**
     * @var string
     *
     * @ORM\Column(name="CED_RESP_SOLICITUD", type="string", nullable=true)
     */
    private $cedRespSolicitud;

    /**
     * @var string
     *
     * @ORM\Column(name="RESP_SOLICITUD", type="string", nullable=true)
     */
    private $respSolicitud;

    /**
     * @var string
     *
     * @ORM\Column(name="CED_RESP_APROBACION", type="string", nullable=true)
     */
    private $cedRespAprobacion;

    /**
     * @var string
     *
     * @ORM\Column(name="RESP_APROBACION", type="string", nullable=true)
     */
    private $respAprobacion;

    /**
     * @var string
     *
     * @ORM\Column(name="OBJETO_CONTRATACION", type="text", nullable=true)
     */
    private $objetoContratacion;

    /**
     * @var string
     *
     * @ORM\Column(name="ANTECEDENTES", type="text", nullable=true)
     */
    private $antecedentes;

    /**
     * @var string
     *
     * @ORM\Column(name="SIT_ACTUAL", type="text", nullable=true)
     */
    private $sitActual;

    /**
     * @var string
     *
     * @ORM\Column(name="DESC_PROCESO", type="text", nullable=true)
     */
    private $descProceso;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_BIEN_SERVICIO", type="string", nullable=true)
     */
    private $tipoBienServicio;

    /**
     * @var float
     *
     * @ORM\Column(name="PLAZO_EJEC", type="decimal", nullable=true)
     */
    private $plazoEjec;

    /**
     * @var string
     *
     * @ORM\Column(name="UNIDAD_PLAZO_EJEC", type="string", nullable=true)
     */
    private $unidadPlazoEjec;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PLAZ_EJEC", type="string", nullable=true)
     */
    private $tipoPlazEjec;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PLAZ_EJEC_NOMBRE", type="string", nullable=true)
     */
    private $tipoPlazEjecNombre;

    /**
     * @var float
     *
     * @ORM\Column(name="VIGENCIA_OFERTA", type="decimal", nullable=true)
     */
    private $vigenciaOferta;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_AJUD", type="string", nullable=true)
     */
    private $tipoAjud;

    /**
     * @var string
     *
     * @ORM\Column(name="REAJ_PREC", type="string", nullable=true)
     */
    private $reajPrec;

    /**
     * @var string
     *
     * @ORM\Column(name="FORMU_REAJ_PREC", type="string", nullable=true)
     */
    private $formuReajPrec;
    
    /**
     * @var string
     *
     * @ORM\Column(name="CIRCUNSCRIPCION_AMAZONICA", type="string", nullable=true)
     */
    private $circunscripcionAmazonica;

    /**
     * @var string
     *
     * @ORM\Column(name="REFERENCIA_PAC", type="string", nullable=true)
     */
    private $referenciaPac;

    /**
     * @var string
     *
     * @ORM\Column(name="PROYECTO_BID", type="string", nullable=true)
     */
    private $proyectoBid;

    /**
     * @var string
     *
     * @ORM\Column(name="BID_CONT_PREST", type="string", nullable=true)
     */
    private $bidContPrest;

    /**
     * @var string
     *
     * @ORM\Column(name="BID_NUM_OPER", type="string", nullable=true)
     */
    private $bidNumOper;

    /**
     * @var string
     *
     * @ORM\Column(name="PRO_INVERSION", type="string", nullable=true)
     */
    private $proInversion;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE_PRO_INVERSION", type="string", nullable=true)
     */
    private $nombreProInversion;

    /**
     * @var string
     *
     * @ORM\Column(name="CUP", type="string", nullable=true)
     */
    private $cup;

    /**
     * @var string
     *
     * @ORM\Column(name="FECHA", type="string", nullable=true)
     */
    private $fecha;

    /**
     * @var string
     *
     * @ORM\Column(name="OTRO_TIPO_PLAZ_EJEC", type="string", nullable=true)
     */
    private $otroTipoPlazEjec;

    /**
     * @var float
     *
     * @ORM\Column(name="DESAGRE_TECNO", type="decimal", nullable=true)
     */
    private $desagreTecno;

    /**
     * @var string
     *
     * @ORM\Column(name="SERVICIO_INCLUYE_BIEN", type="string", nullable=true)
     */
    private $servicioIncluyeBien;

    /**
     * @var string
     *
     * @ORM\Column(name="CONTEMPLA_VEHICULO", type="string", nullable=true)
     */
    private $contemplaVehiculo;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_PROCESO_VEHICULO", type="string", nullable=true)
     */
    private $codigoProcesoVehiculo;

    /**
     * @var integer
     *
     * @ORM\Column(name="VARIACION_PUJA", type="integer", nullable=true)
     */
    private $variacionPuja;

    /**
     * @var decimal
     *
     * @ORM\Column(name="COSTO_LEVANTAMIENTO_TEXTO", type="decimal", nullable=true)
     */
    private $costoLevantamientoTexto;

    /**
     * @var decimal
     *
     * @ORM\Column(name="PRT", type="decimal", nullable=true)
     */
    private $prt;

    /**
     * @var decimal
     *
     * @ORM\Column(name="PRT_LIMITE", type="decimal", nullable=true)
     */
    private $prtLimite;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTO_TOTAL_PROYECTO", type="decimal", nullable=true)
     */
    private $montoTotalProyecto;

    /**
     * @var string
     *
     * @ORM\Column(name="TOTAL_PESO_RELATIVO", type="string", nullable=true)
     */
    private $totalPesoRelativo;

    /**
     * @var string
     *
     * @ORM\Column(name="TOTAL_AGREGADO_EC", type="string", nullable=true)
     */
    private $totalAgregadoEc;

    /**
     * @var string
     *
     * @ORM\Column(name="PRECALIFICACION", type="boolean", nullable=true)
     */
    private $precalificacion;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_PROCESO_CONSULTORIA_DESIERTO", type="string", nullable=true)
     */
    private $codigoProcesoConsultoriaDesierto;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="UMBRAL", type="string", nullable=true)
     */
    private $umbral;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->contratacionId = isset($data['CONTRATACION_ID']) ? $data['CONTRATACION_ID'] : null;
            $this->tipoCompra = isset($data['TIPO_COMPRA']) ? $data['TIPO_COMPRA'] : null;
            $this->montoTotalProyecto = isset($data['MONTO_TOTAL_PROYECTO']) ? $data['MONTO_TOTAL_PROYECTO'] : null;
            $this->totalPesoRelativo = isset($data['TOTAL_PESO_RELATIVO']) ? $data['TOTAL_PESO_RELATIVO'] : null;
            $this->totalAgregadoEc = isset($data['TOTAL_AGREGADO_EC']) ? $data['TOTAL_AGREGADO_EC'] : null;
            $this->tipoContratacion = isset($data['TIPO_CONTRATACION']) ? $data['TIPO_CONTRATACION'] : null;
            $this->tipoPliego = isset($data['TIPO_PLIEGO']) ? $data['TIPO_PLIEGO'] : null;
            $this->justificacionTipoContratacion = isset($data['JUSTIFICACION_TIPO_CONTRATACION']) ? $data['JUSTIFICACION_TIPO_CONTRATACION'] : null;
            $this->areaRequirente = isset($data['AREA_REQUIRENTE']) ? $data['AREA_REQUIRENTE'] : null;
            $this->cedRespArea = isset($data['CED_RESP_AREA']) ? $data['CED_RESP_AREA'] : null;
            $this->nombRespArea = isset($data['NOMB_RESP_AREA']) ? $data['NOMB_RESP_AREA'] : null;
            $this->cedRespSolicitud = isset($data['CED_RESP_SOLICITUD']) ? $data['CED_RESP_SOLICITUD'] : null;
            $this->respSolicitud = isset($data['RESP_SOLICITUD']) ? $data['RESP_SOLICITUD'] : null;
            $this->cedRespAprobacion = isset($data['CED_RESP_APROBACION']) ? $data['CED_RESP_APROBACION'] : null;
            $this->respAprobacion = isset($data['RESP_APROBACION']) ? $data['RESP_APROBACION'] : null;
            $this->objetoContratacion = isset($data['OBJETO_CONTRATACION']) ? $data['OBJETO_CONTRATACION'] : null;
            $this->antecedentes = isset($data['ANTECEDENTES']) ? $data['ANTECEDENTES'] : null;
            $this->sitActual = isset($data['SIT_ACTUAL']) ? $data['SIT_ACTUAL'] : null;
            $this->descProceso = isset($data['DESC_PROCESO']) ? $data['DESC_PROCESO'] : null;
            $this->tipoBienServicio = isset($data['TIPO_BIEN_SERVICIO']) ? $data['TIPO_BIEN_SERVICIO'] : null;
            $this->plazoEjec = isset($data['PLAZO_EJEC']) ? $data['PLAZO_EJEC'] : null;
            $this->unidadPlazoEjec = isset($data['UNIDAD_PLAZO_EJEC']) ? $data['UNIDAD_PLAZO_EJEC'] : null;
            $this->tipoPlazEjec = isset($data['TIPO_PLAZ_EJEC']) ? $data['TIPO_PLAZ_EJEC'] : null;
            $this->tipoPlazEjecNombre = isset($data['TIPO_PLAZ_EJEC_NOMBRE']) ? $data['TIPO_PLAZ_EJEC_NOMBRE'] : null;
            $this->vigenciaOferta = isset($data['VIGENCIA_OFERTA']) ? $data['VIGENCIA_OFERTA'] : null;
            $this->tipoAjud = isset($data['TIPO_AJUD']) ? $data['TIPO_AJUD'] : null;
            $this->reajPrec = isset($data['REAJ_PREC']) ? $data['REAJ_PREC'] : null;
            $this->formuReajPrec = isset($data['FORMU_REAJ_PREC']) ? $data['FORMU_REAJ_PREC'] : null;
            $this->referenciaPac = isset($data['REFERENCIA_PAC']) ? $data['REFERENCIA_PAC'] : null;
            $this->proyectoBid = isset($data['PROYECTO_BID']) ? $data['PROYECTO_BID'] : null;
            $this->bidContPrest = isset($data['BID_CONT_PREST']) ? $data['BID_CONT_PREST'] : null;
            $this->bidNumOper = isset($data['BID_NUM_OPER']) ? $data['BID_NUM_OPER'] : null;
            $this->proInversion = isset($data['PRO_INVERSION']) ? $data['PRO_INVERSION'] : null;
            $this->nombreProInversion = isset($data['NOMBRE_PRO_INVERSION']) ? $data['NOMBRE_PRO_INVERSION'] : null;
            $this->cup = isset($data['CUP']) ? $data['CUP'] : null;
            $this->fecha = isset($data['FECHA']) ? $data['FECHA'] : null;
            $this->otroTipoPlazEjec = isset($data['OTRO_TIPO_PLAZ_EJEC']) ? $data['OTRO_TIPO_PLAZ_EJEC'] : null;
            $this->desagreTecno = isset($data['DESAGRE_TECNO']) ? $data['DESAGRE_TECNO'] : null;
            $this->servicioIncluyeBien = isset($data['SERVICIO_INCLUYE_BIEN']) ? $data['SERVICIO_INCLUYE_BIEN'] : null;
            $this->contemplaVehiculo = isset($data['CONTEMPLA_VEHICULO']) ? $data['CONTEMPLA_VEHICULO'] : null;
            $this->codigoProcesoVehiculo = isset($data['CODIGO_PROCESO_VEHICULO']) ? $data['CODIGO_PROCESO_VEHICULO'] : null;
            $this->variacionPuja = isset($data['VARIACION_PUJA']) ? $data['VARIACION_PUJA'] : null;
            $this->costoLevantamientoTexto = isset($data['COSTO_LEVANTAMIENTO_TEXTO']) ? $data['COSTO_LEVANTAMIENTO_TEXTO'] : null;
            $this->prt = isset($data['PRT']) ? $data['PRT'] : null;
            $this->prtLimite = isset($data['PRT_LIMITE']) ? $data['PRT_LIMITE'] : null;
            $this->precalificacion = isset($data['PRECALIFICACION']) ? $data['PRECALIFICACION'] : null;
            $this->codigoProcesoConsultoriaDesierto = isset($data['CODIGO_PROCESO_CONSULTORIA_DESIERTO']) ? $data['CODIGO_PROCESO_CONSULTORIA_DESIERTO'] : null;
            $this->umbral = isset($data['UMBRAL']) ? $data['UMBRAL'] : null;
            $this->circunscripcionAmazonica = isset($data['CIRCUNSCRIPCION_AMAZONICA']) ? $data['CIRCUNSCRIPCION_AMAZONICA'] : null;
        }
    }

    /**
     * Set montoTotalProyecto
     *
     * @param float $montoTotalProyecto
     * @return TmepRequerimientos
     */
    public function setMontoTotalProyecto($montoTotalProyecto) {
        $this->montoTotalProyecto = $montoTotalProyecto;

        return $this;
    }

    /**
     * Get montoTotalProyecto
     *
     * @return float 
     */
    public function getMontoTotalProyecto() {
        return $this->montoTotalProyecto;
    }

    /**
     * Set totalPesoRelativo
     *
     * @param float $totalPesoRelativo
     * @return TmepRequerimientos
     */
    public function setTotalPesoRelativo($totalPesoRelativo) {
        $this->totalPesoRelativo = $totalPesoRelativo;

        return $this;
    }

    /**
     * Get totalPesoRelativo
     *
     * @return float 
     */
    public function getTotalPesoRelativo() {
        return $this->totalPesoRelativo;
    }

    /**
     * Set totalAgregadoEc
     *
     * @param float $totalAgregadoEc
     * @return TmepRequerimientos
     */
    public function setTotalAgregadoEc($totalAgregadoEc) {
        $this->totalAgregadoEc = $totalAgregadoEc;

        return $this;
    }

    /**
     * Get totalAgregadoEc
     *
     * @return float 
     */
    public function getTotalAgregadoEc() {
        return $this->totalAgregadoEc;
    }

    /**
     * Set contratacionId
     *
     * @param float $contratacionId
     * @return TmepRequerimientos
     */
    public function setContratacionId($contratacionId) {
        $this->contratacionId = intval($contratacionId);
        return $this;
    }

    /**
     * Get contratacionId
     *
     * @return float 
     */
    public function getContratacionId() {
        return $this->contratacionId;
    }

    /**
     * Set tipoCompra
     *
     * @param string $tipoCompra
     * @return TmepRequerimientos
     */
    public function setTipoCompra($tipoCompra) {
        $this->tipoCompra = $tipoCompra;
        return $this;
    }

    /**
     * Get tipoCompra
     *
     * @return string 
     */
    public function getTipoCompra() {
        return $this->tipoCompra;
    }

    /**
     * Set tipoContratacion
     *
     * @param string $tipoContratacion
     * @return TmepRequerimientos
     */
    public function setTipoContratacion($tipoContratacion) {
        $this->tipoContratacion = $tipoContratacion;
        return $this;
    }

    /**
     * Get tipoContratacion
     *
     * @return string 
     */
    public function getTipoContratacion() {
        return $this->tipoContratacion;
    }

    /**
     * Set tipoPliego
     *
     * @param string $tipoPliego
     * @return TmepRequerimientos
     */
    public function setTipoPliego($tipoPliego) {
        $this->tipoPliego = $tipoPliego;
        return $this;
    }

    /**
     * Get tipoPliego
     *
     * @return string 
     */
    public function getTipoPliego() {
        return $this->tipoPliego;
    }

    /**
     * Set justificacionTipoContratacion
     *
     * @param string $justificacionTipoContratacion
     * @return TmepRequerimientos
     */
    public function setJustificacionTipoContratacion($justificacionTipoContratacion) {
        $this->justificacionTipoContratacion = $justificacionTipoContratacion;
        return $this;
    }

    /**
     * Get justificacionTipoContratacion
     *
     * @return string 
     */
    public function getJustificacionTipoContratacion() {
        return $this->justificacionTipoContratacion;
    }

    /**
     * Set areaRequirente
     *
     * @param string $areaRequirente
     * @return TmepRequerimientos
     */
    public function setAreaRequirente($areaRequirente) {
        $this->areaRequirente = $areaRequirente;
        return $this;
    }

    /**
     * Get areaRequirente
     *
     * @return string 
     */
    public function getAreaRequirente() {
        return $this->areaRequirente;
    }

    /**
     * Set cedRespArea
     *
     * @param string $cedRespArea
     * @return TmepRequerimientos
     */
    public function setCedRespArea($cedRespArea) {
        $this->cedRespArea = $cedRespArea;
        return $this;
    }

    /**
     * Get cedRespArea
     *
     * @return string 
     */
    public function getCedRespArea() {
        return $this->cedRespArea;
    }

    /**
     * Set nombRespArea
     *
     * @param string $nombRespArea
     * @return TmepRequerimientos
     */
    public function setNombRespArea($nombRespArea) {
        $this->nombRespArea = $nombRespArea;
        return $this;
    }

    /**
     * Get nombRespArea
     *
     * @return string 
     */
    public function getNombRespArea() {
        return $this->nombRespArea;
    }

    /**
     * Set cedRespSolicitud
     *
     * @param string $cedRespSolicitud
     * @return TmepRequerimientos
     */
    public function setCedRespSolicitud($cedRespSolicitud) {
        $this->cedRespSolicitud = $cedRespSolicitud;
        return $this;
    }

    /**
     * Get cedRespSolicitud
     *
     * @return string 
     */
    public function getCedRespSolicitud() {
        return $this->cedRespSolicitud;
    }

    /**
     * Set respSolicitud
     *
     * @param string $respSolicitud
     * @return TmepRequerimientos
     */
    public function setRespSolicitud($respSolicitud) {
        $this->respSolicitud = $respSolicitud;
        return $this;
    }

    /**
     * Get respSolicitud
     *
     * @return string 
     */
    public function getRespSolicitud() {
        return $this->respSolicitud;
    }

    /**
     * Set cedRespAprobacion
     *
     * @param string $cedRespAprobacion
     * @return TmepRequerimientos
     */
    public function setCedRespAprobacion($cedRespAprobacion) {
        $this->cedRespAprobacion = $cedRespAprobacion;
        return $this;
    }

    /**
     * Get cedRespAprobacion
     *
     * @return string 
     */
    public function getCedRespAprobacion() {
        return $this->cedRespAprobacion;
    }

    /**
     * Set respAprobacion
     *
     * @param string $respAprobacion
     * @return TmepRequerimientos
     */
    public function setRespAprobacion($respAprobacion) {
        $this->respAprobacion = $respAprobacion;
        return $this;
    }

    /**
     * Get respAprobacion
     *
     * @return string 
     */
    public function getRespAprobacion() {
        return $this->respAprobacion;
    }

    /**
     * Set objetoContratacion
     *
     * @param string $objetoContratacion
     * @return TmepRequerimientos
     */
    public function setObjetoContratacion($objetoContratacion) {
        $this->objetoContratacion = $objetoContratacion;
        return $this;
    }

    /**
     * Get objetoContratacion
     *
     * @return string 
     */
    public function getObjetoContratacion() {
        return $this->objetoContratacion;
    }

    /**
     * Set antecedentes
     *
     * @param string $antecedentes
     * @return TmepRequerimientos
     */
    public function setAntecedentes($antecedentes) {
        $this->antecedentes = $antecedentes;
        return $this;
    }

    /**
     * Get antecedentes
     *
     * @return string 
     */
    public function getAntecedentes() {
        return $this->antecedentes;
    }

    /**
     * Set sitActual
     *
     * @param string $sitActual
     * @return TmepRequerimientos
     */
    public function setSitActual($sitActual) {
        $this->sitActual = $sitActual;
        return $this;
    }

    /**
     * Get sitActual
     *
     * @return string 
     */
    public function getSitActual() {
        return $this->sitActual;
    }

    /**
     * Set descProceso
     *
     * @param string $descProceso
     * @return TmepRequerimientos
     */
    public function setDescProceso($descProceso) {
        $this->descProceso = $descProceso;
        return $this;
    }

    /**
     * Get descProceso
     *
     * @return string 
     */
    public function getDescProceso() {
        return $this->descProceso;
    }

    /**
     * Set tipoBienServicio
     *
     * @param string $tipoBienServicio
     * @return TmepRequerimientos
     */
    public function setTipoBienServicio($tipoBienServicio) {
        $this->tipoBienServicio = $tipoBienServicio;
        return $this;
    }

    /**
     * Get tipoBienServicio
     *
     * @return string 
     */
    public function getTipoBienServicio() {
        return $this->tipoBienServicio;
    }

    /**
     * Set plazoEjec
     *
     * @param float $plazoEjec
     * @return TmepRequerimientos
     */
    public function setPlazoEjec($plazoEjec) {
        $this->plazoEjec = intval($plazoEjec);
        return $this;
    }

    /**
     * Get plazoEjec
     *
     * @return float 
     */
    public function getPlazoEjec() {
        return $this->plazoEjec;
    }

    /**
     * Set unidadPlazoEjec
     *
     * @param string $unidadPlazoEjec
     * @return TmepRequerimientos
     */
    public function setUnidadPlazoEjec($unidadPlazoEjec) {
        $this->unidadPlazoEjec = $unidadPlazoEjec;
        return $this;
    }

    /**
     * Get unidadPlazoEjec
     *
     * @return string 
     */
    public function getUnidadPlazoEjec() {
        return $this->unidadPlazoEjec;
    }

    /**
     * Set tipoPlazEjec
     *
     * @param string $tipoPlazEjec
     * @return TmepRequerimientos
     */
    public function setTipoPlazEjec($tipoPlazEjec) {
        $this->tipoPlazEjec = $tipoPlazEjec;
        return $this;
    }

    /**
     * Get tipoPlazEjec
     *
     * @return string 
     */
    public function getTipoPlazEjec() {
        return $this->tipoPlazEjec;
    }

    /**
     * Set tipoPlazEjecNombre
     *
     * @param string $tipoPlazEjecNombre
     * @return TmepRequerimientos
     */
    public function setTipoPlazEjecNombre($tipoPlazEjecNombre) {
        $this->tipoPlazEjecNombre = $tipoPlazEjecNombre;
        return $this;
    }

    /**
     * Get tipoPlazEjecNombre
     *
     * @return string 
     */
    public function getTipoPlazEjecNombre() {
        return $this->tipoPlazEjecNombre;
    }

    /**
     * Set vigenciaOferta
     *
     * @param float $vigenciaOferta
     * @return TmepRequerimientos
     */
    public function setVigenciaOferta($vigenciaOferta) {
        $this->vigenciaOferta = intval($vigenciaOferta);
        return $this;
    }

    /**
     * Get vigenciaOferta
     *
     * @return float 
     */
    public function getVigenciaOferta() {
        return $this->vigenciaOferta;
    }

    /**
     * Set tipoAjud
     *
     * @param string $tipoAjud
     * @return TmepRequerimientos
     */
    public function setTipoAjud($tipoAjud) {
        $this->tipoAjud = $tipoAjud;
        return $this;
    }

    /**
     * Get tipoAjud
     *
     * @return string 
     */
    public function getTipoAjud() {
        return $this->tipoAjud;
    }

    /**
     * Set reajPrec
     *
     * @param string $reajPrec
     * @return TmepRequerimientos
     */
    public function setReajPrec($reajPrec) {
        $this->reajPrec = $reajPrec;
        return $this;
    }

    /**
     * Get reajPrec
     *
     * @return string 
     */
    public function getReajPrec() {
        return $this->reajPrec;
    }

    /**
     * Set formuReajPrec
     *
     * @param string $formuReajPrec
     * @return TmepRequerimientos
     */
    public function setFormuReajPrec($formuReajPrec) {
        $this->formuReajPrec = $formuReajPrec;
        return $this;
    }

    /**
     * Get formuReajPrec
     *
     * @return string 
     */
    public function getFormuReajPrec() {
        return $this->formuReajPrec;
    }

    /**
     * Set referenciaPac
     *
     * @param string $referenciaPac
     * @return TmepRequerimientos
     */
    public function setReferenciaPac($referenciaPac) {
        $this->referenciaPac = $referenciaPac;
        return $this;
    }

    /**
     * Get referenciaPac
     *
     * @return string 
     */
    public function getReferenciaPac() {
        return $this->referenciaPac;
    }

    /**
     * Set proyectoBid
     *
     * @param string $proyectoBid
     * @return TmepRequerimientos
     */
    public function setProyectoBid($proyectoBid) {
        $this->proyectoBid = $proyectoBid;
        return $this;
    }

    /**
     * Get proyectoBid
     *
     * @return string 
     */
    public function getProyectoBid() {
        return $this->proyectoBid;
    }

    /**
     * Set bidContPrest
     *
     * @param string $bidContPrest
     * @return TmepRequerimientos
     */
    public function setBidContPrest($bidContPrest) {
        $this->bidContPrest = $bidContPrest;
        return $this;
    }

    /**
     * Get bidContPrest
     *
     * @return string 
     */
    public function getBidContPrest() {
        return $this->bidContPrest;
    }

    /**
     * Set bidNumOper
     *
     * @param string $bidNumOper
     * @return TmepRequerimientos
     */
    public function setBidNumOper($bidNumOper) {
        $this->bidNumOper = $bidNumOper;
        return $this;
    }

    /**
     * Get bidNumOper
     *
     * @return string 
     */
    public function getBidNumOper() {
        return $this->bidNumOper;
    }

    /**
     * Set proInversion
     *
     * @param string $proInversion
     * @return TmepRequerimientos
     */
    public function setProInversion($proInversion) {
        $this->proInversion = $proInversion;
        return $this;
    }

    /**
     * Get proInversion
     *
     * @return string 
     */
    public function getProInversion() {
        return $this->proInversion;
    }

    /**
     * Set nombreProInversion
     *
     * @param string $nombreProInversion
     * @return TmepRequerimientos
     */
    public function setNombreProInversion($nombreProInversion) {
        $this->nombreProInversion = $nombreProInversion;
        return $this;
    }

    /**
     * Get nombreProInversion
     *
     * @return string 
     */
    public function getNombreProInversion() {
        return $this->nombreProInversion;
    }

    /**
     * Set cup
     *
     * @param string $cup
     * @return TmepRequerimientos
     */
    public function setCup($cup) {
        $this->cup = $cup;
        return $this;
    }

    /**
     * Get cup
     *
     * @return string 
     */
    public function getCup() {
        return $this->cup;
    }

    /**
     * Set fecha
     *
     * @param DateTime $fecha
     * @return TmepRequerimientos
     */
    public function setFecha($fecha) {
        $this->fecha = $fecha;
        return $this;
    }

    /**
     * Get fecha
     *
     * @return DateTime 
     */
    public function getFecha() {
        return $this->fecha;
    }

    /**
     * Set otroTipoPlazEjec
     *
     * @param string $otroTipoPlazEjec
     * @return TmepRequerimientos
     */
    public function setOtroTipoPlazEjec($otroTipoPlazEjec) {
        $this->otroTipoPlazEjec = $otroTipoPlazEjec;
        return $this;
    }

    /**
     * Get otroTipoPlazEjec
     *
     * @return string 
     */
    public function getOtroTipoPlazEjec() {
        return $this->otroTipoPlazEjec;
    }

    /**
     * Set desagreTecno
     *
     * @param float $desagreTecno
     * @return TmepRequerimientos
     */
    public function setDesagreTecno($desagreTecno) {
        $this->desagreTecno = $desagreTecno;
        return $this;
    }

    /**
     * Get desagreTecno
     *
     * @return float 
     */
    public function getDesagreTecno() {
        return $this->desagreTecno;
    }

    /**
     * Set servicioIncluyeBien
     *
     * @param string $servicioIncluyeBien
     * @return TmepRequerimientos
     */
    public function setServicioIncluyeBien($servicioIncluyeBien) {
        $this->servicioIncluyeBien = $servicioIncluyeBien;
        return $this;
    }

    /**
     * Get servicioIncluyeBien
     *
     * @return string 
     */
    public function getServicioIncluyeBien() {
        return $this->servicioIncluyeBien;
    }

    /**
     * Set contemplaVehiculo
     *
     * @param string $contemplaVehiculo
     * @return TmepRequerimientos
     */
    public function setContemplaVehiculo($contemplaVehiculo) {
        $this->contemplaVehiculo = $contemplaVehiculo;
        return $this;
    }

    /**
     * Get contemplaVehiculo
     *
     * @return string 
     */
    public function getContemplaVehiculo() {
        return $this->contemplaVehiculo;
    }

    /**
     * Set codigoProcesoVehiculo
     *
     * @param string $codigoProcesoVehiculo
     * @return TmepRequerimientos
     */
    public function setCodigoProcesoVehiculo($codigoProcesoVehiculo) {
        $this->codigoProcesoVehiculo = $codigoProcesoVehiculo;
        return $this;
    }

    /**
     * Get codigoProcesoVehiculo
     *
     * @return string 
     */
    public function getCodigoProcesoVehiculo() {
        return $this->codigoProcesoVehiculo;
    }

    /**
     * Set variacionPuja
     *
     * @param string $variacionPuja
     * @return TmepRequerimientos
     */
    public function setVariacionPuja($variacionPuja) {
        $this->variacionPuja = $variacionPuja;
        return $this;
    }

    /**
     * Get variacionPuja
     *
     * @return string 
     */
    public function getVariacionPuja() {
        return $this->variacionPuja;
    }

    /**
     * Set costoLevantamientoTexto
     *
     * @param string $costoLevantamientoTexto
     * @return TmepRequerimientos
     */
    public function setCostoLevantamientoTexto($costoLevantamientoTexto) {
        $this->costoLevantamientoTexto = $costoLevantamientoTexto;
        return $this;
    }

    /**
     * Get variacionPuja
     *
     * @return string 
     */
    public function getCostoLevantamientoTexto() {
        return $this->costoLevantamientoTexto;
    }

    /**
     * Set prt
     *
     * @param decimal $prt
     * @return TmepRequerimientos
     */
    public function setPrt($prt) {
        $this->prt = $prt;
        return $this;
    }

    /**
     * Get prt
     *
     * @return decimal 
     */
    public function getPrt() {
        return $this->prt;
    }

    /**
     * Set prtLimite
     *
     * @param decimal $prtLimite
     * @return TmepRequerimientos
     */
    public function setPrtLimite($prtLimite) {
        $this->prtLimite = $prtLimite;
        return $this;
    }

    /**
     * Get prtLimite
     *
     * @return decimal 
     */
    public function getPrtLimite() {
        return $this->prtLimite;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * 
     * @return type
     */
    public function getPrecalificacion() {
        return $this->precalificacion;
    }

    /**
     * 
     * @param type $precalificacion
     * @return TmepRequerimientos
     */
    public function setPrecalificacion($precalificacion) {
        $this->precalificacion = $precalificacion;
        return $this;
    }

    /**
     * 
     * @return type
     */
    public function getCodigoProcesoConsultoriaDesierto() {
        return $this->codigoProcesoConsultoriaDesierto;
    }

    /**
     * 
     * @param type $codigoProcesoConsultoriaDesierto
     * @return TmepRequerimientos
     */
    public function setCodigoProcesoConsultoriaDesierto($codigoProcesoConsultoriaDesierto) {
        $this->codigoProcesoConsultoriaDesierto = $codigoProcesoConsultoriaDesierto;
        return $this;
    }

    /**
     * 
     * @return type
     */
    public function getUmbral() {
        return $this->umbral;
    }

    /**
     * 
     * @param type $umbral
     * @return TmepRequerimientos
     */
    public function setUmbral($umbral) {
        $this->umbral = $umbral;
        return $this;
    }
    
    /**
     * 
     * @return type
     */
    public function getCircunscripcionAmazonica() {
        return $this->circunscripcionAmazonica;
    }

    /**
     * 
     * @param type $circunscripcionAmazonica
     * @return TmepRequerimientos
     */
    public function setCircunscripcionAmazonica($circunscripcionAmazonica) {
        $this->circunscripcionAmazonica = $circunscripcionAmazonica;
        return $this;
    }

}
