<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepTdrs
 *
 * @ORM\Table(name="TMEP_TDRS")
 * @ORM\Entity
 */
class TmepTdrs {

    function __construct($data = null) {
        if ($data) {
            $this->requerimientoId = isset($data["REQUERIMIENTO_ID"]) ? $data["REQUERIMIENTO_ID"] : null;
            $this->antecedentes = isset($data["ANTECEDENTES"]) ? $data["ANTECEDENTES"] : null;
            $this->objetivos = isset($data["OBJETIVOS"]) ? $data["OBJETIVOS"] : null;
            $this->alcance = isset($data["ALCANCE"]) ? $data["ALCANCE"] : null;
            $this->metoTrabajo = isset($data["METO_TRABAJO"]) ? $data["METO_TRABAJO"] : null;
            $this->infoDispEntidad = isset($data["INFO_DISP_ENTIDAD"]) ? $data["INFO_DISP_ENTIDAD"] : null;
            $this->prodServEsperados = isset($data["PROD_SERV_ESPERADOS"]) ? $data["PROD_SERV_ESPERADOS"] : null;
            //Campos nuevos
            $this->tipoEjecucion = isset($data["TIPO_EJECUCION"]) ? $data["TIPO_EJECUCION"] : null;
            $this->personalTecnicoText = isset($data["PERSONAL_TECNICO_TEXT"]) ? $data["PERSONAL_TECNICO_TEXT"] : null;
            $this->condicionesPago = isset($data["CONDICIONES_PAGO"]) ? $data["CONDICIONES_PAGO"] : null;
            $this->recursosText = isset($data["RECURSOS_TEXT"]) ? $data["RECURSOS_TEXT"] : null;
        }
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="integer", nullable=true)
     */
    private $requerimientoId;

    /**
     * @var string
     *
     * @ORM\Column(name="ANTECEDENTES", type="text", nullable=true)
     */
    private $antecedentes;

    /**
     * @var string
     *
     * @ORM\Column(name="OBJETIVOS", type="text", nullable=true)
     */
    private $objetivos;

    /**
     * @var string
     *
     * @ORM\Column(name="ALCANCE", type="text", nullable=true)
     */
    private $alcance;

    /**
     * @var string
     *
     * @ORM\Column(name="METO_TRABAJO", type="text", nullable=true)
     */
    private $metoTrabajo;

    /**
     * @var string
     *
     * @ORM\Column(name="INFO_DISP_ENTIDAD", type="text", nullable=true)
     */
    private $infoDispEntidad;

    /**
     * @var string
     *
     * @ORM\Column(name="PROD_SERV_ESPERADOS", type="text", nullable=true)
     */
    private $prodServEsperados;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_EJECUCION", type="string", nullable=true)
     */
    private $tipoEjecucion;

    /**
     * @var string
     *
     * @ORM\Column(name="PERSONAL_TECNICO_TEXT", type="text", nullable=true)
     */
    private $personalTecnicoText;

    /**
     * @var string
     *
     * @ORM\Column(name="CONDICIONES_PAGO", type="text", nullable=true)
     */
    private $condicionesPago;

    /**
     * @var string
     *
     * @ORM\Column(name="RECURSOS_TEXT", type="text", nullable=true)
     */
    private $recursosText;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * Set requerimientoId
     *
     * @param integer $requerimientoId
     * @return TmepTdrs
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);
        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return integer
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set antecedentes
     *
     * @param string $antecedentes
     * @return TmepTdrs
     */
    public function setAntecedentes($antecedentes) {
        $this->antecedentes = $antecedentes;
        return $this;
    }

    /**
     * Get antecedentes
     *
     * @return string
     */
    public function getAntecedentes() {
        return $this->antecedentes;
    }

    /**
     * Set objetivos
     *
     * @param string $objetivos
     * @return TmepTdrs
     */
    public function setObjetivos($objetivos) {
        $this->objetivos = $objetivos;
        return $this;
    }

    /**
     * Get objetivos
     *
     * @return string
     */
    public function getObjetivos() {
        return $this->objetivos;
    }

    /**
     * Set alcance
     *
     * @param string $alcance
     * @return TmepTdrs
     */
    public function setAlcance($alcance) {
        $this->alcance = $alcance;
        return $this;
    }

    /**
     * Get alcance
     *
     * @return string
     */
    public function getAlcance() {
        return $this->alcance;
    }

    /**
     * Set metoTrabajo
     *
     * @param string $metoTrabajo
     * @return TmepTdrs
     */
    public function setMetoTrabajo($metoTrabajo) {
        $this->metoTrabajo = $metoTrabajo;
        return $this;
    }

    /**
     * Get metoTrabajo
     *
     * @return string
     */
    public function getMetoTrabajo() {
        return $this->metoTrabajo;
    }

    /**
     * Set infoDispEntidad
     *
     * @param string $infoDispEntidad
     * @return TmepTdrs
     */
    public function setInfoDispEntidad($infoDispEntidad) {
        $this->infoDispEntidad = $infoDispEntidad;
        return $this;
    }

    /**
     * Get infoDispEntidad
     *
     * @return string
     */
    public function getInfoDispEntidad() {
        return $this->infoDispEntidad;
    }

    /**
     * Set prodServEsperados
     *
     * @param string $prodServEsperados
     * @return TmepTdrs
     */
    public function setProdServEsperados($prodServEsperados) {
        $this->prodServEsperados = $prodServEsperados;
        return $this;
    }

    /**
     * Get prodServEsperados
     *
     * @return string
     */
    public function getProdServEsperados() {
        return $this->prodServEsperados;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Tipo de ejecucion
     * @return type
     */
    public function getTipoEjecucion() {
        return $this->tipoEjecucion;
    }

    /**
     *
     * @param type $tipoEjecucion
     * @return TmepTdrs
     */
    public function setTipoEjecucion($tipoEjecucion) {
        $this->tipoEjecucion = $tipoEjecucion;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getPersonalTecnicoText() {
        return $this->personalTecnicoText;
    }

    /**
     *
     * @param type $personalTecnicoText
     * @return TmepTdrs
     */
    public function setPersonalTecnicoText($personalTecnicoText) {
        $this->personalTecnicoText = $personalTecnicoText;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getCondicionesPago() {
        return $this->condicionesPago;
    }

    /**
     *
     * @param type $condicionesPago
     * @return TmepTdrs
     */
    public function setCondicionesPago($condicionesPago) {
        $this->condicionesPago = $condicionesPago;
        return $this;
    }

    /**
     *
     * @return type
     */
    public function getRecursosText() {
        return $this->recursosText;
    }

    /**
     *
     * @param type $recursosText
     * @return TmepTdrs
     */
    public function setRecursosText($recursosText) {
        $this->recursosText = $recursosText;
        return $this;
    }

}
