<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepTdrsDetparcial
 *
 * @ORM\Table()
 * @Entity
 */
class TmepTdrsDetparcial {

    function __construct($data = null) {
        if ($data) {
            $this->tdrsId = isset($data["TDRS_ID"]) ? $data["TDRS_ID"] : null;
            $this->plazo = isset($data["PLAZO"]) ? $data["PLAZO"] : null;
            $this->tipoPlazo = isset($data["TIPO_PLAZO"]) ? $data["TIPO_PLAZO"] : null;
            $this->descripcion = isset($data["DESCRIPCION"]) ? $data["DESCRIPCION"] : null;
            $this->orden = isset($data["ORDEN"]) ? $data["ORDEN"] : null;
        }
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="TDRS_ID", type="integer")
     */
    private $tdrsId;

    /**
     * @var integer
     *
     * @ORM\Column(name="PLAZO", type="integer")
     */
    private $plazo;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PLAZO", type="string", length=5)
     */
    private $tipoPlazo;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION", type="text")
     */
    private $descripcion;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDEN", type="integer")
     */
    private $orden;

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set tdrsId
     *
     * @param integer $tdrsId
     * @return TmepTdrsDetparcial
     */
    public function setTdrsId($tdrsId) {
        $this->tdrsId = intval($tdrsId);

        return $this;
    }

    /**
     * Get tdrsId
     *
     * @return integer 
     */
    public function getTdrsId() {
        return $this->tdrsId;
    }

    /**
     * Set plazo
     *
     * @param integer $plazo
     * @return TmepTdrsDetparcial
     */
    public function setPlazo($plazo) {
        $this->plazo = intval($plazo);

        return $this;
    }

    /**
     * Get plazo
     *
     * @return integer 
     */
    public function getPlazo() {
        return $this->plazo;
    }

    /**
     * Set tipoPlazo
     *
     * @param string $tipoPlazo
     * @return TmepTdrsDetparcial
     */
    public function setTipoPlazo($tipoPlazo) {
        $this->tipoPlazo = $tipoPlazo;

        return $this;
    }

    /**
     * Get tipoPlazo
     *
     * @return string 
     */
    public function getTipoPlazo() {
        return $this->tipoPlazo;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmepTdrsDetparcial
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string 
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set orden
     *
     * @param integer $orden
     * @return TmepTdrsDetparcial
     */
    public function setOrden($orden) {
        $this->orden = intval($orden);

        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function getOrden() {
        return $this->orden;
    }

    /**
     * Busca el orden máximo
     * @param type $tdrsId
     * @param  $em
     * @return null|int
     */
    public function buscaOrdenMaximo($tdrsId, $em) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmepTdrsDetparcial d WHERE d.tdrsId = ' . $tdrsId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

    /**
     * Reduce el orden en 1 antes de eliminar el elemento
     * @param \Doctrine\ORM\EntityManager $em
     * @return boolean
     */
    public function cambiaOrdenSiguientes(EntityManager $em) {
        $mensaje = '';
        try {
            $em->createQuery('UPDATE IncopMfcOfertasBundle:TmepTdrsDetparcial d SET d.orden=d.orden-1 WHERE d.orden >' . $this->getOrden() . ' and d.tdrsId=' . $this->getTdrsId())->execute();
            return true;
        } catch (\Doctrine\ORM\NoResultException $e) {
            $mensaje = $e;
            return false;
        }
    }

}
