<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepValoracion
 *
 * @ORM\Table(name="TMEP_VALORACION")
 * @ORM\Entity
 */
class TmepValoracion {

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PLIEGO", type="string", nullable=true)
     */
    private $tipoPliego;

    /**
     * @var float
     *
     * @ORM\Column(name="REQUERIMIENTO_ID", type="decimal", nullable=true)
     */
    private $requerimientoId;

    /**
     * @var integer
     *
     * @ORM\Column(name="TOTAL", type="integer", nullable=true)
     */
    private $total;

    /**
     * @var integer
     *
     * @ORM\Column(name="SUBTOTAL", type="integer", nullable=true)
     */
    private $subtotal;

    /**
     * @var integer
     *
     * @ORM\Column(name="PESO_OFERTA_TECNICA", type="integer", nullable=true)
     */
    private $pesoOfertaTecnica;

    /**
     * @var integer
     *
     * @ORM\Column(name="PESO_OFERTA_ECONOMICA", type="integer", nullable=true)
     */
    private $pesoOfertaEconomica;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    function __construct($data = null) {
        if ($data) {
            $this->tipoPliego = isset($data['TIPO_PLIEGO']) ? $data['TIPO_PLIEGO'] : null;
            $this->requerimientoId = isset($data['REQUERIMIENTO_ID']) ? $data['REQUERIMIENTO_ID'] : null;
            $this->total = isset($data['TOTAL']) ? $data['TOTAL'] : null;
            $this->subtotal = isset($data['SUBTOTAL']) ? $data['SUBTOTAL'] : null;
            $this->pesoOfertaTecnica = isset($data['PESO_OFERTA_TECNICA']) ? $data['PESO_OFERTA_TECNICA'] : null;
            $this->pesoOfertaEconomica = isset($data['PESO_OFERTA_ECONOMICA']) ? $data['PESO_OFERTA_ECONOMICA'] : null;
        }
    }

    public function getPesoOfertaTecnica() {
        return $this->pesoOfertaTecnica;
    }

    public function getPesoOfertaEconomica() {
        return $this->pesoOfertaEconomica;
    }

    public function setPesoOfertaTecnica($pesoOfertaTecnica) {
        $this->pesoOfertaTecnica = intval($pesoOfertaTecnica);
    }

    public function setPesoOfertaEconomica($pesoOfertaEconomica) {
        $this->pesoOfertaEconomica = intval($pesoOfertaEconomica);
    }

    /**
     * Set requerimientoId
     *
     * @param float $requerimientoId
     * @return TmepValoracion
     */
    public function setRequerimientoId($requerimientoId) {
        $this->requerimientoId = intval($requerimientoId);

        return $this;
    }

    /**
     * Get requerimientoId
     *
     * @return float
     */
    public function getRequerimientoId() {
        return $this->requerimientoId;
    }

    /**
     * Set total
     *
     * @param integer $total
     * @return TmepValoracion
     */
    public function setTotal($total) {
        $this->total = intval($total);

        return $this;
    }

    /**
     * Get total
     *
     * @return integer
     */
    public function getTotal() {
        return $this->total;
    }

    /**
     * Set subtotal
     *
     * @param integer $subtotal
     * @return TmepValoracion
     */
    public function setSubtotal($subtotal) {
        $this->subtotal = intval($subtotal);

        return $this;
    }

    /**
     * Get subtotal
     *
     * @return integer
     */
    public function getSubtotal() {
        return $this->subtotal;
    }

    /**
     * Set tipoPliego
     *
     * @param string $tipoPliego
     * @return TmepValoracion
     */
    public function setTipoPliego($tipoPliego) {
        $this->tipoPliego = $tipoPliego;

        return $this;
    }

    /**
     * Get tipoPliego
     *
     * @return string
     */
    public function getTipoPliego() {
        return $this->tipoPliego;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

}
