<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepValoracionDet
 *
 * @ORM\Table(name="TMEP_VALORACION_DET")
 * @ORM\Entity
 */
class TmepValoracionDet {

    /**
     * @var integer
     *
     * @ORM\Column(name="VALORACION_ID", type="integer", nullable=true)
     */
    private $valoracionId;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO", type="string", nullable=true)
     */
    private $codigo;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE", type="string", nullable=true)
     */
    private $nombre;

    /**
     * @var string
     *
     * @ORM\Column(name="OBLIGATORIO", type="string", nullable=true)
     */
    private $obligatorio;

    /**
     * @var string
     *
     * @ORM\Column(name="GRUPO", type="string", nullable=true)
     */
    private $grupo;

    /**
     * @var string
     *
     * @ORM\Column(name="MINIMO", type="string", nullable=true)
     */
    private $minimo;

    /**
     * @var string
     *
     * @ORM\Column(name="MAXIMO", type="string", nullable=true)
     */
    private $maximo;

    /**
     * @var string
     *
     * @ORM\Column(name="LIMITE", type="string", nullable=true)
     */
    private $limite;

    /**
     * @var string
     *
     * @ORM\Column(name="MENSAJE", type="string", nullable=true)
     */
    private $mensaje;

    /**
     * @var string
     *
     * @ORM\Column(name="MENSAJE_PLIEGO", type="string", nullable=true)
     */
    private $mensajePliego;

    /**
     * @var string
     *
     * @ORM\Column(name="FIJO", type="string", nullable=true)
     */
    private $fijo;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_SOCE", type="string", nullable=true)
     */
    private $codigoSoce;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALOR", type="integer", nullable=true)
     */
    private $valor;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * Lista de archivos
     * @var string
     */
    private $archivos;

    function __construct($data = null) {
        if ($data) {
            $this->valoracionId = isset($data['VALORACION_ID']) ? $data['VALORACION_ID'] : null;
            $this->codigo = isset($data['CODIGO']) ? $data['CODIGO'] : null;
            $this->nombre = isset($data['NOMBRE']) ? $data['NOMBRE'] : null;
            $this->obligatorio = isset($data['OBLIGATORIO']) ? $data['OBLIGATORIO'] : null;
            $this->grupo = isset($data['GRUPO']) ? $data['GRUPO'] : null;
            $this->minimo = isset($data['MINIMO']) ? $data['MINIMO'] : null;
            $this->maximo = isset($data['MAXIMO']) ? $data['MAXIMO'] : null;
            $this->limite = isset($data['LIMITE']) ? $data['LIMITE'] : null;
            $this->mensaje = isset($data['MENSAJE']) ? $data['MENSAJE'] : null;
            $this->valor = isset($data['VALOR']) ? $data['VALOR'] : null;
            $this->mensajePliego = isset($data['MENSAJE_PLIEGO']) ? $data['MENSAJE_PLIEGO'] : null;
            $this->fijo = isset($data['FIJO']) ? $data['FIJO'] : null;
            $this->codigoSoce = isset($data['CODIGO_SOCE']) ? $data['CODIGO_SOCE'] : null;
        }
    }

    public function getArchivos() {
        return $this->archivos;
    }

    public function setArchivos($archivos) {
        $this->archivos = $archivos;
    }

    public function getMensajePliego() {
        return $this->mensajePliego;
    }

    public function getFijo() {
        return $this->fijo;
    }

    public function getCodigoSoce() {
        return $this->codigoSoce;
    }

    public function setMensajePliego($mensajePliego) {
        $this->mensajePliego = $mensajePliego;
    }

    public function setFijo($fijo) {
        $this->fijo = $fijo;
    }

    public function setCodigoSoce($codigoSoce) {
        $this->codigoSoce = $codigoSoce;
    }

    /**
     * Set valoracionId
     *
     * @param integer $valoracionId
     * @return TmepValoracionDet
     */
    public function setValoracionId($valoracionId) {
        $this->valoracionId = intval($valoracionId);

        return $this;
    }

    /**
     * Get valoracionId
     *
     * @return integer
     */
    public function getValoracionId() {
        return $this->valoracionId;
    }

    /**
     * Set codigo
     *
     * @param string $codigo
     * @return TmepValoracionDet
     */
    public function setCodigo($codigo) {
        $this->codigo = $codigo;

        return $this;
    }

    /**
     * Get codigo
     *
     * @return string
     */
    public function getCodigo() {
        return $this->codigo;
    }

    /**
     * Set nombre
     *
     * @param string $nombre
     * @return TmepValoracionDet
     */
    public function setNombre($nombre) {
        $this->nombre = $nombre;

        return $this;
    }

    /**
     * Get nombre
     *
     * @return string
     */
    public function getNombre() {
        return $this->nombre;
    }

    /**
     * Set obligatorio
     *
     * @param string $obligatorio
     * @return TmepValoracionDet
     */
    public function setObligatorio($obligatorio) {
        $this->obligatorio = $obligatorio;

        return $this;
    }

    /**
     * Get obligatorio
     *
     * @return string
     */
    public function getObligatorio() {
        return $this->obligatorio;
    }

    /**
     * Set grupo
     *
     * @param string $grupo
     * @return TmepValoracionDet
     */
    public function setGrupo($grupo) {
        $this->grupo = $grupo;

        return $this;
    }

    /**
     * Get grupo
     *
     * @return string
     */
    public function getGrupo() {
        return $this->grupo;
    }

    /**
     * Set minimo
     *
     * @param string $minimo
     * @return TmepValoracionDet
     */
    public function setMinimo($minimo) {
        $this->minimo = $minimo;

        return $this;
    }

    /**
     * Get minimo
     *
     * @return string
     */
    public function getMinimo() {
        return $this->minimo;
    }

    /**
     * Set maximo
     *
     * @param string $maximo
     * @return TmepValoracionDet
     */
    public function setMaximo($maximo) {
        $this->maximo = $maximo;

        return $this;
    }

    /**
     * Get maximo
     *
     * @return string
     */
    public function getMaximo() {
        return $this->maximo;
    }

    /**
     * Set limite
     *
     * @param string $limite
     * @return TmepValoracionDet
     */
    public function setLimite($limite) {
        $this->limite = $limite;

        return $this;
    }

    /**
     * Get limite
     *
     * @return string
     */
    public function getLimite() {
        return $this->limite;
    }

    /**
     * Set mensaje
     *
     * @param string $mensaje
     * @return TmepValoracionDet
     */
    public function setMensaje($mensaje) {
        $this->mensaje = $mensaje;

        return $this;
    }

    /**
     * Get mensaje
     *
     * @return string
     */
    public function getMensaje() {
        return $this->mensaje;
    }

    /**
     * Set valor
     *
     * @param integer $valor
     * @return TmepValoracionDet
     */
    public function setValor($valor) {
        $this->valor = intval($valor);

        return $this;
    }

    /**
     * Get valor
     *
     * @return integer
     */
    public function getValor() {
        return $this->valor;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

}
