<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmepValoracionOtros
 *
 * @ORM\Table(name="TMEP_VALORACION_OTR")
 * @ORM\Entity
 */
class TmepValoracionOtros {

    function __construct($data = null) {
        if ($data) {
            $this->numero = isset($data['NUMERO']) ? $data['NUMERO'] : null;
            $this->nombre = isset($data['NOMBRE']) ? $data['NOMBRE'] : null;
            $this->descripcion = isset($data['DESCRIPCION']) ? $data['DESCRIPCION'] : null;
            $this->codigoSoce = isset($data['CODIGO_SOCE']) ? $data['CODIGO_SOCE'] : null;
            $this->valoracionId = isset($data['VALORACION_ID']) ? $data['VALORACION_ID'] : null;
            $this->valor = isset($data['VALOR']) ? $data['VALOR'] : null;
        }
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="VALORACION_ID", type="integer", nullable=true)
     */
    private $valoracionId;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALOR", type="integer", nullable=true)
     */
    private $valor;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="NUMERO", type="integer", nullable=true)
     */
    private $numero;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE", type="string", nullable=true)
     */
    private $nombre;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPCION", type="string", nullable=true)
     */
    private $descripcion;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_SOCE", type="string", nullable=true)
     */
    private $codigoSoce;

    public function getNumero() {
        return $this->numero;
    }

    public function setNumero($numero) {
        $this->numero = $numero;
    }

    public function getNombre() {
        return $this->nombre;
    }

    public function setNombre($nombre) {
        $this->nombre = $nombre;
    }

    public function getDescripcion() {
        return $this->descripcion;
    }

    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
    }

    public function getCodigoSoce() {
        return $this->codigoSoce;
    }

    public function setCodigoSoce($codigoSoce) {
        $this->codigoSoce = $codigoSoce;
    }

    /**
     * Set valoracionId
     *
     * @param integer $valoracionId
     * @return TmepValoracionDet
     */
    public function setValoracionId($valoracionId) {
        $this->valoracionId = intval($valoracionId);

        return $this;
    }

    /**
     * Get valoracionId
     *
     * @return integer
     */
    public function getValoracionId() {
        return $this->valoracionId;
    }

    /**
     * Set valor
     *
     * @param integer $valor
     * @return TmepValoracionDet
     */
    public function setValor($valor) {
        $this->valor = intval($valor);

        return $this;
    }

    /**
     * Get valor
     *
     * @return integer
     */
    public function getValor() {
        return $this->valor;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

}
