<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmoaComSubconRubro
 *
 * @ORM\Table(name="TMOA_COM_SUBCON_RUBRO")
 * @ORM\Entity
 */
class TmoaComSubconRubro {

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var float
     *
     * @ORM\Column(name="COMPRO_SUBCONTR_ID", type="decimal", nullable=true)
     */
    private $comproSubcontrId;

    /**
     * @var string
     *
     * @ORM\Column(name="RUBRO", type="string", nullable=true)
     */
    private $rubro;

    /**
     * @var float
     *
     * @ORM\Column(name="CANTIDAD", type="decimal", nullable=true)
     */
    private $cantidad;

    /**
     * @var float
     *
     * @ORM\Column(name="PRECIO_UNITARIO", type="decimal", nullable=true)
     */
    private $precioUnitario;

    /**
     * @var float
     *
     * @ORM\Column(name="VALOR_SUBCONTRATADO", type="decimal", nullable=true)
     */
    private $valorSubcontratado;

    /**
     * @var float
     *
     * @ORM\Column(name="PORCENTAJE_SUBCONTRATACION", type="decimal", nullable=true)
     */
    private $porcentajeSubcontratacion;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->comproSubcontrId = isset($data['COMPRO_SUBCONTR_ID']) ? $data['COMPRO_SUBCONTR_ID'] : null;
            $this->rubro = isset($data['RUBRO']) ? $data['RUBRO'] : null;
            $this->cantidad = isset($data['CANTIDAD']) ? $data['CANTIDAD'] : null;
            $this->precioUnitario = isset($data['PRECIO_UNITARIO']) ? $data['PRECIO_UNITARIO'] : null;
            $this->valorSubcontratado = isset($data['VALOR_SUBCONTRATADO']) ? $data['VALOR_SUBCONTRATADO'] : null;
            $this->porcentajeSubcontratacion = isset($data['PORCENTAJE_SUBCONTRATACION']) ? $data['PORCENTAJE_SUBCONTRATACION'] : null;
        }
    }

    /**
     * Set comproSubcontrId
     *
     * @param float $comproSubcontrId
     * @return TmoaComSubconRubro
     */
    public function setComproSubcontrId($comproSubcontrId) {
        $this->comproSubcontrId = intval($comproSubcontrId);
        return $this;
    }

    /**
     * Get comproSubcontrId
     *
     * @return float 
     */
    public function getComproSubcontrId() {
        return $this->comproSubcontrId;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set rubro
     *
     * @param string $rubro
     * @return TmoaComSubconRubro
     */
    public function setRubro($rubro) {
        $this->rubro = $rubro;
        return $this;
    }

    /**
     * Get rubro
     *
     * @return string 
     */
    public function getRubro() {
        return $this->rubro;
    }

    /**
     * Set cantidad
     *
     * @param float $cantidad
     * @return TmoaComSubconRubro
     */
    public function setCantidad($cantidad) {
        $this->cantidad = $cantidad;
        return $this;
    }

    /**
     * Get cantidad
     *
     * @return float 
     */
    public function getCantidad() {
        return $this->cantidad;
    }

    /**
     * Set precioUnitario
     *
     * @param float $precioUnitario
     * @return TmoaComSubconRubro
     */
    public function setPrecioUnitario($precioUnitario) {
        $this->precioUnitario = $precioUnitario;
        return $this;
    }

    /**
     * Get precioUnitario
     *
     * @return float 
     */
    public function getPrecioUnitario() {
        return $this->precioUnitario;
    }

    /**
     * 
     * @return type
     */
    public function getValorSubcontratado() {
        return $this->valorSubcontratado;
    }

    /**
     * 
     * @return type
     */
    public function getPorcentajeSubcontratacion() {
        return $this->porcentajeSubcontratacion;
    }

    /**
     * 
     * @param type $valorSubcontratado
     * @return \Incop\Mfc\OfertasBundle\Entity\TmoaComSubconRubro
     */
    public function setValorSubcontratado($valorSubcontratado) {
        $this->valorSubcontratado = $valorSubcontratado;
        return $this;
    }

    /**
     * 
     * @param type $porcentajeSubcontratacion
     * @return \Incop\Mfc\OfertasBundle\Entity\TmoaComSubconRubro
     */
    public function setPorcentajeSubcontratacion($porcentajeSubcontratacion) {
        $this->porcentajeSubcontratacion = $porcentajeSubcontratacion;
        return $this;
    }

}

?>
