<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmoaComproParticip
 *
 * @ORM\Table(name="TMOA_COMPRO_PARTICIP")
 * @ORM\Entity
 */
class TmoaComproParticip {

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var float
     *
     * @ORM\Column(name="CONTRATACION_ID", type="decimal", nullable=true)
     */
    private $contratacionId;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_DOCUMENTO_CP", type="string", nullable=false)
     */
    private $tipoDocumentoCp;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_DOCUMENTO_DE_CP", type="string", nullable=false)
     */
    private $tipoDocumentoDeCp;

    /**
     * @var string
     *
     * @ORM\Column(name="NUMERO_DOCUMENTO_CP", type="string", nullable=false)
     */
    private $numeroDocumentoCp;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRES_CP", type="string", nullable=false)
     */
    private $nombresCp;

    /**
     * @var string
     *
     * @ORM\Column(name="LUGAR_NACIMIENTO_CP", type="string", nullable=false)
     */
    private $lugarNacimientoCp;

    /**
     * @var string
     *
     * @ORM\Column(name="FECHA_NACIMIENTO_CP", type="string", nullable=false)
     */
    private $fechaNacimientoCp;

    /**
     * @var string
     *
     * @ORM\Column(name="NACIONALIDAD_CP", type="string", nullable=false)
     */
    private $nacionalidadCp;

    /**
     * @var string
     *
     * @ORM\Column(name="NIVEL_ESTUDIO_COD_CP", type="string", nullable=false)
     */
    private $nivelEstudioCodCp;

    /**
     * @var string
     *
     * @ORM\Column(name="NIVEL_ESTUDIO_DES_CP", type="string", nullable=false)
     */
    private $nivelEstudioDesCp;

    /**
     * @var string
     *
     * @ORM\Column(name="TITULO_PROFESIONA_CP", type="string", nullable=false)
     */
    private $tituloProfesionalCp;

    /**
     * @var string
     *
     * @ORM\Column(name="TITULO_PROFESIONA_CP", type="string", nullable=false)
     */
    private $fechaGraduacionCp;

    /**
     * @var decimal
     *
     * @ORM\Column(name="PORCEN_PATIC_CONS_CP", type="decimal", nullable=false)
     */
    private $porcenPaticConsCp;

    /**
     * @var string
     *
     * @ORM\Column(name="CARGO_CONS_CP", type="string", nullable=false)
     */
    private $cargoConsCp;

    /**
     * @var decimal
     *
     * @ORM\Column(name="PARTICIPACION_OBR_CP", type="decimal", nullable=false)
     */
    private $participacionObrCp;

    /**
     * @var string
     *
     * @ORM\Column(name="EXPERI_OBR_SIM_CP", type="string", nullable=false)
     */
    private $experiObrSimCp;

    /**
     * @var string
     *
     * @ORM\Column(name="OBSERVACIONES_CP", type="string", nullable=false)
     */
    private $observacionesCp;

    /**
     * @var string
     *
     * @ORM\Column(name="TITULO_CUARTO_NIV_CP", type="string", nullable=false)
     */
    private $tituloCuartoNivCp;

    /**
     * @var string
     *
     * @ORM\Column(name="FECHA_OBTEN_TITUL_CP", type="string", nullable=false)
     */
    private $fechaObtenTitulCp;

    /**
     * @var decimal
     *
     * @ORM\Column(name="TIEMPO_PARTI_CP", type="decimal", nullable=false)
     */
    private $tiempoPartiCp;
    private $tiempoPartiCpMedida;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->contratacionId = isset($data['CONTRATACION_ID']) ? $data['CONTRATACION_ID'] : null;
            $this->tipoDocumentoCp = isset($data['TIPO_DOCUMENTO_CP']) ? $data['TIPO_DOCUMENTO_CP'] : null;
            $this->tipoDocumentoDeCp = isset($data['TIPO_DOCUMENTO_DE_CP']) ? $data['TIPO_DOCUMENTO_DE_CP'] : null;
            $this->numeroDocumentoCp = isset($data['NUMERO_DOCUMENTO_CP']) ? $data['NUMERO_DOCUMENTO_CP'] : null;
            $this->nombresCp = isset($data['NOMBRES_CP']) ? $data['NOMBRES_CP'] : null;
            $this->lugarNacimientoCp = isset($data['LUGAR_NACIMIENTO_CP']) ? $data['LUGAR_NACIMIENTO_CP'] : null;
            $this->fechaNacimientoCp = isset($data['FECHA_NACIMIENTO_CP']) ? $data['FECHA_NACIMIENTO_CP'] : null;
            $this->nacionalidadCp = isset($data['NACIONALIDAD_CP']) ? $data['NACIONALIDAD_CP'] : null;
            $this->nivelEstudioCodCp = isset($data['NIVEL_ESTUDIO_COD_CP']) ? $data['NIVEL_ESTUDIO_COD_CP'] : null;
            $this->nivelEstudioDesCp = isset($data['NIVEL_ESTUDIO_DES_CP']) ? $data['NIVEL_ESTUDIO_DES_CP'] : null;
            $this->tituloProfesionalCp = isset($data['TITULO_PROFESIONA_CP']) ? $data['TITULO_PROFESIONA_CP'] : null;
            $this->fechaGraduacionCp = isset($data['FECHA_GRADUACION_CP']) ? $data['FECHA_GRADUACION_CP'] : null;
            $this->porcenPaticConsCp = isset($data['PORCEN_PATIC_CONS_CP']) ? $data['PORCEN_PATIC_CONS_CP'] : null;
            $this->cargoConsCp = isset($data['CARGO_CONS_CP']) ? $data['CARGO_CONS_CP'] : null;
            $this->participacionObrCp = isset($data['PARTICIPACION_OBR_CP']) ? $data['PARTICIPACION_OBR_CP'] : null;
            $this->experiObrSimCp = isset($data['EXPERI_OBR_SIM_CP']) ? $data['EXPERI_OBR_SIM_CP'] : null;
            $this->observacionesCp = isset($data['OBSERVACIONES_CP']) ? $data['OBSERVACIONES_CP'] : null;
            $this->tituloCuartoNivCp = isset($data['TITULO_CUARTO_NIV_CP']) ? $data['TITULO_CUARTO_NIV_CP'] : null;
            $this->fechaObtenTitulCp = isset($data['FECHA_OBTEN_TITUL_CP']) ? $data['FECHA_OBTEN_TITUL_CP'] : null;
            $this->tiempoPartiCp = isset($data['TIEMPO_PARTI_CP']) ? $data['TIEMPO_PARTI_CP'] : null;
            $this->tiempoPartiCpMedida = isset($data['TIEMPO_PARTI_CP_MEDIDA']) ? $data['TIEMPO_PARTI_CP_MEDIDA'] : null;
        }
    }

    public function getTiempoPartiCpMedida() {
        return $this->tiempoPartiCpMedida;
    }

    public function setTiempoPartiCpMedida($tiempoPartiCpMedida) {
        $this->tiempoPartiCpMedida = $tiempoPartiCpMedida;
    }

    /**
     * Set contratacionId
     *
     * @param float $contratacionId
     * @return TmoaComproParticip
     */
    public function setContratacionId($contratacionId) {
        $this->contratacionId = intval($contratacionId);
        return $this;
    }

    /**
     * Get contratacionId
     *
     * @return float 
     */
    public function getContratacionId() {
        return $this->contratacionId;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set tipoDocumentoCp
     *
     * @param string $tipoDocumentoCp
     * @return TmoaComproParticip
     */
    public function setTipoDocumentoCp($tipoDocumentoCp) {
        $this->tipoDocumentoCp = $tipoDocumentoCp;
        return $this;
    }

    /**
     * Get tipoDocumentoCp
     *
     * @return string 
     */
    public function getTipoDocumentoCp() {
        return $this->tipoDocumentoCp;
    }

    /**
     * Set tipoDocumentoDeCp
     *
     * @param string $tipoDocumentoDeCp
     * @return TmoaComproParticip
     */
    public function setTipoDocumentoDeCp($tipoDocumentoDeCp) {
        $this->tipoDocumentoDeCp = $tipoDocumentoDeCp;
        return $this;
    }

    /**
     * Get tipoDocumentoDeCp
     *
     * @return string 
     */
    public function getTipoDocumentoDeCp() {
        return $this->tipoDocumentoDeCp;
    }

    /**
     * Set numeroDocumentoCp
     *
     * @param string $numeroDocumentoCp
     * @return TmoaComproParticip
     */
    public function setNumeroDocumentoCp($numeroDocumentoCp) {
        $this->numeroDocumentoCp = $numeroDocumentoCp;
        return $this;
    }

    /**
     * Get numeroDocumentoCp
     *
     * @return string 
     */
    public function getNumeroDocumentoCp() {
        return $this->numeroDocumentoCp;
    }

    /**
     * Set nombresCp
     *
     * @param string $nombresCp
     * @return TmoaComproParticip
     */
    public function setNombresCp($nombresCp) {
        $this->nombresCp = strtoupper($nombresCp);
        return $this;
    }

    /**
     * Get nombresCp
     *
     * @return string 
     */
    public function getNombresCp() {
        return $this->nombresCp;
    }

    /**
     * Set lugarNacimientoCp
     *
     * @param string $lugarNacimientoCp
     * @return TmoaComproParticip
     */
    public function setLugarNacimientoCp($lugarNacimientoCp) {
        $this->lugarNacimientoCp = $lugarNacimientoCp;
        return $this;
    }

    /**
     * Get lugarNacimientoCp
     *
     * @return string 
     */
    public function getLugarNacimientoCp() {
        return $this->lugarNacimientoCp;
    }

    /**
     * Set fechaNacimientoCp
     *
     * @param string $fechaNacimientoCp
     * @return TmoaComproParticip
     */
    public function setFechaNacimientoCp($fechaNacimientoCp) {
        $this->fechaNacimientoCp = $fechaNacimientoCp;
        return $this;
    }

    /**
     * Get fechaNacimientoCp
     *
     * @return string 
     */
    public function getFechaNacimientoCp() {
        return $this->fechaNacimientoCp;
    }

    /**
     * Set nacionalidadCp
     *
     * @param string $nacionalidadCp
     * @return TmoaComproParticip
     */
    public function setNacionalidadCp($nacionalidadCp) {
        $this->nacionalidadCp = $nacionalidadCp;
        return $this;
    }

    /**
     * Get nacionalidadCp
     *
     * @return string 
     */
    public function getNacionalidadCp() {
        return $this->nacionalidadCp;
    }

    /**
     * Set nivelEstudioCodCp
     *
     * @param string $nivelEstudioCodCp
     * @return TmoaComproParticip
     */
    public function setNivelEstudioCodCp($nivelEstudioCodCp) {
        $this->nivelEstudioCodCp = $nivelEstudioCodCp;
        return $this;
    }

    /**
     * Get nivelEstudioCodCp
     *
     * @return string 
     */
    public function getNivelEstudioCodCp() {
        return $this->nivelEstudioCodCp;
    }

    /**
     * Set nivelEstudioDesCp
     *
     * @param string $nivelEstudioDesCp
     * @return TmoaComproParticip
     */
    public function setNivelEstudioDesCp($nivelEstudioDesCp) {
        $this->nivelEstudioDesCp = $nivelEstudioDesCp;
        return $this;
    }

    /**
     * Get nivelEstudioDesCp
     *
     * @return string 
     */
    public function getNivelEstudioDesCp() {
        return $this->nivelEstudioDesCp;
    }

    /**
     * Set tituloProfesionalCp
     *
     * @param string $tituloProfesionalCp
     * @return TmoaComproParticip
     */
    public function setTituloProfesionalCp($tituloProfesionalCp) {
        $this->tituloProfesionalCp = $tituloProfesionalCp;
        return $this;
    }

    /**
     * Get tituloProfesionalCp
     *
     * @return string 
     */
    public function getTituloProfesionalCp() {
        return $this->tituloProfesionalCp;
    }

    /**
     * Set fechaGraduacionCp
     *
     * @param string $fechaGraduacionCp
     * @return TmoaComproParticip
     */
    public function setFechaGraduacionCp($fechaGraduacionCp) {
        $this->fechaGraduacionCp = $fechaGraduacionCp;
        return $this;
    }

    /**
     * Get fechaGraduacionCp
     *
     * @return string 
     */
    public function getFechaGraduacionCp() {
        return $this->fechaGraduacionCp;
    }

    /**
     * Set porcenPaticConsCp
     *
     * @param float $porcenPaticConsCp
     * @return TmoaComproParticip
     */
    public function setPorcenPaticConsCp($porcenPaticConsCp) {
        $this->porcenPaticConsCp = $porcenPaticConsCp;
        return $this;
    }

    /**
     * Get porcenPaticConsCp
     *
     * @return float 
     */
    public function getPorcenPaticConsCp() {
        return $this->porcenPaticConsCp;
    }

    /**
     * Set cargoConsCp
     *
     * @param string $cargoConsCp
     * @return TmoaComproParticip
     */
    public function setCargoConsCp($cargoConsCp) {
        $this->cargoConsCp = $cargoConsCp;
        return $this;
    }

    /**
     * Get cargoConsCp
     *
     * @return string 
     */
    public function getCargoConsCp() {
        return $this->cargoConsCp;
    }

    /**
     * Set participacionObrCp
     *
     * @param float $participacionObrCp
     * @return TmoaComproParticip
     */
    public function setParticipacionObrCp($participacionObrCp) {
        $this->participacionObrCp = $participacionObrCp;
        return $this;
    }

    /**
     * Get participacionObrCp
     *
     * @return float 
     */
    public function getParticipacionObrCp() {
        return $this->participacionObrCp;
    }

    /**
     * Set experiObrSimCp
     *
     * @param string $experiObrSimCp
     * @return TmoaComproParticip
     */
    public function setExperiObrSimCp($experiObrSimCp) {
        $this->experiObrSimCp = $experiObrSimCp;
        return $this;
    }

    /**
     * Get experiObrSimCp
     *
     * @return string 
     */
    public function getExperiObrSimCp() {
        return $this->experiObrSimCp;
    }

    /**
     * Set observacionesCp
     *
     * @param string $observacionesCp
     * @return TmoaComproParticip
     */
    public function setObservacionesCp($observacionesCp) {
        $this->observacionesCp = $observacionesCp;
        return $this;
    }

    /**
     * Get observacionesCp
     *
     * @return string 
     */
    public function getObservacionesCp() {
        return $this->observacionesCp;
    }

    /**
     * Set tituloCuartoNivCp
     *
     * @param string $tituloCuartoNivCp
     * @return TmoaComproParticip
     */
    public function setTituloCuartoNivCp($tituloCuartoNivCp) {
        $this->tituloCuartoNivCp = $tituloCuartoNivCp;
        return $this;
    }

    /**
     * Get tituloCuartoNivCp
     *
     * @return string 
     */
    public function getTituloCuartoNivCp() {
        return $this->tituloCuartoNivCp;
    }

    /**
     * Set fechaObtenTitulCp
     *
     * @param string $fechaObtenTitulCp
     * @return TmoaComproParticip
     */
    public function setFechaObtenTitulCp($fechaObtenTitulCp) {
        $this->fechaObtenTitulCp = $fechaObtenTitulCp;
        return $this;
    }

    /**
     * Get fechaObtenTitulCp
     *
     * @return string 
     */
    public function getFechaObtenTitulCp() {
        return $this->fechaObtenTitulCp;
    }

    /**
     * Set tiempoPartiCp
     *
     * @param decimal $tiempoPartiCp
     * @return TmoaComproParticip
     */
    public function setTiempoPartiCp($tiempoPartiCp) {
        $this->tiempoPartiCp = $tiempoPartiCp;
        return $this;
    }

    /**
     * Get tiempoPartiCp
     *
     * @return decimal 
     */
    public function getTiempoPartiCp() {
        return $this->tiempoPartiCp;
    }

}

?>
