<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmoaComproSubcontr
 *
 * @ORM\Table(name="TMOA_COMPRO_SUBCONTR")
 * @ORM\Entity
 */
class TmoaComproSubcontr {

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var float
     *
     * @ORM\Column(name="CONTRATACION_ID", type="decimal", nullable=true)
     */
    private $contratacionId;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PERSONA", type="string", nullable=false)
     */
    private $tipoPersona;

    /**
     * @var string
     *
     * @ORM\Column(name="RUC", type="string", nullable=false)
     */
    private $ruc;

    /**
     * @var string
     *
     * @ORM\Column(name="OFERENTE_ID", type="string", nullable=false)
     */
    private $oferenteId;

    /**
     * @var string
     *
     * @ORM\Column(name="RAZON_SOCIAL", type="string", nullable=false)
     */
    private $razonSocial;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_DOCUMENTO_RL", type="string", nullable=false)
     */
    private $tipoDocumentoRl;

    /**
     * @var string
     *
     * @ORM\Column(name="DOCUMENTO_RL", type="string", nullable=false)
     */
    private $documentoRl;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE_RL", type="string", nullable=false)
     */
    private $nombreRl;

    /**
     * @var string
     *
     * @ORM\Column(name="PROVINCIA_CODIGO", type="string", nullable=false)
     */
    private $provinciaCodigo;

    /**
     * @var string
     *
     * @ORM\Column(name="PROVINCIA", type="string", nullable=false)
     */
    private $provincia;

    /**
     * @var string
     *
     * @ORM\Column(name="CIUDAD_CODIGO", type="string", nullable=false)
     */
    private $ciudadCodigo;

    /**
     * @var string
     *
     * @ORM\Column(name="CIUDAD", type="string", nullable=false)
     */
    private $ciudad;

    /**
     * @var decimal
     *
     * @ORM\Column(name="PORCENTAJE_SUBCONTRATACION", type="decimal", nullable=false)
     */
    private $porcentajeSubcontratacion;

    /**
     * @var string
     *
     * @ORM\Column(name="PROFESION", type="string", nullable=false)
     */
    private $profesion;

    /**
     * @var string
     *
     * @ORM\Column(name="TELEFONO", type="string", nullable=false)
     */
    private $telefono;
    
    /**
     * @var string
     *
     * @ORM\Column(name="DIRECCION", type="string", nullable=false)
     */
    private $direccion;
    
    /**
     * @var string
     *
     * @ORM\Column(name="PROFESION_RL", type="string", nullable=false)
     */
    private $profesionRl;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->contratacionId = isset($data['CONTRATACION_ID']) ? $data['CONTRATACION_ID'] : null;
            $this->oferenteId = isset($data['OFERENTE_ID']) ? $data['OFERENTE_ID'] : null;
            $this->tipoPersona = isset($data['TIPO_PERSONA']) ? $data['TIPO_PERSONA'] : null;
            $this->ruc = isset($data['RUC']) ? $data['RUC'] : null;
            $this->razonSocial = isset($data['RAZON_SOCIAL']) ? $data['RAZON_SOCIAL'] : null;
            $this->tipoDocumentoRl = isset($data['TIPO_DOCUMENTO_RL']) ? $data['TIPO_DOCUMENTO_RL'] : null;
            $this->documentoRl = isset($data['DOCUMENTO_RL']) ? $data['DOCUMENTO_RL'] : null;
            $this->nombreRl = isset($data['NOMBRE_RL']) ? $data['NOMBRE_RL'] : null;
            $this->provinciaCodigo = isset($data['PROVINCIA_CODIGO']) ? $data['PROVINCIA_CODIGO'] : null;
            $this->provincia = isset($data['PROVINCIA']) ? $data['PROVINCIA'] : null;
            $this->ciudadCodigo = isset($data['CIUDAD_CODIGO']) ? $data['CIUDAD_CODIGO'] : null;
            $this->ciudad = isset($data['CIUDAD']) ? $data['CIUDAD'] : null;
            $this->porcentajeSubcontratacion = isset($data['PORCENTAJE_SUBCONTRATACION']) ? $data['PORCENTAJE_SUBCONTRATACION'] : null;
            $this->profesion = isset($data['PROFESION']) ? $data['PROFESION'] : null;
            $this->profesionRl = isset($data['PROFESION_RL']) ? $data['PROFESION_RL'] : null;
            $this->telefono = isset($data['TELEFONO']) ? $data['TELEFONO'] : null;
            $this->direccion = isset($data['DIRECCION']) ? $data['DIRECCION'] : null;
        }
    }

    /**
     * Set contratacionId
     *
     * @param float $contratacionId
     * @return TmoaComproSubcontr
     */
    public function setContratacionId($contratacionId) {
        $this->contratacionId = intval($contratacionId);
        return $this;
    }

    /**
     * Get contratacionId
     *
     * @return float 
     */
    public function getContratacionId() {
        return $this->contratacionId;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set tipoPersona
     *
     * @param string $tipoPersona
     * @return TmoaComproSubcontr
     */
    public function setTipoPersona($tipoPersona) {
        $this->tipoPersona = $tipoPersona;
        return $this;
    }

    /**
     * Get tipoPersona
     *
     * @return string 
     */
    public function getTipoPersona() {
        return $this->tipoPersona;
    }

    /**
     * Set ruc
     *
     * @param string $ruc
     * @return TmoaComproSubcontr
     */
    public function setRuc($ruc) {
        $this->ruc = $ruc;
        return $this;
    }

    /**
     * Get ruc
     *
     * @return string 
     */
    public function getRuc() {
        return $this->ruc;
    }

    /**
     * Set oferenteId
     *
     * @param string $oferenteId
     * @return TmoaComproSubcontr
     */
    public function setOferenteId($oferenteId) {
        $this->oferenteId = $oferenteId;
        return $this;
    }

    /**
     * Get oferenteId
     *
     * @return string 
     */
    public function getOferenteId() {
        return $this->oferenteId;
    }

    /**
     * Set razonSocial
     *
     * @param string $razonSocial
     * @return TmoaComproSubcontr
     */
    public function setRazonSocial($razonSocial) {
        $this->razonSocial = $razonSocial;
        return $this;
    }

    /**
     * Get razonSocial
     *
     * @return string 
     */
    public function getRazonSocial() {
        return $this->razonSocial;
    }

    /**
     * Set tipoDocumentoRl
     *
     * @param string $tipoDocumentoRl
     * @return TmoaComproSubcontr
     */
    public function setTipoDocumentoRl($tipoDocumentoRl) {
        $this->tipoDocumentoRl = $tipoDocumentoRl;
        return $this;
    }

    /**
     * Get tipoDocumentoRl
     *
     * @return string 
     */
    public function getTipoDocumentoRl() {
        return $this->tipoDocumentoRl;
    }

    /**
     * Set documentoRl
     *
     * @param string $documentoRl
     * @return TmoaComproSubcontr
     */
    public function setDocumentoRl($documentoRl) {
        $this->documentoRl = $documentoRl;
        return $this;
    }

    /**
     * Get documentoRl
     *
     * @return string 
     */
    public function getDocumentoRl() {
        return $this->documentoRl;
    }

    /**
     * Set nombreRl
     *
     * @param string $nombreRl
     * @return TmoaComproSubcontr
     */
    public function setNombreRl($nombreRl) {
        $this->nombreRl = $nombreRl;
        return $this;
    }

    /**
     * Get nombreRl
     *
     * @return string 
     */
    public function getNombreRl() {
        return $this->nombreRl;
    }

    /**
     * Set provinciaCodigo
     *
     * @param string $provinciaCodigo
     * @return TmoaComproSubcontr
     */
    public function setProvinciaCodigo($provinciaCodigo) {
        $this->provinciaCodigo = $provinciaCodigo;
        return $this;
    }

    /**
     * Get provinciaCodigo
     *
     * @return string 
     */
    public function getProvinciaCodigo() {
        return $this->provinciaCodigo;
    }

    /**
     * Set provincia
     *
     * @param string $provincia
     * @return TmoaComproSubcontr
     */
    public function setProvincia($provincia) {
        $this->provincia = $provincia;
        return $this;
    }

    /**
     * Get provincia
     *
     * @return string 
     */
    public function getProvincia() {
        return $this->provincia;
    }

    /**
     * Set ciudadCodigo
     *
     * @param string $ciudadCodigo
     * @return TmoaComproSubcontr
     */
    public function setCiudadCodigo($ciudadCodigo) {
        $this->ciudadCodigo = $ciudadCodigo;
        return $this;
    }

    /**
     * Get ciudadCodigo
     *
     * @return string 
     */
    public function getCiudadCodigo() {
        return $this->ciudadCodigo;
    }

    /**
     * Set ciudad
     *
     * @param string $ciudad
     * @return TmoaComproSubcontr
     */
    public function setCiudad($ciudad) {
        $this->ciudad = $ciudad;
        return $this;
    }

    /**
     * Get ciudad
     *
     * @return string 
     */
    public function getCiudad() {
        return $this->ciudad;
    }

    /**
     * 
     * @return type
     */
    public function getPorcentajeSubcontratacion() {
        return $this->porcentajeSubcontratacion;
    }

    /**
     * 
     * @param type $porcentajeSubcontratacion
     * @return \Incop\Mfc\OfertasBundle\Entity\TmoaComproSubcontr
     */
    public function setPorcentajeSubcontratacion($porcentajeSubcontratacion) {
        $this->porcentajeSubcontratacion = $porcentajeSubcontratacion;
        return $this;
    }

    /**
     * Set profesion
     *
     * @param string $profesion
     * @return TmoaComproSubcontr
     */
    public function setProfesion($profesion) {
        $this->profesion = $profesion;
        return $this;
    }

    /**
     * Get profesion
     *
     * @return string 
     */
    public function getProfesion() {
        return $this->profesion;
    }
    
    /**
     * Set profesionRl
     *
     * @param string $profesionRl
     * @return TmoaComproSubcontr
     */
    public function setProfesionRL($profesionRl) {
        $this->profesionRl = $profesionRl;
        return $this;
    }

    /**
     * Get profesionRl
     *
     * @return string 
     */
    public function getProfesionRl() {
        return $this->profesionRl;
    }

    /**
     * Set telefono
     *
     * @param string $telefono
     * @return TmoaComproSubcontr
     */
    public function setTelefono($telefono) {
        $this->telefono = $telefono;
        return $this;
    }

    /**
     * Get telefono
     *
     * @return string 
     */
    public function getTelefono() {
        return $this->telefono;
    }
    
    /**
     * Set direccion
     *
     * @param string $direccion
     * @return TmoaComproSubcontr
     */
    public function setDireccion($direccion) {
        $this->direccion = $direccion;
        return $this;
    }

    /**
     * Get direccion
     *
     * @return string 
     */
    public function getDireccion() {
        return $this->direccion;
    }
}

?>
