<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TmoaExpProfe
 *
 * @ORM\Table(name="TMOA_EXP_PROFE")
 * @ORM\Entity
 */
class TmoaExpProfe {

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var float
     *
     * @ORM\Column(name="COMPRO_PARTICIP_ID", type="decimal", nullable=true)
     */
    private $comproParticipId;

    /**
     * @var string
     *
     * @ORM\Column(name="EMPRESA_EP", type="string", nullable=false)
     */
    private $empresaEp;

    /**
     * @var string
     *
     * @ORM\Column(name="CONTRATANTE_EP", type="string", nullable=false)
     */
    private $contratanteEp;

    /**
     * @var string
     *
     * @ORM\Column(name="PROYECTO_EP", type="string", nullable=false)
     */
    private $proyectoEp;

    /**
     * @var decimal
     *
     * @ORM\Column(name="MONTO_PROYECYO_EP", type="decimal", nullable=false)
     */
    private $montoProyecyoEp;

    /**
     * @var string
     *
     * @ORM\Column(name="CARGO_EP", type="string", nullable=false)
     */
    private $cargoEp;

    /**
     * @var decimal
     *
     * @ORM\Column(name="TIEMPO_PARTI_CONS_CP", type="decimal", nullable=false)
     */
    private $tiempoPartiConsCp;

    /**
     * @var string
     *
     * @ORM\Column(name="ACTIVI_RELEV_EP", type="string", nullable=false)
     */
    private $activiRelevEp;

    /**
     * @var string
     *
     * @ORM\Column(name="TIEMPO_PARTI_CONS_CP_MEDIDA", type="string", nullable=false)
     */
    private $tiempoPartiConsCpMedida;

    //constructor
    function __construct($data = null) {
        if ($data != null) {
            $this->comproParticipId = isset($data['COMPRO_PARTICIP_ID']) ? $data['COMPRO_PARTICIP_ID'] : null;
            $this->empresaEp = isset($data['EMPRESA_EP']) ? $data['EMPRESA_EP'] : null;
            $this->contratanteEp = isset($data['CONTRATANTE_EP']) ? $data['CONTRATANTE_EP'] : null;
            $this->proyectoEp = isset($data['PROYECTO_EP']) ? $data['PROYECTO_EP'] : null;
            $this->montoProyecyoEp = isset($data['MONTO_PROYECYO_EP']) ? $data['MONTO_PROYECYO_EP'] : null;
            $this->cargoEp = isset($data['CARGO_EP']) ? $data['CARGO_EP'] : null;
            $this->tiempoPartiConsCp = isset($data['TIEMPO_PARTI_CONS_CP']) ? $data['TIEMPO_PARTI_CONS_CP'] : null;
            $this->activiRelevEp = isset($data['ACTIVI_RELEV_EP']) ? $data['ACTIVI_RELEV_EP'] : null;
            $this->tiempoPartiConsCpMedida = isset($data['TIEMPO_PARTI_CONS_CP_MEDIDA']) ? $data['TIEMPO_PARTI_CONS_CP_MEDIDA'] : null;
        }
    }

    public function getTiempoPartiConsCpMedida() {
        return $this->tiempoPartiConsCpMedida;
    }

    public function setTiempoPartiConsCpMedida($tiempoPartiConsCpMedida) {
        $this->tiempoPartiConsCpMedida = $tiempoPartiConsCpMedida;
    }

    /**
     * Set comproParticipId
     *
     * @param float $comproParticipId
     * @return TmoaExpProfe
     */
    public function setComproParticipId($comproParticipId) {
        $this->comproParticipId = $comproParticipId;
        return $this;
    }

    /**
     * Get comproParticipId
     *
     * @return float 
     */
    public function getComproParticipId() {
        return $this->comproParticipId;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set empresaEp
     *
     * @param float $empresaEp
     * @return TmoaExpProfe
     */
    public function setEmpresaEp($empresaEp) {
        $this->empresaEp = strtoupper($empresaEp);
        return $this;
    }

    /**
     * Get empresaEp
     *
     * @return float 
     */
    public function getEmpresaEp() {
        return $this->empresaEp;
    }

    /**
     * Set contratanteEp
     *
     * @param float $contratanteEp
     * @return TmoaExpProfe
     */
    public function setContratanteEp($contratanteEp) {
        $this->contratanteEp = strtoupper($contratanteEp);
        return $this;
    }

    /**
     * Get contratanteEp
     *
     * @return float 
     */
    public function getContratanteEp() {
        return $this->contratanteEp;
    }

    /**
     * Set proyectoEp
     *
     * @param float $proyectoEp
     * @return TmoaExpProfe
     */
    public function setProyectoEp($proyectoEp) {
        $this->proyectoEp = $proyectoEp;
        return $this;
    }

    /**
     * Get proyectoEp
     *
     * @return float 
     */
    public function getProyectoEp() {
        return $this->proyectoEp;
    }

    /**
     * Set montoProyecyoEp
     *
     * @param float $montoProyecyoEp
     * @return TmoaExpProfe
     */
    public function setMontoProyecyoEp($montoProyecyoEp) {
        $this->montoProyecyoEp = $montoProyecyoEp;
        return $this;
    }

    /**
     * Get montoProyecyoEp
     *
     * @return float 
     */
    public function getMontoProyecyoEp() {
        return $this->montoProyecyoEp;
    }

    /**
     * Set activiRelevEp
     *
     * @param float $activiRelevEp
     * @return TmoaExpProfe
     */
    public function setActiviRelevEp($activiRelevEp) {
        $this->activiRelevEp = $activiRelevEp;
        return $this;
    }

    /**
     * Get activiRelevEp
     *
     * @return float 
     */
    public function getActiviRelevEp() {
        return $this->activiRelevEp;
    }

    /**
     * Set cargoEp
     *
     * @param float $cargoEp
     * @return TmoaExpProfe
     */
    public function setCargoEp($cargoEp) {
        $this->cargoEp = $cargoEp;
        return $this;
    }

    /**
     * Get cargoEp
     *
     * @return float 
     */
    public function getCargoEp() {
        return $this->cargoEp;
    }

    /**
     * Set tiempoPartiConsCp
     *
     * @param float $tiempoPartiConsCp
     * @return TmoaExpProfe
     */
    public function setTiempoPartiConsCp($tiempoPartiConsCp) {
        $this->tiempoPartiConsCp = $tiempoPartiConsCp;
        return $this;
    }

    /**
     * Get tiempoPartiConsCp
     *
     * @return float 
     */
    public function getTiempoPartiConsCp() {
        return $this->tiempoPartiConsCp;
    }

}

?>
