<?php

namespace Incop\Mfc\OfertasBundle\Entity;

/**
 * TmoaFormOferPlanTrabProd
 */
class TmoaFormOferPlanTrabProd {

    /**
     * Constructor de la clase
     * @param array $data
     */
    function __construct($data = array()) {
        if ($data) {
            $this->formoferId = isset($data["FORMOFER_ID"]) ? $data["FORMOFER_ID"] : null;
            $this->orden = isset($data["ORDEN"]) ? $data["ORDEN"] : null;
            $this->descripcion = isset($data["DESCRIPCION"]) ? $data["DESCRIPCION"] : null;
            $this->fechaEntrega = isset($data["FECHA_ENTREGA"]) ? $data["FECHA_ENTREGA"] : null;
        }
    }

    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $formoferId;

    /**
     * @var integer
     */
    private $orden;

    /**
     * @var string
     */
    private $descripcion;

    /**
     * @var string
     */
    private $fechaEntrega;

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set orden
     *
     * @param integer $orden
     * @return TmoaFormOferPlanTrabProd
     */
    public function setOrden($orden) {
        $this->orden = $orden;
        return $this;
    }

    /**
     * Get orden
     *
     * @return integer 
     */
    public function getOrden() {
        return $this->orden;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     * @return TmoaFormOferPlanTrabProd
     */
    public function setDescripcion($descripcion) {
        $this->descripcion = $descripcion;
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string 
     */
    public function getDescripcion() {
        return $this->descripcion;
    }

    /**
     * Set fechaEntrega
     *
     * @param string $fechaEntrega
     * @return TmoaFormOferPlanTrabProd
     */
    public function setFechaEntrega($fechaEntrega) {
        $this->fechaEntrega = $fechaEntrega;
        return $this;
    }

    /**
     * Get fechaEntrega
     *
     * @return string 
     */
    public function getFechaEntrega() {
        return $this->fechaEntrega;
    }

    /**
     * 
     * @return type
     */
    public function getFormoferId() {
        return $this->formoferId;
    }

    /**
     * 
     * @param type $formoferId
     * @return \Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPlanTrabProd
     */
    public function setFormoferId($formoferId) {
        $this->formoferId = $formoferId;
        return $this;
    }

    /**
     * 
     * @param \Doctrine\ORM\EntityManager $em
     * @param type $formOferId
     * @return int|null
     */
    public function buscaOrdenMaximo($em, $formOferId) {
        $mensaje = '';
        $query = $em
                ->createQuery('SELECT max(d.orden) as orden FROM IncopMfcOfertasBundle:TmoaFormOferPlanTrabProd d WHERE d.formoferId=' . $formOferId
        );
        try {
            $valor = $query->getSingleResult();
            if ($valor["orden"]) {
                return $valor["orden"];
            } else {
                return 0;
            }
        } catch (\Doctrine\ORM\NoResultException $e) {
            $mensaje = $e;
            return null;
        }
    }

    /**
     * Reduce el orden en 1 antes de eliminar el elemento
     * @param \Doctrine\ORM\EntityManager $em
     * @return boolean
     */
    public function cambiaOrdenSiguientes($em) {
        $mensaje = '';
        try {
            $em->createQuery('UPDATE IncopMfcOfertasBundle:TmoaFormOferPlanTrabProd d SET d.orden=d.orden-1 WHERE d.orden >' . $this->getOrden() . " AND d.formoferId=" . $this->getFormoferId())->execute();
            return true;
        } catch (\Doctrine\ORM\NoResultException $e) {
            $mensaje = $e;
            return false;
        }
    }

}
