<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\HttpFoundation\File\UploadedFile;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * TmoaOferReprLega
 *
 * @ORM\Table()
 * @ORM\Entity
 */
class TmoaOferReprLega {

    function __construct($data = null) {
        if ($data) {
            $this->oferenteId = isset($data['OFERENTE_ID']) ? $data['OFERENTE_ID'] : null;
            $this->tipoDocumento = isset($data['TIPO_DOCUMENTO']) ? $data['TIPO_DOCUMENTO'] : null;
            $this->documento = isset($data['DOCUMENTO']) ? $data['DOCUMENTO'] : null;
            $this->nacionalidad = isset($data['NACIONALIDAD']) ? $data['NACIONALIDAD'] : null;
            $this->nombre = isset($data['NOMBRE']) ? $data['NOMBRE'] : null;
            $this->tipoRepresentante = isset($data['TIPO_REPRESENTANTE']) ? $data['TIPO_REPRESENTANTE'] : null;
            $this->nombreRepresentante = isset($data['NOMBRE_REPRESENTANTE']) ? $data['NOMBRE_REPRESENTANTE'] : null;
            $this->codigoPais = isset($data['CODIGO_PAIS']) ? $data['CODIGO_PAIS'] : null;
            $this->pais = isset($data['PAIS']) ? $data['PAIS'] : null;
            $this->ciudad = isset($data['CIUDAD']) ? $data['CIUDAD'] : null;
            $this->firmaOferta = isset($data['FIRMA_OFERTA']) ? $data['FIRMA_OFERTA'] : null;
            //Apoderado
            $this->tipoDocumentoAp = isset($data['TIPO_DOCUMENTO_AP']) ? $data['TIPO_DOCUMENTO_AP'] : null;
            $this->numeroDocumentoAp = isset($data['NUMERO_DOCUMENTO_AP']) ? $data['NUMERO_DOCUMENTO_AP'] : null;
            $this->nombresApellidosAp = isset($data['NOMBRES_APELLIDOS_AP']) ? $data['NOMBRES_APELLIDOS_AP'] : null;
            $this->documentoNotariadoAp = isset($data['DOCUMENTO_NOTARIADO_AP']) ? $data['DOCUMENTO_NOTARIADO_AP'] : null;
            $this->domicilioFiscalAp = isset($data['DOMICILIO_FISCAL_AP']) ? $data['DOMICILIO_FISCAL_AP'] : null;
            $this->ciudadAp = isset($data['CIUDAD_AP']) ? $data['CIUDAD_AP'] : null;
            //Representante
            $this->tipoDocumentoRl = isset($data['TIPO_DOCUMENTO_RL']) ? $data['TIPO_DOCUMENTO_RL'] : null;
            $this->numeroDocumentoRl = isset($data['NUMERO_DOCUMENTO_RL']) ? $data['NUMERO_DOCUMENTO_RL'] : null;
            $this->nombresApellidosRl = isset($data['NOMBRES_APELLIDOS_RL']) ? $data['NOMBRES_APELLIDOS_RL'] : null;
            $this->domicilioFiscalRl = isset($data['DOMICILIO_FISCAL_RL']) ? $data['DOMICILIO_FISCAL_RL'] : null;
            $this->ciudadRl = isset($data['CIUDAD_RL']) ? $data['CIUDAD_RL'] : null;
            $this->razonSocial = isset($data['RAZON_SOCIAL']) ? $data['RAZON_SOCIAL'] : null;
            //
            $this->naturaleza = isset($data['NATURALEZA']) ? $data['NATURALEZA'] : null;
            $this->profesionAp = isset($data['PROFESION_AP']) ? $data['PROFESION_AP'] : null;
            $this->profesionRl = isset($data['PROFESION_RL']) ? $data['PROFESION_RL'] : null;
        }
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;
    private $tipoDocumentoRl;
    private $numeroDocumentoRl;
    private $nombresApellidosRl;
    private $domicilioFiscalRl;
    private $ciudadRl;
    private $naturaleza;
    private $razonSocial;

    /**
     * @var string
     *
     * @ORM\Column(name="tipo_documento", type="string", length=1)
     */
    private $tipoDocumento;

    /**
     * @var string
     *
     * @ORM\Column(name="documento", type="string", length=50)
     */
    private $documento;

    /**
     * @var string
     *
     * @ORM\Column(name="nombre", type="string", length=255)
     */
    private $nombre;

    /**
     * @var string
     *
     * @ORM\Column(name="tipo_representante", type="string", length=1)
     */
    private $tipoRepresentante;

    /**
     * @var string
     *
     * @ORM\Column(name="nombre_representante", type="string", length=255)
     */
    private $nombreRepresentante;

    /**
     *
     * @var integer
     */
    private $oferenteId;

    /**
     *
     * @var string
     */
    private $codigoPais;

    /**
     *
     * @var string
     */
    private $pais;

    /**
     *
     * @var string
     */
    private $ciudad;

    /**
     *
     * @var string
     */
    private $tipoDocumentoAp;

    /**
     *
     * @var string
     */
    private $numeroDocumentoAp;

    /**
     *
     * @var string
     */
    private $nombresApellidosAp;

    /**
     *
     * @var string
     */
    private $documentoNotariadoAp;

    /**
     *
     * @var string
     */
    private $domicilioFiscalAp;

    /**
     *
     * @var string
     */
    private $ciudadAp;

    /**
     *
     * @var string
     */
    private $firmaOferta;

    /**
     * @Assert\File(maxSize="10M")
     */
    private $file;
    
    /**
     *
     * @var string
     */
    private $profesionAp;
    
    /**
     *
     * @var string
     */
    private $profesionRl;
    
    /**
     *
     * @var string
     */
    private $nacionalidad;

    public function getRazonSocial() {
        return $this->razonSocial;
    }

    public function setRazonSocial($razonSocial) {
        $this->razonSocial = $razonSocial;
    }

    public function getTipoDocumentoRl() {
        return $this->tipoDocumentoRl;
    }

    public function setTipoDocumentoRl($tipoDocumentoRl) {
        $this->tipoDocumentoRl = $tipoDocumentoRl;
    }

    public function getNumeroDocumentoRl() {
        return $this->numeroDocumentoRl;
    }

    public function setNumeroDocumentoRl($numeroDocumentoRl) {
        $this->numeroDocumentoRl = $numeroDocumentoRl;
    }

    public function getNombresApellidosRl() {
        return $this->nombresApellidosRl;
    }

    public function setNombresApellidosRl($nombresApellidosRl) {
        $this->nombresApellidosRl = $nombresApellidosRl;
    }

    public function getDomicilioFiscalRl() {
        return $this->domicilioFiscalRl;
    }

    public function setDomicilioFiscalRl($domicilioFiscalRl) {
        $this->domicilioFiscalRl = $domicilioFiscalRl;
    }

    public function getCiudadRl() {
        return $this->ciudadRl;
    }

    public function setCiudadRl($ciudadRl) {
        $this->ciudadRl = $ciudadRl;
    }

    public function getNaturaleza() {
        return $this->naturaleza;
    }

    public function setNaturaleza($naturaleza) {
        $this->naturaleza = $naturaleza;
    }

    /**
     * Sets file.
     *
     * @param UploadedFile $file
     */
    public function setFile(UploadedFile $file = null) {
        $this->file = $file;
    }

    /**
     * Get file.
     *
     * @return UploadedFile
     */
    public function getFile() {
        return $this->file;
    }

    public function getTipoDocumentoAp() {
        return $this->tipoDocumentoAp;
    }

    public function setTipoDocumentoAp($tipoDocumentoAp) {
        $this->tipoDocumentoAp = $tipoDocumentoAp;
    }

    public function getNumeroDocumentoAp() {
        return $this->numeroDocumentoAp;
    }

    public function setNumeroDocumentoAp($numeroDocumentoAp) {
        $this->numeroDocumentoAp = $numeroDocumentoAp;
    }

    public function getNombresApellidosAp() {
        return $this->nombresApellidosAp;
    }

    public function setNombresApellidosAp($nombresApellidosAp) {
        $this->nombresApellidosAp = $nombresApellidosAp;
    }

    public function getDocumentoNotariadoAp() {
        return $this->documentoNotariadoAp;
    }

    public function setDocumentoNotariadoAp($documentoNotariadoAp) {
        $this->documentoNotariadoAp = $documentoNotariadoAp;
    }

    public function getDomicilioFiscalAp() {
        return $this->domicilioFiscalAp;
    }

    public function setDomicilioFiscalAp($domicilioFiscalAp) {
        $this->domicilioFiscalAp = $domicilioFiscalAp;
    }

    public function getCiudadAp() {
        return $this->ciudadAp;
    }

    public function setCiudadAp($ciudadAp) {
        $this->ciudadAp = $ciudadAp;
    }

    public function getFirmaOferta() {
        return $this->firmaOferta;
    }

    public function setFirmaOferta($firmaOferta) {
        $this->firmaOferta = $firmaOferta;
    }

    public function getCiudad() {
        return $this->ciudad;
    }

    public function setCiudad($ciudad) {
        $this->ciudad = $ciudad;
    }

    public function getCodigoPais() {
        return $this->codigoPais;
    }

    public function getPais() {
        return $this->pais;
    }

    public function setCodigoPais($codigoPais) {
        $this->codigoPais = $codigoPais;
    }

    public function setPais($pais) {
        $this->pais = $pais;
    }

    public function getOferenteId() {
        return $this->oferenteId;
    }

    public function setOferenteId($oferenteId) {
        $this->oferenteId = $oferenteId;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId() {
        return $this->id;
    }

    /**
     * Set tipoDocumento
     *
     * @param string $tipoDocumento
     * @return TmoaOferReprLega
     */
    public function setTipoDocumento($tipoDocumento) {
        $this->tipoDocumento = $tipoDocumento;
        return $this;
    }

    /**
     * Get tipoDocumento
     *
     * @return string
     */
    public function getTipoDocumento() {
        return $this->tipoDocumento;
    }

    /**
     * Set documento
     *
     * @param string $documento
     * @return TmoaOferReprLega
     */
    public function setDocumento($documento) {
        $this->documento = $documento;
        return $this;
    }

    /**
     * Get documento
     *
     * @return string
     */
    public function getDocumento() {
        return $this->documento;
    }

    /**
     * Set nombre
     *
     * @param string $nombre
     * @return TmoaOferReprLega
     */
    public function setNombre($nombre) {
        $this->nombre = $nombre;
        return $this;
    }

    /**
     * Get nombre
     *
     * @return string
     */
    public function getNombre() {
        return $this->nombre;
    }

    /**
     * Set tipoRepresentate
     *
     * @param string $tipoRepresentate
     * @return TmoaOferReprLega
     */
    public function setTipoRepresentante($tipoRepresentate) {
        $this->tipoRepresentante = $tipoRepresentate;
        return $this;
    }

    /**
     * Get tipoRepresentate
     *
     * @return string
     */
    public function getTipoRepresentante() {
        return $this->tipoRepresentante;
    }

    /**
     * Set nombreRepresentante
     *
     * @param string $nombreRepresentante
     * @return TmoaOferReprLega
     */
    public function setNombreRepresentante($nombreRepresentante) {
        $this->nombreRepresentante = $nombreRepresentante;
        return $this;
    }

    /**
     * Get nombreRepresentante
     *
     * @return string
     */
    public function getNombreRepresentante() {
        return $this->nombreRepresentante;
    }
    
    /**
     * Set profesionAp
     *
     * @param string $profesionAp
     * @return TmoaOferReprLega
     */
    public function setProfesionAp($profesionAp) {
        $this->profesionAp = $profesionAp;
        return $this;
    }

    /**
     * Get profesionAp
     *
     * @return string
     */
    public function getProfesionAp() {
        return $this->profesionAp;
    }
    
    /**
     * Set profesionRl
     *
     * @param string $profesionRl
     * @return TmoaOferReprLega
     */
    public function setProfesionRl($profesionRl) {
        $this->profesionRl = $profesionRl;

        return $this;
    }

    /**
     * Get profesionRl
     *
     * @return string
     */
    public function getProfesionRl() {
        return $this->profesionRl;
    }
    
    /**
     * Set nacionalidad
     *
     * @param string $nacionalidad
     * @return TmoaOferReprLega
     */
    public function setNacionalidad($nacionalidad) {
        $this->nacionalidad = $nacionalidad;

        return $this;
    }

    /**
     * Get nacionalidad
     *
     * @return string
     */
    public function getNacionalidad() {
        return $this->nacionalidad;
    }

    public function getAbsolutePath() {
        return null === $this->logoPath ? null : $this->getUploadRootDir() . '/' . $this->documentoNotariadoAp;
    }

    public function getWebPath() {
        return null === $this->logoPath ? null : $this->getUploadDir() . '/' . $this->documentoNotariadoAp;
    }

    protected function getUploadRootDir() {
        return __DIR__ . '/../../../../../web/' . $this->getUploadDir();
    }

    protected function getUploadDir() {
        // get rid of the __DIR__ so it doesn't screw up
        // when displaying uploaded doc/image in the view.
        return 'uploads/documents';
    }

    public function upload() {
        // the file property can be empty if the field is not required
        if (null === $this->getFile()) {
            if ($this->getFirmaOferta() == "PC") {
                $this->setDocumentoNotariadoAp(null);
            }
            return;
        }
        // use the original file name here but you should
        // sanitize it at least to avoid any security issues
        // move takes the target directory and then the
        // target filename to move to
        $this->getFile()->move(
                $this->getUploadRootDir(), $this->getFile()->getClientOriginalName()
        );
        // set the path property to the filename where you've saved the file
        $this->documentoNotariadoAp = $this->getFile()->getClientOriginalName();
        // clean up the file property as you won't need it anymore
        $this->file = null;
    }

}
