<?php

namespace Incop\Mfc\OfertasBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\HttpFoundation\File\UploadedFile;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * TmoaOferente
 *
 * @ORM\Table(name="TMOA_OFERENTE")
 * @ORM\Entity
 */
class TmoaOferente {

    function __construct($data = null) {
        if ($data) {
            $this->nombreOferente = isset($data['NOMBRE_OFERENTE']) ? $data['NOMBRE_OFERENTE'] : null;
            $this->tipoDocumento = isset($data['TIPO_DOCUMENTO']) ? $data['TIPO_DOCUMENTO'] : null;
            $this->documento = isset($data['DOCUMENTO']) ? $data['DOCUMENTO'] : null;
            $this->tipoPersona = isset($data['TIPO_PERSONA']) ? $data['TIPO_PERSONA'] : null;
            $this->tipoJuridica = isset($data['TIPO_JURIDICA']) ? $data['TIPO_JURIDICA'] : null;
            $this->extranjero = isset($data['EXTRANJERO']) ? $data['EXTRANJERO'] : null;
            $this->codigoZona = isset($data['CODIGO_ZONA']) ? $data['CODIGO_ZONA'] : null;
            $this->zona = isset($data['ZONA']) ? $data['ZONA'] : null;
            $this->codigoProvincia = isset($data['CODIGO_PROVINCIA']) ? $data['CODIGO_PROVINCIA'] : null;
            $this->provincia = isset($data['PROVINCIA']) ? $data['PROVINCIA'] : null;
            $this->codigoCiudad = isset($data['CODIGO_CIUDAD']) ? $data['CODIGO_CIUDAD'] : null;
            $this->ciudad = isset($data['CIUDAD']) ? $data['CIUDAD'] : null;
            $this->callePrincipal = isset($data['CALLE_PRINCIPAL']) ? $data['CALLE_PRINCIPAL'] : null;
            $this->calleNumero = isset($data['CALLE_NUMERO']) ? $data['CALLE_NUMERO'] : null;
            $this->calleSecundaria = isset($data['CALLE_SECUNDARIA']) ? $data['CALLE_SECUNDARIA'] : null;
            $this->codigoPostal = isset($data['CODIGO_POSTAL']) ? $data['CODIGO_POSTAL'] : null;
            $this->telefono = isset($data['TELEFONO']) ? ($data['TELEFONO'] . " ") : null;
            $this->correo = isset($data['CORREO']) ? $data['CORREO'] : null;
            $this->persona = isset($data['PERSONA']) ? $data['PERSONA'] : null;
            $this->juridica = isset($data['JURIDICA']) ? $data['JURIDICA'] : null;
            $this->bolsaValores = isset($data['BOLSA_VALORES']) ? $data['BOLSA_VALORES'] : null;
            $this->tipoParticipacion = isset($data['TIPO_PARTICIPACION']) ? $data['TIPO_PARTICIPACION'] : null;
            $this->tipoParticipacionNombre = isset($data['TIPO_PARTICIPACION_NOMBRE']) ? $data['TIPO_PARTICIPACION_NOMBRE'] : null;
            $this->tipoPersonaNombre = isset($data['TIPO_PERSONA_NOMBRE']) ? $data['TIPO_PERSONA_NOMBRE'] : null;
            $this->temporal = isset($data['TEMPORAL']) ? $data['TEMPORAL'] : null;
            $this->empresaPublica = isset($data['EMPRESA_PUBLICA']) ? $data['EMPRESA_PUBLICA'] : null;
            $this->numeroRegistro = isset($data['NUMERO_REGISTRO']) ? $data['NUMERO_REGISTRO'] : null;
            $this->profesion = isset($data['PROFESION']) ? $data['PROFESION'] : null;
            $this->fechaRegistro = isset($data['FECHA_REGISTRO']) ? $data['FECHA_REGISTRO'] : null;
            $this->bolsaValoresCotiza = isset($data['BOLSA_VALORES_COTIZA']) ? $data['BOLSA_VALORES_COTIZA'] : null;
            $this->paisCiudad = isset($data['PAIS_CIUDAD']) ? $data['PAIS_CIUDAD'] : null;
            $this->certificado = isset($data['CERTIFICADO']) ? $data['CERTIFICADO'] : null;
        }
    }

    /**
     *
     * @var string
     */
    private $tipoParticipacionNombre;

    /**
     *
     * @var string
     */
    private $tipoPersonaNombre;

    /**
     *
     * @var string
     */
    private $tipoParticipacion;

    /**
     * @var boolean
     *
     * @ORM\Column(name="BOLSA_VALORES", type="boolean", nullable=true)
     */
    private $bolsaValores;

    /**
     * @var boolean
     *
     * @ORM\Column(name="TEMPORAL", type="boolean", nullable=true)
     */
    private $temporal;

    /**
     * @var string
     *
     * @ORM\Column(name="BOLSA_VALORES_COTIZA", type="string", nullable=true)
     */
    private $bolsaValoresCotiza;

    /**
     * @var string
     *
     * @ORM\Column(name="FECHA_REGISTRO", type="string", nullable=true)
     */
    private $fechaRegistro;

    /**
     * @var string
     *
     * @ORM\Column(name="PAIS_CIUDAD", type="string", nullable=true)
     */
    private $paisCiudad;

    /**
     * @var string
     *
     * @ORM\Column(name="CERTIFICADO", type="string", nullable=true)
     */
    private $certificado;

    /**
     * @var string
     *
     * @ORM\Column(name="NOMBRE_OFERENTE", type="string", nullable=true)
     */
    private $nombreOferente;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_DOCUMENTO", type="string", nullable=true)
     */
    private $tipoDocumento;

    /**
     * @var string
     *
     * @ORM\Column(name="DOCUMENTO", type="string", nullable=true)
     */
    private $documento;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_PERSONA", type="string", nullable=true)
     */
    private $tipoPersona;

    /**
     * @var string
     *
     * @ORM\Column(name="TIPO_JURIDICA", type="string", nullable=true)
     */
    private $tipoJuridica;

    /**
     * @var string
     *
     * @ORM\Column(name="EXTRANJERO", type="string", nullable=true)
     */
    private $extranjero;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_ZONA", type="string", nullable=true)
     */
    private $codigoZona;

    /**
     * @var string
     *
     * @ORM\Column(name="ZONA", type="string", nullable=true)
     */
    private $zona;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_PROVINCIA", type="string", nullable=true)
     */
    private $codigoProvincia;

    /**
     * @var string
     *
     * @ORM\Column(name="PROVINCIA", type="string", nullable=true)
     */
    private $provincia;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_CIUDAD", type="string", nullable=true)
     */
    private $codigoCiudad;

    /**
     * @var string
     *
     * @ORM\Column(name="CIUDAD", type="string", nullable=true)
     */
    private $ciudad;

    /**
     * @var string
     *
     * @ORM\Column(name="CALLE_PRINCIPAL", type="text", nullable=true)
     */
    private $callePrincipal;

    /**
     * @var string
     *
     * @ORM\Column(name="CALLE_NUMERO", type="text", nullable=true)
     */
    private $calleNumero;

    /**
     * @var string
     *
     * @ORM\Column(name="CALLE_SECUNDARIA", type="text", nullable=true)
     */
    private $calleSecundaria;

    /**
     * @var string
     *
     * @ORM\Column(name="CODIGO_POSTAL", type="string", nullable=true)
     */
    private $codigoPostal;

    /**
     * @var string
     *
     * @ORM\Column(name="TELEFONO", type="string", nullable=true)
     */
    private $telefono;

    /**
     * @var string
     *
     * @ORM\Column(name="CORREO", type="string", nullable=true)
     */
    private $correo;

    /**
     * @var integer
     *
     * @ORM\Column(name="ID", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="PERSONA", type="string", nullable=true)
     */
    private $persona;

    /**
     * @var string
     *
     * @ORM\Column(name="JURIDICA", type="string", nullable=true)
     */
    private $juridica;

    /**
     * @Assert\File(maxSize="10M")
     */
    private $file;

    /**
     * @var boolean
     *
     * @ORM\Column(name="EMPRESA_PUBLICA", type="booblean", nullable=true)
     */
    private $empresaPublica;

    /**
     * @var string
     *
     * @ORM\Column(name="NUMERO_REGISTRO", type="string", nullable=true)
     */
    private $numeroRegistro;
    
    /**
     * @var string
     *
     * @ORM\Column(name="PROFESION", type="string", nullable=true)
     */
    private $profesion;

    public function getTipoParticipacionNombre() {
        return $this->tipoParticipacionNombre;
    }

    public function getTipoPersonaNombre() {
        return $this->tipoPersonaNombre;
    }

    public function setTipoParticipacionNombre($tipoParticipacionNombre) {
        $this->tipoParticipacionNombre = $tipoParticipacionNombre;
    }

    public function setTipoPersonaNombre($tipoPersonaNombre) {
        $this->tipoPersonaNombre = $tipoPersonaNombre;
    }

    public function getTemporal() {
        return $this->temporal;
    }

    public function setTemporal($temporal) {
        $this->temporal = $temporal;
    }

    public function getTipoParticipacion() {
        return $this->tipoParticipacion;
    }

    public function setTipoParticipacion($tipoParticipacion) {
        $this->tipoParticipacion = $tipoParticipacion;
    }

    /**
     * Sets file.
     *
     * @param UploadedFile $file
     */
    public function setFile(UploadedFile $file = null) {
        $this->file = $file;
    }

    /**
     * Get file.
     *
     * @return UploadedFile
     */
    public function getFile() {
        return $this->file;
    }

    public function getBolsaValoresCotiza() {
        return $this->bolsaValoresCotiza;
    }

    public function setBolsaValoresCotiza($bolsaValoresCotiza) {
        $this->bolsaValoresCotiza = $bolsaValoresCotiza;
    }

    public function getFechaRegistro() {
        return $this->fechaRegistro;
    }

    public function setFechaRegistro($fechaRegistro) {
        $this->fechaRegistro = $fechaRegistro;
    }

    public function getPaisCiudad() {
        return $this->paisCiudad;
    }

    public function setPaisCiudad($paisCiudad) {
        $this->paisCiudad = $paisCiudad;
    }

    public function getCertificado() {
        return $this->certificado;
    }

    public function setCertificado($certificado) {
        $this->certificado = $certificado;
    }

    public function getBolsaValores() {
        return $this->bolsaValores;
    }

    public function setBolsaValores($bolsaValores) {
        $this->bolsaValores = $bolsaValores;
    }

    /**
     * Set nombreOferente
     *
     * @param string $nombreOferente
     * @return TmoaOferente
     */
    public function setNombreOferente($nombreOferente) {
        $this->nombreOferente = $nombreOferente;
        return $this;
    }

    public function getId() {
        return $this->id;
    }

    /**
     * Get nombreOferente
     *
     * @return string
     */
    public function getNombreOferente() {
        return $this->nombreOferente;
    }

    /**
     * Set tipoDocumento
     *
     * @param string $tipoDocumento
     * @return TmoaOferente
     */
    public function setTipoDocumento($tipoDocumento) {
        $this->tipoDocumento = $tipoDocumento;
        return $this;
    }

    /**
     * Get tipoDocumento
     *
     * @return string
     */
    public function getTipoDocumento() {
        return $this->tipoDocumento;
    }

    /**
     * Set documento
     *
     * @param string $documento
     * @return TmoaOferente
     */
    public function setDocumento($documento) {
        $this->documento = $documento;
        return $this;
    }

    /**
     * Get documento
     *
     * @return string
     */
    public function getDocumento() {
        return $this->documento;
    }

    /**
     * Set tipoPersona
     *
     * @param string $tipoPersona
     * @return TmoaOferente
     */
    public function setTipoPersona($tipoPersona) {
        $this->tipoPersona = $tipoPersona;
        return $this;
    }

    /**
     * Get tipoPersona
     *
     * @return string
     */
    public function getTipoPersona() {
        return $this->tipoPersona;
    }

    /**
     * Set tipoJuridica
     *
     * @param string $tipoJuridica
     * @return TmoaOferente
     */
    public function setTipoJuridica($tipoJuridica) {
        $this->tipoJuridica = $tipoJuridica;
        return $this;
    }

    /**
     * Get tipoJuridica
     *
     * @return string
     */
    public function getTipoJuridica() {
        return $this->tipoJuridica;
    }

    /**
     * Set extranjero
     *
     * @param string $extranjero
     * @return TmoaOferente
     */
    public function setExtranjero($extranjero) {
        $this->extranjero = $extranjero;
        return $this;
    }

    /**
     * Get extranjero
     *
     * @return string
     */
    public function getExtranjero() {
        return $this->extranjero;
    }

    /**
     * Set codigoZona
     *
     * @param string $codigoZona
     * @return TmoaOferente
     */
    public function setCodigoZona($codigoZona) {
        $this->codigoZona = $codigoZona;
        return $this;
    }

    /**
     * Get codigoZona
     *
     * @return string
     */
    public function getCodigoZona() {
        return $this->codigoZona;
    }

    /**
     * Set zona
     *
     * @param string $zona
     * @return TmoaOferente
     */
    public function setZona($zona) {
        $this->zona = $zona;
        return $this;
    }

    /**
     * Get zona
     *
     * @return string
     */
    public function getZona() {
        return $this->zona;
    }

    /**
     * Set codigoProvincia
     *
     * @param string $codigoProvincia
     * @return TmoaOferente
     */
    public function setCodigoProvincia($codigoProvincia) {
        $this->codigoProvincia = $codigoProvincia;
        return $this;
    }

    /**
     * Get codigoProvincia
     *
     * @return string
     */
    public function getCodigoProvincia() {
        return $this->codigoProvincia;
    }

    /**
     * Set provincia
     *
     * @param string $provincia
     * @return TmoaOferente
     */
    public function setProvincia($provincia) {
        $this->provincia = $provincia;
        return $this;
    }

    /**
     * Get provincia
     *
     * @return string
     */
    public function getProvincia() {
        return $this->provincia;
    }

    /**
     * Set codigoCiudad
     *
     * @param string $codigoCiudad
     * @return TmoaOferente
     */
    public function setCodigoCiudad($codigoCiudad) {
        $this->codigoCiudad = $codigoCiudad;
        return $this;
    }

    /**
     * Get codigoCiudad
     *
     * @return string
     */
    public function getCodigoCiudad() {
        return $this->codigoCiudad;
    }

    /**
     * Set ciudad
     *
     * @param string $ciudad
     * @return TmoaOferente
     */
    public function setCiudad($ciudad) {
        $this->ciudad = $ciudad;
        return $this;
    }

    /**
     * Get ciudad
     *
     * @return string
     */
    public function getCiudad() {
        return $this->ciudad;
    }

    /**
     * Set callePrincipal
     *
     * @param string $callePrincipal
     * @return TmoaOferente
     */
    public function setCallePrincipal($callePrincipal) {
        $this->callePrincipal = $callePrincipal;
        return $this;
    }

    /**
     * Get callePrincipal
     *
     * @return string
     */
    public function getCallePrincipal() {
        return $this->callePrincipal;
    }

    /**
     * Set calleNumero
     *
     * @param string $calleNumero
     * @return TmoaOferente
     */
    public function setCalleNumero($calleNumero) {
        $this->calleNumero = $calleNumero;
        return $this;
    }

    /**
     * Get calleNumero
     *
     * @return string
     */
    public function getCalleNumero() {
        return $this->calleNumero;
    }

    /**
     * Set calleSecundaria
     *
     * @param string $calleSecundaria
     * @return TmoaOferente
     */
    public function setCalleSecundaria($calleSecundaria) {
        $this->calleSecundaria = $calleSecundaria;
        return $this;
    }

    /**
     * Get calleSecundaria
     *
     * @return string
     */
    public function getCalleSecundaria() {
        return $this->calleSecundaria;
    }

    /**
     * Set codigoPostal
     *
     * @param string $codigoPostal
     * @return TmoaOferente
     */
    public function setCodigoPostal($codigoPostal) {
        $this->codigoPostal = $codigoPostal;
        return $this;
    }

    /**
     * Get codigoPostal
     *
     * @return string
     */
    public function getCodigoPostal() {
        return $this->codigoPostal;
    }

    /**
     * Set telefono
     *
     * @param string $telefono
     * @return TmoaOferente
     */
    public function setTelefono($telefono) {
        if ($telefono) {
            $this->telefono = $telefono . " ";
        } else {
            $this->telefono = $telefono;
        }
        return $this;
    }

    /**
     * Get telefono
     *
     * @return string
     */
    public function getTelefono() {
        if ($this->telefono) {
            return trim($this->telefono) . " ";
        } else {
            return $this->telefono;
        }
    }

    /**
     * Set correo
     *
     * @param string $correo
     * @return TmoaOferente
     */
    public function setCorreo($correo) {
        $this->correo = $correo;
        return $this;
    }

    /**
     * Get correo
     *
     * @return string
     */
    public function getCorreo() {
        return $this->correo;
    }

    public function getPersona() {
        return $this->persona;
    }

    public function setPersona($persona) {
        $this->persona = $persona;
    }

    public function getJuridica() {
        return $this->juridica;
    }

    public function setJuridica($juridica) {
        $this->juridica = $juridica;
    }

    public function getAbsolutePath() {
        return null === $this->logoPath ? null : $this->getUploadRootDir() . '/' . $this->certificado;
    }

    public function getWebPath() {
        return null === $this->logoPath ? null : $this->getUploadDir() . '/' . $this->certificado;
    }

    protected function getUploadRootDir() {
        return __DIR__ . '/../../../../../web/' . $this->getUploadDir();
    }

    protected function getUploadDir() {
        // get rid of the __DIR__ so it doesn't screw up
        // when displaying uploaded doc/image in the view.
        return 'uploads/documents';
    }

    public function upload() {
        // the file property can be empty if the field is not required
        if (null === $this->getFile()) {
            if (!$this->getBolsaValores()) {
                $this->setCertificado(null);
            }
            return;
        }

        // use the original file name here but you should
        // sanitize it at least to avoid any security issues
        // move takes the target directory and then the
        // target filename to move to
        $this->getFile()->move(
                $this->getUploadRootDir(), $this->getFile()->getClientOriginalName()
        );

        // set the path property to the filename where you've saved the file
        $this->certificado = $this->getFile()->getClientOriginalName();

        // clean up the file property as you won't need it anymore
        $this->file = null;
    }

    public function getEmpresaPublica() {
        return $this->empresaPublica;
    }

    public function setEmpresaPublica($empresaPublica) {
        $this->empresaPublica = $empresaPublica;
    }

    public function getNumeroRegistro() {
        return $this->numeroRegistro;
    }

    public function setNumeroRegistro($numeroRegistro) {
        $this->numeroRegistro = $numeroRegistro;
    }
    
    public function getProfesion() {
        return $this->profesion;
    }

    public function setProfesion($profesion) {
        $this->profesion = $profesion;
    }
}
