<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class BeneficiariosType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $catalogos = new CatalogosUtil();
        $builder->add('oferenteId', 'hidden', array("required" => false, "attr" => array("value" => $options['data']['oferenteId'])))
                ->add('nombre', 'text', array("required" => false, "attr" => array("maxlength" => 100)))
                ->add('tipoDocumento', 'choice', array('required' => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_documento_apoderado')))
                ->add('documento_c', 'text', array("required" => false, "attr" => array("maxlength" => 10)))
                ->add('documento_p', 'text', array("required" => false, "attr" => array("maxlength" => 10)))
                ->add('nacionalidad', 'text', array("required" => false, "attr" => array("maxlength" => 60)))
                ->add('num_cuenta', 'text', array("required" => false, "attr" => array("maxlength" => 80)))
                ->add('cod_ins_financiera', 'choice', array("required" => false, "choices" => $catalogos->retornaCatalogoLista('instituciones_financieras', 'instituciones_financieras.xml')))
                ->add('ins_financiera', 'text', array("required" => false, "attr" => array("maxlength" => 15)));
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => null,
            'data' => null
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmoaoferbeneficiarios';
    }

}
