<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class ComproParticipType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $options = '';
        $catalogos = new CatalogosUtil();
        $builder->add('tipoDocumentoCp', 'choice', array('required' => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_documento_5')))
                ->add('numeroDocumentoCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:250px;',
                        'class' => 'form-control',
                        'autocomplete' => 'off',
                        'maxlength' => '10',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('nombresCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:400px; text-transform: uppercase',
                        'class' => 'form-control',
                        'autocomplete' => 'off',
                        'maxlength' => '100',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('lugarNacimientoCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:250px;',
                        'class' => 'form-control',
                        'maxlength' => '50',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('fechaNacimientoCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:100px;',
                        'class' => 'form-control',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.patern.fecha',
                        'data-toggle' => 'datepicker'
            )))
                ->add('nacionalidadCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:250px;',
                        'class' => 'form-control',
                        'maxlength' => '50',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('nivelEstudioCodCp', 'choice', array('required' => false, 'choices' => $catalogos->retornaCatalogoLista('nivelestudio'),
                    'attr' => array('autocomplete' => 'off', 'style' => 'width:250px;')))
                ->add('tituloProfesionalCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:250px;',
                        'class' => 'form-control',
                        'maxlength' => '50',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('fechaGraduacionCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:100px;',
                        'class' => 'form-control',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.patern.fecha',
                        'data-toggle' => 'datepicker'
            )))
                ->add('tituloCuartoNivCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:250px;',
                        'class' => 'form-control',
                        'maxlength' => '50',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('tiempoPartiCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:100px;',
                        'class' => 'form-control campoNumerico',
                        'maxlength' => '7',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.decimal'
            )))
                ->add('tiempoPartiCpMedida', 'choice', array('attr' => array('style' => 'width:110px;',
                        'class' => 'form-control'), 'required' => false, 'choices' => $catalogos->retornaCatalogoLista('tiempo_participacion_medida')))
                ->add('cargoConsCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:300px;',
                        'class' => 'form-control',
                        'maxlength' => '50',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('participacionObrCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:100px;',
                        'class' => 'form-control numero',
                        'maxlength' => '4',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.porcentaje'
            )))
                ->add('experiObrSimCp', 'textarea', array('required' => false,
                    'attr' => array('style' => 'width:450px;',
                        'rows' => '1',
                        'class' => 'form-control',
                        'onFocus' => 'angrandaTextArea(this,2,450)',
                        'onBlur' => 'achicaTextArea(this,1,450)',
                        'maxlength' => '200',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('observacionesCp', 'textarea', array('required' => false,
                    'attr' => array('style' => 'width:250px;',
                        'rows' => '1',
                        'class' => 'form-control',
                        'onFocus' => 'angrandaTextArea(this,4,200)',
                        'onBlur' => 'achicaTextArea(this,1,200)',
                        'maxlength' => '200',
                        'placeholder' => 'generico.escribirTexto'
            )))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaComproParticip',
        ));
    }

    public function getName() {
        return 'comproPartici';
    }

}

?>
