<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class ComproSubContraType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $catalogos = new CatalogosUtil();
        $codigo_ciudad = $options["cod_ciud"];
        $builder
                ->add('tipoPersona', 'choice', array('required' => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_persona'), "attr" => array("class" => "frm_comsubcon")))
                ->add('ruc', 'text', array("required" => false, "attr" => array("maxlength" => 13, "class" => "frm_comsubcon campoNumerico ruc")))
                ->add('razonSocial', 'text', array("required" => false, "attr" => array("maxlength" => 150, "class" => "frm_comsubcon campoNombre")))
                ->add('profesion', 'text', array("required" => false, "attr" => array("maxlength" => 100, "class" => "frm_comsubcon campoNombre")))
                ->add('profesionRl', 'text', array("required" => false, "attr" => array("maxlength" => 100, "class" => "frm_comsubcon campoNombre")))
                ->add('telefono', 'text', array("required" => false, "attr" => array("maxlength" => 15, "class" => "rl campoNumerico")))
                ->add('tipoDocumentoRl', 'choice', array('required' => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_documento_5'), "attr" => array("class" => "rl")))
                ->add('documentoRl', 'text', array("required" => false, "attr" => array("maxlength" => 13, "class" => "rl campoNumerico")))
                ->add('nombreRl', 'text', array("required" => false, "attr" => array("maxlength" => 100, "class" => "rl campoNombre")))
                ->add('provinciaCodigo', 'choice', array('choices' => $catalogos->retornaCatalogoLista('provincias', "ubicacion.xml"), "attr" => array("class" => "frm_comsubcon", "onchange" => "cargarCatalogo('frm_comsubcon_provincia',this.id,this.value,'frm_comsubcon_ciudadCodigo')")))
                ->add('ciudadCodigo', 'choice', array('choices' => $catalogos->retornaCatalogoLista($codigo_ciudad, "ubicacion.xml"), "attr" => array("class" => "frm_comsubcon", "onchange" => "cargarCatalogo('frm_comsubcon_ciudad',this.id,null,null)")))
                ->add('provincia', 'hidden', array("required" => false))
                ->add('ciudad', 'hidden', array("required" => false))
                ->add('direccion', 'text', array("required" => false, "attr" => array("maxlength" => 50, "class" => "frm_comsubcon campoNombre")))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaComproSubcontr',
            'cod_ciud' => null,
        ));
    }

    public function getName() {
        return 'frm_comsubcon';
    }

}

?>
