<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

class DatosOfertaType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $datos = $options['datosFormu'];
        $builder
                ->add('entidadContratante', 'text', array('required' => false,
                    'attr' => array('style' => 'width:450px;',
                        'class' => 'form-control',
                        'READONLY' => 'READONLY',
                        'value' => $datos['entidadContratante']
            )))
                ->add('tipoProceso', 'text', array('required' => false,
                    'attr' => array('style' => 'width:450px;',
                        'class' => 'form-control',
                        'READONLY' => 'READONLY',
                        'value' => $datos['tipoProceso']
            )))
                ->add('codigoProceso', 'text', array('required' => false,
                    'attr' => array('style' => 'width:450px;',
                        'class' => 'form-control',
                        'READONLY' => 'READONLY',
                        'value' => $datos['codigoProceso']
            )))
                ->add('objetoContratacion', 'textarea', array('required' => false,
                    'attr' => array('placeholder' => 'generico.escribirTexto',
                        'READONLY' => 'READONLY',
                        'style' => 'width:450px;height:115px',
                        'rows' => '2',
                        'class' => 'form-control',
                        'onFocus' => 'angrandaTextArea(this,6,450)',
                        'onBlur' => 'achicaTextArea(this,3,450)',
                        'texto' => $datos['objetoContratacion']
            )))
                ->add('prtReq', 'text', array('required' => false,
                    'attr' => array('style' => 'width:200px;',
                        'class' => 'form-control',
                        'READONLY' => 'READONLY',
                        'value' => $datos['prtReq']
            )))
                ->add('plazoEjecReq', 'text', array('required' => false,
                    'attr' => array('style' => 'width:100px;',
                        'class' => 'form-control',
                        'READONLY' => 'READONLY',
                        'rows' => '2',
                        'class' => 'form-control',
                        'texto' => $datos['plazoEjecReq']
            )))
                ->add('fecha', 'text', array('required' => false,
                    'attr' => array('style' => 'width:100px;',
                        'class' => 'form-control',
                        'READONLY' => 'READONLY',
                        'value' => $datos['fecha']
            )))
                ->add('tipoCompra', 'text', array('required' => false,
                    'attr' => array('style' => 'width:450px;',
                        'class' => 'form-control',
                        'READONLY' => 'READONLY',
                        'value' => $datos['tipoCompra']
            )))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'datosFormu' => null
        ));
    }

    public function getName() {
        return 'datosOferta';
    }

}

?>
