<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class ExpProfeType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $options = '';
        $catalogos = new CatalogosUtil();
        $builder->add('empresaEp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:300px; text-transform: uppercase',
                        'class' => 'form-control',
                        'maxlength' => '100',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('contratanteEp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:300px; text-transform: uppercase',
                        'class' => 'form-control',
                        'maxlength' => '100',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('proyectoEp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:400px;',
                        'class' => 'form-control',
                        'maxlength' => '200',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('montoProyecyoEp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:300px;',
                        'class' => 'form-control campoDecimal',
                        'maxlength' => '15',
                        'decimales' => '2',
                        'enteros' => '12',
                        'placeholder' => 'generico.decimal'
            )))
                ->add('cargoEp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:300px;',
                        'class' => 'form-control',
                        'maxlength' => '100',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('tiempoPartiConsCp', 'text', array('required' => false,
                    'attr' => array('style' => 'width:100px;',
                        'class' => 'form-control numero entero',
                        'maxlength' => '5',
                        'placeholder' => 'generico.entero'
            )))
                ->add('tiempoPartiConsCpMedida', 'choice', array('attr' =>
                    array('style' => 'width:110px;', 'class' => 'form-control'),
                    'required' => false, 'choices' => $catalogos->retornaCatalogoLista('tiempo_participacion_medida')))
                ->add('activiRelevEp', 'textarea', array('required' => false,
                    'attr' => array('style' => 'width:400px;',
                        'rows' => '1',
                        'class' => 'form-control',
                        'onFocus' => 'angrandaTextArea(this,4,400)',
                        'onBlur' => 'achicaTextArea(this,1,400)',
                        'maxlength' => '1000',
                        'placeholder' => 'generico.escribirTexto'
            )))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaExpProfe',
        ));
    }

    public function getName() {
        return 'expProfe';
    }

}

?>
