<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class FormOferEquiAsigType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $catalogos = new CatalogosUtil();
        $builder
                ->add('formoferId', 'hidden', array("required" => false, "attr" => array("class" => "frm_equiasig", "value" => $options["formOferId"])))
                ->add('detalle', 'textarea', array("required" => false, "attr" => array("maxlength" => 100, "class" => "frm_equiasig form-control")))
                ->add('fechaFabricacion', 'text', array("required" => false, "attr" => array("maxlength" => 4, "class" => "form-control campoNumerico")))
                ->add('propietarioActual', 'text', array("required" => false, "attr" => array("maxlength" => 50, "class" => "")))
                ->add('ubicacionActual', 'text', array("required" => false, "attr" => array("maxlength" => 50, "class" => "")))
                ->add('matricula', 'text', array("required" => false, "attr" => array("maxlength" => 50, "class" => "")))
                ->add('observacion', 'textarea', array("required" => false, "attr" => array("maxlength" => 300, "class" => "frm_equiasig")))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaFormOferEquiAsig',
            'formOferId' => null
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepformoferequiasig';
    }

}
