<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class FormOferExpeOferType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $catalogos = new CatalogosUtil();
        $builder
                ->add('formoferId', 'hidden', array("required" => false, "attr" => array("class" => "frm_expeofer", "value" => $options["formOferId"])))
                ->add('tipo', 'choice', array("required" => false, "choices" => $catalogos->retornaCatalogoLista('tipo_experienciaoferente'), "attr" => array("class" => "frm_expeofer", "style" => "width:100%;")))
                ->add('contratante', 'text', array("required" => false, "attr" => array("maxlength" => 100, "class" => "frm_expeofer")))
                ->add('objetoContrato', 'textarea', array("required" => false, "attr" => array("maxlength" => 500, "rows" => 3, "class" => "frm_expeofer")))
                ->add('valorContrato', 'text', array("required" => false, "attr" => array("maxlength" => 15, "class" => "frm_expeofer campoDecimal", "formato" => "12-5")))
                ->add('fechaRecepcion', 'text', array("required" => false, "attr" => array("maxlength" => 10, "class" => "frm_expeofer form-control expeofer_cien", "data-toggle" => "datepicker", "placeholder" => "aaaa/mm/dd")))
                ->add('archivos', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                ->add('porcentajeEjecutado', 'text', array("required" => false, "attr" => array("maxlength" => 15, "class" => "frm_expeofer campoDecimal", "decimales" => 2, "enteros" => 3)))
                ->add('montoEjecutado', 'text', array("required" => false, "attr" => array("maxlength" => 15, "class" => "frm_expeofer form-control campoDecimal", "readonly" => true)))
                ->add('tipoFecha', 'choice', array("required" => false, "choices" => $catalogos->retornaCatalogoLista('tipo_fecha_expeofer'), "attr" => array("class" => "frm_expeofer expeofer_cien", "style" => "width:100%;")))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaFormOferExpeOfer',
            'formOferId' => null,
            'archivos' => null
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepformoferexpeofer';
    }

}
