<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class FormOferOferEconType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $datos = $options['formOferId'];
        $catalogos = new CatalogosUtil();
        $builder
                ->add('formoferId', 'hidden', array("required" => false, "attr" => array("class" => "frm_oferecon", "value" => $datos["formOferId"])))
                ->add('tipoOfertaeconomica', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_ofertaeconomica'), "attr" => array("class" => "frm_oferecon")))
                ->add('nombre', 'text', array("required" => false, "attr" => array("maxlength" => 100, "class" => "frm_oferecon")))
                ->add('valor', 'text', array("required" => false, "attr" => array("maxlength" => 100, "class" => "frm_oferecon campoDecimal", "puede-cero" => true)))
                ->add('esPersonal', 'hidden', array("required" => false, "attr" => array("value" => true, "class" => "frm_oferecon")));
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaFormOferOferEcon',
            'formOferId' => null
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepformoferoferecon';
    }

}
