<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

class FormOferPatrimonioType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        if (isset($_SESSION["_sf2_attributes"]["tipoCompraCodigo"])) {
            if ($_SESSION["_sf2_attributes"]["tipoCompraCodigo"] == 'CON') {
                $builder
                        ->add('patrimonio', 'text', array("required" => false, "attr" => array("maxlength" => 17, "class" => "frm_formofer_patrimonio campoDecimal", "puede-cero" => true, 'decimales' => 5, 'enteros' => 12)))
                        ->add('archivos', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]));
            } else {
                $builder
                        ->add('patrimonio', 'text', array("required" => false, "attr" => array("maxlength" => 17, "class" => "frm_formofer_patrimonio campoDecimal", 'decimales' => 5, 'enteros' => 12)))
                        ->add('archivos', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]));
            }
        }
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPatrimonio',
            'archivos' => null
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepformoferpatrimonio';
    }

}
