<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

class FormOferProgActividadType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $builder
                ->add('formoferPlanTrabId', 'hidden', array("required" => false, "attr" => array("class" => "frm_progactividad", "value" => $options["formoferPlanTrabId"])))
                ->add('actividad', 'text', array("required" => false, "attr" => array("maxlength" => 500, "class" => "frm_progactividad", "style" => "width:300px;")))
                ->add('personalAsignado', 'text', array("required" => false, "attr" => array("maxlength" => 500, "class" => "frm_progactividad", "style" => "width:300px;")))
                ->add('tiempo', 'text', array("required" => false, "attr" => array("maxlength" => 4, "class" => "valnumero numero frm_progactividad", "style" => "width:300px;")))
                ->add('fechaInicio', 'text', array("required" => false, "attr" => array("class" => "form-control frm_progactividad", "data-toggle" => "datepicker", "place-holder" => "aaaa/mm/dd", "readonly" => true)))
                ->add('fechaFinal', 'text', array("required" => false, "attr" => array("maxlength" => 10, "class" => "frm_progactividad", "style" => "width:300px;", "readonly" => true)))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaFormOferProgActividad',
            'formoferPlanTrabId' => null
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepformoferprogactividad';
    }

}
