<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class FormOferType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $catalogos = new CatalogosUtil();
        if (isset($_SESSION["_sf2_attributes"]["tmpOfertaIdCreacion"])) {
            if ($_SESSION["_sf2_attributes"]["tmpOfertaIdCreacion"] == "EO") {
                $builder
                        ->add('metodologiaObras', 'textarea', array("required" => false, "attr" => array("maxlength" => 15000, "rows" => 10, "style" => "width:100%;")))
                        ->add('anexoNombre', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                        ->add('anexoDos', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                        ->add('anexoTres', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                        ->add('tipoCantprec', 'choice', array("required" => false, "attr" => array("class" => "form-control input-sm"), 'choices' => $catalogos->retornaCatalogoLista('tipo_adjud_cantprec')));
            } else {
                $builder
                        ->add('metodologiaObras', 'textarea', array("required" => false, "attr" => array("maxlength" => 15000, "rows" => 10, "style" => "width:100%;")))
                        ->add('anexoNombre', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                        ->add('anexoDos', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                        ->add('anexoTres', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                        ->add('tipoCantprec', 'choice', array("required" => false, "attr" => array("class" => "form-control input-sm"), 'choices' => $catalogos->retornaCatalogoLista('tipo_adjud_cantprec')));
            }
        } else {
            $builder
                    ->add('tipoCantprec', 'choice', array("required" => false, "attr" => array("class" => "form-control input-sm"), 'choices' => $catalogos->retornaCatalogoLista('tipo_adjud_cantprec')))
                    ->add('metodologiaObras', 'textarea', array("required" => false, "attr" => array("maxlength" => 15000, "rows" => 10, "style" => "width:100%;")))
                    ->add('anexoDos', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                    ->add('anexoTres', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
                    ->add('anexoNombre', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]));
        }
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer',
            'archivos' => null,
            "archivos_xls" => null
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepformofer';
    }

}
