<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class MatIntegConsorcioType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $options = '';
        $catalogos = new CatalogosUtil();
        $builder->add('rup', 'text', array('required' => false,
                    'attr' => array('style' => 'width:150px;',
                        'class' => 'form-control',
                        'style' => 'text-transform: uppercase',
                        'maxlength' => '30',
                        'placeholder' => 'generico.rup'
            )))
                ->add('ruc', 'text', array('required' => false,
                    'attr' => array('style' => 'width:150px;',
                        'class' => 'form-control ruc',
                        'style' => 'text-transform: uppercase',
                        'maxlength' => '13',
                        'placeholder' => 'generico.ruc'
            )))
                ->add('razonSocial', 'text', array('required' => false,
                    'attr' => array('style' => 'width:300px;',
                        'class' => 'form-control',
                        'style' => 'text-transform: uppercase',
                        'maxlength' => '100',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('tipoPersonaCod', 'choice', array('required' => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_persona')))
                ->add('nombreRepLegal', 'text', array('required' => false,
                    'attr' => array('style' => 'width:200px;',
                        'class' => 'form-control',
                        'style' => 'text-transform: uppercase',
                        'maxlength' => '50',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('tipoDocCodRepLegal', 'choice', array('required' => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_documento_2')))
                ->add('numDocRepLegal', 'text', array('required' => false,
                    'attr' => array('style' => 'width:150px;',
                        'class' => 'form-control',
                        'maxlength' => '10',
                        'placeholder' => 'generico.escribirTexto'
            )))
                ->add('porcenPartici', 'text', array('required' => false,
                    'attr' => array('style' => 'width:30px;',
                        'class' => 'form-control campoDecimal',
                        'style' => 'text-transform: uppercase',
                        'maxlength' => '6',
                        'placeholder' => 'generico.porcentaje'
            )))
                ->add('descPartici', 'textarea', array('required' => false,
                    'attr' => array('placeholder' => 'generico.escribirTexto',
                        'style' => 'width:300px;',
                        'rows' => '1',
                        'maxlength' => '100',
                        'class' => 'form-control',
                        'onFocus' => 'angrandaTextArea(this,3,300)',
                        'onBlur' => 'achicaTextArea(this,1,300)')))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmepMatIntegConsorcio',
        ));
    }

    public function getName() {
        return 'matIntegConsorcio';
    }

}

?>
