<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class OferAcciType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $options = '';
        $catalogos = new CatalogosUtil();
        $builder
                ->add('nombre', 'text', array("required" => false, "attr" => array("class" => "frm_accionista campoNombre", "maxlength" => 100)))
                ->add('tipoDocumento', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_documento_4'), "attr" => array("class" => "frm_accionista")))
                ->add('documento', 'text', array("required" => false, "attr" => array("class" => "frm_accionista campoNumerico", "maxlength" => 50)))
                ->add('participacion', 'text', array("required" => false, "attr" => array("class" => "frm_accionista form-control campoDecimal", "maxlength" => 6, "enteros" => 3, "decimales" => 2)))
                ->add('domicilioFiscal', 'text', array("required" => false, "attr" => array("class" => "frm_accionista", "maxlength" => 100)))
                ->add('tipoPersona', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_persona'), "attr" => array("class" => "frm_accionista")))
                ->add('padreId', 'hidden', array("required" => false))
                ->add('paisCodigo', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('paises'), "attr" => array("class" => "frm_accionista reprlegal")))
                ->add('paisNombre', 'hidden', array("required" => false))
                ->add('ciudad', 'text', array("required" => false, "attr" => array("class" => "form-control reprlegal", "maxlength" => 50)))
                //Consorcio
                ->add('rup', 'text', array("required" => false, "attr" => array("class" => "frm_accionista form-control", "maxlength" => 30)))
                ->add('tipoDocumentoReprlega', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_documento_4'), "attr" => array("class" => "frm_accionista reprlegal")))
                ->add('documentoReprlega', 'text', array("required" => false, "attr" => array("class" => "frm_accionista reprlegal campoNumerico", "maxlength" => 50)))
                ->add('nombreReprlega', 'text', array("required" => false, "attr" => array("class" => "frm_accionista reprlegal form-control", "maxlength" => 100)))
                ->add('aporte', 'textarea', array("required" => false, "attr" => array("class" => "frm_accionista form-control", "maxlength" => 2000)))
                ->add('compromisoObligacion', 'textarea', array("required" => false, "attr" => array("class" => "frm_accionista form-control", "maxlength" => 2000)))
                ->add('domicilio', 'textarea', array("required" => false, "attr" => array("class" => "frm_accionista form-control", "maxlength" => 300)))
                ->add('direccionNotificacion', 'textarea', array("required" => false, "attr" => array("class" => "frm_accionista form-control", "maxlength" => 300)))
                ->add('direccionNotificacionReprlega', 'textarea', array("required" => false, "attr" => array("class" => "frm_accionista form-control", "maxlength" => 300)))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaOferAcci'
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepoferacci';
    }

}
