<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class OferReprLegaType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $options = '';
        $catalogos = new CatalogosUtil();
        $builder
                ->add('naturaleza', 'choice', array('choices' => $catalogos->retornaCatalogoLista('naturaleza_procurador'), "attr" => array("class" => "frm_oferente"), "required" => false))
                ->add('tipoDocumento', 'choice', array("choices" => $catalogos->retornaCatalogoLista('tipo_documento_2'), "attr" => array("class" => "inputDataTerceraSeccion")))
                ->add('documento', 'text', array("attr" => array("class" => "inputDataTerceraSeccion campoNumerico", "maxlength" => 50)))
                ->add('nacionalidad', 'text', array("attr" => array("class" => "inputDataTerceraSeccion", "maxlength" => 50)))
                ->add('nombre', 'text', array("attr" => array("class" => "inputDataTerceraSeccion campoNombre", "maxlength" => 100)))
                ->add('codigoPais', 'choice', array('choices' => $catalogos->retornaCatalogoLista('paises'), "attr" => array("class" => "inputDataTerceraSeccion")))
                ->add('ciudad', 'text', array("attr" => array("class" => "inputDataTerceraSeccion"), "required" => false))
                ->add('nombreRepresentante', 'hidden', array("required" => false, "attr" => array('class' => "inputDataTerceraSeccion")))
                ->add('firmaOferta', 'choice', array("required" => true, "choices" => $catalogos->retornaCatalogoLista('firma_oferta'), "attr" => array("class" => "inputDataTerceraSeccion")))
                //Apoderado
                ->add('tipoDocumentoAp', 'choice', array("required" => false, "choices" => $catalogos->retornaCatalogoLista('tipo_documento_apoderado'), "attr" => array("class" => "inputDataTerceraSeccion inputDatosApoderado")))
                ->add('numeroDocumentoAp', 'text', array("required" => false, "attr" => array("class" => "inputDataTerceraSeccion inputDatosApoderado", "maxlength" => 30)))
                ->add('nombresApellidosAp', 'text', array("required" => false, "attr" => array("class" => "inputDataTerceraSeccion inputDatosApoderado", "maxlength" => 100)))
                ->add('file', 'file', array("required" => false))
                ->add('domicilioFiscalAp', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('paises'), "attr" => array("class" => "inputDataTerceraSeccion inputDatosApoderado")))
                ->add('ciudadAp', 'text', array("required" => false, "attr" => array("class" => "inputDataTerceraSeccion inputDatosApoderado inputDatosApoderadoCiudad")))
                ->add('profesionAp', 'text', array("attr" => array("class" => "filaProfesionAP", "maxlength" => 80)))
                //Representante Legal Natual
                ->add('tipoDocumentoRl', 'choice', array("required" => false, "choices" => $catalogos->retornaCatalogoLista('tipo_documento_apoderado'), "attr" => array("class" => "inputDataTerceraSeccion inputDatosRepreLega")))
                ->add('numeroDocumentoRl', 'text', array("required" => false, "attr" => array("class" => "inputDataTerceraSeccion inputDatosRepreLega", "maxlength" => 30)))
                ->add('nombresApellidosRl', 'text', array("required" => false, "attr" => array("class" => "inputDataTerceraSeccion inputDatosRepreLega", "maxlength" => 100)))
                ->add('domicilioFiscalRl', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('paises'), "attr" => array("class" => "inputDataTerceraSeccion inputDatosRepreLega")))
                ->add('ciudadRL', 'text', array("required" => false, "attr" => array("class" => "inputDataTerceraSeccion inputDatosRepreLega inputDatosRepreLegaCiudad")))
                ->add('razonSocial', 'text', array("required" => false, "attr" => array("class" => "inputDataTerceraSeccion inputDatosRepreLega", "maxlength" => 100)))
                ->add('profesionRl', 'text', array("required" => false, "attr" => array("class" => "filaProfesionRL", "maxlength" => 80)))
                ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaOferReprLega'
        ));
    }

    public function getName() {
        
    }

}
