<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Incop\Mfc\Utils\CatalogosUtil;

class OferenteType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $catalogos = new CatalogosUtil();
        $codigo_ciudad = $options["cod_ciud"];
        $builder
                ->add('nombreOferente', 'text', array("attr" => array("class" => "frm_oferente campoNombre", "maxlength" => 100)))
                ->add('documento', 'text', array("attr" => array("onblur" => "controlTipoDocumento()", "maxlength" => 20)))
                ->add('tipoPersona', 'choice', array('choices' => $catalogos->retornaCatalogoLista('tipo_persona'), "attr" => array("class" => "frm_oferente", "onchange" => "cargarCatalogo('incop_mfc_ofertasbundle_tmepoferente_persona',this.id,null,null)")))
                ->add('tipoJuridica', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_juridica'), "attr" => array("class" => "frm_oferente", "onchange" => "cargarCatalogo('incop_mfc_ofertasbundle_tmepoferente_juridica',this.id,null,null)")))
                ->add('tipoParticipacion', 'choice', array("required" => false, 'choices' => $catalogos->retornaCatalogoLista('tipo_participacion'), "attr" => array("class" => "frm_oferente")))
                ->add('bolsaValores', 'checkbox', array("required" => false))
                ->add('empresaPublica', 'checkbox', array("required" => false, "attr" => array("onchange" => "esEmpresa(this)")))
                ->add('fechaRegistro', 'text', array("required" => false,
                    "attr" => array(
                        'class' => 'form-control fecha',
                        'autocomplete' => 'off',
                        'placeholder' => 'generico.patern.fecha',
                        'data-toggle' => 'datepicker')))
                ->add('numeroRegistro', 'text', array("required" => false, "attr" => array("maxlength" => 200)))
                ->add('bolsaValoresCotiza', 'text', array("required" => false, "attr" => array("maxlength" => 100)))
                ->add('paisCiudad', 'text', array("required" => false, "attr" => array("maxlength" => 50)))
                ->add('file', 'file', array("required" => false))
                ->add('extranjero', 'choice', array('choices' => $catalogos->retornaCatalogoLista('origen'), "attr" => array("class" => "frm_oferente", "onchange" => "controlOrigenDocumento('L')")))
                ->add('codigoProvincia', 'choice', array('choices' => $catalogos->retornaCatalogoLista('provincias', "ubicacion.xml"), "attr" => array("class" => "frm_oferente", "onchange" => "cargarCatalogo('incop_mfc_ofertasbundle_tmepoferente_provincia',this.id,this.value,'incop_mfc_ofertasbundle_tmepoferente_codigoCiudad')")))
                ->add('codigoCiudad', 'choice', array('choices' => $catalogos->retornaCatalogoLista($codigo_ciudad, "ubicacion.xml"), "attr" => array("class" => "frm_oferente", "onchange" => "cargarCatalogo('incop_mfc_ofertasbundle_tmepoferente_ciudad',this.id,null,null)")))
                ->add('callePrincipal', 'text', array("attr" => array("class" => "frm_oferente campoDireccion", "maxlength" => 100)))
                ->add('calleNumero', 'text', array("attr" => array("class" => "frm_oferente campoDireccion", "maxlength" => 20)))
                ->add('calleSecundaria', 'text', array("required" => false, "attr" => array("class" => "frm_oferente campoDireccion", "maxlength" => 100)))
                ->add('codigoPostal', 'text', array("attr" => array("class" => "frm_oferente campoNumerico", "maxlength" => 7)))
                ->add('telefono', 'text', array("attr" => array("class" => "frm_oferente", "maxlength" => 20)))
                ->add('correo', 'text', array("attr" => array("class" => "frm_oferente email", "maxlength" => 100)))
                ->add('profesion', 'text', array("attr" => array("class" => "frm_oferente", "maxlength" => 80)))
                ->add('zona', 'hidden', array("required" => false))
                ->add('provincia', 'hidden', array("required" => false))
                ->add('ciudad', 'hidden', array("required" => false))
                ->add('persona', 'hidden', array("required" => false))
                ->add('juridica', 'hidden', array("required" => false))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaOferente',
            'cod_ciud' => null,
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepoferente';
    }

}
