<?php

namespace Incop\Mfc\OfertasBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

class PartiEcuaType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $builder
                ->add('vaeRubroLo', 'text', array("required" => false, "attr" => array("maxlength" => 6, "class" => "frm_partiEcua form-control campoDecimal", "decimales" => 2, "enteros" => 3)))
                ->add('vapemLo', 'text', array("required" => false, "attr" => array("maxlength" => 15, "class" => "frm_partiEcua form-control campoDecimal", "formato" => "12-5", "readonly" => true)))
                ->add('archivo', 'choice', array("required" => false, "attr" => array("class" => "form-control multipleselect"), 'multiple' => true, 'choices' => $options["archivos"]))
        ;
    }

    /**
     * @param OptionsResolverInterface $resolver
     */
    public function setDefaultOptions(OptionsResolverInterface $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'Incop\Mfc\OfertasBundle\Entity\TmoaFormOferValoAgre',
            'archivos' => null,
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'incop_mfc_ofertasbundle_tmepformoferpartiecua';
    }

}
