<?php

namespace Incop\Mfc\ReportesBundle\Controller;

use Incop\Mfc\Utils\MfcControlador;
use Symfony\Component\Templating\PhpEngine;
use Symfony\Component\Templating\TemplateNameParser;
use Symfony\Component\Templating\Loader\FilesystemLoader;
use Doctrine\ORM\Query;
use Incop\Mfc\Utils\CpcsUtil;

/**
 * Controlador de Reporates.
 */
class ReportesController extends MfcControlador {

    /**
     *
     * @var \Doctrine\ORM\EntityManager
     */
    private $em;

    /**
     * Crea un reporte
     * @param type $nombre
     * @return type
     */
    public function consultaReporteAction($nombre = null) {
        new CpcsUtil();
        $this->em = $this->getDoctrine()->getManager();
        $loader = new FilesystemLoader(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-reportes/%name%');
        $templating = new PhpEngine(new TemplateNameParser(), $loader);
        //Realiza las consultas y arma los objetos segun el pliego
        $requerimientoId = $this->getClaveRequerimiento();
        $contratacionId = $this->getClaveContratacion();
        $tipoPliego = $this->getCodTipoPliego();
        $matPresRef = $this->em->getConnection()->executeQuery("Select id from TMEP_MAT_PRES_REF p where p.REQUERIMIENTO_ID=" . $requerimientoId . "")->fetchAll();
        $presupuestoReferencial = $this->em->getConnection()->executeQuery("Select SUM(PRECIO_REF_SUBTOTAL) AS SUMA from TMEP_ESPE_TECNICAS p where p.REQUERIMIENTO_ID=" . $requerimientoId . "")->fetch();
        $presupuestoReferencial = (float) $presupuestoReferencial['SUMA'];
        $umbral = 0;
        $cpc9 = 0;
        $pesoRelativo = 0;
        foreach ($matPresRef as $item) {
            $precioRefSubtotal = $this->em->getConnection()->executeQuery("Select SUM(PRECIO_REF_SUBTOTAL) AS SUMA, SUM(VAE_PONDERADO) AS VAE from TMEP_ESPE_TECNICAS p where p.ID_PARTIDA=" . $item['ID'] . "")->fetchAll();
            $vae = $precioRefSubtotal[0]['VAE'];
            if ($vae) {
                $vae = (float) $vae;
                $precioRefSubtotal = (float) $precioRefSubtotal[0]['SUMA'];
                if (is_numeric($presupuestoReferencial) && $presupuestoReferencial > 0) {
                    $pesoRelativo = $precioRefSubtotal / $presupuestoReferencial;
                }
                $ponderado = $vae * ($pesoRelativo);
                $umbral = $ponderado + $umbral;
            }
        }
        $cpc_9 = $this->em->getConnection()->executeQuery("Select CPC9 from TMEP_MAT_PRES_REF p where p.REQUERIMIENTO_ID=" . $requerimientoId . "")->fetchAll();
        foreach ($cpc_9 as $item) {
            $cpc9 = $item['CPC9'];
        }
//Armo el arreglo con la data
        $retorno = array(
            //Parametros por defecto
            "parametros" => array(
                "encabezado" => true,
                "orientacion" => "P",
                "oa" => false,
                "nombre" => $nombre ? strtolower($nombre) : strtolower($this->getCodTipoPliego()),
                "tipo" => "mfc-oa",
            ),
            "catalogo" => $this->getCatalogos()->getObject(),
            //Archivos
            "TMEP_ARCHIVOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_ARCHIVOS where CONTRATACION_ID=" . $contratacionId . " and TIPO='PLI'")->fetchAll(),
            //Archivos valoracion
            "TMEP_ARCHIVOS_VALORACION" => $this->em->getConnection()->executeQuery("Select av.VALORACION_DET_ID , a.DESCRIPCION , a.NOMBRE_VISIBLE_ARCHIVO  from TMEP_ARCHIVOS a INNER JOIN TMEP_ARCHIVOS_VALORACION av ON av.ARCHIVO_ID=a.ID INNER JOIN TMEP_VALORACION_DET vd ON vd.id=av.VALORACION_DET_ID INNER JOIN TMEP_VALORACION v ON v.id=vd.VALORACION_ID and v.REQUERIMIENTO_ID=" . $requerimientoId . ";")->fetchAll(),
            //Archivos valoracion otros
            "TMEP_ARCHIVOS_VALORACION_OTROS" => $this->em->getConnection()->executeQuery("Select av.VALORACION_OTR_ID , a.DESCRIPCION , a.NOMBRE_VISIBLE_ARCHIVO  from TMEP_ARCHIVOS a INNER JOIN TMEP_ARCHIVOS_VALORACION av ON av.ARCHIVO_ID=a.ID INNER JOIN TMEP_VALORACION_OTR vd ON vd.id=av.VALORACION_OTR_ID INNER JOIN TMEP_VALORACION v ON v.id=vd.VALORACION_ID and v.REQUERIMIENTO_ID=" . $requerimientoId . ";")->fetchAll(),
            //Institucion
            "TMEP_INSTITUCIONES" => $this->em->getConnection()->executeQuery("select * from TMEP_INSTITUCIONES p inner join TMEP_CONTRATACIONES q on (p.id = q.institucion_id)
             inner join TMEP_REQUERIMIENTOS r on (q.id = r.contratacion_id) where r.id = " . $requerimientoId)->fetch(),
            //Datos de pliego
            "TMEP_REQUERIMIENTOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_REQUERIMIENTOS p where ID=" . $requerimientoId)->fetch(),
            "TMEP_CONTRATACIONES" => $this->em->getConnection()->executeQuery("Select * from TMEP_CONTRATACIONES p where ID=" . $contratacionId)->fetch(),
            "TMEP_PLIEGOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_PLIEGOS p where REQUERIMIENTO_ID=" . $requerimientoId)->fetch(),
            //Indices
            "TMEP_INDICEPATRIMONIO" => $this->em->getConnection()->executeQuery("Select * from TMEP_INDICEPATRIMONIO p where p.PLIEGOS_ID in (Select c.ID from TMEP_PLIEGOS c where c.REQUERIMIENTO_ID=" . $requerimientoId . ") order by p.ORDEN")->fetchAll(),
            //TDRS
            "TMEP_TDRS" => $this->em->getConnection()->executeQuery("Select * from TMEP_TDRS p where p.REQUERIMIENTO_ID=" . $requerimientoId)->fetch(),
            "TMEP_TDRS_DETPARCIAL" => $this->em->getConnection()->executeQuery("Select * from TMEP_TDRS_DETPARCIAL p where p.TDRS_ID in (Select c.ID from TMEP_TDRS c where c.REQUERIMIENTO_ID=" . $requerimientoId . ") order by p.orden")->fetchAll(),
            //Cronograma
            "TMEP_CRONOGRAMA" => $this->em->getConnection()->executeQuery("Select * from TMEP_CRONOGRAMA p where p.REQUERIMIENTO_ID=" . $requerimientoId)->fetch(),
            //CRONOGRAMA DETALLE CONVALIDACION 23-07-2014 SERCOP
            "TMEP_CRONDETALLE" => $this->em->getConnection()->executeQuery("Select * from TMEP_CRONDETALLE p where p.CRONOGRAMA_ID in (Select c.id froM TMEP_CRONOGRAMA c where c.REQUERIMIENTO_ID =" . $requerimientoId . ")order by p.orden")->fetchAll(),
            //ET
            "TMEP_ESPE_TECNICAS" => $this->em->getConnection()->executeQuery("Select * from TMEP_ESPE_TECNICAS p where p.REQUERIMIENTO_ID=" . $requerimientoId . " order by p.ID_PARTIDA")->fetchAll(),
            "TMEP_ESPE_TEC_DET" => $this->em->getConnection()->executeQuery("Select * from TMEP_ESPE_TEC_DET p where p.ESPECIFICACION_ID in (Select c.id from TMEP_ESPE_TECNICAS c where c.REQUERIMIENTO_ID=" . $requerimientoId . ") order by p.ordinal")->fetchAll(),
            "TMEP_ESPE_TEC_VT" => $this->em->getConnection()->executeQuery("Select * from TMEP_ESPE_TEC_VT p where p.ESPECIFICACION_ID in (Select c.id from TMEP_ESPE_TECNICAS c where c.REQUERIMIENTO_ID=" . $requerimientoId . ")")->fetchAll(),
            //UMBRAL
            "UMBRAL" => $this->em->getConnection()->executeQuery("SELECT DISTINCT p.ID, p.CPC5, p.DESCRIPCION_LOTE, q.AGREGADO_EC_RUBRO, q.ID_PARTIDA FROM TMEP_MAT_PRES_REF p INNER JOIN TMEP_ESPE_TECNICAS q WHERE p.REQUERIMIENTO_ID = q.REQUERIMIENTO_ID  and p.REQUERIMIENTO_ID=" . $requerimientoId . " and p.ID = q.ID_PARTIDA order by p.ID")->fetchAll(),
            "UMBRAL2" => $this->em->getConnection()->executeQuery("SELECT DISTINCT q.DESCRIPCION, q.CPC_NIVEL9, q.AGREGADO_EC_RUBRO, q.ID_PARTIDA FROM TMEP_MAT_PRES_REF p INNER JOIN TMEP_ESPE_TECNICAS q WHERE p.REQUERIMIENTO_ID = q.REQUERIMIENTO_ID  and p.REQUERIMIENTO_ID=" . $requerimientoId . " order by q.ID_PARTIDA")->fetchAll(),
            "UMBRAL3" => $this->em->getConnection()->executeQuery("SELECT DISTINCT p.ID, p.CPC5, p.DESCRIPCION_LOTE FROM TMEP_MAT_PRES_REF p WHERE p.REQUERIMIENTO_ID =" . $requerimientoId . " order by p.ID")->fetchAll(),
            "UMBRAL4" => $umbral,
            "UMBRAL5" => $this->em->getConnection()->executeQuery("Select p.umbral from TMEP_REQUERIMIENTOS p where ID=" . $requerimientoId)->fetch(),
            "LOTE" => $this->em->getConnection()->executeQuery("SELECT DISTINCT p.ID, p.CPC5, p.DESCRIPCION_LOTE, q.ID_PARTIDA, SUM(q.VAE_PONDERADO) as VAE_PONDERADO FROM TMEP_MAT_PRES_REF p INNER JOIN TMEP_ESPE_TECNICAS q WHERE p.REQUERIMIENTO_ID = q.REQUERIMIENTO_ID  and p.REQUERIMIENTO_ID=" . $requerimientoId . " and p.ID = q.ID_PARTIDA group by p.ID order by p.ID")->fetchAll(),
            "TMEP_MAT_PRES_REF" => $this->em->getConnection()->executeQuery("Select * from TMEP_MAT_PRES_REF p where p.REQUERIMIENTO_ID=" . $requerimientoId . "")->fetchAll(),
            "TMEP_MAT_FORMAS_PAGO" => $this->em->getConnection()->executeQuery("Select * from TMEP_MAT_FORMAS_PAGO p where p.REQUERIMIENTO_ID=" . $requerimientoId . "")->fetchAll(),
            "TMEP_VALORACION" => $this->em->getConnection()->executeQuery("Select * from TMEP_VALORACION p where p.REQUERIMIENTO_ID=" . $requerimientoId . "")->fetch(),
            "TMEP_VALORACION_DET" => $this->em->getConnection()->executeQuery("Select * from TMEP_VALORACION_DET p where p.VALORACION_ID in (SELECT c.id from TMEP_VALORACION c where c.REQUERIMIENTO_ID=" . $requerimientoId . ")")->fetchAll(),
            "TMEP_VALORACION_OTR" => $this->em->getConnection()->executeQuery("Select a.* from TMEP_VALORACION_OTR a where a.VALORACION_ID IN (Select ID from TMEP_VALORACION where REQUERIMIENTO_ID=" . $requerimientoId . ")")->fetchAll(),
            //PROVEEDORES
            "TMEP_MAT_DATOS_PROVI" => $this->em->getConnection()->executeQuery("Select * from TMEP_MAT_DATOS_PROVI p where p.REQUERIMIENTO_ID=" . $requerimientoId)->fetchAll(),
            //PARAMETROS PLIEGOS
            "TMEP_PLIE_PARAM" => $this->em->getConnection()->executeQuery("Select * from TMEP_PLIE_PARAM p WHERE p.TIPO_PLIEGO=" . "'" . $tipoPliego . "'")->fetchAll(),
            //REQUISITOS MINIMOS
            "TMEP_REQUISITOS_MINIMOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_REQUISITOS_MINIMOS p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetch(),
            //PERSONAL TECNICO
            "TMEP_PERSONALTECNICO" => $this->em->getConnection()->executeQuery("Select * from TMEP_PERSONALTECNICO p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetchAll(),
            //EXPERIENCIA PERSONAL TECNICO
            "TMEP_EXPEPERSTECN" => $this->em->getConnection()->executeQuery("Select * from TMEP_EXPEPERSTECN")->fetchAll(),
            //METODOLOGIA CRONOGRAMA DE EJECUCION
            "TMEP_METCRONEJEC" => $this->em->getConnection()->executeQuery("Select * from TMEP_METCRONEJEC p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetchAll(),
            //EQUIPO MINIMO
            "TMEP_EQUIPOMINIMO" => $this->em->getConnection()->executeQuery("Select * from TMEP_EQUIPOMINIMO p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetchAll(),
            //OTROS PARAMETROS
            "TMEP_OTROSPARAMETROS" => $this->em->getConnection()->executeQuery("Select * from TMEP_OTROSPARAMETROS p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetchAll(),
            //EXPERIENCIA
            "TMEP_EXPERIENCIA" => $this->em->getConnection()->executeQuery("Select * from TMEP_EXPERIENCIA WHERE REQUERIMIENTO_ID =" . $requerimientoId)->fetchAll(),
            //OBLIGACIONES
            "TMEP_OBLIGACIONES" => $this->em->getConnection()->executeQuery("Select * from TMEP_OBLIGACIONES p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetch(),
            //PRESUPUESTO
            "TMEP_PRESUPUESTO" => $this->em->getConnection()->executeQuery("Select * from TMEP_PRESUPUESTO p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetch(),
            //PRESUPUESTO ARCHIVOS
            "TMEP_PRESUPUESTO_ARCH" => $this->em->getConnection()->executeQuery("Select * from TMEP_PRESUPUESTO_ARCH p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetchAll(),
            //PRESUPUESTO ARCHIVOS COMPLETOS 12-07-2014 SERCOP
            "TMEP_PRESUPUESTO_ARCH_COMPLETO" => $this->em->getConnection()->executeQuery("SELECT * FROM TMEP_ARCHIVOS WHERE ID = (Select ARCHIVO_ID from TMEP_PRESUPUESTO_ARCH p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId . ")")->fetchAll(),
            //PRESUPUESTO DETALLE
            "TMEP_PRESUPUESTO_DET" => $this->em->getConnection()->executeQuery("Select c.* from TMEP_PRESUPUESTO_DET c where c.PRESUPUESTO_ID IN (SELECT p.ID FROM TMEP_PRESUPUESTO p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId . ")")->fetch(),
            "TMEP_PRESUPUESTO_DET2" => $this->em->getConnection()->executeQuery("Select c.* from TMEP_PRESUPUESTO_DET c where c.PRESUPUESTO_ID IN (SELECT p.ID FROM TMEP_PRESUPUESTO p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId . ")")->fetchAll(),
                //PAC SOCE
                //Calificaciones
        );
        if (!$nombre) {
            $archivo = filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-reportes/plantilla/ush_pliego_' . strtolower($tipoPliego) . ".php";
            if (file_exists($archivo)) {
                switch ($tipoPliego) {
                    case "":
                        $retorno["parametros"]["orientacion"] = "L";
                        break;
                }
                $retorno["pliego"] = $archivo;
            } else {
                return $this->render('IncopMfcReportesBundle:Default:noexiste.html.twig', array("nombre" => "ush_pliego_" . $tipoPliego));
            }
        } else {
            $archivo = filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-reportes/plantilla/' . $nombre . ".php";
            if (file_exists($archivo)) {
                switch ($nombre) {
                    case "ush_pliegos_et":
                        $retorno["parametros"]["orientacion"] = "L";
                        break;
                    case "ush_pliegos_lista_pacs":
                        $retorno["parametros"]["orientacion"] = "L";
                        $retorno["parametros"]["encabezado"] = false;
                        break;
                }
                $retorno["pliego"] = $archivo;
            } else {
                return $this->render('IncopMfcReportesBundle:Default:noexiste.html.twig', array("nombre" => $nombre));
            }
        }
        echo $templating->render('index.php', $retorno);
        return $this->render('IncopMfcReportesBundle:Default:index.html.twig');
    }

    /**
     * Crea un reporte de una oferta
     * @param type $oferenteId
     * @param type $nombre
     * @return type
     */
    public function consultaReporteOferenteAction($nombre = "") {
        $formofer_id = $this->getIdFormOfer();
        $em = $this->getDoctrine()->getManager();
        $this->em = $this->getDoctrine()->getManager();
        $loader = new FilesystemLoader(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-reportes/%name%');
        $templating = new PhpEngine(new TemplateNameParser(), $loader);
        $requerimientoId = $this->getClaveRequerimiento();
        //Realiza las consultas y arma los objetos segun el pliego
        $contratacionId = $this->getClaveContratacion();
        $tipoPliego = $this->getCodTipoPliego();
        $contratacion = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepContrataciones")->find($this->getClaveContratacion());
        $i = 0;
        $es_total = 0;
        if ($this->getCodTipoCompra() != 'OBR') {
            if ($this->getCodTipoCompra() == 'BIE') {
                $arreglo_de_valoAgreIns2 = $em->createQuery('Select DISTINCT p,q.cpcNivel5 from IncopMfcOfertasBundle:TmoaFormOferValoAgre p,IncopMfcOfertasBundle:TmepEspeTecnicas q  where p.cpc = q.cpcNivel9 and p.formoferId=' . $formofer_id . " and q.requerimientoId =" . $this->getClaveRequerimiento() . " order by q.cpcNivel5")->getResult(Query::HYDRATE_ARRAY);
                foreach ($arreglo_de_valoAgreIns2 as $item) {
                    $partida = $em->createQuery('Select DISTINCT q.idPartida from IncopMfcOfertasBundle:TmepEspeTecnicas q where q.id=' . $item[0]['etId'])->getResult(Query::HYDRATE_ARRAY);
                    if ($partida) {
                        $arreglo_de_valoAgreIns3[$i]['idPartida'] = $partida[0]['idPartida'];
                        $i++;
                    }
                }
            }
            $arreglo_de_valoAgreIns3 = array();
            $arreglo_de_valoAgreIns3 = array_unique($arreglo_de_valoAgreIns3, SORT_REGULAR);
            $arreglo_de_valoAgreIns4 = $em->createQuery("Select DISTINCT p.idPartida from IncopMfcOfertasBundle:TmepEspeTecnicas p where p.requerimientoId =" . $this->getClaveRequerimiento())->getResult(Query::HYDRATE_ARRAY);
            $arreglo_de_valoAgreIns4 = array_unique($arreglo_de_valoAgreIns4, SORT_REGULAR);
            if (count($arreglo_de_valoAgreIns3) == count($arreglo_de_valoAgreIns4)) {
                $es_total = 1;
            }
        }
        if ($this->getCodTipoPliego() != 'PLI.LICOBR') {
            //Armo el arreglo con la data
            $retorno = array(
                //Parametros por defecto
                "parametros" => array(
                    "encabezado" => true,
                    "oa" => true,
                    "orientacion" => "P",
                    "nombre" => $nombre ? strtolower($nombre) : strtolower($this->getCodTipoPliego()),
                    "tipo" => "mfc-oa",
                ),
                "catalogo" => $this->getCatalogos()->getObject(),
                //Institucion
                "TMEP_PLIEGOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_PLIEGOS p where REQUERIMIENTO_ID=" . $this->getClaveRequerimiento())->fetch(),
                "TMEP_INSTITUCIONES" => $this->em->getConnection()->executeQuery("Select * from TMEP_INSTITUCIONES where ID=" . $contratacion->getInstitucionId())->fetch(),
                "TMEP_REQUERIMIENTOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_REQUERIMIENTOS where ID=" . $this->getClaveRequerimiento())->fetch(),
                "TMEP_CONTRATACIONES" => $this->em->getConnection()->executeQuery("Select * from TMEP_CONTRATACIONES where ID=" . $this->getClaveContratacion())->fetch(),
                //Archivos
                "TMEP_ARCHIVOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_ARCHIVOS where CONTRATACION_ID=" . $contratacionId)->fetchAll(),
                "TMEP_ARCHIVOS_OFERTA" => $this->em->getConnection()->executeQuery("Select * from TMEP_ARCHIVOS where CONTRATACION_ID=" . $contratacionId . " and OFERTA=" . $this->getOferenteId())->fetchAll(),
                //FORMOFER	
                "TMOA_FORMOFER" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER where ID=" . $formofer_id)->fetch(),
                "TMOA_FORMOFER_INDICES" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_INDICES where FORMOFER_ID=" . $formofer_id)->fetchAll(),
                "TMOA_FORMOFER_INDICES_ARCHIVOS" => $this->em->getConnection()->executeQuery("select i.DESCRIPCION, i.MEDIO,I.TIPO_INDICE,i.INDICADOR,I.VALOR, fi.INDICE_DECLARADO, fi.ARCHIVOS from TMEP_INDICEPATRIMONIO  i INNER JOIN TMOA_FORMOFER_INDICES fi ON fi.INDICE_ID=i.ID where fi.FORMOFER_ID=" . $formofer_id)->fetchAll(),
                "TMOA_PATRIMONIO_ARCHIVOS" => $this->em->getConnection()->executeQuery("select fp.patrimonio , fp.archivos, rm.patrimonio PATRI_PLIEGO from TMOA_FORMOFER_PATRIMONIO fp inner join TMEP_REQUISITOS_MINIMOS rm  on fp.REQUISITOSMINIMOS_ID=rm.ID WHERE rm.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento() . " AND fp.FORMOFER_ID=" . $formofer_id)->fetchAll(),
                "TMOA_FORMOFER_BIENSERV_TDR" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_BIENSERV_TDR p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetch(),
                "TMOA_FORMOFER_BIENSERV_ET" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_BIENSERV_ET p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_CRONTOT" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_CRONTOT p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_EQUIASIG" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_EQUIASIG p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_EQUIINST" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_EQUIINST p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_EQUIMINI" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_EQUIMINI p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_EXPEOFER" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_EXPEOFER p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_OFERECON" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_OFERECON p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_PERSTECN" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_PERSTECN p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_PLANTRAB" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_PLANTRAB p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetch(),
                "TMOA_FORMOFER_VALOAGRE" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_VALOAGRE p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ") order by p.ORDEN")->fetchAll(),
                "TMOA_FORMOFER_VALOAGRE2" => $this->em->getConnection()->executeQuery("select DISTINCT p.orden, p.cpc5, p.descripcion_lote ,r.A,r.B,r.C,r.VAE_OFERTA,r.ES_INTERMEDIARIO from tmep_mat_pres_ref p inner join tmep_espe_tecnicas q on p.id = q.id_partida inner join tmoa_formofer_valoagre r on r.et_id = q.id where p.id in( select id_partida from tmep_espe_tecnicas where id in (SELECT et_id FROM tmoa_formofer_valoagre where formofer_id =" . $formofer_id . " order by et_id ASC)) and (r.VALOR_AE = '' or r.VALOR_AE IS NULL) and r.formofer_id =" . $formofer_id)->fetchAll(),
                "ES_TOTAL" => $es_total,
                "TMEP_MAT_PRES_REF" => $this->em->getConnection()->executeQuery("Select * from TMEP_MAT_PRES_REF p where p.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento() . "")->fetchAll(),
                "TMOA_FORMOFER_PLANTRAB_PRO" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_PLANTRAB_PRO p where p.FORMOFER_PLANTRAB_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_PLANTRAB_PROD" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_PLANTRAB_PROD p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_VALOAGRE_CRO" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_VALOAGRE_CRO p where p.FORMOFER_VALOAGRE_ID IN (SELECT B.ID FROM TMOA_FORMOFER_VALOAGRE B WHERE B.FORMOFER_ID IN (SELECT C.ID FROM TMOA_FORMOFER C WHERE C.ID=" . $formofer_id . "))")->fetchAll(),
                "TMOA_FORMOFER_VALOAGRE_DET" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_VALOAGRE_DET p where p.FORMOFER_VALOAGRE_ID IN (SELECT B.ID FROM TMOA_FORMOFER_VALOAGRE B WHERE B.FORMOFER_ID IN (SELECT C.ID FROM TMOA_FORMOFER C WHERE C.ID=" . $formofer_id . "))")->fetchAll(),
                "TMOA_FORMOFER_VALOAGRE_ET" => $this->em->getConnection()->executeQuery("select * from TMOA_FORMOFER_VALOAGRE v inner join TMEP_ESPE_TECNICAS et  on et.ID=v.ET_ID where et.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento() . " and v.FORMOFER_ID=" . $formofer_id)->fetchAll(),
                "TMOA_FORMOFER_VALOAGRE_CRO_MAX" => $this->em->getConnection()->executeQuery("Select max(vc.ORDEN) MAXIMO from TMOA_FORMOFER_VALOAGRE v inner join TMOA_FORMOFER_VALOAGRE_CRO vc on v.ID=vc.FORMOFER_VALOAGRE_ID where v.FORMOFER_ID=" . $formofer_id)->fetch(),
                //OFERENTE
                "TMOA_OFERENTE" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERENTE where ID=" . $this->getOferenteId())->fetch(),
                "TMOA_OFERACCI" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERACCI where OFERENTE_ID = " . $this->getOferenteId() . " order by ORDEN_MIN")->fetchAll(),
                "TMOA_OFERACCI_PADRES" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERACCI p where p.OFERENTE_ID = " . $this->getOferenteId() . " and padre_id=0 order by ORDEN_MIN")->fetchAll(),
                "TMOA_OFERACCI_HIJOS" => $this->em->getConnection()->executeQuery("Select (SELECT NOMBRE_OFERENTE FROM TMOA_OFERENTE B WHERE B.ID = " . $this->getOferenteId() . ") AS PADRE_NOMBRE, A.* FROM tmoa_oferacci A where A.OFERENTE_ID = " . $this->getOferenteId() . " order by A.ORDEN_MIN")->fetchAll(),
                "TMOA_OFEROTROVALO" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFEROTROVALO p where OFERENTE_ID=" . $this->getOferenteId())->fetch(),
                "TMOA_OFERREPRLEGA" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERREPRLEGA p where OFERENTE_ID=" . $this->getOferenteId())->fetch(),
                "TMOA_OFERPERSONAS" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERPERSONAS p where OFERENTE_ID=" . $this->getOferenteId())->fetchAll(),
                "TMOA_OFERBENEFICIARIOS" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERBENEFICIARIOS p where OFERENTE_ID=" . $this->getOferenteId())->fetchAll(),
                //REQUISITOS MINIMOS
                "TMEP_REQUISITOS_MINIMOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_REQUISITOS_MINIMOS p WHERE p.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento())->fetch(),
                //EXTRAS
                "TMOA_COMPRO_PARTICIP" => $this->em->getConnection()->executeQuery("Select * from TMOA_COMPRO_PARTICIP p where p.CONTRATACION_ID=" . $contratacionId)->fetchAll(),
                "TMOA_COMPRO_SUBCONTR" => $this->em->getConnection()->executeQuery("Select * from TMOA_COMPRO_SUBCONTR p where p.CONTRATACION_ID=" . $contratacionId)->fetchAll(),
                "TMOA_COM_SUBCON_RUBRO" => $this->em->getConnection()->executeQuery("Select * from TMOA_COM_SUBCON_RUBRO p where p.COMPRO_SUBCONTR_ID IN(Select B.ID from TMOA_COMPRO_SUBCONTR B where B.CONTRATACION_ID=" . $contratacionId . ")")->fetchAll(),
                "TMOA_COMPRO_SUBCONTR_CRUCE" => $this->em->getConnection()->executeQuery("Select * from TMOA_COMPRO_SUBCONTR B inner join  TMOA_COM_SUBCON_RUBRO R on r.COMPRO_SUBCONTR_ID=B.id where B.CONTRATACION_ID=" . $contratacionId)->fetchAll(),
                "TMOA_EXP_PROFE" => $this->em->getConnection()->executeQuery("Select * from TMOA_EXP_PROFE p where p.COMPRO_PARTICIP_ID IN(Select B.ID from TMOA_COMPRO_PARTICIP B where B.CONTRATACION_ID=" . $contratacionId . ")")->fetchAll(),
                //ET
                "TMEP_ESPE_TECNICAS" => $this->em->getConnection()->executeQuery("Select * from TMEP_ESPE_TECNICAS p where p.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento() . " order by ID_PARTIDA")->fetchAll(),
                "TMEP_ESPE_TECNICAS_XX" => $this->em->getConnection()->executeQuery("Select * from TMEP_ESPE_TECNICAS p where p.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento())->fetchAll(),
                "TMEP_MAT_FORMAS_PAGO" => $this->em->getConnection()->executeQuery("Select * from TMEP_MAT_FORMAS_PAGO p where p.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento())->fetchAll(),
                "TMOA_CRONOGRAMA_SOCE" => $this->em->getConnection()->executeQuery("Select * from TMOA_CRONOGRAMA_SOCE p where p.FORMOFER_ID=" . $formofer_id)->fetchAll(),
                //Otros parametros de calificación
                "TMEP_OTROSPARAMETROS" => $this->em->getConnection()->executeQuery("Select * from TMEP_OTROSPARAMETROS p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetchAll(),
                //PRESUPUESTO
                "TMEP_PRESUPUESTO" => $this->em->getConnection()->executeQuery("Select * from TMEP_PRESUPUESTO p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetch(),
            );
        } else {
            $retorno = array(
                //Parametros por defecto
                "parametros" => array(
                    "encabezado" => true,
                    "oa" => true,
                    "orientacion" => "P",
                    "nombre" => $nombre ? strtolower($nombre) : strtolower($this->getCodTipoPliego()),
                    "tipo" => "mfc-oa",
                ),
                "catalogo" => $this->getCatalogos()->getObject(),
                //Institucion
                "TMEP_PLIEGOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_PLIEGOS p where REQUERIMIENTO_ID=" . $this->getClaveRequerimiento())->fetch(),
                "TMEP_INSTITUCIONES" => $this->em->getConnection()->executeQuery("Select * from TMEP_INSTITUCIONES where ID=" . $contratacion->getInstitucionId())->fetch(),
                "TMEP_REQUERIMIENTOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_REQUERIMIENTOS where ID=" . $this->getClaveRequerimiento())->fetch(),
                "TMEP_CONTRATACIONES" => $this->em->getConnection()->executeQuery("Select * from TMEP_CONTRATACIONES where ID=" . $this->getClaveContratacion())->fetch(),
                //Archivos
                "TMEP_ARCHIVOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_ARCHIVOS where CONTRATACION_ID=" . $contratacionId)->fetchAll(),
                "TMEP_ARCHIVOS_OFERTA" => $this->em->getConnection()->executeQuery("Select * from TMEP_ARCHIVOS where CONTRATACION_ID=" . $contratacionId . " and OFERTA=" . $this->getOferenteId())->fetchAll(),
                //FORMOFER	
                "TMOA_FORMOFER" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER where ID=" . $formofer_id)->fetch(),
                "TMOA_FORMOFER_INDICES" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_INDICES where FORMOFER_ID=" . $formofer_id)->fetchAll(),
                "TMOA_FORMOFER_INDICES_ARCHIVOS" => $this->em->getConnection()->executeQuery("select i.DESCRIPCION, i.MEDIO,I.TIPO_INDICE,i.INDICADOR,I.VALOR, fi.INDICE_DECLARADO, fi.ARCHIVOS from TMEP_INDICEPATRIMONIO  i INNER JOIN TMOA_FORMOFER_INDICES fi ON fi.INDICE_ID=i.ID where fi.FORMOFER_ID=" . $formofer_id)->fetchAll(),
                "TMOA_PATRIMONIO_ARCHIVOS" => $this->em->getConnection()->executeQuery("select fp.patrimonio , fp.archivos, rm.patrimonio PATRI_PLIEGO from TMOA_FORMOFER_PATRIMONIO fp inner join TMEP_REQUISITOS_MINIMOS rm  on fp.REQUISITOSMINIMOS_ID=rm.ID WHERE rm.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento() . " AND fp.FORMOFER_ID=" . $formofer_id)->fetchAll(),
                "TMOA_FORMOFER_EQUIASIG" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_EQUIASIG p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_EQUIINST" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_EQUIINST p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_EQUIMINI" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_EQUIMINI p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_EXPEOFER" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_EXPEOFER p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_OFERECON" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_OFERECON p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_PERSTECN" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_PERSTECN p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_PLANTRAB" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_PLANTRAB p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetch(),
                "TMOA_FORMOFER_VALOAGRE" => $this->em->getConnection()->executeQuery("Select COUNT(1) as VALOAGRE_TOTAL from TMOA_FORMOFER_VALOAGRE p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMEP_MAT_PRES_REF" => $this->em->getConnection()->executeQuery("Select * from TMEP_MAT_PRES_REF p where p.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento() . "")->fetchAll(),
                "TMOA_FORMOFER_PLANTRAB_PRO" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_PLANTRAB_PRO p where p.FORMOFER_PLANTRAB_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                "TMOA_FORMOFER_PLANTRAB_PROD" => $this->em->getConnection()->executeQuery("Select * from TMOA_FORMOFER_PLANTRAB_PROD p where p.FORMOFER_ID IN (SELECT B.ID FROM TMOA_FORMOFER B WHERE B.ID=" . $formofer_id . ")")->fetchAll(),
                //OFERENTE
                "TMOA_OFERENTE" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERENTE where ID=" . $this->getOferenteId())->fetch(),
                "TMOA_OFERACCI" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERACCI where OFERENTE_ID = " . $this->getOferenteId() . " order by ORDEN_MIN")->fetchAll(),
                "TMOA_OFERACCI_PADRES" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERACCI p where p.OFERENTE_ID = " . $this->getOferenteId() . " and padre_id=0 order by ORDEN_MIN")->fetchAll(),
                "TMOA_OFERACCI_HIJOS" => $this->em->getConnection()->executeQuery("Select (SELECT NOMBRE_OFERENTE FROM TMOA_OFERENTE B WHERE B.ID = " . $this->getOferenteId() . ") AS PADRE_NOMBRE, A.* FROM tmoa_oferacci A where A.OFERENTE_ID = " . $this->getOferenteId() . " order by A.ORDEN_MIN")->fetchAll(),
                "TMOA_OFEROTROVALO" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFEROTROVALO p where OFERENTE_ID=" . $this->getOferenteId())->fetch(),
                "TMOA_OFERREPRLEGA" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERREPRLEGA p where OFERENTE_ID=" . $this->getOferenteId())->fetch(),
                "TMOA_OFERPERSONAS" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERPERSONAS p where OFERENTE_ID=" . $this->getOferenteId())->fetchAll(),
                "TMOA_OFERBENEFICIARIOS" => $this->em->getConnection()->executeQuery("Select * from TMOA_OFERBENEFICIARIOS p where OFERENTE_ID=" . $this->getOferenteId())->fetchAll(),
                //REQUISITOS MINIMOS
                "TMEP_REQUISITOS_MINIMOS" => $this->em->getConnection()->executeQuery("Select * from TMEP_REQUISITOS_MINIMOS p WHERE p.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento())->fetch(),
                //EXTRAS
                "TMOA_COMPRO_PARTICIP" => $this->em->getConnection()->executeQuery("Select * from TMOA_COMPRO_PARTICIP p where p.CONTRATACION_ID=" . $contratacionId)->fetchAll(),
                "TMOA_COMPRO_SUBCONTR" => $this->em->getConnection()->executeQuery("Select * from TMOA_COMPRO_SUBCONTR p where p.CONTRATACION_ID=" . $contratacionId)->fetchAll(),
                "TMOA_COM_SUBCON_RUBRO" => $this->em->getConnection()->executeQuery("Select * from TMOA_COM_SUBCON_RUBRO p where p.COMPRO_SUBCONTR_ID IN(Select B.ID from TMOA_COMPRO_SUBCONTR B where B.CONTRATACION_ID=" . $contratacionId . ")")->fetchAll(),
                "TMOA_COMPRO_SUBCONTR_CRUCE" => $this->em->getConnection()->executeQuery("Select * from TMOA_COMPRO_SUBCONTR B inner join  TMOA_COM_SUBCON_RUBRO R on r.COMPRO_SUBCONTR_ID=B.id where B.CONTRATACION_ID=" . $contratacionId)->fetchAll(),
                "TMOA_EXP_PROFE" => $this->em->getConnection()->executeQuery("Select * from TMOA_EXP_PROFE p where p.COMPRO_PARTICIP_ID IN(Select B.ID from TMOA_COMPRO_PARTICIP B where B.CONTRATACION_ID=" . $contratacionId . ")")->fetchAll(),
                //ET
                "TMEP_MAT_FORMAS_PAGO" => $this->em->getConnection()->executeQuery("Select * from TMEP_MAT_FORMAS_PAGO p where p.REQUERIMIENTO_ID=" . $this->getClaveRequerimiento())->fetchAll(),
                "TMOA_CRONOGRAMA_SOCE" => $this->em->getConnection()->executeQuery("Select * from TMOA_CRONOGRAMA_SOCE p where p.FORMOFER_ID=" . $formofer_id)->fetchAll(),
                //Otros parametros de calificación
                "TMEP_OTROSPARAMETROS" => $this->em->getConnection()->executeQuery("Select * from TMEP_OTROSPARAMETROS p WHERE p.REQUERIMIENTO_ID=" . $requerimientoId)->fetchAll(),
            );
        }
        $retorno["parametros"]["encabezado"] = false;
        if (!$nombre) {
            $archivo = filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-reportes/plantilla/ofertas/ush_oferta_' . strtolower($tipoPliego) . ".php";
            if (file_exists($archivo)) {
                switch ($tipoPliego) {
                    case "":
                        $retorno["parametros"]["orientacion"] = "L";
                        break;
                }
                $retorno["pliego"] = $archivo;
            } else {
                return $this->render('IncopMfcReportesBundle:Default:noexiste.html.twig', array("nombre" => "ush_oferta_" . $tipoPliego));
            }
        } else {
            $archivo = filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-reportes/plantilla/ofertas/' . $nombre . ".php";
            if (file_exists($archivo)) {
                switch ($nombre) {
                    case "ush_oferta_cronograma":
                        $retorno["parametros"]["orientacion"] = "L";
                        $retorno["parametros"]["encabezado"] = true;
                        break;
                }
                $retorno["pliego"] = $archivo;
            } else {

                return $this->render('IncopMfcReportesBundle:Default:noexiste.html.twig', array("nombre" => $nombre));
            }
        }
        echo $templating->render('index.php', $retorno);
        return $this->render('IncopMfcReportesBundle:Default:index.html.twig');
    }

}
