<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Incop\Mfc\Utils;

/**
 * Description of Funciones
 *
 * @author ATIKASOFT
 */
use Symfony\Component\HttpKernel\Event\FilterControllerEvent;
use Symfony\Component\Security\Core\SecurityContextInterface;
use Symfony\Bundle\TwigBundle\Controller\ExceptionController;

class BeforeCreateControllerUtil {

    protected $security_context;

    /**
     * Constructor de la clase
     * @param \Symfony\Component\Security\Core\SecurityContextInterface $security_context
     */
    public function __construct(SecurityContextInterface $security_context) {
        $this->security_context = $security_context;
    }

    /**
     * Funcion del kernel de Synfony
     * @param \Symfony\Component\HttpKernel\Event\FilterControllerEvent $event
     * @return type
     */
    public function onKernelController(FilterControllerEvent $event) {
        $controller = $event->getController();
        if (!is_array($controller)) {
            // not a object but a different kind of callable. Do nothing
            return;
        }
        $controllerObject = $controller[0];
        // skip initializing for exceptions
        if ($controllerObject instanceof ExceptionController) {
            return;
        }
        if ($controllerObject instanceof InitializableControllerInterface) {
            // this method is the one that is part of the interface.
            $controllerObject->initialize($event->getRequest(), $this->security_context);
        }
    }

}

?>
