<?php

namespace Incop\Mfc\Utils;

/**
 * clase para manejar las funciones correspondientes a la lectura de catalogos xml.
 *
 * @author Mauro Vincent <mauro.vincent@atikasoft.com.ec>
 */

/**
 * Ultilitario del catalogo.
 */
class CatalogosUtil {

    /**
     * Devuelve el xml en objeto
     * @param type $catalogoOrgina
     * @return type
     */
    public function getObject($catalogoOrgina = 'catalogos.xml') {
        return $this->XMLDecode($catalogoOrgina);
    }

    /**
     * retorna ela rray para un catalogo expandido tipo checkbox o radio buton. 
     * @param type $tipo - tipo de catalogo
     * @param type $valor - valor que debe estar seleccionado
     * @param type $envio - si hara submit
     * @return type - string del combo
     */
    public function retornaCatalogo($tipo, $catalogoOrgina = 'catalogos.xml') {
        $arregloKeys = array();
        $arregloValues = array();
        $catalogos = '';
        $catalogos = $this->XMLDecode($catalogoOrgina);
        if ($catalogos) {
            foreach ($catalogos->catalogo as $catalogo):
                if ($catalogo['tipo'] == $tipo) {
                    foreach ($catalogo->elemento as $elemento):
                        $arregloKeys[] = $elemento->codigo;
                        $arregloValues[] = $elemento->nombre;
                    endforeach;
                }
            endforeach;
        } else {
            echo "<script>alert('NO EXISTE EL ARCHIVO'); </script>";
        }
        if (!$arregloKeys) {
            $arregloKeys[] = null;
            $arregloValues[] = 'generico.noExisteCatalogo';
        }
        return array_combine($arregloKeys, $arregloValues);
    }

    /**
     * Este metodo busca la version del xml.
     * @return type
     */
    public function buscarVersion() {
        $version = array();
        $catalogos = '';
        $catalogos = $this->XMLDecode('version.xml');
        if ($catalogos) {
            $version = $catalogos->xpath('/ushay/version');
        } else {
            echo "<script>alert('NO EXISTE EL ARCHIVO'); </script>";
        }
        return $version;
    }

    /**
     * retorna ela rray para un catalogo tipo lista.
     * @param type $tipo - tipo de catalogo
     * @param type $valor - valor que debe estar seleccionado
     * @param type $envio - si hara submit
     * @return type - string del combo
     */
    public function retornaCatalogoLista($tipo, $catalogoOrgina = 'catalogos.xml') {
        $arregloKeys = array();
        $arregloValues = array();
        $arregloKeys[] = null;
        $arregloValues[] = 'generico.seleccione';
        $catalogos = '';
        $catalogos = $this->XMLDecode($catalogoOrgina);
        if ($catalogos) {
            foreach ($catalogos->catalogo as $catalogo):
                if ($catalogo['tipo'] == $tipo) {
                    foreach ($catalogo->elemento as $elemento):
                        $arregloKeys[] = $elemento->codigo;
                        $arregloValues[] = $elemento->nombre;
                    endforeach;
                }
            endforeach;
        } else {
            echo "<script>alert('NO EXISTE EL ARCHIVO'); </script>";
        }
        return array_combine($arregloKeys, $arregloValues);
    }

    /**
     * para poner checkeado un campo checkbox
     * @param type $condicion
     * @return string
     */
    public function checkSelecionado($condicion) {
        $arregloAtributo = array();
        if ($condicion) {
            $arregloAtributo = array('checked' => 'checked');
        }
        return $arregloAtributo;
    }

    /**
     * busca el valor del catalogo por codigo
     * @param type $valor
     * * @param type $retorno => n=nombre o c=codigo
     */
    public function buscarPorcodigo($valor, $retorno = 'n', $catalogoOrgina = 'catalogos.xml') {
        $retorna = $catalogos = '';
        $catalogos = $this->XMLDecode($catalogoOrgina);
        if ($catalogos) {
            foreach ($catalogos->catalogo as $catalogo):
                foreach ($catalogo->elemento as $elemento):
                    if ($elemento->codigo == $valor) {
                        if ($retorno == 'n') {
                            $retorna = $elemento->nombre;
                        } else {
                            $retorna = $elemento->codigo;
                        }
                        break;
                    }
                endforeach;
                if ($retorna) {
                    break;
                }
            endforeach;
        } else {
            echo "<script>alert('NO EXISTE EL ARCHIVO'); </script>";
        }
        return $retorna;
    }

    /**
     * retorna el primer elemento encontrado segun el tipo
     * @param type $tipo
     * @param type $retorno
     * @param type $catalogoOrgina
     * @return string
     */
    public function retornaUnicoPorTipo($tipo, $retorno = 'n', $catalogoOrgina = 'catalogos.xml') {
        $catalogos = '';
        $catalogos = $this->XMLDecode($catalogoOrgina);
        $cadena = 'generico.noExisteCatalogo';
        $x = false;
        if ($catalogos) {
            foreach ($catalogos->catalogo as $catalogo):
                if ($catalogo['tipo'] == $tipo) {
                    foreach ($catalogo->elemento as $elemento):
                        if ($retorno == 'n') {
                            $cadena = $elemento->nombre;
                        } else {
                            $cadena = $elemento->codigo;
                        }
                        $x = true;
                        break;
                    endforeach;
                }
                if ($x) {
                    break;
                }
            endforeach;
        } else {
            echo "<script>alert('NO EXISTE EL ARCHIVO'); </script>";
        }
        return $cadena;
    }

    /**
     * Este metodo busca un monto por tipo.
     * @param type $tipo
     * @param type $catalogoOrgina
     * @return type
     */
    public function buscarMontoPorTipo($tipo, $catalogoOrgina = 'montos.xml') {
        $monto = array();
        $catalogos = '';
        $catalogos = $this->XMLDecode($catalogoOrgina);
        if ($catalogos) {
            $monto = $catalogos->xpath('/catalogos/catalogo[@tipo="' . $tipo . '"]');
        } else {
            echo "<script>alert('NO EXISTE EL ARCHIVO'); </script>";
        }
        return $monto;
    }

    /**
     * Este metodo busca una evaluacion pliego.
     * @param type $codigo
     * @param type $catalogoOrigen
     * @return type
     */
    public function buscarEvaluacionPliego($codigo, $catalogoOrigen = 'valoracion.xml') {
        $evaluaciones = array();
        $valoracion = '';
        $valoracion = $this->XMLDecode($catalogoOrigen);
        if ($valoracion) {
            $evaluaciones = $valoracion->xpath('/procesos/proceso[@codigo="' . $codigo . '"]');
        } else {
            echo "<script>alert('NO EXISTE EL ARCHIVO'); </script>";
        }
        return $evaluaciones;
    }

    /**
     * Este metodo busca una oferta economica del catalogo.
     * @return type
     */
    public function listaOfertasEconomicas($tipoPersona) {
        $retorno = array();
        $contador = 0;
        $valoracion = '';
        $valoracion = $this->XMLDecode('catalogos.xml');
        if ($valoracion) {
            if ($tipoPersona == 'N') {
                foreach ($valoracion->catalogo as $catalogo) {
                    if ($catalogo["tipo"] == "ofertas_economicas") {
                        foreach ($catalogo->elemento as $elemento) {
                            $retorno[$contador]["codigo"] = $elemento->codigo;
                            $retorno[$contador]["nombre"] = $elemento->nombre;
                            $contador++;
                        }
                    }
                }
            } elseif ($tipoPersona == 'J') {
                foreach ($valoracion->catalogo as $catalogo) {
                    if ($catalogo["tipo"] == "ofertas_economicas2") {
                        foreach ($catalogo->elemento as $elemento) {
                            $retorno[$contador]["codigo"] = $elemento->codigo;
                            $retorno[$contador]["nombre"] = $elemento->nombre;
                            $contador++;
                        }
                    }
                }
            }
        }
        return $retorno;
    }

    /**
     * consulta el nombre de un catalogo segun el codigo y su tipo
     * @param type $codigo
     * @param type $catalogo
     * @param type $archivo
     * @return type
     */
    public function consultaNombrePorCodigoYCatalogo($codigo, $catalogo, $archivo = 'catalogos.xml') {
        $expression = $catalogos = '';
        $catalogos = $this->XMLDecode($archivo);
        $expression = $catalogos->xpath("/catalogos/catalogo[@tipo='$catalogo']/elemento[codigo='$codigo']/nombre");
        if (isset($expression[0])) {
            return $expression[0] . "";
        }
        return null;
    }

    public function XMLDecode($catalogoOrgina = 'catalogos.xml') {
        $catalogos = $XMLDecode = '';
        if (file_exists(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-oa/src/Incop/Mfc/xml/' . $catalogoOrgina)) {
            $XMLDecode = array('catalogos.xml', 'parametros.xml', 'ubicacion.xml');
            if (in_array($catalogoOrgina, $XMLDecode)) {
                $catalogos = simplexml_load_string(urldecode(file_get_contents(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-oa/src/Incop/Mfc/xml/' . $catalogoOrgina)), 'SimpleXMLElement');
            } else {
                $catalogos = simplexml_load_file(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-oa/src/Incop/Mfc/xml/' . $catalogoOrgina);
            }
        }
        return $catalogos;
    }

}

?>
