<?php

namespace Incop\Mfc\Utils;

use Incop\Mfc\Utils\CatalogosUtil;

class ConsultaCatalogosTwig extends \Twig_Extension {

    /**
     * Setea los filtros
     * @return type
     */
    public function getFilters() {
        return array(
            new \Twig_SimpleFilter('catalogo', array($this, 'consultaCatalogo')),
        );
    }

    /**
     * Función twig para consultar a los catálogos
     * @param type $valor
     * @param type $catalogo
     * @param type $archivo
     * @return type
     */
    public function consultaCatalogo($valor, $catalogo, $archivo = "catalogos.xml") {
        $catalgos = new CatalogosUtil();
        $resul = $catalgos->consultaNombrePorCodigoYCatalogo($valor, $catalogo, $archivo);
        if ($resul) {
            return $resul;
        }
        return $valor;
    }

    /**
     * Obtiene el nombre de la extensión
     * @return string
     */
    public function getName() {
        return 'consulta_catalogos_twig';
    }

}

?>
