<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Incop\Mfc\Utils;

/**
 * Utilitario para procesar la validacion.
 *
 * @author ATIKASOFT
 */
class ValidacionUtil {

    //put your code here
    private $bdd;
    private $conexion;

    /**
     * Contructor.
     */
    public function __construct() {
        $this->conexion = filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . "/mfc-oa/app/db/mfc-oa.db";
        $this->bdd = new \SQLite3($this->conexion);
    }

    /**
     * 
     * @param type $tipoContratacion String
     * @return type Array
     */
    public function consultaDatosValidos($nombreEntidad, $id) {
        if (file_exists(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-oa/src/Incop/Mfc/OfertasBundle/Resources/config/doctrine/' . $nombreEntidad . '.orm.xml')) {
            $entidad = simplexml_load_file(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-oa/src/Incop/Mfc/OfertasBundle/Resources/config/doctrine/' . $nombreEntidad . '.orm.xml');
        }
        if ($entidad) {
            $campos_requeridos = array();
            $campos_labels = array();
            $resultado = array();
            $i = 0;
            //consulto nombre de tabla
            $tabla = $entidad->entity["table"];
            //Consulto los campos requeridos de la tabla
            foreach ($entidad->entity->field as $field):
                if ($field["nullable"] == "false") {
                    $campos_requeridos[$i]["tipo"] = "nullable";
                    $campos_requeridos[$i]["valor"] = trim($field["column"]);
                    $campos_labels[$i] = trim($field["nombre"]);
                    $i++;
                } elseif ($field["depende"]) {
                    $campos_requeridos[$i]["tipo"] = "depende";
                    $campos_requeridos[$i]["depende"] = trim($field["depende"]);
                    $campos_requeridos[$i]["valor"] = trim($field["column"]);
                    $campos_labels[$i] = trim($field["nombre"]);
                    $i++;
                }
            endforeach;
            //Creo los campos para la consulta
            $campos_para_bdd = array();
            foreach ($campos_requeridos as $campo) {
                $campos_para_bdd[] = $campo["valor"];
            }
            //Creo el arreglo con los campos
            if ($campos_para_bdd) {
                $consulta = $this->bdd->query("SELECT * FROM " . $tabla . " WHERE id = " . $id);
                while ($fila = $consulta->fetchArray()) {
                    for ($i = 0; $i < sizeof($campos_requeridos); $i++) {
                        if (empty($fila[$campos_requeridos[$i]["valor"]])) {
                            if ($campos_requeridos[$i]["tipo"] == "nullable") {
                                if ($campos_labels[$i]) {
                                    $resultado[$campos_requeridos[$i]["valor"]] = $campos_labels[$i];
                                } else {
                                    $resultado[$campos_requeridos[$i]["valor"]] = strtolower($campos_requeridos[$i]["valor"]);
                                }
                            } else {
                                if ($fila[$campos_requeridos[$i]["depende"]] && $fila[$campos_requeridos[$i]["depende"]] !== "0" && empty($fila[$campos_requeridos[$i]["valor"]])) {
                                    if ($campos_labels[$i]) {
                                        $resultado[$campos_requeridos[$i]["valor"]] = $campos_labels[$i];
                                    } else {
                                        $resultado[$campos_requeridos[$i]["valor"]] = strtolower($campos_requeridos[$i]["valor"]);
                                    }
                                }
                            }
                        }
                    }
                }
            }
            return $resultado;
        } else {
            return false;
        }
    }

}

?>
