<?php

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Debug\Debug;

// If you don't want to setup permissions the proper way, just uncomment the following PHP line
// read http://symfony.com/doc/current/book/installation.html#configuration-and-setup for more information
//umask(0000);
// This check prevents access to debug front controllers that are deployed by accident to production servers.
// Feel free to remove this, extend it, or make something more sophisticated.
function ip_in_range($needle_ip_address) {
    # Get the numeric reprisentation of the IP Address with IP2long
    $min = ip2long('172.1.0.1');
    $max = ip2long('172.255.0.1');
    $needle = ip2long($needle_ip_address);
    # Then it's as simple as checking whether the needle falls between the lower and upper ranges
    return (($needle >= $min) AND ($needle <= $max));
}

$ip = "";
if (ip_in_range(filter_input(INPUT_SERVER, 'REMOTE_ADDR'))) {
    $ip = filter_input(INPUT_SERVER, 'REMOTE_ADDR');
}
$clientIP = filter_input(INPUT_SERVER, 'HTTP_CLIENT_IP');
$forwarded = filter_input(INPUT_SERVER, 'HTTP_X_FORWARDED_FOR');
if (isset($clientIP) || isset($forwarded) || !in_array(filter_input(INPUT_SERVER, 'REMOTE_ADDR'), array('127.0.0.1', 'fe80::1', '::1', $ip))) {
    header('HTTP/1.0 403 Forbidden');
    exit('You are not allowed to access this file. Check ' . basename(__FILE__) . ' for more information.');
}

$loader = require_once __DIR__ . '/../app/bootstrap.php.cache';
Debug::enable();

require_once __DIR__ . '/../app/AppKernel.php';

$kernel = new AppKernel('dev', true);
$kernel->loadClassCache();
$request = Request::createFromGlobals();
$response = $kernel->handle($request);
$response->send();
$kernel->terminate($request, $response);
