// Apprise 1.5 by Daniel Raftery
// http://thrivingkings.com/apprise
//
// Button text added by Adam Bezulski
//

function apprise(string, args, callback)
{
    if ($('.appriseOuter').length) {
        return false;
    }
    var default_args =
            {
                'confirm': false, // Ok and Cancel buttons
                'verify': false, // Yes and No buttons
                'input': true, // Text input (can be true or string for default text)
                'animate': false, // Groovy animation (can true or number, default is 400)
                'textOk': 'Ok', // Ok button default text
                'textCancel': 'Cancel', // Cancel button default text
                'textYes': 'Yes', // Yes button default text
                'textNo': 'No'		// No button default text
            }

    if (args)
    {
        for (var index in default_args)
        {
            if (typeof args[index] == "undefined")
                args[index] = default_args[index];
        }
    }

    var aHeight = $(document).height();
    var aWidth = $(document).width();
    $('body').append('<div class="appriseOverlay" id="aOverlay"></div>');
    $('.appriseOverlay').css('height', aHeight).css('width', aWidth).fadeIn(100);
    $('body').append('<div class="appriseOuter"></div>');
    $('.appriseOuter').append('<div class="appriseTitle">Módulo Facilitador de la Contratación Pública</div><div class="appriseInner"></div>');
    $('.appriseInner').append(string);
    $('.appriseOuter').css("left", ($(window).width() - $('.appriseOuter').width()) / 2 + $(window).scrollLeft() + "px");

    if (args)
    {
        if (args['animate'])
        {
            var aniSpeed = args['animate'];
            if (isNaN(aniSpeed)) {
                aniSpeed = 400;
            }
            $('.appriseOuter').css('top', '-200px').show().animate({top: "100px"}, aniSpeed);
        }
        else
        {
            $('.appriseOuter').css('top', '100px').fadeIn(200);
        }
    }
    else
    {
        $('.appriseOuter').css('top', '100px').fadeIn(200);
    }

    if (args)
    {
        if (args['confirm']) {
            args['input'] = false;
        }
        if (args['input'])
        {
            if (typeof (args['input']) == 'string')
            {
                $('.appriseInner').append('<div class="aInput"><input type="text" class="aTextbox" t="aTextbox" value="' + args['input'] + '" /></div>');
            }
            else
            {
                if (args['vae']) {
                    var s = '$("#vaePrompt").on("keydown", function(event){if (event.shiftKey){event.preventDefault();}if(event.keyCode == 188 || event.keyCode == 8 || event.keyCode == 46 || event.keyCode == 39 || event.keyCode == 37) {if (event.keyCode == 188) {if ($("#vaePrompt").val().indexOf(",") != -1) {event.preventDefault();}}}else{if (event.keyCode < 95) {if (event.keyCode < 48 || event.keyCode > 57) {event.preventDefault();}}else {if (event.keyCode < 96 || event.keyCode > 105) {event.preventDefault();}}}});';
                    s += '$("#vaePrompt").on("focusout", function(){decimales = "2";separador_decimal=",";if ($("#vaePrompt") !== null) {numero = $("#vaePrompt").val();numero = numero.replace(separador_decimal, separador_miles);var y = numero.split(".");var x = y[1];if (x === undefined) {numero = numero + separador_decimal + "00";} else {for (i = 0; i < 5 - x.length; i++) {numero = numero + "0";}}numero = parseFloat(numero);if (numero > 100 && numero < 1000) {numero = numero / 10;}if (numero >= 1000) {numero = numero / 100;}if (isNaN(numero)) {return "";}if (decimales !== undefined) {numero = numero.toFixed(decimales);}numero = numero.toString().replace(".", separador_decimal !== undefined ? separador_decimal : ",");var elemento = numero.split(",");entero = elemento[0];decimal = elemento[1];if (separador_miles) {var miles = new RegExp("(-?[0-9]+)([0-9]{3})");while (miles.test(entero)) {entero = entero.replace(miles, "$1" + separador_miles + "$2");}}$("#vaePrompt").val(entero + separador_decimal + decimal);}});';
                    $('.appriseInner').append('<div class="aInput"><input id="vaePrompt" maxlength="6" style="width:100px" type="text" class="aTextbox" t="aTextbox" placeholder="99,99" value="' + args['valorInput'] + '" /></div><script>' + s + '</script>');
                } else if (args['validarPac']) {
                    var anio = (new Date).getFullYear();
                    var anio1 = anio + 1;
                    $('.appriseInner').append('<div class="aInput"><SELECT id="aAnioCombo" name="aComboBox" class="aCombobox" t="aCombobox"><OPTION VALUE="' + anio + '" selected>' + anio + '</OPTION><OPTION VALUE="' + anio1 + '">' + anio1 + '</OPTION></SELECT><input type="hidden" id="aAnio" value="' + anio + '" class="aTextbox" t="aTextbox" /></div>');
                } else {
                    $('.appriseInner').append('<div class="aInput"><input type="text" class="aTextbox" t="aTextbox" /></div>');
                }
            }
            if (args['validarPac']) {
                $('#aCombobox').focus();
            } else {
                $('.aTextbox').focus();
            }
        }
    }

    $('.appriseInner').append('<div class="aButtons"></div>');
    if (args)
    {
        if (args['confirm'] || args['input'])
        {
            $('.aButtons').append('<button value="ok">' + args['textOk'] + '</button>');
            $('.aButtons').append('<button value="cancel">' + args['textCancel'] + '</button>');
        }
        else if (args['verify'])
        {
            $('.aButtons').append('<button value="ok">' + args['textYes'] + '</button>');
            $('.aButtons').append('<button value="cancel">' + args['textNo'] + '</button>');
        }
        else
        {
            $('.aButtons').append('<button value="ok">' + args['textOk'] + '</button>');
        }
    }
    else
    {
        $('.aButtons').append('<button value="ok">Ok</button>');
    }

    $(document).keydown(function(e)
    {
        if ($('.appriseOverlay').is(':visible'))
        {
            if (e.keyCode == 13)
            {
                $('.aButtons > button[value="ok"]').click();
            }
            if (e.keyCode == 27)
            {
                $('.aButtons > button[value="cancel"]').click();
            }
        }
    });

    var aText = $('.aTextbox').val();
    var aAnio = $('#aAnio').attr("value");
    if (!aText) {
        aText = false;
    }
    $('.aTextbox').keyup(function()
    {
        aText = $(this).val();
    });
    $("#aAnioCombo").on("change", function() {
        $("#aAnio").attr("value", $(this).val());
        aAnio = $('#aAnio').attr("value");
    });

    $('.aButtons > button').click(function()
    {
        $('.appriseOverlay').remove();
        $('.appriseOuter').remove();
        if (callback)
        {
            var wButton = $(this).attr("value");
            if (wButton == 'ok')
            {
                if (args)
                {
                    if (args['input'])
                    {
                        if (args['validarPac']) {

                            callback(aAnio);
                        } else {
                            callback(aText);
                        }
                    }
                    else
                    {
                        callback(true);
                    }
                }
                else
                {
                    callback(true);
                }
            }
            else if (wButton == 'cancel')
            {
                callback(false);
            }
        }
    });
}