<?php

//Parametros de configuración
set_time_limit('20000');
ini_set('max_execution_time', '20000');
ini_set('memory_limit', '900M');
// Include the main TCPDF library (search for installation path).
require_once('pdf/tcpdf.php');
require_once('libs/funcionesImprimir.php');
require_once('libs/tablas.php');

// Extend the TCPDF class to create custom Header and Footer
class index_pac extends TCPDF {

    private $imagen_inst, $nombre_inst, $encabezado, $tipo;

    public function inicializa($institucion, $parametros) {
        $this->imagen_inst = $institucion["LOGO_PATH"];
        $this->nombre_inst = $institucion["NOMBRE_ENTID_CONTRAT"];
        $this->encabezado = $parametros["encabezado"];
        $this->tipo = $parametros["tipo"];
    }

    //Page header
    public function Header() {
        if ($this->encabezado) {
            if ($this->imagen_inst && file_exists(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . DIRECTORY_SEPARATOR . $this->tipo . "/web/uploads/documents/" . $this->imagen_inst)) {
                $image_file = filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . DIRECTORY_SEPARATOR . $this->tipo . "/web/uploads/documents/" . $this->imagen_inst;
                $this->Image($image_file, 10, 10, '', 15, '', '', 'T', 0, 500, '', false, false, 0, false, false, false);
            }
            // Set font
            $this->SetFont('helvetica', 'B', 10);
            $this->SetTextColor(29, 17, 91);
            $this->MultiCell(0, 20, strtoupper($this->nombre_inst), 0, 'C', 0, 0);
        }
    }

    // Page footer
    public function Footer() {
        if ($this->encabezado) {
            // Position at 15 mm from bottom
            $this->SetY(-15);
            // Set font
            $this->SetFont('helvetica', 'I', 8);
            // Page number
            $this->Cell(0, 10, 'Página ' . $this->getAliasNumPage() . '/' . $this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
        }
    }

    public function getPage() {
        return $this->page;
    }

}

// create new PDF document
$pdf = new index_pac($parametros["orientacion"], PDF_UNIT, PDF_PAGE_FORMAT, true, false, false);
$pdf->inicializa($TMEP_INSTITUCIONES, $parametros);
// set document information
$pdf->SetCreator('MFC');
$pdf->SetAuthor('SERCOP');
$pdf->SetTitle('Vista Previa');
$pdf->SetSubject('Vista previa del sistema MFC');
// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE . ' 061', PDF_HEADER_STRING);
// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));
// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);
// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);
// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
// set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);
// set some language-dependent strings (optional)
if (file_exists(dirname(__FILE__) . '/lang/eng.php')) {
    require_once(dirname(__FILE__) . '/lang/eng.php');
    $pdf->setLanguageArray($l);
}
// ---------------------------------------------------------
// set font
$pdf->SetFont('helvetica', '', 10);
$pdf->AddPage();
include_once($pliego);
// reset pointer to the last page
$pdf->lastPage();
// ---------------------------------------------------------
//Close and output PDF document
$pdf->Output($parametros["nombre"] . '.pdf', 'I');
//============================================================+
// END OF FILE
//============================================================+
