<?php
require_once('numerosALetras.php');
/* Funciones */
$GLOBALS['catalogos'] = $catalogo;
if (isset($calificacion)) {
    $GLOBALS['calificacion'] = true;
} else {
    $GLOBALS['calificacion'] = false;
}

function imprimir($campo, $tipo = "sin datos", $strong = true) {
    if ($GLOBALS['calificacion']) {
        if ($strong) {
            echo trim($campo) != '' ? '<strong class="campo_ushay" >' . str_replace("\n", "<br>", trim($campo)) . '</strong>' : '<strong class="">' . $tipo . '</strong>';
        } else {
            echo trim($campo) != '' ? '<span class="campo_ushay" >' . str_replace("\n", "<br>", trim($campo)) . '</span>' : '<strong class="">' . $tipo . '</strong>';
        }
    } else {
        if ($strong) {
            echo trim($campo) != '' ? '<strong class="campo_ushay" >' . str_replace("\n", "<br>", trim($campo)) . '</strong>' : '<strong class="error">' . $tipo . '</strong>';
        } else {
            echo trim($campo) != '' ? '<span class="campo_ushay" >' . str_replace("\n", "<br>", trim($campo)) . '</span>' : '<strong class="error">' . $tipo . '</strong>';
        }
    }
}

function imprimir_norequerido($campo, $strong = true, $valor_vacio = "Información no requerida para esta contratación") {
    if ($strong) {
        echo trim($campo) ? '<strong class="campo_ushay" >' . str_replace("\n", "<br>", trim($campo)) . '</strong>' : '<strong class="campo_azul">' . $valor_vacio . '</strong>';
    } else {
        echo trim($campo) ? '<span class="campo_ushay" >' . str_replace("\n", "<br>", trim($campo)) . '</span>' : '<strong class="campo_azul">' . $valor_vacio . '</strong>';
    }
}

function imprimir_busqueda($arreglo, $campo, $campo_a_validar, $valor, $valor_si_no_existe = null, $texto_complementario = "{}", $formato = "", $tipo = "sin datos") {
    $resultado = false;
    $llave = '';
    if (is_array($arreglo)) {
        foreach ($arreglo as $key => $item) {
            if ($item[$campo_a_validar] == $valor) {
                $resultado = $item[$campo];
                $llave = $key;
                break;
            }
        }
        if ($resultado == false) {
            imprimir($valor_si_no_existe, $tipo);
        } else {
            switch (strtolower($formato)) {
                case "fecha":
                    imprimir_fecha($resultado, $tipo);
                    break;
                case "decimal5":
                    imprimir_decimal(str_replace("{}", $resultado, $texto_complementario), 5, $tipo);
                    break;
                case "decimal2":
                    imprimir_decimal(str_replace("{}", $resultado, $texto_complementario), 2, $tipo);
                    break;
                default:
                    imprimir($resultado, $tipo);
                    break;
            }
        }
    } else {
        imprimir(null, "variable no válida");
    }
}

function imprimir_busqueda2($arreglo, $campo, $campo_a_validar, $valor, $valor_si_no_existe = null, $texto_complementario = "{}", $formato = "", $tipo = "sin datos", $campo_a_validar2, $valor2) {
    $resultado = false;
	$resultado2 = false;
    $resp = array();
    if (is_array($arreglo)) {
        foreach ($arreglo as $key => $item) {
            if ($item[$campo_a_validar] == $valor) {
                $resultado = $item[$campo];
                $resp[$key] = $item;
            }
        }
        foreach ($resp as $key => $item) {
            if ($item[$campo_a_validar2] == $valor2) {
                $resultado2 = $item[$campo];
            }
        }
        if ($resultado2 == false) {
            imprimir($valor_si_no_existe, $tipo);
        } else {
            switch (strtolower($formato)) {
                case "fecha":
                    imprimir_fecha($resultado2, $tipo);
                    break;
                case "decimal5":
                    imprimir_decimal(str_replace("{}", $resultado2, $texto_complementario), 5, $tipo);
                    break;
                case "decimal2":
                    imprimir_decimal(str_replace("{}", $resultado2, $texto_complementario), 2, $tipo);
                    break;
                default:
                    imprimir($resultado2, $tipo);
                    break;
            }
        }
    } else {
        imprimir(null, "variable no válida");
    }
}

function imprimir_fecha($valor = false, $tipo = "sin datos") {
    if ($valor === false) {
        $fecha = strtotime(date("Y-m-d"));
    } else {
        $fecha = strtotime($valor);
    }
    $meses = array(1 => "enero", 2 => "febrero", 3 => "marzo", 4 => "abril", 5 => "mayo", 6 => "junio", 7 => "julio", 8 => "agosto", 9 => "septiembre", 10 => "octubre", 11 => "noviembre", 12 => "diciembre");
    imprimir(date("d", $fecha) . " de " . $meses[date("n", $fecha)] . " del " . date("Y", $fecha), $tipo);
}

function imprimir_decimal($valor, $decimales, $tipo = "sin datos") {
    if ($valor) {
        imprimir(number_format($valor, $decimales, ",", "."), $tipo);
    }
}

function imprimir_catalogo($valor, $catalogo, $tipo = "sin datos", $negrilla = true) {
    $valor = consulta_catalogo($valor, $catalogo);
    imprimir($valor, $tipo, $negrilla);
}

function consulta_catalogo($valor, $catalogo) {
    $caracteresValidos = "abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ-_1234567890";
    $valido = true;
    for ($i = 0; $i < strlen($catalogo); $i++) {
        if (strpos($caracteresValidos, $catalogo{$i}) === false) {
            $valido = false;
            break;
        }
    }
    for ($i = 0; $i < strlen($valor); $i++) {
        if (strpos($caracteresValidos, $valor{$i}) === false) {
            $valido = false;
            break;
        }
    }
    if ($valido) {
        $expression = $GLOBALS['catalogos']->xpath("/catalogos/catalogo[@tipo='$catalogo']/elemento[codigo='$valor']/nombre");
        if (isset($expression[0])) {
            return $expression[0] . "";
        }
        return null;
    } else {
        return null;
    }
}

function imprimir_numerosALetras($valor, $tipo = "sin datos", $decimales = 5, $strong = true) {
    $libNumerosALetras = new numerosALetras();
    if (is_numeric($valor)) {
        imprimir($libNumerosALetras->ValorEnLetras($valor, "dólares", $decimales = 5), $tipo, $strong);
    } else {
        imprimir(null, "el valor no es numérico");
    }
}

function imprimir_busqueda_con($arreglo, $campo, $campo_a_validar, $valor, $valor_si_no_existe = null, $texto_complementario = "{}", $formato = "", $tipo = " ") {
    $resultado = false;
    if (is_array($arreglo)) {
        foreach ($arreglo as $item) {
            if ($item[$campo_a_validar] == $valor) {
                $resultado = $item[$campo];
                break;
            }
        }
        if ($resultado === false) {
            imprimir($valor_si_no_existe, $tipo);
        } else {
            switch (strtolower($formato)) {
                case "fecha":
                    imprimir_fecha(str_replace("{}", $resultado, $texto_complementario), $tipo);
                    break;
                case "decimal5":
                    imprimir_decimal(str_replace("{}", $resultado, $texto_complementario), 5, $tipo);
                    break;
                case "decimal2":
                    imprimir_decimal(str_replace("{}", $resultado, $texto_complementario), 2, $tipo);
                    break;
                case "entero":
                    imprimir_entero(str_replace("{}", $resultado, $texto_complementario));
                    break;
                default:
                    imprimir(str_replace("{}", $resultado, $texto_complementario), $tipo);
                    break;
            }
        }
    } else {
        imprimir(null, "variable no válida");
    }
}

function imprimir_entero($valor, $error = "sin datos") {
    if (is_numeric($valor)) {
        imprimir(number_format($valor, 0, "", "."), $error);
    } else {
        imprimir(null, "el valor no es numérico");
    }
}

/**
 * Imprime el total de registros de la tabla
  $tabla:nombre de la tabla registrada en ReportesController.php
 * */
function imprimir_numero_registros_tabla($tabla) {
    imprimir(sizeof($tabla));
}

/**
 * Imprime SI si es que el valor booleano es '1', caso contrario imprime 'NO'
 * */
function imprimir_boolean($booleanValue) {
    if ($booleanValue == '1') {
        echo 'SI';
    } else {
        echo 'NO';
    }
}

/**
 * Imprime una tabla HTML para el personal tecnico, 
 * y la experiencia de cada uno
 * */
function imprimirPersonalTecnicoYExperiencia($tmepPersonalTecnico, $tmepExperiencia) {
    $contadorRegistrosPadre = 1;
    $contadorRegistrosHijo = 1;
    $contadorRegistrosHijo2 = 0;
    if (sizeof($tmepPersonalTecnico) > 0) {
        foreach ($tmepPersonalTecnico as $persona) {
            echo "<br/>";
            echo "<br/>";
            echo '<table class="table">';
            echo "<thead>";
            echo "<tr>";
            echo "<th bgcolor='#e4e4e4'>";
            echo "No.";
            echo "</th>";
            echo "<th style='background-color:#e4e4e4;'>";
            echo "Función";
            echo "</th>";
            echo "<th style='background-color:#e4e4e4;'>";
            echo "Nivel de estudio";
            echo "</th>";
            echo "<th style='background-color:#e4e4e4;'>";
            echo "Titulación Académica";
            echo "</th>";
            echo "<th style='background-color:#e4e4e4;'>";
            echo "Cantidad";
            echo "</th>";
            echo "</tr>";
            echo "</thead>";
            echo "<tbody>";
            echo "<tr>";
            echo "<td>";
            echo $contadorRegistrosPadre;
            echo "</td>";
            echo "<td>";
            echo $persona['CARGO'];
            echo "</td>";
            echo "<td>";
            echo $persona['NIVEL_ESTUDIO'];
            echo "</td>";
            echo "<td>";
            echo $persona['DESCRIPCION'];
            echo "</td>";
            echo "<td>";
            echo $persona['CANTIDAD'];
            echo "</td>";
            echo "</tr>";
            echo "</tbody>";
            echo "</table>";
            echo "<br/>";
            echo "<br/>";
            echo '<table class="table">';
            echo "<thead>";
            echo "<tr>";
            echo "<th>";
            echo "No.";
            echo "</th>";
            echo "<th>";
            echo "Descripción";
            echo "</th>";
            echo "<th>";
            echo "Tiempo";
            echo "</th>";
            echo "<th>";
            echo "Número de Proyectos";
            echo "</th>";
            echo "<th>";
            echo "Monto de Proyectos";
            echo "</th>";
            echo "</tr>";
            echo "</thead>";
            foreach ($tmepExperiencia as $experiencia) {
                if ($experiencia['PERSONALTECNICO_ID'] == $persona['ID']) {
                    echo "<tr>";
                    echo "<td>";
                    echo $contadorRegistrosPadre . "." . $contadorRegistrosHijo;
                    echo "</td>";
                    echo "<td>";
                    echo $experiencia['DESCRIPCION'];
                    echo "</td>";
                    echo "<td>";
                    echo $experiencia['TIEMPO_MINIMO'] . " " . $experiencia['TIPO_TIEMPO_MINIMO'];
                    echo "</td>";
                    echo "<td>";
                    echo $experiencia['NUMERO_PROYECTOS'];
                    echo "</td>";
                    echo "<td>";
                    if (trim($experiencia['MONTO_PROYECTOS']) != '') {
                        echo number_format($experiencia['MONTO_PROYECTOS'], 5, ",", ".");
                    } else {
                        echo number_format(0, 5, ",", ".");
                    }
                    echo "</td>";
                    echo "</tr>";
                    $contadorRegistrosHijo++;
                    $contadorRegistrosHijo2++;
                }
                $contadorRegistrosHijo = 1;
            }
            echo "</table><br/>";
            $contadorRegistrosPadre++;
        }
    } else {
        imprimir_norequerido(null, true, "No requerido por la entidad");
    }
    return $contadorRegistrosHijo2;
}

/**
 * Imprime una tabla con las columas: parametros|cumple|no cumple|observaciones
 * en la cual se incluye el listado de parametros y otros parametros
 * */
function imprimirTablaParametrosYOtrosParametros($tmepPlieParams, $tmepOtrosParametros, $tmepEquipoMinimo, $tmepPersonalTecnico, $tmepExperiencia, $tmepExpepersTecn, $tmepMetCronEjec, $TMEP_REQUERIMIENTOS) {
    $expGeneral = 0;
    $expEspecifica = 0;
    foreach ($tmepExperiencia as $exp) {
        if ($exp['TIPO'] == 'G') {
            $expGeneral = 1;
        }
        if ($exp['TIPO'] == 'E') {
            $expEspecifica = 1;
        }
    }
    echo '<table class="table">';
    $contador = 1;
    echo "<thead>";
    echo "<tr>";
    echo "<th>";
    echo "Parámetro";
    echo "</th>";
    echo "<th>";
    echo "Cumple";
    echo "</th>";
    echo "<th>";
    echo "No Cumple";
    echo "</th>";
    echo "<th>";
    echo "Observaciones";
    echo "</th>";
    echo "</tr>";
    echo "</thead>";
    echo "<tbody>";
    foreach ($tmepPlieParams as $parametro) {
        $par = '';
        $procesos = array('Equipo mínimo', 'Personal técnico mínimo', 'Experiencia general mínima', 'Experiencia específica mínima', 'Experiencia mínima personal técnico', 'Metodología y cronograma');
        if ($parametro['PARAMETRO'] == 'Equipo mínimo' && sizeof($tmepEquipoMinimo) > 0) {
            $par = str_replace(array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã'), array('á', 'é', 'ó', 'ú', 'í'), $parametro['PARAMETRO']);
        } else if ($parametro['PARAMETRO'] == 'Personal técnico mínimo' && sizeof($tmepPersonalTecnico) > 0) {
            $par = str_replace(array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã'), array('á', 'é', 'ó', 'ú', 'í'), $parametro['PARAMETRO']);
        } else if ($parametro['PARAMETRO'] == 'Experiencia general mínima' && sizeof($tmepExperiencia) > 0 && $expGeneral == 1) {
            $par = str_replace(array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã'), array('á', 'é', 'ó', 'ú', 'í'), $parametro['PARAMETRO']);
        } else if ($parametro['PARAMETRO'] == 'Experiencia específica mínima' && sizeof($tmepExperiencia) > 0 && $expEspecifica == 1) {
            $par = str_replace(array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã'), array('á', 'é', 'ó', 'ú', 'í'), $parametro['PARAMETRO']);
        } else if ($parametro['PARAMETRO'] == 'Experiencia mínima personal técnico' && $tmepExpepersTecn > 0) {
            $par = str_replace(array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã'), array('á', 'é', 'ó', 'ú', 'í'), $parametro['PARAMETRO']);
        } else if ($parametro['PARAMETRO'] == 'Metodologia de ejecución de la obra' && sizeof($tmepMetCronEjec) > 0) {
            $par = str_replace(array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã'), array('á', 'é', 'ó', 'ú', 'í'), "Metodología de ejecución de la obra");
        } else if ($parametro['PARAMETRO'] == 'Cronograma de ejecución de la obra' && sizeof($tmepMetCronEjec) > 0) {
            $par = str_replace(array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã'), array('á', 'é', 'ó', 'ú', 'í'), "Cronograma de ejecución de la obra");
        } else
        if (!in_array($parametro['PARAMETRO'], $procesos)) {
            if ($TMEP_REQUERIMIENTOS["FECHA"] >= "2015-08-13" && $parametro['PARAMETRO'] == 'Porcentaje de Valor Agregado Ecuatoriano Mínimo (VAE)') {
                $par = 'Umbral de Valor Agregado Ecuatoriano Mínimo (VAE)';
            } else {
                $par = str_replace(array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã'), array('á', 'é', 'ó', 'ú', 'í'), $parametro['PARAMETRO']);
            }
        }
        if ($par) {
            echo "<tr>";
            echo "<td>";
            echo $par;
            echo "</td>";
            //TODO: OBTENER CAMPOS CUMPLE, NO CUMPLE Y OBSERVACIONES
            echo "<td>";
            echo "";
            echo "</td>";
            echo "<td>";
            echo "";
            echo "</td>";
            echo "<td>";
            if ($TMEP_REQUERIMIENTOS["TIPO_PLIEGO"] == "PLI.LICOBR") {
                if ($par == "Equipo mínimo" || $par == "Personal técnico mínimo" || $par == "Experiencia mínima personal técnico" || $par == "Metodología de ejecución de la obra") {
                    echo "Este parámetro se considerará cumplido con la sola presentación del Formulario de compromiso de cumplimiento de parámetros en etapa contractual.";
                } else {
                    echo "";
                }
            }
            echo "</td>";
            echo "</tr>";
            $contador++;
        }
    }
    foreach ($tmepOtrosParametros as $otroParametro) {
        echo "<tr>";
        echo "<td>";
        echo $otroParametro['NOMBRE'];
        echo "</td>";
        //TODO: OBTENER CAMPOS CUMPLE, NO CUMPLE Y OBSERVACIONES
        echo "<td>";
        echo "";
        echo "</td>";
        echo "<td>";
        echo "";
        echo "</td>";
        echo "<td>";
        echo "";
        echo "</td>";
        echo "</tr>";
    }
    echo "</tbody>";
    echo "</table>";
}

/**
 * Imprime la tabla en la cual se detalla cada parametro,
 * con  su metodlogia de evaluacion y su anexo
 * */
function imprimirParametrosAnexoOtro($tmepValoracionOtr, $archivos) {
    echo '<table class="table">';
    echo "<thead>";
    echo "<tr>";
    echo "<th>";
    echo "Parámetro";
    echo "</th>";
    echo "<th>";
    echo "Descripción de la Metodología de Evaluación";
    echo "</th>";
    echo "<th>";
    echo "Anexo ";
    echo "</th>";
    echo "</tr>";
    echo "</thead>";
    echo "<tbody>";
    foreach ($tmepValoracionOtr as $valoracion) {
        echo "<tr>";
        echo "<td>";
        echo $valoracion['NOMBRE'];
        echo "</td>";
        echo "<td>";
        echo $valoracion['DESCRIPCION'];
        echo "</td>";
        //TODO:MOSTRAR NOMBRE ARCHIVO ANEXO
        echo "<td>";
        $conFile = 0;
        foreach ($archivos as $archivo) {
            if ($archivo['VALORACION_OTR_ID'] == $valoracion['ID']) {
                $conFile++;
                echo "<span>" . $archivo['DESCRIPCION'] . "</span>";
            }
        }
        if ($conFile == 0) {
            echo "Anexo no seleccionado.";
        }
        echo "</td>";
        echo "</tr>";
    }
    echo "</tbody>";
    echo "</table>";
}

function imprimirParametrosMetodologiaAnexo($tmepValoracionDet, $archivos) {
    echo '<table class="table">';
    echo "<thead>";
    echo "<tr>";
    echo "<th>";
    echo "Parámetro";
    echo "</th>";
    echo "<th>";
    echo "Descripción de la Metodología de Evaluación";
    echo "</th>";
    echo "<th>";
    echo "Anexo ";
    echo "</th>";
    echo "</tr>";
    echo "</thead>";
    echo "<tbody>";
    foreach ($tmepValoracionDet as $valoracion) {
        if ($valoracion['CODIGO'] != 0) {
            echo "<tr>";
            echo "<td>";
            echo $valoracion['NOMBRE'];
            echo "</td>";
            echo "<td>";
            echo $valoracion['MENSAJE_PLIEGO'];
            echo "</td>";
            //TODO:MOSTRAR NOMBRE ARCHIVO ANEXO
            echo "<td>";
            if ($valoracion['CODIGO'] != 5) {
                $conFile = 0;
                foreach ($archivos as $archivo) {
                    if ($archivo['VALORACION_DET_ID'] == $valoracion['ID']) {
                        $conFile++;
                        echo "<span>" . $archivo['DESCRIPCION'] . "</span>";
                    }
                }
                if ($conFile == 0) {
                    echo "Anexo no seleccionado.";
                }
            }
            echo "</td>";
            echo "</tr>";
        }
    }
    echo "</tbody>";
    echo "</table>";
}

function imprimirMensajeNoRequerido() {
    imprimir_norequerido(null, true, "No requerido por la entidad");
}

/**
 * Imprime la tabla de indicadores patrimonio $TMEP_INDICEPATRIMONIO PARA PLIEGOS
 * */
function imprimirTablaIndicePatrimonio($tmepIndicePatrimonio) {
    echo '<table class="table">';
    echo "<tr><th>Índice</th><th>Indicador Solicitado</th><th>Observaciones</th></tr>";
    echo "<tbody>";
    foreach ($tmepIndicePatrimonio as $indice) {
        if ($indice['TIPO_INDICE'] == 'Otro Índice Resuelto por la Entidad' || $indice['TIPO_INDICE'] == 'Índice de Solvencia' || $indice['TIPO_INDICE'] == 'Índice de Endeudamiento') {
            echo "<tr>";
            echo "<td>";
            echo $indice['TIPO_INDICE'];
            echo "</td>";
            echo "<td>";
            if ($indice['TIPO_INDICE'] == 'O') {
                echo $indice['INDICADOR'];
            } else {
                if ($indice['VALOR']) {
                    echo number_format($indice['VALOR'], 2, ",", ".");
                }
            }
            echo "</td>";
            echo "<td>";
            echo $indice['MEDIO'];
            echo "</td>";
            echo "</tr>";
        }
    }
    echo "</tbody>";
    echo "</table>";
}

/**
 * Imprime la tabla de indicadores patrimonio $TMEP_INDICEPATRIMONIO PARA OFERTAS
 * */
function imprimirTablaIndicePatrimonioOferta($tmepIndicePatrimonio, $archivos = array(), $requerimiento = null) {
    echo '<table class="table">';
    if ($requerimiento["TIPO_PLIEGO"] == "PLI.LICOBR") {
        echo "<tr><th>Índice</th><th>Indicador Solicitado</th><th>Indicador declarado por el oferente</th><th>Archivo</th></tr>";
    } else {
        echo "<tr><th>Índice</th><th>Indicador Solicitado</th><th>Indicador declarado por el proveedor</th><th>Archivo</th></tr>";
    }
    echo "<tbody>";
    foreach ($tmepIndicePatrimonio as $indice) {
        if ($indice['TIPO_INDICE'] == 'Otro Índice Resuelto por la Entidad' || $indice['TIPO_INDICE'] == 'Índice de Solvencia' || $indice['TIPO_INDICE'] == 'Índice de Endeudamiento') {
            echo "<tr>";
            echo "<td>";
            echo $indice['TIPO_INDICE'];
            echo "</td>";
            echo "<td>";
            if ($indice['TIPO_INDICE'] == 'O') {
                echo $indice['INDICADOR'];
            } else {
                echo imprimir_decimal($indice['VALOR'], 2, ",", ".");
            }
            echo "</td>";
            echo "<td>";
            echo imprimir_decimal($indice['INDICE_DECLARADO'], 2, ",", ".");
            echo "</td>";
            echo "<td>";
            imprimirArchivo($indice['ARCHIVOS'], $archivos);
            echo "</td>";
            echo "</tr>";
        }
    }
    echo "</tbody>";
    echo "</table>";
}

function imprimirTablaPatrimonioRequeridoOferta($tmepIndicePatrimonio, $archivos = array()) {
    echo '<table class="table">';
    echo "<tr><th>Patrimonio Requerido</th><th>Patrimonio Oferente</th><th>Archivo</th></tr>";
    echo "<tbody>";
    foreach ($tmepIndicePatrimonio as $indice) {
        echo "<tr>";
        echo "<td>";
        imprimir_decimal($indice['PATRI_PLIEGO'], 5, ",", ".");
        echo "</td>";
        echo "<td>";
        echo imprimir_decimal($indice['PATRIMONIO'], 5, ",", ".");
        echo "</td>";
        echo "<td>";
        imprimirArchivo($indice['ARCHIVOS'], $archivos);
        echo "</td>";
        echo "</tr>";
    }
    echo "</tbody>";
    echo "</table>";
}

/**
 * Imprime el tipo de plazo de ejecucion en caso de que el usuario haya seleccionado DESDE OTRA CONDICIÓN DE ACUERDO A LA NATURALEZA DEL CONTRATO
 * $tmepRequerimientos: datos de requerimientos
 */
function imprimirTipoPlazoEjecucion($tmepRequerimientos) {
    if ($tmepRequerimientos["TIPO_PLAZ_EJEC"] == '3' && $tmepRequerimientos['OTRO_TIPO_PLAZ_EJEC'] != null && $tmepRequerimientos['OTRO_TIPO_PLAZ_EJEC'] != '') {
        echo "<strong>Otra condición: </strong>" . $tmepRequerimientos['OTRO_TIPO_PLAZ_EJEC'];
    }
}

function imprimirCronogramaDelValorAgregado($valoAgre, $valoAgreCro, $totales, $max, $tipo = "") {
    $tablaRespuesa = '<table class="table"><thead>
	<tr class="active"><th rowspan="2" style="text-align:center;" nowrap="">No</th>                
                                <th colspan="' . $max . '" style="text-align:center;" nowrap="">Tiempo en (' . strtolower(consulta_catalogo($tipo, "tipo_fecha_cronograma_90")) . ')</th></tr><tr class="active">';
    for ($i = 1; $i <= $max; $i++) {
        $tablaRespuesa .= '<th style="text-align:center;" nowrap="">' . $i . '</th>';
    }
    $tablaRespuesa .= '</tr>
                        </thead>
                        <tbody>';
    $contador = 0;
    foreach ($valoAgre as $cabecera) {
        $contador++;
        $tablaRespuesa .= '<tr>
	<td >' . $contador . '</td>';
        foreach ($valoAgreCro as $detalle) {
            if ($detalle['FORMOFER_VALOAGRE_ID'] == $cabecera['ID']) {
                if (isset($detalle['VALOR'])) {
                    $valorVer = ("\$" . number_format((float) $detalle['VALOR'], 5, ",", "."));
                } else {
                    $valorVer = ("\$" . number_format(0, 5, ",", "."));
                }
                if (isset($detalle['PORCENTAJE'])) {
                    $porcentaVer = (number_format((float) $detalle['PORCENTAJE'], 2, ",", ".") . "%");
                } else {
                    $porcentaVer = (number_format(0, 2, ",", ".") . "%");
                }
                $tablaRespuesa .= '<td style="text-align: right;">' . $valorVer . '<br/>' . $porcentaVer . '</td>';
            }
        }
        $tablaRespuesa .= '</tr>';
    }
    $colTotales = array(
        'I.P' => 'INVERSION_PARCIAL',
        'A.P' => 'AVANCE_PARCIAL',
        'I.A' => 'INVERSION_ACUMULADA',
        'A.A' => 'AVANCE_ACUMULADO');
    foreach ($colTotales as $titulo => $columna) {
        $tablaRespuesa .= '<tr><th colspan="1" class="active">' . $titulo . '<br/></th>';
        for ($i = 1; $i <= $max; $i++) {
            foreach ($totales as $total) {
                if ($total['ORDEN'] == $i) {
                    $valor = $total[$columna];
                    if ($columna == 'INVERSION_PARCIAL' || $columna == 'INVERSION_ACUMULADA') {
                        if ($valor) {
                            $valorVer = '<strong>' . ("\$" . number_format($valor, 5, ",", ".")) . '</strong>';
                        } else {
                            $valorVer = '<strong>' . ("\$" . number_format(0, 5, ",", ".")) . '</strong>';
                        }
                    } else {
                        if ($valor) {
                            $valorVer = '<strong>' . (number_format($valor, 2, ",", ".") . "%") . '</strong>';
                        } else {
                            $valorVer = '<strong>' . (number_format(0, 2, ",", ".") . "%") . '</strong>';
                        }
                    }
                    $tablaRespuesa .= '<td style="text-align: right;" >' . $valorVer . '</td>';
                }
            }
        }
        $tablaRespuesa .= '</tr>';
    }
    $tablaRespuesa .= '</tbody>  
                    </table>';
    echo $tablaRespuesa;
}

function imprimirNombre($campo, $tipo = "sin datos", $strong = true) {
    $low = "áéíóú";
    $up = "ÁÉÍÓÚ";
    $campo_final = "";
    for ($i = 0; $i < strlen($campo); $i++) {
        if ($i == 0) {
            $cambiado = false;
            if ($pos = strpos($low, substr($campo, $i, 1))) {
                $campo_final .= substr($up, $pos, 1);
                $cambiado = true;
            }
            if (!$cambiado) {
                $campo_final .= strtoupper(substr($campo, $i, 1));
            }
        } else {
            $cambiado = false;
            if ($pos = strpos($low, substr($campo, $i, 1))) {
                $campo_final .= substr($low, $pos, 1);
                $cambiado = true;
            }
            if (!$cambiado) {
                $campo_final .= strtolower(substr($campo, $i, 1));
            }
        }
    }
    imprimir($campo_final, $tipo, $strong);
}

function imprimir_tabla_ofertaEconomica($tabla) {
    $costosG = false;
    $costosU = false;
    ?>
    <table width="100%" class="table" cellpadding="5">
        <thead>
            <tr>
                <th width="70%">
                    Descripción
                </th>
                <th width="30%">
                    Valor en Dólares ($)
                </th>
            </tr>
            <tr>
                <th colspan="2" align="center">
                    COSTOS DIRECTOS
                </th>
            </tr>
        </thead>
        <tbody>
            <?php $suma = 0; ?>
            <?php foreach ($tabla as $item): ?>
                <?php if ($item["TIPO_OFERTAECONOMICA"] == "D"): ?>
                    <tr>
                        <td width="70%">
                            <?php echo $item["NOMBRE"]; ?>
                        </td>
                        <td align="right" width="30%">
                            <?php echo $item["VALOR"] ? ("\$" . number_format($item["VALOR"], 5, ",", ".")) : ""; ?>
                        </td>
                    </tr>
                    <?php $suma += $item["VALOR"]; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        </tbody>
    </table>
    <table width="100%" class="table" cellpadding="5">
        <thead>
            <tr>
                <th colspan="2" align="center">
                    COSTOS INDIRECTOS
                </th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($tabla as $item): ?>
                <?php if ($item["TIPO_OFERTAECONOMICA"] == "I"): ?>
                    <tr>
                        <td width="70%">
                            <?php echo $item["NOMBRE"]; ?>
                        </td>
                        <td align="right" width="30%">
                            <?php echo $item["VALOR"] ? ("\$" . number_format($item["VALOR"], 5, ",", ".")) : ""; ?>
                        </td>
                    </tr>
                    <?php $suma += $item["VALOR"]; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        </tbody>
    </table>
    <?php
    foreach ($tabla as $item):
        if ($item["TIPO_OFERTAECONOMICA"] == "G"):
            $costosG = true;
        endif;
        if ($item["TIPO_OFERTAECONOMICA"] == "U"):
            $costosU = true;
        endif;
    endforeach;
    if ($costosG == true):
        ?>
        <table width="100%" class="table" cellpadding="5">
            <thead>
                <tr>
                    <th colspan="2" align="center">
                        GASTOS GENERALES (No aplicable para consultores individuales)
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($tabla as $item): ?>
                    <?php if ($item["TIPO_OFERTAECONOMICA"] == "G"): ?>
                        <tr>
                            <td width="70%">
                                <?php echo $item["NOMBRE"]; ?>
                            </td>
                            <td align="right" width="30%">
                                <?php echo $item["VALOR"] ? ("\$" . number_format($item["VALOR"], 5, ",", ".")) : ""; ?>
                            </td>
                        </tr>
                        <?php $suma += $item["VALOR"]; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php endif; ?>
    <?php if ($costosU == true): ?>
        <table width="100%" class="table" cellpadding="5">
            <thead>
                <tr>
                    <th colspan="2" align="center">
                        UTILIDAD EMPRESARIAL (Solo aplicable para firmas consultoras)
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($tabla as $item): ?>
                    <?php if ($item["TIPO_OFERTAECONOMICA"] == "U"): ?>
                        <tr>
                            <td width="70%">
                                <?php echo $item["NOMBRE"]; ?>
                            </td>
                            <td align="right" width="30%">
                                <?php echo $item["VALOR"] ? ("\$" . number_format($item["VALOR"], 5, ",", ".")) : ""; ?>
                            </td>
                        </tr>
                        <?php $suma += $item["VALOR"]; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php endif; ?>
    <table width="100%" class="table" cellpadding="5">
        <thead>
            <tr>
                <th width="70%">
                    Total (<?php $suma ? imprimir_numerosALetras($suma) : ""; ?>)
                </th>
                <th align="right" width="30%">
                    <?php echo $suma ? ("\$" . number_format($suma, 5, ",", ".")) : ""; ?>
                </th>
            </tr>
        </thead>
    </table>
    <?php
}

function imprimir_tabla_PersonalTecnico($tablapt, $tablaep = null, $requerimiento = null) {
    if ($requerimiento["TIPO_PLIEGO"] == "PLI.LICOBR") {
        ?>
        <table width="100%" class="table" cellpadding="5">
            <thead>
                <tr align="center">
                    <th width="6%">
                        No
                    </th>
                    <th width="14%">
                        Nombre
                    </th>
                    <th width="9%">
                        Nacionalidad
                    </th>
                    <th width="10%">
                        Título
                    </th>
                    <th width="10%">
                        Fecha Grado
                    </th>
                    <th width="9%">
                        Cargo a ocupar
                    </th>
                    <th width="11%">
                        Participación
                    </th>
                    <th width="16%">
                        Experiencia en obras similares
                    </th>
                    <th width="16%">
                        Observaciones
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php
                $numero = 0;
                $expesiencia_obras = '';
                foreach ($tablaep as $itemep) {
                    $expesiencia_obras = $itemep["PROYECTO_EP"];
                }
                foreach ($tablapt as $item):
                    $numero++;
                    ?>
                    <tr>
                        <td width="6%">
                            <?php echo $numero; ?>
                        </td>
                        <td width="14%">
                            <?php echo $item["NOMBRES_CP"]; ?>
                        </td>
                        <td width="9%">
                            <?php echo $item["NACIONALIDAD_CP"]; ?>
                        </td>
                        <td align="right" width="10%">
                            <?php echo $item["TITULO_PROFESIONA_CP"]; ?>
                        </td>
                        <td align="center" width="10%">
                            <?php echo $item["FECHA_GRADUACION_CP"]; ?>
                        </td>
                        <td align="right" width="9%">
                            <?php echo $item["CARGO_CONS_CP"]; ?>
                        </td>
                        <td align="center" width="11%">
                            <?php echo $item["TIEMPO_PARTI_CP"] . "&nbsp;" . (consulta_catalogo($item["TIEMPO_PARTI_CP_MEDIDA"], "tiempo_participacion_medida")); ?>
                        </td>
                        <td align="right" width="16%">
                            <?php echo $expesiencia_obras; ?>
                        </td>
                        <td align="right" width="16%">
                            <?php echo $item["OBSERVACIONES_CP"]; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        <?php
    } else {
        ?>
        <table width="100%" class="table" cellpadding="5">
            <thead>
                <tr>
                    <th width="6%">
                        No
                    </th>
                    <th width="20%">
                        Nombre completo
                    </th>
                    <th width="20%">
                        Títulación Académica
                    </th>
                    <th width="20%">
                        Nacionalidad
                    </th>
                    <th width="20%">
                        Función
                    </th>
                    <th width="14%">
                        Tiempo participación
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php $numero = 0; ?>
                <?php foreach ($tablapt as $item): ?>
                    <?php $numero++; ?>
                    <tr>
                        <td width="6%">
                            <?php echo $numero; ?>
                        </td>
                        <td width="20%">
                            <?php echo $item["NOMBRES_CP"]; ?>
                        </td>
                        <td width="20%">
                            <?php echo $item["TITULO_PROFESIONA_CP"]; ?>
                        </td>
                        <td align="right" width="20%">
                            <?php echo $item["NACIONALIDAD_CP"]; ?>
                        </td>
                        <td align="right" width="20%">
                            <?php echo $item["CARGO_CONS_CP"]; ?>
                        </td>
                        <td align="right" width="14%">
                            <?php echo $item["TIEMPO_PARTI_CP"] . "&nbsp;" . (consulta_catalogo($item["TIEMPO_PARTI_CP_MEDIDA"], "tiempo_participacion_medida")); ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        <?php
    }
}

function imprimir_tabla_Experiencia_Oferente($tablaeo, $archivos = array(), $requerimiento = null) {
    ?>
    <?php
    echo '<strong>' . "Tipo de Experiencia General:" . '</strong>';
    echo '<br/><br/>';
    if ($requerimiento["TIPO_PLIEGO"] == "PLI.LICOBR") {
        ?>
        <table width="100%" class="table" cellpadding="5">
            <thead>
                <tr>
                    <th width="5%">
                        No
                    </th>
                    <th align="center" width="19%">
                        Contratante
                    </th>
                    <th align="center" width="19%">
                        Objeto Contractual
                    </th>
                    <th align="center" width="13%">
                        Valor Contractual
                    </th>
                    <th align="center" width="13%">
                        Porcentaje Ejecutado (%)
                    </th>
                    <th align="center" width="11%">
                        Monto Ejecutado
                    </th>
                    <th align="center" width="12%">
                        Fecha Recepción
                    </th>
                    <th width="10%">
                        Archivos
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php $numero = 0; ?>
                <?php foreach ($tablaeo as $item): ?>
                    <?php if ($item['TIPO'] == 'GENERAL') { ?>
                        <?php $numero++; ?>
                        <tr>
                            <td align="right" width="5%">
                                <?php echo $numero; ?>
                            </td>
                            <td align="right" width="19%">
                                <?php echo $item["CONTRATANTE"]; ?>
                            </td>
                            <td align="left" width="19%">
                                <?php echo $item["OBJETO_CONTRATO"]; ?>
                            </td>
                            <td align="center" width="13%">
                                <?php
                                if (isset($item["VALOR_CONTRATO"])) {
                                    echo number_format($item["VALOR_CONTRATO"], 5, '.', ',');
                                } else {
                                    echo number_format(0, 5, '.', ',');
                                }
                                ?>
                            </td>
                            <td align="right" width="13%">
                                <?php echo $item["PORCENTAJE_EJECUTADO"]; ?>
                            </td>
                            <td align="right" width="11%">
                                <?php
                                if (isset($item["MONTO_EJECUTADO"])) {
                                    echo number_format($item["MONTO_EJECUTADO"], 5, '.', ',');
                                } else {
                                    echo number_format(0, 5, '.', ',');
                                }
                                ?>
                            </td>
                            <td align="right" width="12%">
                                <?php echo $item["FECHA_RECEPCION"]; ?>
                            </td>
                            <td align="right" width="10%">		
                                <?php imprimirArchivo($item['ARCHIVOS'], $archivos); ?> 		
                            </td> 
                        </tr>
                    <?php } ?>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php } else { ?>
        <table width="100%" class="table" cellpadding="5">
            <thead>
                <tr>
                    <th width="5%">
                        No
                    </th>
                    <th align="center" width="13%">
                        Contratante
                    </th>
                    <th align="center" width="13%">
                        Objeto Contractual
                    </th>
                    <th align="center" width="13%">
                        Valor Contractual
                    </th>
                    <th align="center" width="13%">
                        Porcentaje Ejecutado (%)
                    </th>
                    <th align="center" width="11%">
                        Monto Ejecutado
                    </th>
                    <th align="center" width="12%">
                        Tipo Recepción
                    </th>
                    <th align="center" width="12%">
                        Fecha Recepción
                    </th>
                    <th width="10%">
                        Archivos
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php $numero = 0; ?>
                <?php foreach ($tablaeo as $item): ?>
                    <?php if ($item['TIPO'] == 'GENERAL') { ?>
                        <?php $numero++; ?>
                        <tr>
                            <td align="right" width="5%">
                                <?php echo $numero; ?>
                            </td>
                            <td align="right" width="13%">
                                <?php echo $item["CONTRATANTE"]; ?>
                            </td>
                            <td align="left" width="13%">
                                <?php echo $item["OBJETO_CONTRATO"]; ?>
                            </td>
                            <td align="center" width="13%">
                                <?php
                                if (isset($item["VALOR_CONTRATO"])) {
                                    echo number_format($item["VALOR_CONTRATO"], 5, '.', ',');
                                } else {
                                    echo number_format(0, 5, '.', ',');
                                }
                                ?>
                            </td>
                            <td align="right" width="13%">
                                <?php echo $item["PORCENTAJE_EJECUTADO"]; ?>
                            </td>
                            <td align="right" width="11%">
                                <?php
                                if (isset($item["MONTO_EJECUTADO"])) {
                                    echo number_format($item["MONTO_EJECUTADO"], 5, '.', ',');
                                } else {
                                    echo number_format(0, 5, '.', ',');
                                }
                                ?>
                            </td>
                            <td align="center" width="12%">
                                <?php
                                if ($item['TIPO_FECHA'] == 'DEFINITIVA') {
                                    echo "DEF";
                                }
                                if ($item['TIPO_FECHA'] == 'PROVISIONAL') {
                                    echo "PROV";
                                }
                                ?>
                            </td>
                            <td align="right" width="12%">
                                <?php echo $item["FECHA_RECEPCION"]; ?>
                            </td>
                            <td align="right" width="10%">		
                                <?php imprimirArchivo($item['ARCHIVOS'], $archivos); ?> 		
                            </td> 
                        </tr>
                    <?php } ?>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php } ?>
    <?php
    echo '<br/><br/>';
    echo '<strong>' . " Tipo de Experiencia Específica :" . '</strong>';
    echo '<br/><br/>';
    if ($requerimiento["TIPO_PLIEGO"] == "PLI.LICOBR") {
        ?>
        <table width="100%" class="table" cellpadding="5">
            <thead>
                <tr>
                    <th width="5%">
                        No
                    </th>
                    <th align="center" width="19%">
                        Contratante
                    </th>
                    <th align="center" width="19%">
                        Objeto Contractual
                    </th>
                    <th align="center" width="13%">
                        Valor Contractual
                    </th>
                    <th align="center" width="13%">
                        Porcentaje Ejecutado (%)
                    </th>
                    <th align="center" width="11%">
                        Monto Ejecutado
                    </th>
                    <th align="center" width="12%">
                        Fecha Recepción
                    </th>
                    <th width="10%">
                        Archivos
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php $cont = 0; ?>
                <?php foreach ($tablaeo as $item): ?>
                    <?php if ($item['TIPO'] == 'ESPECÍFICA') { ?>
                        <?php $cont++; ?>
                        <tr>
                            <td align="right" width="5%">
                                <?php echo $cont; ?>
                            </td>
                            <td align="right" width="19%">
                                <?php echo $item["CONTRATANTE"]; ?>
                            </td>
                            <td align="left" width="19%">
                                <?php echo $item["OBJETO_CONTRATO"]; ?>
                            </td>
                            <td align="center" width="13%">
                                <?php echo $item["VALOR_CONTRATO"]; ?>
                            </td>
                            <td align="right" width="13%">
                                <?php echo $item["PORCENTAJE_EJECUTADO"]; ?>
                            </td>
                            <td align="right" width="11%">
                                <?php echo $item["MONTO_EJECUTADO"]; ?>
                            </td>
                            <td align="right" width="12%">
                                <?php echo $item["FECHA_RECEPCION"]; ?>
                            </td>
                            <td align="right" width="10%">		
                                <?php imprimirArchivo($item['ARCHIVOS'], $archivos); ?> 		
                            </td> 
                        </tr>
                    <?php } ?>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php } else { ?>
        <table width="100%" class="table" cellpadding="5">
            <thead>
                <tr>
                    <th width="5%">
                        No
                    </th>
                    <th align="center" width="13%">
                        Contratante
                    </th>
                    <th align="center" width="13%">
                        Objeto Contractual
                    </th>
                    <th align="center" width="13%">
                        Valor Contractual
                    </th>
                    <th align="center" width="13%">
                        Porcentaje Ejecutado (%)
                    </th>
                    <th align="center" width="11%">
                        Monto Ejecutado
                    </th>

                    <th align="center" width="12%">
                        Tipo Recepción
                    </th>
                    <th align="center" width="12%">
                        Fecha Recepción
                    </th>
                    <th width="10%">
                        Archivos
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php $cont = 0; ?>
                <?php foreach ($tablaeo as $item): ?>
                    <?php if ($item['TIPO'] == 'ESPECÍFICA') { ?>
                        <?php $cont++; ?>
                        <tr>
                            <td align="right" width="5%">
                                <?php echo $cont; ?>
                            </td>
                            <td align="right" width="13%">
                                <?php echo $item["CONTRATANTE"]; ?>
                            </td>
                            <td align="left" width="13%">
                                <?php echo $item["OBJETO_CONTRATO"]; ?>
                            </td>
                            <td align="center" width="13%">
                                <?php echo $item["VALOR_CONTRATO"]; ?>
                            </td>
                            <td align="right" width="13%">
                                <?php echo $item["PORCENTAJE_EJECUTADO"]; ?>
                            </td>
                            <td align="right" width="11%">
                                <?php echo $item["MONTO_EJECUTADO"]; ?>
                            </td>
                            <td align="center" width="12%">
                                <?php
                                if ($item['TIPO_FECHA'] == 'DEFINITIVA') {
                                    echo "DEF";
                                }
                                if ($item['TIPO_FECHA'] == 'PROVISIONAL') {
                                    echo "PROV";
                                }
                                ?>
                            </td>
                            <td align="right" width="12%">
                                <?php echo $item["FECHA_RECEPCION"]; ?>
                            </td>
                            <td align="right" width="10%">		
                                <?php imprimirArchivo($item['ARCHIVOS'], $archivos); ?> 		
                            </td> 
                        </tr>
                    <?php } ?>
                <?php endforeach; ?>
            </tbody>
        </table>
        <?php
    }
}
?>
<?php

//imprimir la función de consultores
function imprimirTipoConsultoria($pliego) {
    switch ($pliego["TIPO_CONSULTORIA_COD"]) {
        case "CON.IND":
            imprimir("CONSULTORES INDIVIDUALES");
            break;
        case "FIR.CON":
            imprimir("FIRMAS CONSULTORAS");
            break;
        case "ORG.FAC.CON":
            imprimir("ORGANISMOS FACULTADOS PARA EJERCER LA CONSULTORIA");
            break;
        default:
            imprimir("");
            break;
    }
}

function imprimirArchivo($campo_archivos, $archivos, $mensaje = "sin archivos", $strong = true) {
    if ($campo_archivos) {
        $archivosSelectos = json_decode($campo_archivos);
        if (is_object($archivosSelectos)) {
            $archivosSelectos = get_object_vars($archivosSelectos);
        }
        $contador = 0;
        foreach ($archivosSelectos as $id_archivo) {
            foreach ($archivos as $archivito) {
                if ($archivito["ID"] == $id_archivo) {
                    imprimir($archivito["DESCRIPCION"], $mensaje, $strong);
                    echo ", ";
                        $contador++;
                    }
                }
            }
        if ($contador == 0) {
            imprimir_norequerido(null, true, "sin archivos");
        }
    } else {
        imprimir_norequerido(null, true, "sin archivos");
    }
}
?>
