<div align="justify">
    <p align="center"><strong>SECCIÓN IV</strong></p>
    <p align="center"><strong>VERIFICACIÓN Y EVALUACIÓN DE LAS OFERTAS TÉCNICAS</strong></p>
    <p><strong>4.1 Verificación de las ofertas:</strong></p>
    <p><strong>4.1.1</strong> <strong>Integridad de las ofertas: </strong>La integridad de la oferta consiste en la verificación de la presentación de los formularios y requisitos mínimos previstos en el pliego.</p>
    <p>Luego de esta verificación la entidad contratante determinará si ejecutará la etapa de convalidación de errores.</p>
    <strong>I  Formulario de la Oferta</strong>
    <blockquote>1.1 Presentación y compromiso;<br/>
        1.2 Datos generales del oferente;<br/>
        1.3 Nómina de accionistas, partícipes o socios mayoritarios de personas jurídicas y declaración de beneficiario final;<br/>
        1.4 Situación financiera del oferente;<br/>
        1.5 Tabla de cantidades y precios;<br/>
        1.6 Componente de los bienes y/o servicios ofertados;<br/>
        1.7 Personal técnico propuesto para el proyecto. (En caso que la entidad contratante requiera para la prestación del servicio);<br />
        1.8 Equipo mínimo requerido (En caso que la entidad contratante requiera para la prestación del servicio);<br />
        1.9 Declaración de Valor Agregado Ecuatoriano de la oferta;<br/>
        1.10 Cálculo del porcentaje de Valor Agregado Ecuatoriano de la oferta;<br/>
        1.11 Otros parámetros de calificación propuestos por la entidad contratante;
    </blockquote>
    <p><strong>II. Formulario de compromiso de asociación o consorcio </strong><em>(de ser procedente)</em></p>
    <?php
    if ($TMEP_REQUERIMIENTOS["TIPO_PLIEGO"] == "PLI.SUBINV" && strlen($TMEP_REQUISITOS_MINIMOS["OBSERVACION_INTEGRIDAD_OFERTA"]) > 0) {
        ?> 
        <p align="justify">
            Observación:
            <br/><br/>
            <strong><?php imprimir_norequerido($TMEP_REQUISITOS_MINIMOS['OBSERVACION_INTEGRIDAD_OFERTA']); ?> </strong></p>
        <?php
    }
    ?> 
    <p><strong>4.1.2 Equipo mínimo:</strong></p>
    <br/>
        <?php
        if (sizeof($TMEP_EQUIPOMINIMO) > 0) {
            $tabla = new tablas($TMEP_EQUIPOMINIMO);
            $tabla->agregarColumna("No.", null, "++", "10%")
                    ->agregarColumna("Descripción", "DESCRIPCION")
                    ->agregarColumna("Cantidad", "CANTIDAD")
                    ->agregarColumna("Caracteristicas", "CARACTERISTICAS")
                    ->imprimir();
        } else {
            imprimir_norequerido(null, true, "No requerido por la entidad");
        }
        ?>
    <p><strong>4.1.3 Personal técnico mínimo:</strong></p>
    <br/>
    <?php
    if (sizeof($TMEP_PERSONALTECNICO) > 0) {
        $tabla = new tablas($TMEP_PERSONALTECNICO);
        $tabla->agregarColumna("No.", null, "++", "10%")
                ->agregarColumna("Función", "CARGO", null, "30%")
                ->agregarColumna("Nivel de Estudio", "NIVEL_ESTUDIO", null, "20%")
                ->agregarColumna("Titulación Académica", "DESCRIPCION", null, "20%")
                ->agregarColumna("Cantidad", "CANTIDAD", null, "20%")
                ->imprimir();
    } else {
        imprimir_norequerido(null, true, "No requerido por la entidad");
    }
    ?>
    <p><strong>4.1.4 Experiencia mínima del personal técnico:</strong></p>
    <br/>
        <?php $resp = imprimirPersonalTecnicoYExperiencia($TMEP_PERSONALTECNICO, $TMEP_EXPEPERSTECN); ?>
    <p><strong>4.1.5 Especificaciones técnicas o términos de referencia:</strong></p>
    <p>La entidad contratante deberá verificar el cumplimiento de las especificaciones técnicas o términos de referencia de los bienes y/o servicios que se pretende adquirir o contratar, de conformidad con lo detallado en el pliego.</p>
    <p><strong>4.1.6 Porcentaje de Valor Agregado Ecuatoriano mínimo de la oferta</strong></p>
    <p>Se deberá aplicar obligatoriamente la metodología definida por el Servicio Nacional de Contratación Pública para la determinación de Valor Agregado Ecuatoriano en la adquisición de bienes y/o prestación de servicios, según corresponda, que será considerado como uno de los criterios para la adjudicación.</p>
    <p>Para que una oferta sea considerada ecuatoriana el Valor Agregado Ecuatoriano de la misma deberá ser igual o superior al umbral del Valor Agregado Ecuatoriano del procedimiento de contratación pública, publicado por la entidad contratante conforme lo establecido por el Sistema Oficial de Contratación del Estado -SOCE.</p>
    <p>Únicamente en el caso de que la oferta presentada no acredite Valor Agregado Ecuatoriano, se considerará las ofertas de origen extranjero que se hayan presentado.</p>
    <?php if ($TMEP_REQUERIMIENTOS["FECHA"] >= "2015-08-13") { ?>
        <table border="1">
            <tr>
                <td align="center"><strong>Umbrales de VAE del Procedimiento</strong>
                </td>
            </tr>
            <tr>
                <td width="50%" align="center"><strong>Descripción</strong></td>
                <td width="50%" align="center"><strong>Umbral VAE</strong></td>
            </tr>
            <?php
            $i = 1;
            $vae_procedimiento = 0;
            $cpc = '';
            if ($TMEP_REQUERIMIENTOS["TIPO_COMPRA"] == 'BIE') {
                if (count($LOTE) == 1) {
                    foreach ($LOTE as $dato) {
                        if (strlen($dato['CPC5']) == 4) {
                            $cpc = "0" . $dato['CPC5'];
                        } else {
                            $cpc = $dato['CPC5'];
                        }
                        ?>
                        <tr>
                            <td width="50%">Lote <?php echo $i . " " . $cpc . " " . $dato['DESCRIPCION_LOTE']; ?></td>
                            <td width="25%" align="center"></td>
                            <td width="25%" align="center"><?php
                                if (trim($UMBRAL4) != '') {
                                    echo number_format($UMBRAL4, 2, ",", ".");
                                } else {
                                    echo number_format(0, 2, ",", ".");
                                }
                                ?>%</td>
                        </tr>
                        <?php
                        foreach ($UMBRAL2 as $dato2) {
                            if ($dato['ID_PARTIDA'] == $dato2['ID_PARTIDA']) {
                                ?>
                                <tr>
                                    <td width="2%"></td>
                                    <td width="48%"><?php echo $dato2['CPC_NIVEL9'] . " " . $dato2['DESCRIPCION']; ?></td>
                                    <td width="25%" align="center"><?php
                                        if (trim($dato2['AGREGADO_EC_RUBRO']) != '') {
                                            echo number_format($dato2['AGREGADO_EC_RUBRO'], 2, ",", ".");
                                        } else {
                                            echo number_format(0, 2, ",", ".");
                                        }
                                        ?>%</td>
                                    <td width="25%" align="center"></td>
                                </tr>
                                <?php
                            }
                        }
                        $i++;
                    }
                } elseif (count($LOTE) > 1) {
                    foreach ($LOTE as $dato) {
                        if (strlen($dato['CPC5']) == 4) {
                            $cpc = "0" . $dato['CPC5'];
                        } else {
                            $cpc = $dato['CPC5'];
                        }
                        ?>
                        <tr>
                            <td width="50%">Lote <?php echo $i . " " . $cpc . " " . $dato['DESCRIPCION_LOTE']; ?></td>
                            <td width="25%" align="center"></td>
                            <td width="25%" align="center"><?php
                                if (trim($dato['VAE_PONDERADO']) != '') {
                                    echo number_format($dato['VAE_PONDERADO'], 2, ",", ".");
                                } else {
                                    echo number_format(0, 2, ",", ".");
                                }
                                ?>%</td>
                        </tr>
                        <?php
                        foreach ($UMBRAL2 as $dato2) {
                            if ($dato['ID_PARTIDA'] == $dato2['ID_PARTIDA']) {
                                ?>
                                <tr>
                                    <td width="2%"></td>
                                    <td width="48%"><?php echo $dato2['CPC_NIVEL9'] . " " . $dato2['DESCRIPCION']; ?></td>
                                    <td width="25%" align="center"><?php
                                        if (trim($dato2['AGREGADO_EC_RUBRO']) != '') {
                                            echo number_format($dato2['AGREGADO_EC_RUBRO'], 2, ",", ".");
                                        } else {
                                            echo number_format(0, 2, ",", ".");
                                        }
                                        ?>%</td>
                                    <td width="25%" align="center"></td>
                                </tr>
                                <?php
                            }
                        }
                        $i++;
                    }
                }
            } else {
                foreach ($UMBRAL3 as $dato3) {
                    if (strlen($dato3['CPC5']) == 4) {
                        $cpc = "0" . $dato3['CPC5'];
                    } else {
                        $cpc = $dato3['CPC5'];
                    }
                    ?>
                    <tr>
                        <td width="50%">Lote <?php echo $i . " " . $cpc . " " . $dato3['DESCRIPCION_LOTE']; ?></td>
                        <td width="25%" align="center"></td>
                        <td width="25%" align="center"><?php echo number_format($UMBRAL5['UMBRAL'], 2, ",", "."); ?>%</td>
                    </tr>   
                    <?php
                }
            }
            if (count($LOTE) > 1) {
                ?>
                <tr>
                    <td width="50%" align="center">VAE del Procedimiento
                    </td>
                    <td width="50%" align="center"><?php echo number_format($UMBRAL4, 2, ",", "."); ?>%
                    </td>
                </tr>
            <?php }
            ?>
        </table>
        <br/>
    <?php } ?>
    <p>
        <strong>Otro(s) parámetro(s) resuelto por la entidad contratante:</strong>
        <br />
        <?php
        if (sizeof($TMEP_OTROSPARAMETROS) > 0) {
            $tabla = new tablas($TMEP_OTROSPARAMETROS);
            $tabla->agregarColumna("No.", null, "++", "10%")
                    ->agregarColumna("Parámetro", "NOMBRE", null, "50%")
                    ->agregarColumna("Dimesión", "MEDIO", null, "40%")
                    ->imprimir();
        } else {
            imprimir_norequerido(null, true, "No requerido por la entidad");
        }
        ?>
    </p>
    <p><strong>4.1.7 Verificación de cumplimiento de integridad y requisitos mínimos de la oferta:</strong></p>
        <?php
    if (!$TMEP_REQUISITOS_MINIMOS['PATRIMONIO']) {
        foreach ($TMEP_PLIE_PARAM as $dato => $valor) {
            if ($valor['PARAMETRO'] == "Patrimonio (Personas Jurídicas)*") {
                unset($TMEP_PLIE_PARAM[$dato]);
            }
        }
    }
    ?>
    <?php imprimirTablaParametrosYOtrosParametros($TMEP_PLIE_PARAM, $TMEP_OTROSPARAMETROS, $TMEP_EQUIPOMINIMO, $TMEP_PERSONALTECNICO, $TMEP_EXPERIENCIA, $resp, $TMEP_METCRONEJEC, $TMEP_REQUERIMIENTOS) ?>
    <p><strong>4.1.8 Información Financiera de Referencia:</strong></p>
    <p><strong>Análisis de los Índices Financieros: </strong>Las entidades contratantes especificarán y determinarán cuál(es) es (son) el(los) índice(s) financiero(s) y, cuál es el valor mínimo/máximo aceptable respecto de éste (éstos).</p>
    <p>Los índices regularmente aceptados son: Índice de Solvencia (mayor o igual a 1,0); Índice de Endeudamiento (menor a 1,5), siendo estos índices y valores recomendados, pudiendo la entidad contratante modificarlos a su criterio; los factores para su cálculo estarán respaldados en la correspondiente declaración de impuesto a la renta del ejercicio fiscal correspondiente y/o los balances presentados al órgano de control respectivo.</p>
    <p>Los índices financieros constituirán información de referencia respecto de los participantes en el procedimiento y en tal medida, su análisis se registrará conforme el detalle a continuación:</p>
    <?php imprimirTablaIndicePatrimonio($TMEP_INDICEPATRIMONIO); ?>
    <p>*Los índices son referenciales; la entidad contratante podrá escoger los señalados o aquel (aquellos) que considere pertinente(s).</p>
</div>