<break/>
<p align="center"><strong>SECCIÓN IV</strong><br />
    <strong>EVALUACIÓN DE LAS OFERTAS</strong></p>
<div align="justify">
    <p><strong>4.1  Evaluación de la oferta: </strong>Para la verificación del cumplimiento de los requisitos mínimos se estará a la metodología  &ldquo;cumple o no cumple&rdquo;.</p>
    <p><strong>4.1.1 Integridad de la oferta: </strong>La integridad de las ofertas se evaluará considerando la presentación de los Formularios de la oferta y requisitos mínimos previstos en el pliego.</p>
    <strong>I. Formulario de la Oferta:</strong>
    <blockquote>
        1.1  Presentación y compromiso;<br />
        1.2  Datos generales del oferente;<br />
        1.3 Identificación de socios, accionistas, partícipes mayoritarios del oferente en caso de ser persona jurídica; <br />
        1.4  Situación financiera del oferente (Índices financieros y patrimonio); <br />
        **1.5  Oferta Económica (<em>Sobre No. 2 Concurso Público y Lista Corta</em>);<br />
        1.6 Plan de trabajo, metodología propuesta y conocimiento probado de las condiciones generales, locales y particulares del proyecto materia de la consultoría (Metodología y cronograma de ejecución); <br />
        1.7 Antecedentes y experiencia demostrables del personal que será asignado a la ejecución del contrato (Experiencia mínima del personal clave);<br />
        1.8 Capacidad técnica y administrativa disponible (Personal Técnico clave asignado al proyecto);<br />
        1.9 Disponibilidad de los recursos, instrumentos y equipos necesarios para la realización de la consultoría 
    </blockquote>
    <p>Cuando intervengan empresas nacionales en asocio con empresas extranjeras, se tomarán en consideración, adicionalmente, los procedimientos y metodologías que ofrezca la consultoría extranjera para hacer efectiva una adecuada transferencia de tecnología, así como la mayor y mejor utilización de la capacidad técnica de profesionales ecuatorianos.</p>
    <strong>II. Formulario de compromiso de participación del personal técnico y hoja de vida:</strong>
    <blockquote>
        2.1 Compromiso del Profesional asignado al proyecto <br />
        2.2 Hoja de Vida del personal técnico clave asignado al proyecto
    </blockquote>
    <strong>III. Formulario de compromiso de asociación o consorcio </strong><em>(de ser procedente)</em>
    <br /><br />
    <table border="1" width="100%" align="left">
        <tr align="justify"><td><p><strong>**Este formulario deberá ser presentado como Sobre No. 2 en Concurso Público y Lista Corta, debidamente cerrado.</strong></p>
            </td>
        </tr>
    </table>
    <p>
        <strong>Observación:</strong><br/><br/>
        <?php imprimir($TMEP_REQUISITOS_MINIMOS['OBSERVACION_INTEGRIDAD_OFERTA'], "No ha ingresado la Integridad de la Oferta"); ?>
    </p>
    <p><strong>&nbsp;</strong><strong>4.1.2 Personal técnico clave:</strong></p>
    <br/>
    <?php
    if (sizeof($TMEP_PERSONALTECNICO) > 0) {
        $tabla = new tablas($TMEP_PERSONALTECNICO);
        $tabla->agregarColumna("No.", null, "++", "10%")
                ->agregarColumna("Cargo", "CARGO", null, "30%")
                ->agregarColumna("Nivel de estudio", "NIVEL_ESTUDIO", null, "20%")
                ->agregarColumna("Descripción", "DESCRIPCION", null, "20%")
                ->agregarColumna("Cantidad", "CANTIDAD", null, "20%")
                ->imprimir();
    } else {
        imprimir(null, "No ha ingresado el Personal Técnico clave");
        $TMEP_PERSONALTECNICO = array(1);
    }
    ?>
    <div align="justify">
        <p><strong>&nbsp;</strong><strong>4.1.3 Experiencia general y específica mínima:</strong></p>
        <p>
            <?php
            if (sizeof($TMEP_EXPERIENCIA) > 0) {
                $tabla = new tablas($TMEP_EXPERIENCIA);
                $tabla->agregarColumna("No.", null, "++", "5%", null, "style=text-align:center;")
                        ->agregarColumna("Descripción", "DESCRIPCION", null, "15%")
                        ->agregarColumna("Tipo", "TIPO", "tipo_experiencia", "10%")
                        ->agregarColumna("Temporalidad", "TEMPORALIDAD", null, "10%")
                        ->agregarColumna("Numero Proyectos", "NUMERO_PROYECTOS", null, "10%")
                        ->agregarColumna("Monto Minimo", "VALOR_MONTO_MINIMO", "decimal5", "20%")
                        ->agregarColumna("Contratos Permitidos", "CONTRATOS_PERMITIDOS", null, "10%")
                        ->agregarColumna("Monto Minimo Por Contrato", "MONTO_MINIMO_POR_CONTRATO", "decimal5", "20%")
                        ->imprimir();
            } else {
                imprimir(null, "No ha ingresado la Experiencia General y Específica Mínima");
            }
            ?>
        </p>
        <p><strong>4.1.4 Experiencia mínima del personal técnico:</strong></p>
        <?php
        $resp = 0;
        if ($TMEP_PERSONALTECNICO && $TMEP_EXPEPERSTECN) {
            $resp = imprimirPersonalTecnicoYExperiencia($TMEP_PERSONALTECNICO, $TMEP_EXPEPERSTECN);
        } else {
            imprimir(null, "No ha ingresado la Experiencia Mínima del Personal Técnico Clave");
        }
        ?>
        <p><strong>4.1.5 Patrimonio </strong>(Aplicable para personas jurídicas)<strong>: </strong></p>
        <p><?php
            if ($TMEP_REQUISITOS_MINIMOS['PATRIMONIO'] && $_SESSION['_sf2_attributes']["PRESENTA_PATRIMONIO"] == 'SI' && $TMEP_REQUERIMIENTOS["TIPO_COMPRA"] != "CON") {
                imprimir_norequerido(number_format($TMEP_REQUISITOS_MINIMOS['PATRIMONIO'], 5, ",", "."));
                echo " dólares de Estados Unidos de América.";
            } else {
                imprimir("Patrimonio no requerido de acuerdo al tipo de compra.");
            }
            ?>
        </p>        
        <p><strong>&nbsp;</strong><strong>4.1.6 Metodología y cronograma de ejecución:</strong></p>
        <?php
        if (sizeof($TMEP_METCRONEJEC) > 0) {
            $tabla = new tablas($TMEP_METCRONEJEC);
            $tabla->agregarColumna("No.", null, "++", "10%")
                    ->agregarColumna("Descripción", "DESCRIPCION")
                    ->imprimir();
        } else {
            imprimir(null, "No ha ingresado la Metodología y Cronograma de Ejecución del proyecto");
        }
        ?>
        <?php if ($TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.LCCD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CPCDD") {
            ?>
            <p><strong>4.1.6 Equipo e instrumentos disponibles </strong>:</p>
        <?php } else { ?>
            <p><strong>4.1.7 Equipo e instrumentos disponibles </strong>:</p>
        <?php } ?>
        <p> <?php
            if (sizeof($TMEP_EQUIPOMINIMO) > 0) {
                $tabla = new tablas($TMEP_EQUIPOMINIMO);
                $tabla->agregarColumna("No.", null, "++", "10%")
                        ->agregarColumna("Descripción", "DESCRIPCION")
                        ->agregarColumna("Cantidad", "CANTIDAD")
                        ->agregarColumna("Caracteristicas", "CARACTERISTICAS")
                        ->imprimir();
            } else {
                imprimir(null, "No ha ingresado el Equipo e Instrumentos Disponibles");
            }
            ?></p>
        <?php
        if (sizeof($TMEP_OTROSPARAMETROS) > 0) {
            if ($TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.LCCD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CPCDD") {
                ?>
                <strong>4.1.7 Otro(s) parámetro(s) resuelto por la entidad contratante:</strong>
            <?php } else { ?>
                <strong>4.1.8 Otro(s) parámetro(s) resuelto por la entidad contratante:</strong>
            <?php } ?>
            <p><?php
                if (sizeof($TMEP_OTROSPARAMETROS) > 0) {
                    $tabla = new tablas($TMEP_OTROSPARAMETROS);
                    $tabla->agregarColumna("No.", null, "++", "10%")
                            ->agregarColumna("Parámetro", "NOMBRE")
                            ->agregarColumna("Dimensión", "MEDIO")
                            ->imprimir();
                } else {
                    imprimir_norequerido(null, true, "No requerido por la entidad");
                }
                ?></p>
            <?php if ($TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.LCCD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CPCDD") {
                ?>
                <p><strong>4.1.8 Verificación de cumplimiento de integridad y requisitos mínimos de la oferta:</strong></p>
            <?php } else { ?>
                <p><strong>4.1.9 Verificación de cumplimiento de integridad y requisitos mínimos de la oferta:</strong></p>
                <?php
            }
        } else {
            if ($TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.LCCD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CPCDD") {
                ?>
                <p><strong>4.1.7 Verificación de cumplimiento de integridad y requisitos mínimos de la oferta:</strong></p>
            <?php } else { ?>
                <p><strong>4.1.8 Verificación de cumplimiento de integridad y requisitos mínimos de la oferta:</strong></p>
                <?php
            }
        }
        if (!$TMEP_REQUISITOS_MINIMOS['PATRIMONIO']) {
            foreach ($TMEP_PLIE_PARAM as $dato => $valor) {
                if ($valor['PARAMETRO'] == "Patrimonio (Personas Jurídicas)*") {
                    unset($TMEP_PLIE_PARAM[$dato]);
                }
            }
        }
        if ($TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.LCCD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CPCDD") {
            foreach ($TMEP_PLIE_PARAM as $dato => $valor) {
                if ($valor['PARAMETRO'] == "Patrimonio (Personas Jurídicas)*") {
                    unset($TMEP_PLIE_PARAM[$dato]);
                }
            }
        }
        ?>
        <?php imprimirTablaParametrosYOtrosParametros($TMEP_PLIE_PARAM, $TMEP_OTROSPARAMETROS, $TMEP_EQUIPOMINIMO, $TMEP_PERSONALTECNICO, $TMEP_EXPERIENCIA, $resp, $TMEP_METCRONEJEC, $TMEP_REQUERIMIENTOS) ?>
        <p>Aquellas ofertas que cumplan integralmente con los parámetros mínimos pasaran a la etapa de evaluación de ofertas con puntaje, caso contrario serán descalificados, exclusivamente para Concurso Publico y Lista Corta.</p>
        <?php if ($TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.LCCD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CPCDD") {
            ?>
            <p><strong>&nbsp;</strong><strong>4.1.8 Información Financiera de Referencia: </strong></p>
            <?php
        } else {
            if (sizeof($TMEP_OTROSPARAMETROS) > 0) {
                ?>
                <p><strong>&nbsp;</strong><strong>4.1.10 Información Financiera de Referencia: </strong></p>
                <?php
            } else {
                ?>
                <p><strong>&nbsp;</strong><strong>4.1.9 Información Financiera de Referencia: </strong></p>
                <?php
            }
        }
        ?>
        <p><strong>Análisis de los índices financieros</strong><strong>:</strong></p>
        <div align="justify">
            <p>Los índices financieros constituirán información de referencia respecto de los participantes en el procedimiento y en tal medida, su análisis se registrará conforme el detalle a continuación:</p>
            <div align="center"><?php imprimirTablaIndicePatrimonio($TMEP_INDICEPATRIMONIO); ?></div>
            <div align="justify">
                <p><strong>4.2. Evaluación por puntaje: </strong>Solo las ofertas que cumplan con los requisitos mínimos serán objeto de evaluación por puntaje.</p>
                <?php if ($TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CD") { ?>
                    <p>Este tipo de pliego no requiere el ingreso de puntaje de valoración, al tratarse de un procedimiento de Consultoría Contratación Directa la determinación de puntaje debe prever que el cumplimiento de todos los requisitos corresponde al mayor puntaje cien (100), y el incumplimiento de uno de los requisitos corresponde al menor puntaje cero (0).</p>
                <?php } ?>
                <table class="table" border="1" cellspacing="0" cellpadding="0" width="100%"><thead>
                        <tr>
                            <td bgcolor="#E4E4E4" align="center" width="" valign="top"><p align="center"><strong>Parámetro sugerido</strong></p></td>
                        </tr></thead>
                    <tr>
                        <td bgcolor="#E4E4E4">
                            <p align="center">Experiencia</p></td>
                    </tr>
                    <tr>
                        <td width="" bgcolor="#E4E4E4">
                            <p align="center">Experiencia del personal técnico</p></td>
                    </tr>
                    <tr>
                        <td width="" bgcolor="#E4E4E4">
                            <p align="center">Criterios generales</p></td>
                    </tr>
                </table>
                <?php
                if ($TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CP" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.LIC" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CPLCD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.CPCDD" || $TMEP_REQUERIMIENTOS["TIPO_CONTRATACION"] == "CON.LCCD") {
                    ?> 
                    <p>A continuación se describe la metodología establecida por la entidad contratante:<br/><br/>
                        <?php imprimirParametrosMetodologiaAnexo($TMEP_VALORACION_DET, $TMEP_ARCHIVOS_VALORACION); ?></p>
                    <p>
                        A continuación se describe la metodología establecida por la entidad contratante de "Otros parámetros(s) resueltos por la entidad*" :<br /><br />
                        <?php
                        $tabla = new tablas($TMEP_VALORACION_OTR);
                        $tabla->agregarColumna("No.", null, "++", "10%")
                                ->agregarColumna("Parámetro", "NOMBRE", null, "40%")
                                ->agregarColumna("Descripción de la Metodología de Evaluación", "DESCRIPCION", null, "50%")
                                ->imprimir();
                        ?>
                    </p>
                    <p>Para la valoración se observarán los siguientes parámetros:
                        <br/> <?php
                        $tabla = new tablas($TMEP_VALORACION_DET);
                        $tabla
                                ->agregarColumna("Parámetro", "NOMBRE", null, "60%")
                                ->agregarColumna("Valoración", "VALOR", null, "30%", null, 'text-align:right;')
                                ->agregarTotales("Total: ", null, null, 0, null, "text-align:right;")
                                ->agregarTotales($TMEP_VALORACION['TOTAL'], null, null, 0, null, "text-align:right;")
                                ->imprimir();
                        ?>
                        <br />
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
                <p>Detalle del puntaje de <strong>"Otros parámetros(s) resueltos por la entidad*"</strong>:</p>
                <?php
                $tabla = new tablas($TMEP_VALORACION_OTR);
                $tabla->agregarColumna("No.", null, "++", "10%")
                        ->agregarColumna("Parámetro", "NOMBRE", null, "50%")
                        ->agregarColumna("Valoración", "VALOR", null, "20%")
                        ->agregarTotales("Total: ", null, null, 0, 2, "text-align:right; width:60%;")
                        ->agregarTotales("VALOR", "suma", null, 0, 0, "text-align:left; width:20%;")
                        ->imprimir();
                ?>
                <?php
            }
            ?>
            <p><strong>4.3 Evaluación de la oferta económica.-</strong> La entidad contratante no tendrá acceso a las propuestas económicas, sino hasta que la evaluación técnica haya concluido y solamente de las ofertas que hayan obtenido por lo menos setenta (70) puntos en la evaluación técnica.</p>
            <p>La asignación de puntajes de las ofertas económicas de los consultores que hayan alcanzado el puntaje mínimo en la calificación de la oferta técnica, se realizará mediante la aplicación de una relación inversamente proporcional a partir de la oferta económica más baja, en donde la totalidad del puntaje (100 puntos) se le otorgará a esta última conforme la siguiente fórmula:</p>
            <p>Pei = (POEm x 100) / POEi</p>
            <p>Dónde:</p>
            <p>Pei = Puntaje por Evaluación Económica del oferente i.<br />
                POEm = Precio de la Oferta Económica más baja.<br />
                POEi = Precio de la Oferta Económica del oferente i</p>
            <p>El puntaje total de la propuesta será el promedio ponderado de ambas evaluaciones, obtenido de la aplicación de la siguiente fórmula:</p>
            <p>PTOi = (c1*Pti) + (c2*Pei)</p>
            <p>Donde:</p>
            <p>PTOi = Puntaje Total del Oferente i<br />
                Pti = Puntaje por Evaluación Técnica del oferente i<br />
                Pei = Puntaje por Evaluación Económica del oferente i<br />
                c1 = Coeficiente de ponderación para la evaluación técnica<br />
                c2 = Coeficiente de ponderación para la evaluación económica</p>
            <p>Los coeficientes de ponderación deberán cumplir las condiciones siguientes:</p>
            <p>           -La suma de ambos coeficientes deberá ser igual a la unidad (1.00).<br />
                -Los valores que se aplicarán en cada caso deberán estar comprendidos dentro de los márgenes siguientes:</p>
            <p>            0,80 &lt;= c1 &lt;= 0,90<br />
                0,10 &lt;= c2 &lt;= 0,20</p>
            <p>En caso de empate en la puntuación final, para establecer el orden de prelación se atenderá a las siguientes reglas:</p>
            <p>a)        Si el empate se originare en diferentes calificaciones en la oferta técnica y económica, la oferta ganadora será aquella que tuviere el mayor puntaje en la oferta técnica.<br />
                b)        Si el empate se originare en idénticas calificaciones en la oferta técnica y económica, la oferta ganadora se determinará de acuerdo a los siguientes criterios:<br />
                b.1)     La oferta que tuviera el mayor puntaje en el parámetro &ldquo;Experiencia Específica&rdquo;;</p>
            <p>De persistir el empate, se aplicará progresivamente y en el siguiente orden los criterios:</p>
            <p>b.2)     La oferta que tuviera el mayor puntaje en el parámetro &ldquo;Experiencia del Personal Técnico&rdquo;;<br />
                b.3)     La oferta que tuviera el mayor puntaje en el parámetro &ldquo;Experiencia General&rdquo;;<br />
                b.4)     La oferta que tuviera el mayor puntaje en el parámetro &ldquo;Plan de Trabajo&rdquo;;<br />
                b.5)     La oferta que tuviera el mayor puntaje en el parámetro &ldquo;Instrumentos y equipos disponibles&rdquo;.</p>
            <p>Si aún después de evaluar los criterios anteriores, subsistiera un empate entre los participantes, el orden de prelación se establecerá por sorteo realizado por la herramienta electrónica del portal del SERCOP.</p>
            <br /><br/>
        </div></div>