<p align="center"><strong>SECCION III</strong><br />
    <strong>CONDICIONES DEL PROCEDIMIENTO</strong></p>
<p align="justify"><strong>3.1  Cronograma del procedimiento: </strong>El cronograma que regirá el procedimiento será el siguiente:</p>
<div align="justify">
    <?php
    $tabla = new tablas($TMEP_CRONDETALLE);
    $tabla->agregarColumna("Concepto", "ETAPA", null, "60%")
            ->agregarColumna("Día", "FECHA", "fecha_numero", "20%")
            ->agregarColumna("Hora", "HORA", null, "20%")
            ->agregarFiltro("CONVALIDACION", "SN")
            ->agregarFiltro("CONVALIDACION", "N")
            ->imprimir();
    ?>
    <p align="justify"><strong>3.2  Vigencia de la oferta:</strong> Las ofertas se entenderán vigentes hasta <?php imprimir($TMEP_REQUERIMIENTOS["VIGENCIA_OFERTA"]); ?> días calendario. En caso de que no se señale una fecha estará vigente hasta la celebración del contrato, de acuerdo a lo establecido en el artículo 30 de la LOSNCP.</p>
    <p align="justify"><strong>3.3  Precio de la oferta: </strong>Se entenderá por precio de la oferta al valor que el oferente haga constar en el Portal Institucional del SERCOP, información que se completará en línea, Formulario de Oferta: Tabla de Descripción de Rubros, Unidades, Cantidades y Precios. </p>
    <p align="justify"><strong>3.3.1  Forma de presentar la oferta: </strong>La oferta se podrá presentar a través del Portal Institucional del SERCOP completando el formulario electrónico, o bien en forma física. Para este segundo caso, se presentará en un sobre que contenga la siguiente ilustración:</p>
    <table border="1" width="100%" cellspacing="0" cellpadding="0">
        <tr>
            <td width="100%">
                <p align="center"><strong>COTIZACIÓN</strong><br />
                    <strong>&ldquo;CODIGO DEL PROCESO <?php imprimir($TMEP_PLIEGOS["CODIGO_PROCESO"]); ?>.&rdquo;</strong></p>
                <p align="center"><strong>SOBRE  ÚNICO</strong></p>
                &nbsp;&nbsp;Señor(a):<br />
                                                          <br />
                &nbsp;&nbsp;<?php
                if ($TMEP_PLIEGOS['FIRMA'] == "DEL") {
                    imprimir($TMEP_INSTITUCIONES['NOMBRE_DELEGADO']);
                } else {
                    imprimir($TMEP_INSTITUCIONES['NOMBRE_MAX_AUTOR']);
                }
                ?>
                 <br />
                &nbsp;&nbsp;<?php
                if (isset($TMEP_CONTRATACIONES["ENTIDAD_CALIFICACION"])) {
                    if ($TMEP_CONTRATACIONES["ENTIDAD_CALIFICACION"] != '' || !empty($TMEP_CONTRATACIONES["ENTIDAD_CALIFICACION"]) || !is_null($TMEP_CONTRATACIONES["ENTIDAD_CALIFICACION"])) {
                        imprimir($TMEP_CONTRATACIONES["ENTIDAD_CALIFICACION"]);
                    }
                } else {
                    imprimir($TMEP_INSTITUCIONES["NOMBRE_ENTID_CONTRAT"]);
                }
                ?> <br /><br/><br />
                &nbsp;&nbsp;Presente <br/><br/>
                &nbsp;&nbsp;PRESENTADA POR: ____________________________________
                <br/></td>
        </tr>
    </table>
    <p align="justify">No se tomarán en cuenta las ofertas entregadas en otro lugar o después del día y hora fijados para su entrega-recepción. </p>
    <p align="justify">El Secretario de la Comisión Técnica recibirá las ofertas, conferirá comprobantes de recepción por cada oferta entregada y anotará, tanto en los recibos como en el sobre de la oferta, la fecha y hora de recepción. </p>
    <p align="justify"><strong>3.4  Plazo de ejecución:</strong> El plazo estimado para la ejecución del contrato es de <?php imprimir($TMEP_REQUERIMIENTOS["PLAZO_EJEC"], 'no ha ingresado el plazo') ?> <?php imprimir_catalogo($TMEP_REQUERIMIENTOS["UNIDAD_PLAZO_EJEC"], "tipo_fecha", "no ha ingresado el tipo de plazo"); ?>, contado 
        <?php imprimir_catalogo($TMEP_REQUERIMIENTOS["TIPO_PLAZ_EJEC"], "iniciaen"); ?>
        <em>.</em></p>
    <p align="justify">La recepción definitiva se realizará en el término de 
        <?php imprimir($TMEP_PLIEGOS['DESCRIPCION_PLAZO_TERMINO_RECEPCION']) ?>, a contarse desde la suscripción del acta de recepción provisional total o de la última recepción provisional parcial, si se hubiere previsto realizar varias de éstas. </p>
    <p align="justify"><strong>3.5  Alcance del precio de la oferta: </strong>El precio de la oferta deberá cubrir el valor de la depreciación, operación y mantenimiento de los equipos, (si son de propiedad del oferente) y el costo de arrendamiento en el caso de ser alquilados, el costo de los materiales, equipos y accesorios a incorporarse definitivamente en el proyecto, mano de obra, transporte, etc.; los costos indirectos, los impuestos y tasas vigentes; así como, los servicios para la ejecución completa de la obra a contratarse, es decir, todo lo necesario para entregar la obra contratada lista para ser puesta en servicio. </p>
    <p align="justify">El participante deberá ofertar todos y cada uno de los rubros señalados en las Condiciones Específicas del Pliego, en el Formulario de Oferta, Tabla de Descripción de Rubros, Unidades, Cantidades y Precios, para la obra que propone ejecutar.</p>
    <p align="justify">De existir errores aritméticos se procederá a su corrección conforme a lo previsto en la Resolución emitida por el SERCOP para el efecto.</p>
    <p align="justify"><strong>3.6  Forma de pago:</strong> Los pagos se realizarán de la manera prevista en el numeral 7 de la Convocatoria y en el Contrato.</p>
    <p align="justify"><strong>3.6.1  Anticipo:&nbsp;</strong>
        <?php
        if (!$anticipo["valor"]) {
            imprimir("no se otorgará anticipo", null, false);
        } else {
            imprimir("Se otorgará un anticipo de <strong>" . $anticipo["valor"] . "%</strong>. " . $anticipo["detalle"], null, false);
        }
        ?>.</p>
    <p align="justify"><strong>3.6.2.  Valor restante de la obra: </strong>Se lo hará mediante pago contra presentación de planillas 
        <?php
        if ($TMEP_OBLIGACIONES["PERIODO_PLANILLAS"] == 'MEN') {
            imprimir_norequerido("MENSUAL");
        }
        if ($TMEP_OBLIGACIONES["PERIODO_PLANILLAS"] == 'BIMEN') {
            imprimir_norequerido("BIMENSUAL");
        }
        if ($TMEP_OBLIGACIONES["PERIODO_PLANILLAS"] == 'TRI') {
            imprimir_norequerido("TRIMESTRAL");
        }
        if ($TMEP_OBLIGACIONES["PERIODO_PLANILLAS"] == 'UNI') {
            imprimir_norequerido("ÚNICA");
        }
        ?>, debidamente aprobadas por la fiscalización y autorizadas por el administrador del contrato. De cada planilla se descontará la amortización del anticipo y cualquier otro cargo al contratista, que sea en legal aplicación del contrato. El monto del anticipo entregado por la Entidad será devengado proporcionalmente al momento del pago de cada planilla hasta la terminación del plazo contractual inicialmente estipulado y constará en el cronograma pertinente que es parte del contrato.  </p>
</div>
