<p align="center"><strong>SECCIÓN IV</strong><br />
    <strong>VERIFICACIÓN Y EVALUACIÓN DE LAS OFERTAS</strong></p>
<div align="justify">
    <p><strong>4.1. Verificación de la oferta</strong><br />
        <strong><br />
        </strong>Para la verificación del cumplimiento de integridad y requisitos mínimos, se estará a la metodología cumple / no cumple.</p>
    <p><strong>4.1.1. Integridad de las ofertas: </strong>La integridad de las ofertas consiste en la verificación de la presentación de los formularios previstos en el pliego de acuerdo al siguiente detalle:</p>
    <p>&nbsp;&nbsp;I Formulario Único de la Oferta<br/>
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1 Presentación y compromiso.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.2 Datos generales del oferente.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.3 Nómina de accionistas, partícipes o socios mayoritarios de personas jurídicas y declaración de beneficiario final.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.4 Situación financiera.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.5 Tabla de descripción de rubros, unidades, cantidades y precios.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.6 Análisis de precios unitarios.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.7 Metodología de construcción
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.8 Cronograma valorado de trabajos.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.9  Experiencia del oferente.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.10 Personal técnico propuesto para el proyecto.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.11  Equipo asignado al proyecto.
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.12 Participación ecuatoriana para el proyecto, propuesta por el oferente.</p>
    <p>&nbsp;&nbsp;II Formulario de compromiso de cumplimiento de parámetros en etapa contractual<br/>
        <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.1 Compromiso de cumplimiento de parámetros en etapa contractual: equipo mínimo requerido; personal técnico mínimo requerido y experiencia mínima del personal técnico; y, metodología.</p>
    <p>&nbsp;&nbsp;III Formulario de compromiso de asociación o consorcio (de ser procedente)</p>
    <p>&nbsp;&nbsp;IV Formulario de compromiso de subcontratación (de ser procedente)<p/>
    <strong>Observaciones:</strong> (La entidad contratante podrá determinar las observaciones que considere)<p/>
    <?php imprimir_norequerido($TMEP_REQUISITOS_MINIMOS['OBSERVACION_INTEGRIDAD_OFERTA']) ?>
    <p><strong>4.1.2. Equipo mínimo:</strong></p>
    <p>
        <?php
        if (sizeof($TMEP_EQUIPOMINIMO) > 0) {
            $tabla = new tablas($TMEP_EQUIPOMINIMO);
            $tabla->agregarColumna("No.", null, "++", "10%")
                    ->agregarColumna("Equipos y/o Instrumentos", "DESCRIPCION", null, "40%")
                    ->agregarColumna("Cantidad", "CANTIDAD", null, "10%")
                    ->agregarColumna("Caracteristicas", "CARACTERISTICAS", null, "40%")
                    ->imprimir();
        } else {
            imprimir_norequerido(null, true, "No requerido por la entidad");
        }
        ?>
    </p>
    <p><strong>4.1.3. Personal técnico mínimo:</strong></p>
    <?php
    if (sizeof($TMEP_PERSONALTECNICO) > 0) {
        $tabla = new tablas($TMEP_PERSONALTECNICO);
        $tabla->agregarColumna("No.", null, "++", "10%")
                ->agregarColumna("Función", "CARGO", null, "30%")
                ->agregarColumna("Nivel de estudio", "NIVEL_ESTUDIO", null, "20%")
                ->agregarColumna("Titulacion Académica", "DESCRIPCION", null, "20%")
                ->agregarColumna("Cantidad", "CANTIDAD", null, "20%")
                ->imprimir();
    } else {
        imprimirMensajeNoRequerido();
    }
    ?>
    <p><strong>4.1.4. Experiencia general y específica mínima:</strong></p>
    <?php
    if (sizeof($TMEP_EXPERIENCIA) > 0) {
        $tabla = new tablas($TMEP_EXPERIENCIA);
        $tabla->agregarColumna("No.", null, "++", "5%", null, "style=text-align:center;")
                ->agregarColumna("Descripción", "DESCRIPCION", null, "15%")
                ->agregarColumna("Tipo", "TIPO", "tipo_experiencia", "10%")
                ->agregarColumna("Temporalidad", "TEMPORALIDAD", null, "10%")
                ->agregarColumna("Numero Proyectos", "NUMERO_PROYECTOS", null, "10%")
                ->agregarColumna("Monto Minimo", "VALOR_MONTO_MINIMO", "decimal5", "20%")
                ->agregarColumna("Contratos Permitidos", "CONTRATOS_PERMITIDOS", null, "10%")
                ->agregarColumna("Monto Minimo Por Contrato", "MONTO_MINIMO_POR_CONTRATO", "decimal5", "20%")
                ->imprimir();
    } else {
        imprimir_norequerido(null, true, "No requerido por la entidad");
    }
    ?>
</p>
<p><strong>4.1.5. Experiencia mínima del personal técnico:</strong></p>
<?php $resp = imprimirPersonalTecnicoYExperiencia($TMEP_PERSONALTECNICO, $TMEP_EXPEPERSTECN); ?><br/>
<p><strong>4.1.6. Patrimonio </strong>(Aplicable a personas jurídicas)</p>
<?php
if ($TMEP_REQUISITOS_MINIMOS['PATRIMONIO'] && $_SESSION['_sf2_attributes']["PRESENTA_PATRIMONIO"] == 'SI') {
    imprimir_norequerido(number_format($TMEP_REQUISITOS_MINIMOS['PATRIMONIO'], 5, ",", "."));
    echo " dólares de Estados Unidos de América.";
} else {
    imprimir("Patrimonio no requerido de acuerdo al Presupuesto Referencial.");
}
?>
<p><strong>4.1.7. Metodología de construcción:</strong></p>
<p>
    <?php
    if (sizeof($TMEP_METCRONEJEC) > 0) {
        $tabla = new tablas($TMEP_METCRONEJEC);
        $tabla->agregarColumna("No.", null, "++", "10%")
                ->agregarColumna("Descripción", "DESCRIPCION", null, "90%")
                ->imprimir();
    } else {
        imprimirMensajeNoRequerido();
    }
    ?><p/>
<p><strong>4.1.8 Cronograma de ejecución del proyecto:</strong><p/>
<?php
$tabla = new tablas($TMEP_CRONEJEC);
$tabla->agregarColumna("No.", null, "++", "10%")
        ->agregarColumna("Descripción", "DESCRIPCION", null, "90%")
        ->imprimir();
?>
<br/>
<p><strong>4.1.9 Verificación de cumplimiento de integridad y requisitos mínimos de la oferta:</strong><p/>
<?php imprimirTablaParametrosYOtrosParametros($TMEP_PLIE_PARAM, $TMEP_OTROSPARAMETROS, $TMEP_EQUIPOMINIMO, $TMEP_PERSONALTECNICO, $TMEP_EXPERIENCIA, $resp, $TMEP_METCRONEJEC, $TMEP_REQUERIMIENTOS) ?>
<p>Aquellas ofertas que cumplan integralmente con los parámetros mínimos, pasarán a la etapa de evaluación de ofertas con puntaje, caso contrario serán descalificadas.</p>
<p><strong>4.1.10 Información financiera de referencia:</strong><p/>
<p>Análisis índices financieros:</p>
<p>Los índices financieros constituirán información de referencia respecto de los participantes en el procedimiento y en tal medida, su análisis se registrará conforme el detalle a continuación:<p/>
<?php imprimirTablaIndicePatrimonio($TMEP_INDICEPATRIMONIO); ?>
<p>*Los índices son referenciales; la entidad contratante podrá escoger los señalados o aquel (aquellos) que considere pertinente (s).</p>
<p><strong>4.2 Evaluación por puntaje: </strong>Solo las ofertas que cumplan con los requisitos mínimos serán objeto de evaluación por puntaje.</p>
<p>Para la valoración se observarán los siguientes criterios:<p/>
<p>
    <?php
    $tabla = new tablas($TMEP_VALORACION_DET);
    $tabla
            ->agregarColumna("Parámetro", "NOMBRE", null, "60%")
            ->agregarColumna("Valoración", "VALOR", null, "30%", null, 'text-align:right;')
            ->agregarTotales("Total: ", null, null, 0, null, "text-align:right;")
            ->agregarTotales($TMEP_VALORACION['TOTAL'], null, null, 0, null, "text-align:right;")
            ->imprimir();
    ?>
</p>
<p>Detalle del puntaje de <strong>"Otros parámetros(s) resueltos por la entidad*"</strong>:</p>
<div align="center">
    <?php
    $tabla = new tablas($TMEP_VALORACION_OTR);
    $tabla->agregarColumna("No.", null, "++", "10%")
            ->agregarColumna("PARÁMETRO", "NOMBRE", null, "50%")
            ->agregarColumna("VALORACIÓN", "VALOR", null, "20%")
            ->agregarTotales("Total: ", null, null, 0, 2, "text-align:right; width:60%")
            ->agregarTotales("VALOR", "suma", null, 0, null, "text-align:center; width:20%")
            ->imprimir();
    ?>
</div>
</div>
