<?php

ob_start();
include_once(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-reportes/plantilla/subreportes/pac/pac_datosinstitucion.php');
$html = ob_get_contents();
ob_end_clean();
$pdf->writeHTML(file_get_contents(filter_input(INPUT_SERVER, 'DOCUMENT_ROOT') . '/mfc-reportes/css/css.php') . $html, true, false, true, false, '');
$header = array('No.', 'Partida presupuestaria', 'Código categoría CPC Nivel 9', 'Tipo de compra', 'Tipo Régimen', 'Fondo BID', 'Código prestamo BID', 'Código proyecto BID', 'Tipo de presupuesto', 'Tipo de Bien / Servicio', 'Catálogo Electrónico', 'Procedimiento', 'Detalle del producto', 'Cantidad Anual', 'Unidad (metros, litros, etc)', 'Costo unitario (Dólares)', 'Costo total', 'C1', 'C2', 'C3');
// Colors, line width and bold font
$pdf->SetFillColor(220, 220, 220);
$pdf->SetTextColor(0);
$pdf->SetDrawColor(100, 100, 100);
$pdf->SetLineWidth(0.3);
// Header
$w = array(2, 5, 6, 6, 4, 3, 5, 5, 5, 6, 3, 6, 16, 5, 5, 6, 6, 2, 2, 2);
$pdf->Cell(array_sum($w) * (270 / 100), 10, "Lista de planes anuales de contratación sin SINAFIP", 1, 1, 'C', 1);
$pdf->SetFont('helvetica', 'B', 5);
$num_headers = count($header);
for ($i = 0; $i < $num_headers; ++$i) {
    $pdf->MultiCell($w[$i] * (270 / 100), 14, $header[$i], 1, 'C', 1, 0);
}
$pdf->Ln();
// Color and font restoration
$pdf->SetFillColor(240, 240, 240);
$pdf->SetTextColor(0);
$pdf->SetFont('');
// Data
$suma = 0;
$contador = 1;
$fill = 0;
$pagina = 0;
foreach ($PAC_SIN_ESIGEF as $pacs) {
    $pdf->Cell($w[0] * (270 / 100), 8, $contador++, 'LR', 0, 'L', 0);
    $x = $pdf->getX() - ($w[0] * (270 / 100));
    $y = $pdf->getY();
    $maxCell = 3;
    $celdas = $pdf->MultiCell($w[1] * (270 / 100), 8, "\n" . $pacs["CATALOGOPP_NUMERO"], 0, 'C', 0, 0);
    if ($celdas > $maxCell) {
        $maxCell = $celdas;
    }
    $pdf->Cell($w[2] * (270 / 100), 8, $pacs["CPC_9_COD_PACD_SE"], 'LR', 0, 'C', 0);
    $pdf->Cell($w[3] * (270 / 100), 8, $pacs["TIP_COMP_DES_PACD_SE"], 'LR', 0, 'C', 0);
    $pdf->Cell($w[4] * (270 / 100), 8, $pacs["TIPO_REGIMEN_SE"], 'LR', 0, 'C', 0);
    $pdf->Cell($w[5] * (270 / 100), 8, $pacs["FONDOS_BID"] ? "Si" : "", 'LR', 0, 'C', 0);
    $pdf->Cell($w[6] * (270 / 100), 8, $pacs["FONDOS_BID"] ? $pacs["NUM_COD_PRESTAMO"] : "", 'LR', 0, 'C', 0);
    $pdf->Cell($w[7] * (270 / 100), 8, $pacs["FONDOS_BID"] ? $pacs["NUM_COD_PROYECTO"] : "", 'LR', 0, 'C', 0);
    $pdf->MultiCell($w[8] * (270 / 100), 8, "\n" . $pacs["TIPO_PRESUPUESTO"], 0, 'C', 0, 0);
    $celdas = $pdf->MultiCell($w[9] * (270 / 100), 8, "\n" . $pacs["TIPOPROD_DES_PACD_SE"], 0, 'C', 0, 0);
    if ($celdas > $maxCell) {
        $maxCell = $celdas;
    }
    $pdf->Cell($w[10] * (270 / 100), 8, $pacs["CAT_ELEC_PACD_SE"] ? "Si" : "", 'LR', 0, 'R', 0);
    $pdf->MultiCell($w[11] * (270 / 100), 8, "\n" . $pacs["TIP_CONT_DES_PACD_SE"], 0, 'C', 0, 0);
    $celdas = $pdf->MultiCell($w[12] * (270 / 100), 8, strlen($pacs["DET_PROD_PACD_SE"]) > 100 ? substr("\n" . $pacs["DET_PROD_PACD_SE"], 0, 100) . ".." : "\n" . $pacs["DET_PROD_PACD_SE"], 0, 'L', 0, 0);
    if ($celdas > $maxCell) {
        $maxCell = $celdas;
    }
    $celdas = $pdf->MultiCell($w[13] * (270 / 100), 8, "\n" . number_format($pacs["CANTIDAD_PACD_SE"], 5, ",", "."), 'LR', 'R', 0, 0);
    if ($celdas > $maxCell) {
        $maxCell = $celdas;
    }
    $celdas = $pdf->MultiCell($w[14] * (270 / 100), 8, strlen($pacs["UNIDAD_DES_PACD_SE"]) > 100 ? substr("\n" . $pacs["UNIDAD_DES_PACD_SE"], 0, 100) . ".." : "\n" . $pacs["UNIDAD_DES_PACD_SE"], 0, 'L', 0, 0);
    if ($celdas > $maxCell) {
        $maxCell = $celdas;
    }
    $celdas = $pdf->MultiCell($w[15] * (270 / 100), 8, "\n" . number_format($pacs["COSTO_UNIT_PACD_SE"], 5, ",", "."), 'LR', 'R', 0, 0);
    if ($celdas > $maxCell) {
        $maxCell = $celdas;
    }
    $celdas = $pdf->MultiCell($w[16] * (270 / 100), 8, "\n" . number_format($pacs["COSTO_TOTA_PACD_SE"], 5, ",", "."), 'LR', 'R', 0, 0);
    if ($celdas > $maxCell) {
        $maxCell = $celdas;
    }
    $pdf->Cell($w[17] * (270 / 100), 8, $pacs["CUATRIMESTR1_PACD_SE"] ? "Si" : "", 'LR', 0, 'R', 0);
    $pdf->Cell($w[18] * (270 / 100), 8, $pacs["CUATRIMESTR2_PACD_SE"] ? "Si" : "", 'LR', 0, 'R', 0);
    $pdf->Cell($w[19] * (270 / 100), 8, $pacs["CUATRIMESTR3_PACD_SE"] ? "Si" : "", 'LR', 0, 'R', 0);
    $pdf->setXY($x, $y);
    foreach ($w as $ancho) {
        $pdf->Cell($ancho * (270 / 100), $maxCell * 3, '', 'TLBR', 0, 'R', 0);
    }
    $pdf->Ln();
    $suma += $pacs["COSTO_TOTA_PACD_SE"];
}
// Colors, line width and bold font
$pdf->SetFillColor(220, 220, 220);
$pdf->SetTextColor(0);
$pdf->SetDrawColor(100, 100, 100);
$pdf->SetLineWidth(0.3);
$pdf->SetFont('helvetica', 'B', 5);
// Foot
$pdf->Cell(88 * (270 / 100), 7, 'Total: ', 1, 0, 'R', 1);
$pdf->MultiCell(12 * (270 / 100), 7, number_format($suma, 5, ",", "."), 1, 'R', 1, 0);
?>
