<?php

namespace Incop\Mfc\OfertasBundle\Controller;

use Doctrine\ORM\EntityManager;
use Exception;
use Incop\Mfc\OfertasBundle\Entity\TmepArchivos;
use Incop\Mfc\OfertasBundle\Entity\TmepContrataciones;
use Incop\Mfc\OfertasBundle\Entity\TmepCronograma;
use Incop\Mfc\OfertasBundle\Entity\TmepCronogramaDetalle;
use Incop\Mfc\OfertasBundle\Entity\TmepEquipoMinimo;
use Incop\Mfc\OfertasBundle\Entity\TmepEspeTecDet;
use Incop\Mfc\OfertasBundle\Entity\TmepEspeTecnicas;
use Incop\Mfc\OfertasBundle\Entity\TmepEspeTecVt;
use Incop\Mfc\OfertasBundle\Entity\TmepExpeperstecn;
use Incop\Mfc\OfertasBundle\Entity\TmepIndicePatrimonio;
use Incop\Mfc\OfertasBundle\Entity\TmepInstituciones;
use Incop\Mfc\OfertasBundle\Entity\TmepMatDatosProvi;
use Incop\Mfc\OfertasBundle\Entity\TmepMatFormasPago;
use Incop\Mfc\OfertasBundle\Entity\TmepMatPresRef;
use Incop\Mfc\OfertasBundle\Entity\TmepMetodologiaCronogramaEjecucion;
use Incop\Mfc\OfertasBundle\Entity\TmepObligaciones;
use Incop\Mfc\OfertasBundle\Entity\TmepOtrosParametros;
use Incop\Mfc\OfertasBundle\Entity\TmepPersonalTecnico;
use Incop\Mfc\OfertasBundle\Entity\TmepPliegos;
use Incop\Mfc\OfertasBundle\Entity\TmepPresupuesto;
use Incop\Mfc\OfertasBundle\Entity\TmepPresupuestoArchivos;
use Incop\Mfc\OfertasBundle\Entity\TmepPresupuestoDetalle;
use Incop\Mfc\OfertasBundle\Entity\TmepRequerimientos;
use Incop\Mfc\OfertasBundle\Entity\TmepRequisitosMinimos;
use Incop\Mfc\OfertasBundle\Entity\TmepTdrs;
use Incop\Mfc\OfertasBundle\Entity\TmepTdrsDetparcial;
use Incop\Mfc\OfertasBundle\Entity\TmepValoracion;
use Incop\Mfc\OfertasBundle\Entity\TmepValoracionDet;
use Incop\Mfc\OfertasBundle\Entity\TmepValoracionOtros;
use Incop\Mfc\OfertasBundle\Entity\TmoaComproParticip;
use Incop\Mfc\OfertasBundle\Entity\TmoaComproSubcontr;
use Incop\Mfc\OfertasBundle\Entity\TmoaComSubconRubro;
use Incop\Mfc\OfertasBundle\Entity\TmoaExpProfe;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOfer;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferBienServEt;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferBienServTdr;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferCronTot;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferEquiAsig;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferEquiMini;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferEquiposInstrumentos;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferExpeOfer;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferIndices;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferOferEcon;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPatrimonio;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPersTecn;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPlanTrab;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferProgActividad;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferPlanTrabProd;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferValoAgre;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferValoAgreCro;
use Incop\Mfc\OfertasBundle\Entity\TmoaFormOferValoAgreDet;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferAcci;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferAcciDet;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferOtroValo;
use Incop\Mfc\OfertasBundle\Entity\TmoaOferReprLega;
use Incop\Mfc\OfertasBundle\Entity\TmepExperiencia;
use Incop\Mfc\Utils\CatalogosUtil;
use Incop\Mfc\Utils\OfertaVO;
use Incop\Mfc\Utils\OfertaXmlUtil;
use Incop\Mfc\Utils\PliegoXmlUtil;
use Incop\Mfc\Utils\MfcControlador;
use Incop\Mfc\Utils\NumerosALetras;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use ZipArchive;
use Incop\Mfc\Utils\PatrimoniosUtil;
use PHPExcel_Style_Alignment;
use PHPExcel_Style_Border;
use PHPExcel_Style_Fill;
use Incop\Mfc\Utils\EvaluacionOfertaVO;

/**
 * Controlador para el manejo de ofertas.
 *
 * @author Victor Quimbiamba <victor.quimbiamba@atikasoft.com.ec>
 */
class ManejoOfertaController extends MfcControlador {

    private $archivos;
    private $indices;
    private $requisitosMinimos;

    /**
     * Este metodo sube la oferta.
     * @param Request $request
     * @return type
     */
    public function subirOfertaAction(Request $request) {
        $request = '';
        $control = $this->controlCreacionCarga();
        $tmpTransDir = $this->tempdir("SO" . date("mdYGisu"));
        $this->getRequest()->getSession()->set(MfcControlador::$SESION_OFERTA_FILES, $tmpTransDir);
        $this->getRequest()->getSession()->set(MfcControlador::$SESION_TIPO_CARGA, "EO");
        return $this->render('IncopMfcOfertasBundle:Oferta:subirOferta.html.twig', array(
                    'error' => $control['error'],
                    'uploadDir' => $tmpTransDir,
                    'mensaje' => $control['mensaje']));
    }

    /**
     * Este metodo genera una respuesta generica para las peticiones.
     * @param type $mensaje
     * @param type $dir
     * @return Response
     */
    private function respuestaSubidaArchivos($mensaje, $dir) {
        $info = $this->consultarInformacionCargaArchivos($dir);
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = array_merge($return, $info);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Este metodo lee el directorio de archivos temporales y controla la subida del archivo.
     */
    public function consultarInformacionCargaArchivos($dir) {
        $dir = $this->getRequest()->getSession()->get(MfcControlador::$SESION_OFERTA_FILES) . DIRECTORY_SEPARATOR;
        $dh = opendir($dir);
        $files = array();
        $nPartes = 0;
        $fileListName = "0";
        while (false !== ($filename = readdir($dh))) {
            if ($filename != "." && $filename != "..") {
                $files[] = $filename;
                $fileListName .= "," . $filename;
            }
        }
        $nFiles = count($files);
        if ($nFiles > 0) {
            $verificador = file_get_contents($dir . $files[0]);
            $contenido = explode(MfcControlador::$SIGNO_SEPARADOR, $verificador, 2);
            $partes = explode(";", $contenido[0]);
            $nPartes = count($partes);
        }
        return array('pTotal' => $nPartes, 'pSubidas' => $nFiles, 'archivos' => $fileListName);
    }

    /**
     * Este metodo procesa el zip segun el tipo de zip.
     * @param String $des
     * @param String $archivo
     * @param String $tipo
     * @return mensaje
     */
    private function subirArchivo($des, $archivo, $tipo, $formaOferta) {
        $em = $this->getDoctrine()->getManager();
        $mensaje = "";
        $results = "";
        try {
            if (file_exists($archivo)) {
                $fileId = date("mdYGisu");
                copy($archivo, sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . ".zip");
                $zip = new ZipArchive;
                $res = $zip->open(sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . ".zip");
                if ($res === TRUE) {
                    $zip->extractTo(sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . DIRECTORY_SEPARATOR);
                    $zip->close();
                    $dir = sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . DIRECTORY_SEPARATOR;
                    //Ahora leemos lo descomprimido
                    if (file_exists($dir . "zip.info") && file_exists($dir . "proceso.xml")) {
                        $dh = opendir($dir);
                        $files = array();
                        while (false !== ($filename = readdir($dh))) {
                            if ($filename != "." && $filename != ".." && $filename != "zip.info") {
                                $files[] = $dir . $filename;
                                $hashCase[] = md5_file($dir . $filename);
                            }
                        }
                        $hashFile = file_get_contents($dir . "zip.info");
                        $org = base64_decode(substr($hashFile, 1));
                        $valores = explode(" ", $org);
                        sort($hashCase);
                        sort($valores);
                        $hashCase = array_unique($hashCase);
                        $valores = array_unique($valores);
                        $results = array_diff($hashCase, $valores);
                        if (empty($results)) {
                            $tarea = substr($hashFile, 0, 1);
                            //validacion un tipo valido
                            $valido = ($tarea == "G" || $tarea == "O" || $tarea == "E");
                            if (!$valido) {
                                return $this->traducir('generico.error.ushay.oferta');
                            }
                            //Validacion que el zip tenga un codigo valido
                            if ($tipo == "G" && $tarea != "G") {
                                return $this->traducir('generico.error.ushay.pliego.validado');
                            }
                            if ($tipo == "EO") {
                                $valido = ($tarea == "G" || $tarea == "O" || $tarea == "E");
                                if (!$valido) {
                                    return $this->traducir('generico.error.ushay.oferta.validado');
                                }
                            }
                            //XML
                            if (file_exists(sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . "/proceso.xml")) {
                                $contenido = simplexml_load_file(sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . "/proceso.xml");
                            }
                            $tablas = $contenido->TABLE;
                            //Tomar codigo unico del procesox
                            $codigoProceso = $this->obtenerValorElemento($tablas, "/CONTENIDO/CP", null);
                            if ($codigoProceso == null) {
                                return $this->traducir('generico.error.ushay.informacion.completa');
                            }
                            //Inicio de la transaccion a la base de datos.
                            $em->getConnection()->beginTransaction();
                            //Contratacion:
                            $contratacionRespuesta = $this->crearContratacion($em, $tablas, $des, $tipo, $codigoProceso, $dir);
                            if ($contratacionRespuesta['mensaje'] != null) {
                                $em->getConnection()->rollback();
                                $em->close();
                                return $contratacionRespuesta['mensaje'];
                            }
                            $contratacionId = $contratacionRespuesta['contratacionId'];
                            $em->getConnection()->executeUpdate("delete from  TMEP_ARCHIVOS  where CONTRATACION_ID =" . $contratacionId);
                            $em->getConnection()->executeUpdate("update TMOA_FORMOFER set activo = 0 where COD_PROC ='" . $codigoProceso . "'");
                            $em->getConnection()->executeUpdate("update TMEP_CONTRATACIONES set activo = 0 where COD_PROC ='" . $codigoProceso . "' and ID != " . $contratacionId);
                            $this->eliminarPliego($em, $contratacionId);
                            $archivosId = $this->crearArchivos($em, $tablas, $contratacionId, sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . DIRECTORY_SEPARATOR);
                            $requerimientoId = $this->crearNuevoPliego($em, $tablas, $contratacionId, $fileId, $archivosId, $tarea);
                            //Archivos:
                            if ($tipo == "G" && $contratacionRespuesta['formOfer'] == null) {
                                $this->crearOferta($em, $contratacionId, $codigoProceso, $formaOferta);
                                $em->getConnection()->commit();
                                return "OK";
                            } else if ($tipo == "EO") {
                                $this->eliminarOferta($contratacionId);
                                $mensaje = $this->restaurarOferta($em, $tablas, $contratacionId, null, $fileId, $codigoProceso, $requerimientoId);
                                return $mensaje;
                            } else {
                                $em->getConnection()->rollback();
                                $em->close();
                                return $this->traducir('generico.error.ushay.no.proceso');
                            }
                            $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepCronograma p where p.requerimientoId=' . $requerimiento->getId());
                            $cronograma = $query->getSingleResult();
                            if ($cronograma) {
                                $cronogramaDet = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepCronogramaDetalle")->findOneBy(array("cronogramaId" => $cronograma->getId(), "orden" => 1));
                            }
                        } else {
                            $mensaje = $this->traducir('generico.error.ushay.modificado');
                            return $mensaje;
                        }
                    } else {
                        $mensaje = $this->traducir('generico.error.ushay.completo');
                        return $mensaje;
                    }
                } else {
                    $mensaje = 'failed, code:' . $res . ": " . sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . ".zip";
                    return $mensaje;
                }
            } else {
                $mensaje = $this->traducir('generico.error.seleccion');
            }
        } catch (Exception $e) {
            $this->generarLogError($e);
            $mensaje = $this->traducir('generico.error.ushay.formato');
            return $mensaje;
        }
        return $mensaje;
    }

    /**
     * Este metodo elimina completamente un pliego.
     * @param type $em transaccion
     * @param type $contratacionId Id de la contratacion
     */
    private function eliminarPliego($em = null, $contratacionId) {
        $eliminar = false;
        if (null == $em) {
            $em = $this->getDoctrine()->getManager();
            $eliminar = true;
        }
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepRequerimientos p where p.contratacionId=" . $contratacionId);
        $queryFiles = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepArchivos p where p.contratacionId=" . $contratacionId);
        $files = $queryFiles->getResult();
        foreach ($files as $file) {
            $dirFile = $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_PLIEGOS . DIRECTORY_SEPARATOR . $file->getArchivo();
            if (file_exists($dirFile)) {
                unlink($dirFile);
            }
        }
        $requerimiento = $query->getOneOrNullResult();
        if ($requerimiento != null) {
            $requerimientoId = $requerimiento->getId();
            $em->getConnection()->executeUpdate("delete from  TMEP_VALORACION_OTR  where VALORACION_ID in (select ID from TMEP_VALORACION where REQUERIMIENTO_ID =" . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_VALORACION_DET  where VALORACION_ID in (select ID from TMEP_VALORACION where REQUERIMIENTO_ID =" . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_VALORACION  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_ARCHIVOS  where CONTRATACION_ID =" . $contratacionId);
            //ET
            $em->getConnection()->executeUpdate("delete from  TMEP_ESPE_TEC_VT  where ESPECIFICACION_ID in (select ID from TMEP_ESPE_TECNICAS where REQUERIMIENTO_ID =" . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_ESPE_TEC_DET  where ESPECIFICACION_ID in (select ID from TMEP_ESPE_TECNICAS where REQUERIMIENTO_ID =" . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_ESPE_TECNICAS  where REQUERIMIENTO_ID =" . $requerimientoId);
            //PRESUESTO
            //PRESUPUESTO
            $em->getConnection()->executeUpdate("delete from  TMEP_PRESUPUESTO_DET  where PRESUPUESTO_ID in (select ID from TMEP_PRESUPUESTO where REQUERIMIENTO_ID =" . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_PRESUPUESTO_ARCH  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_PRESUPUESTO  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_INDICEPATRIMONIO  where PLIEGOS_ID in (select ID from TMEP_PLIEGOS where REQUERIMIENTO_ID =" . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_PLIEGOS  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_OBLIGACIONES  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_MAT_PRES_REF  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_MAT_FORMAS_PAGO  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_MAT_DATOS_PROVI  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_CRONDETALLE  where CRONOGRAMA_ID in (select ID from TMEP_CRONOGRAMA where REQUERIMIENTO_ID =" . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_CRONOGRAMA  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_TDRS_DETPARCIAL where TDRS_ID in (select ID from TMEP_TDRS where REQUERIMIENTO_ID = " . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_TDRS  where REQUERIMIENTO_ID =" . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_REQUISITOS_MINIMOS where REQUERIMIENTO_ID = " . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_OTROSPARAMETROS  where REQUERIMIENTO_ID = " . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_EXPERIENCIA  where REQUERIMIENTO_ID = " . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_EXPEPERSTECN  where PERSONALTECNICO_ID in (select ID from TMEP_PERSONALTECNICO where REQUERIMIENTO_ID = " . $requerimientoId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_PERSONALTECNICO  where REQUERIMIENTO_ID = " . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_EQUIPOMINIMO  where REQUERIMIENTO_ID = " . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_METCRONEJEC  where REQUERIMIENTO_ID = " . $requerimientoId);
            $em->getConnection()->executeUpdate("delete from  TMEP_INSTITUCIONES  where ID in (select INSTITUCION_ID from TMEP_CONTRATACIONES  where ID =" . $contratacionId . ")");
            $em->getConnection()->executeUpdate("delete from  TMEP_REQUERIMIENTOS  where ID = " . $requerimientoId);
        }
        if ($eliminar) {
            $em->getConnection()->executeUpdate("delete from  TMEP_CONTRATACIONES  where ID =" . $contratacionId);
        }
    }

    /**
     * Este metodo crea un pliego a partir de la informacion de xml.
     * @param type $em
     * @param type $tablas
     * @param type $contratacionId
     * @param type $fileId
     * @return type
     */
    private function crearNuevoPliego($em, $tablas, $contratacionId, $fileId, $archivosId = array(), $tarea) {
        $fileId = '';
        //Requirimiento:
        $requerimientoId = $this->crearRequerimiento($em, $tablas, $contratacionId, $tarea);
        //TDR
        $this->crearTDR($em, $tablas, $requerimientoId);
        //Cronograma
        $this->crearCronograma($em, $tablas, $requerimientoId);
        //Datos proveedor
        $this->crearDatosProveedor($em, $tablas, $requerimientoId);
        //Forma de pago
        $this->crearFormaPago($em, $tablas, $requerimientoId);
        //Presupuesto
        $prt = $this->crearPresupuesto($em, $tablas, $requerimientoId);
        //Pliego
        $this->crearPliego($em, $tablas, $requerimientoId);
        //Requisitos Minimos
        $this->crearRequisitosMinimos($em, $tablas, $requerimientoId, $prt);
        //ET
        $this->crearET($em, $tablas, $requerimientoId);
        $this->crearPresupuestoET($em, $tablas, $requerimientoId, $archivosId);
        //Valoracion
        $this->crearEvaluacion($em, $tablas, $requerimientoId);
        return $requerimientoId;
    }

    /**
     * Este metodo procesa la regeneracion de la oferta tomando la informacion del xml.
     *
     * @param type $em
     * @param type $tablas
     * @param type $contratacionId
     * @param type $oferenteId
     * @param type $fileId
     * @param type $codigoProceso
     * @param type $requerimientoId
     * @return string
     */
    private function restaurarOferta($em, $tablas, $contratacionId, $oferenteId, $fileId, $codigoProceso, $requerimientoId) {
        $requerimientoId = '';
        $arr_archivos = $this->crearArchivosOferta($em, $tablas, $contratacionId, sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . DIRECTORY_SEPARATOR, $oferenteId);
        //Crea el formulario de oferta
        $formoferId = $this->crearFormofer($em, $tablas, $arr_archivos, $contratacionId, $codigoProceso);
        //Liga la Contratacion con la oferta
        //Crea los detalles del formulario de oferta
        $this->crearFormoferBienServ($em, $tablas, $formoferId);
        $this->crearFormoferCronTot($em, $tablas, $formoferId);
        $this->crearFormoferEquiAsig($em, $tablas, $formoferId);
        $this->crearFormoferEquiMini($em, $tablas, $formoferId);
        $this->crearFormoferEquiposInstrumentos($em, $tablas, $formoferId);
        $this->crearFormoferExpeOfer($em, $tablas, $formoferId);
        $this->crearFormoferOferEcon($em, $tablas, $formoferId);
        $this->crearFormoferPersTecn($em, $tablas, $formoferId);
        $plantrab_id = $this->crearFormoferPlanTrab($em, $tablas, $formoferId, $arr_archivos);
        $this->crearFormoferPlanTrabPro($em, $tablas, $plantrab_id);
        $this->crearFormoferPlanTrabProd($em, $tablas, $formoferId);
        $this->crearFormOferPatrimonio($em, $tablas, $formoferId);
        $this->crearFormOferInidices($em, $tablas, $formoferId);
        $this->crearFormoferValoAgre($em, $tablas, $formoferId);
        //Crea los datos de los reportes extras
        $comproParticip = $this->crearComproParticip($em, $tablas, $oferenteId, $contratacionId);
        $comproSubcontr = $this->crearComproSubcontr($em, $tablas, $oferenteId, $contratacionId);
        $this->crearComSubconRubro($em, $tablas, $comproSubcontr);
        $this->crearExpeProfe($em, $tablas, $comproParticip);
        //Almacena el cambio
        $em->getConnection()->commit();
        $mensaje = "OK"; //"Oferta Subida correctamente";
        return $mensaje;
    }

    /**
     * Arreglo de ids para personal tecnico.
     * @var array
     */
    private $arrPt;

    /**
     * Este metodo crea el formualrion de bien servicio.
     * @param type $em
     * @param type $tablas
     * @param type $formoferId
     * @param type $arr_archivos
     * @param type $requerimientoId
     */
    private function crearFormoferBienServ($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_BIENSERV_ET']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = $this->decodifica($fila);
                    $formOferCronTot = new TmoaFormOferBienServEt($datos);
                    $formOferCronTot->setFormoferId($formoferId);
                    $em->persist($formOferCronTot);
                }
            }
        }
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_BIENSERV_TDR']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = $this->decodifica($fila);
                    $formOferCronTot = new TmoaFormOferBienServTdr($datos);
                    $formOferCronTot->setFormoferId($formoferId);
                    $em->persist($formOferCronTot);
                }
            }
        }
        if (!is_null($result)) {
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de cronogramas.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferCronTot($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_CRONTOT']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferCronTot = new TmoaFormOferCronTot($datos);
                    $formOferCronTot->setFormoferId($formoferId);
                    $em->persist($formOferCronTot);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de equipo asignado.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferEquiAsig($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_EQUIASIG']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferEquiAsig = new TmoaFormOferEquiAsig($datos);
                    $formOferEquiAsig->setFormoferId($formoferId);
                    $em->persist($formOferEquiAsig);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de equipo minimo.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferEquiMini($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_EQUIMINI']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferEquiMini = new TmoaFormOferEquiMini($datos);
                    $formOferEquiMini->setFormoferId($formoferId);
                    $em->persist($formOferEquiMini);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de cronogramas.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferEquiposInstrumentos($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_EQUIINST']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferEquiInst = new TmoaFormOferEquiposInstrumentos($datos);
                    $formOferEquiInst->setFormoferId($formoferId);
                    $em->persist($formOferEquiInst);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de Experiencia del Oferente.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferExpeOfer($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_EXPEOFER']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferExpeOfer = new TmoaFormOferExpeOfer($datos);
                    $formOferExpeOfer->setArchivos($this->actualizaIdsArchivos($datos["ARCHIVOS"]));
                    $formOferExpeOfer->setPorcentajeEjecutado($datos["PORCENTAJE_EJECUTADO"]);
                    $formOferExpeOfer->setFormoferId($formoferId);
                    $em->persist($formOferExpeOfer);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de oferta económica.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferOferEcon($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_OFERECON']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferOferEcon = new TmoaFormOferOferEcon($datos);
                    $formOferOferEcon->setFormoferId($formoferId);
                    $em->persist($formOferOferEcon);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total del Personal Técnico.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferPersTecn($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_PERSTECN']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferPersTecn = new TmoaFormOferPersTecn($datos);
                    $formOferPersTecn->setFormoferId($formoferId);
                    $em->persist($formOferPersTecn);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de Plan de Trabajo.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferPlanTrab($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_PLANTRAB']");
        $plantrab_id = 0;
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferPlanTrab = new TmoaFormOferPlanTrab($datos);
                    $formOferPlanTrab->setFormoferId($formoferId);
                    $formOferPlanTrab->setNombreOrg($this->actualizaIdsArchivos($datos["NOMBRE_ORG"]));
                    $em->persist($formOferPlanTrab);
                    $em->flush();
                    $plantrab_id = $formOferPlanTrab->getId();
                }
            }
        }
        return $plantrab_id;
    }

    /**
     * Este metodo crea el total de Plan de Trabajo Programa.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferPlanTrabPro($em, $tablas, $plantrab) {
        if ($plantrab) {
            $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_PLANTRAB_PRO']");
            if (!is_null($result)) {
                foreach ($result as $tabla) {
                    foreach ($tabla as $fila) {
                        $datos = array();
                        foreach ($fila as $columna => $dato) {
                            $datos[$columna] = trim(base64_decode($dato));
                        }
                        $formOferPlanTrab = new TmoaFormOferProgActividad($datos);
                        $formOferPlanTrab->setformoferPlanTrabId($plantrab);
                        $em->persist($formOferPlanTrab);
                    }
                }
                $em->flush();
            }
        }
    }

    /**
     * Este metodo crea el total de Plan de Trabajo Programa.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferPlanTrabProd($em, $tablas, $formOferId) {
        if ($formOferId) {
            $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_PLANTRAB_PROD']");
            if (!is_null($result)) {
                foreach ($result as $tabla) {
                    foreach ($tabla as $fila) {
                        $datos = array();
                        foreach ($fila as $columna => $dato) {
                            $datos[$columna] = trim(base64_decode($dato));
                        }
                        $formOferPlanTrabProd = new TmoaFormOferPlanTrabProd($datos);
                        $formOferPlanTrabProd->setFormoferId($formOferId);
                        $em->persist($formOferPlanTrabProd);
                    }
                }
                $em->flush();
            }
        }
    }

    /**
     * Este metodo crea el total de Plan de Trabajo Programa.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormOferPatrimonio($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_PATRIMONIO']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferPatrimonio = new TmoaFormOferPatrimonio($datos);
                    $formOferPatrimonio->setFormoferId($formoferId);
                    $formOferPatrimonio->setArchivos($this->actualizaIdsArchivos($datos["ARCHIVOS"]));
                    $formOferPatrimonio->setRequisitosminimosId($datos["REQUISITOSMINIMOS_ID"]);
                    $em->persist($formOferPatrimonio);
                    $this->requisitosMinimos[$datos["REQUISITOSMINIMOS_ID"]] = $formOferPatrimonio->getRequisitosminimosId();
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de Plan de Trabajo Programa.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormOferInidices($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_INDICES']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferPlanTrab = new TmoaFormOferIndices($datos);
                    $formOferPlanTrab->setFormoferId($formoferId);
                    $formOferPlanTrab->setArchivos($this->actualizaIdsArchivos($datos["ARCHIVOS"]));
                    $formOferPlanTrab->setIndiceId($this->indices[$datos["INDICE_ID"]]);
                    $em->persist($formOferPlanTrab);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de Valor Agregado.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferValoAgre($em, $tablas, $formoferId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_VALOAGRE']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $formOferValoAgre = new TmoaFormOferValoAgre($datos);
                    $formOferValoAgre->setFormoferId($formoferId);
                    if ($this->arrEtIds[$datos["ET_ID"]]) {
                        $formOferValoAgre->setEtId($this->arrEtIds[$datos["ET_ID"]]);
                    } else {
                        if (isset($datos['ORDEN'])) {
                            if (trim($datos['ORDEN']) != '') {
                                $query = $em->createQuery('Select p.id from IncopMfcOfertasBundle:TmepEspeTecnicas p where p.requerimientoId=' . $this->getClaveRequerimiento() . " and p.ordinal ='" . $datos['ORDEN'] . "'");
                                $etId = $query->getOneOrNullResult();
                                $formOferValoAgre->setEtId($etId['id']);
                            }
                        }
                        if (trim($datos["ET_ID"]) != '') {
                            $formOferValoAgre->setEtId($datos["ET_ID"]);
                        }
                    }
                    $formOferValoAgre->setArchivo($this->actualizaIdsArchivos($datos["ARCHIVO"]));
                    $em->persist($formOferValoAgre);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el total de Valor Agregado Cronograma.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferValoAgreCro($em, $tablas, array $plantrab_ids, $formoferId) {
        $formoferId = '';
        if (!empty($plantrab_ids)) {
            $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_VALOAGRE_CRO']");
            if (!is_null($result)) {
                foreach ($result as $tabla) {
                    foreach ($tabla as $fila) {
                        $datos = array();
                        foreach ($fila as $columna => $dato) {
                            $datos[$columna] = trim(base64_decode($dato));
                        }
                        $formOferValoAgreCro = new TmoaFormOferValoAgreCro($datos);
                        $formOferValoAgreCro->setFormoferValoagreId($plantrab_ids[$datos["FORMOFER_VALOAGRE_ID"]]);
                        $em->persist($formOferValoAgreCro);
                    }
                }
                $em->flush();
            }
        }
    }

    /**
     * Este metodo crea el total de Valor Agregado Detalle.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormoferValoAgreDet($em, $tablas, array $plantrab_ids, $formoferId) {
        if (!empty($plantrab_ids)) {
            $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER_VALOAGRE_DET']");
            if (!is_null($result)) {
                foreach ($result as $tabla) {
                    foreach ($tabla as $fila) {
                        $datos = array();
                        foreach ($fila as $columna => $dato) {
                            $datos[$columna] = trim(base64_decode($dato));
                        }
                        $formOferValoAgreDet = new TmoaFormOferValoAgreDet($datos);
                        $formOferValoAgreDet->setFormoferId($formoferId);
                        $formOferValoAgreDet->setFormoferValoagreId($plantrab_ids[$datos["FORMOFER_VALOAGRE_ID"]]);
                        $em->persist($formOferValoAgreDet);
                    }
                }
                $em->flush();
            }
        }
    }

    /**
     * DETALLES DE OFERENTE -------------------------------------------------------------------
     */

    /**
     * Este metodo crea el total de Accionistas.
     * @param type $em
     * @param type $tablas
     */
    private function crearOferAcci($em, $tablas, $oferenteId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_OFERACCI']");
        $accionistas_ids = array();
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $oferAcci = new TmoaOferAcci($datos);
                    $oferAcci->setOferenteId($oferenteId);
                    $em->persist($oferAcci);
                    $em->flush();
                    $accionistas_ids[$datos["ID"]] = $oferAcci->getId();
                }
            }
        }
        return $accionistas_ids;
    }

    /**
     * Este metodo crea el total de Sub Accionistas.
     * @param type $em
     * @param type $tablas
     */
    private function crearOferAcciDet($em, $tablas, $accionistas_ids, $oferenteId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_OFERACCI_DET']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $oferAcci = new TmoaOferAcciDet($datos);
                    $oferAcci->setOferenteId($oferenteId);
                    $oferAcci->setOferacciId($accionistas_ids[$datos["OFERACCI_ID"]]);
                    $em->persist($oferAcci);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el Representante Legal.
     * @param type $em
     * @param type $tablas
     */
    private function crearOferReprLega($em, $tablas, $oferenteId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_OFERREPRLEGA']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $oferReprLega = new TmoaOferReprLega($datos);
                    $oferReprLega->setOferenteId($oferenteId);
                    $em->persist($oferReprLega);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el Otros valores del Oferente.
     * @param type $em
     * @param type $tablas
     */
    private function crearOferOtroValo($em, $tablas, $oferenteId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_OFEROTROVALO']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $oferOtroValo = new TmoaOferOtroValo($datos);
                    $oferOtroValo->setOferenteId($oferenteId);
                    $em->persist($oferOtroValo);
                }
            }
            $em->flush();
        }
    }

    /**
     * Crea el comprobante de participación
     * @param type $em
     * @param type $tablas
     * @param type $oferenteId
     * @param type $contratacionId
     * @return array
     */
    private function crearComproParticip($em, $tablas, $oferenteId, $contratacionId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_COMPRO_PARTICIP']");
        $comproParticip_ids = array();
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $datos["OFERENTE_ID"] = $oferenteId;
                    $comproParticip = new TmoaComproParticip($datos);
                    $comproParticip->setContratacionId($contratacionId);
                    $em->persist($comproParticip);
                    $em->flush();
                    $comproParticip_ids[$datos["ID"]] = $comproParticip->getId();
                }
            }
        }
        return $comproParticip_ids;
    }

    /**
     * comprobante de subcontratación
     * @param type $em
     * @param type $tablas
     * @param integer $oferenteId
     * @param integer $contratacionId
     * @return array
     */
    private function crearComproSubcontr($em, $tablas, $oferenteId, $contratacionId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_COMPRO_SUBCONTR']");
        $comproSubcontr_ids = array();
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $datos["OFERENTE_ID"] = $oferenteId;
                    $comproSubcontr = new TmoaComproSubcontr($datos);
                    $comproSubcontr->setContratacionId($contratacionId);
                    $comproSubcontr->setOferenteId($this->getOferenteId());
                    $em->persist($comproSubcontr);
                    $em->flush();
                    $comproSubcontr_ids[$datos["ID"]] = $comproSubcontr->getId();
                }
            }
        }
        return $comproSubcontr_ids;
    }

    /**
     * Crea los rubros de los comprobantes de subcontratación
     * @param type $em
     * @param type $tablas
     * @param type $comproSubcontr
     */
    private function crearComSubconRubro($em, $tablas, $comproSubcontr) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_COM_SUBCON_RUBRO']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $comSubConRubro = new TmoaComSubconRubro($datos);
                    $comSubConRubro->setComproSubcontrId($comproSubcontr[$datos["COMPRO_SUBCONTR_ID"]]);
                    $em->persist($comSubConRubro);
                }
            }
            $em->flush();
        }
    }

    /**
     * Crea las experiencas profecionales de los comprobantes de participación
     * @param type $em
     * @param type $tablas
     * @param type $comproParticip
     */
    private function crearExpeProfe($em, $tablas, $comproParticip) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_EXP_PROFE']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    $expeProfe = new TmoaExpProfe($datos);
                    $expeProfe->setComproParticipId($comproParticip[$datos["COMPRO_PARTICIP_ID"]]);
                    $em->persist($expeProfe);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crea el formulario de ofertas.
     * @param type $em
     * @param type $tablas
     */
    private function crearFormofer($em, $tablas, $arr_archivos, $contratacionId, $codigoProceso) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMOA_FORMOFER']");
        $formoferId = null;
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $datos = array();
                    foreach ($fila as $columna => $dato) {
                        $datos[$columna] = trim(base64_decode($dato));
                    }
                    //Cambia los ids de los archivos por los nuevos ids
                    $id_archivos = json_decode($datos["ANEXO_NOMBRE"] . "");
                    if (is_object($id_archivos)) {
                        $id_archivos = get_object_vars($id_archivos);
                    }
                    $id_archivos_nuevos = array();
                    if (is_array($id_archivos)) {
                        foreach ($id_archivos as $item) {
                            $id_archivos_nuevos[] = $arr_archivos[$item];
                        }
                    }
                    $formOfer = new TmoaFormOfer($datos);
                    $formOfer->setAnexoNombre($id_archivos_nuevos);
                    $formOfer->setContratacionesId($contratacionId);
                    $formOfer->setCodigoProceso($codigoProceso);
                    $formOfer->setOferenteId($this->getOferenteId());
                    $formOfer->setAnexoNombre($this->actualizaIdsArchivos($datos["ANEXO_NOMBRE"]));
                    $formOfer->setAnexoDos($this->actualizaIdsArchivos($datos["ANEXO_DOS"]));
                    $formOfer->setAnexoTres($this->actualizaIdsArchivos($datos["LUGAR_FIRMA_OFERTA"]));
                    $formOfer->setActivo(true);
                    $em->persist($formOfer);
                    $em->flush();
                    $formoferId = $formOfer->getId();
                    $this->getRequest()->getSession()->set('formoferId', $formoferId);
                }
            }
        }
        return $formoferId;
    }

    /**
     * Este metodo ingresa los registros de archivos.
     * @param type $em
     * @param type $tablas
     * @return array arreglo de ids de archivos id_old=>id_new
     */
    private function crearArchivosOferta($em, $tablas, $contratacionId, $dir, $oferenteId) {
        $oferenteId = '';
        $arr_archivos = array();
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_ARCHIVOS']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    if ($datos['OFERTA']) {
                        $datos['OFERTA'] = $this->getOferenteId();
                        $archivo = new TmepArchivos($datos);
                        $archivo->setContratacionId($contratacionId);
                        if (file_exists($dir . $archivo->getArchivo())) {
                            copy($dir . $archivo->getArchivo(), $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador:: $DOC_OFERTA . DIRECTORY_SEPARATOR . $archivo->getArchivo());
                            $em->persist($archivo);
                            $em->flush();
                            $arr_archivos[$datos["ID"]] = $archivo->getId();
                            $this->archivos[$datos["ID"]] = $archivo->getId();
                        }
                    }
                }
            }
        }
        return $arr_archivos;
    }

    /**
     * Este metodo procesa la creacion de una oferta.
     * @param type $em
     * @param type $tablas
     * @param type $contratacionId
     */
    private function crearOferta($em, $contratacionId, $codigoProceso, $formaOferta) {
        $formOfer = new TmoaFormOfer();
        $formOfer->setContratacionesId($contratacionId);
        $formOfer->setFormaOferta($formaOferta);
        $formOfer->setCodigoProceso($codigoProceso);
        $formOfer->setActivo(true);
        $formOfer->setOferenteId($this->getOferenteId());
        $em->persist($formOfer);
        $em->flush();
    }

    /**
     * Este metodo procesa la subida de un archivo al servidor mediante una peticion ajax.
     * @param Request $request
     */
    public function subirArchivosOfertaAction(Request $request) {
        $idFile = $request->request->get('token');
        try {
            $UploadDirectory = $this->getRequest()->getSession()->get(MfcControlador::$SESION_OFERTA_FILES) . DIRECTORY_SEPARATOR;
            if (isset($_FILES["FileInput-" . $idFile]) && $_FILES["FileInput-" . $idFile]["error"] == UPLOAD_ERR_OK) {
                //ajax request
                if (!filter_input(INPUT_SERVER, 'HTTP_X_REQUESTED_WITH')) {
                    
                }
                if ($_FILES["FileInput-" . $idFile]["size"] > (5242880 * 2)) {
                    $mensaje = $this->generaAlerta("El tamaño del archivo es demasiado grande!", 'alert-warning');
                    return $this->respuestaSubidaArchivos($mensaje, $UploadDirectory);
                }
                $File_Name = strtolower($_FILES['FileInput-' . $idFile]['name']);
                $File_Ext = substr($File_Name, strrpos($File_Name, '.'));
                switch ($File_Ext) {
                    case '.ushay':
                        break;
                    default:
                        $mensaje = $this->generaAlerta($this->traducir('generico.error.no.ushay'), 'alert-warning');
                        return $this->respuestaSubidaArchivos($mensaje, $UploadDirectory);
                }
                if (file_exists($UploadDirectory . $File_Name)) {
                    $mensaje = $this->generaAlerta($this->traducir('generico.error.ushay.ya.subido'), 'alert-warning');
                    return $this->respuestaSubidaArchivos($mensaje, $UploadDirectory);
                } else
                if (move_uploaded_file($_FILES['FileInput-' . $idFile]['tmp_name'], $UploadDirectory . $File_Name)) {
                    $mensaje = $this->generaAlerta($File_Name . ', ' . $this->traducir('generico.archivo.subido'));
                    return $this->respuestaSubidaArchivos($mensaje, $UploadDirectory);
                } else {
                    $mensaje = $this->generaAlerta($this->traducir('generico.error.enviar.archivo'), 'alert-warning');
                    return $this->respuestaSubidaArchivos($mensaje, $UploadDirectory);
                }
            } else {
                $mensaje = $this->generaAlerta($this->traducir('generico.error.ushay.upload'), 'alert-warning');
                return $this->respuestaSubidaArchivos($mensaje, $UploadDirectory);
            }
        } catch (Exception $e) {
            $this->generarLogError($e);
            die($e);
        }
    }

    /**
     * Controla la creación de carga
     * @return type
     */
    private function controlCreacionCarga() {
        $em = $this->getDoctrine()->getManager();
        $mensaje = "";
        $error = false;
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferente p where p.id=" . $this->getOferenteId());
        $accionistas = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferAcci")->findByOferenteId($this->getOferenteId());
        $beneficiarioFinal = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferBeneficiarios")->findByOferenteId($this->getOferenteId());
        $oferente = $query->getOneOrNullResult();
        if ($oferente != null) {
            $nombre = $oferente->getNombreOferente();
            if ($nombre == null || empty($nombre)) {
                $mensaje .= "<li>" . $this->traducir('generico.ingreso.nombre.oferente') . "</li>";
                $error = true;
            }
            $tipoDocumento = $oferente->getTipoDocumento();
            if ($tipoDocumento == null || empty($tipoDocumento)) {
                $mensaje .= "<li>" . $this->traducir('generico.ingreso.tipo.identificacion') . "</li>";
                $error = true;
            }
            $documento = $oferente->getDocumento();
            if (strcmp($oferente->getTipoParticipacion(), "IN") == 0 && ( $documento == null || empty($documento))) {
                $mensaje .= "<li>" . $this->traducir('generico.ingreso.documento') . "</li>";
                $error = true;
            }
            if (!$accionistas) {
                if (!$oferente->getEmpresaPublica()) {
                    if ($oferente->getTipoPersona() == "J" && !$oferente->getBolsaValores() && $oferente->getTipoJuridica() != 0) {
                        if ($oferente->getTipoParticipacion() == "IN") {
                            $mensaje .= "<li>" . $this->traducir("erroroferente.accionista") . "</li>";
                        } else {
                            $mensaje .= "<li>" . $this->traducir("erroroferente.participes") . "</li>";
                        }
                        $error = true;
                    }
                }
            }
            $beneficiarioFinal = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferBeneficiarios")->findBy(array("oferenteId" => $oferente->getId()));
            if (!$beneficiarioFinal) {
                $mensaje .= "<li>" . $this->traducir("erroroferente.beneficiarioFinal") . "</li>";
            }
        } else {
            $mensaje = $this->traducir('generico.error.ingreso.oferente');
        }
        return array('error' => $error, 'mensaje' => $mensaje, 'oferente' => $oferente);
    }

    /**
     * Este metodo crea una oferta
     * @param Request $request
     * @return type
     */
    public function crearOfertaAction() {
        $control = $this->controlCreacionCarga();
        $tmpTransDir = $this->tempdir("CO" . date("mdYGisu"));
        $this->getRequest()->getSession()->set(MfcControlador::$SESION_OFERTA_FILES, $tmpTransDir);
        $this->getRequest()->getSession()->set(MfcControlador::$SESION_TIPO_CARGA, "G");
        return $this->render('IncopMfcOfertasBundle:Oferta:crearOferta.html.twig', array(
                    'error' => $control['error'],
                    'uploadDir' => $tmpTransDir,
                    'oferente' => $control['oferente'],
                    'mensaje' => $control['mensaje']));
    }

    /**
     * Este metodo toma los archivos subidos temporalmente.
     * @param Request $request
     * @return Response
     */
    public function guardarCreacionOfertaAction(Request $request) {
        $data = $request->request->get('data');
        $mensaje = "";
        $des = $data['descripcion'];
        $formaOferta = $data['tipoOferta'];
        $dir = $this->getRequest()->getSession()->get(MfcControlador::$SESION_OFERTA_FILES) . DIRECTORY_SEPARATOR;
        $fileDir = $dir . "pliego.zip";
        if (file_exists($fileDir)) {
            unlink($fileDir);
        }
        $tipo = $this->getRequest()->getSession()->get(MfcControlador::$SESION_TIPO_CARGA);
        $dataFileUp = $this->consultarInformacionCargaArchivos($dir);
        if ($dataFileUp['pTotal'] == $dataFileUp['pSubidas']) {
            //--> Leemos los archivos del directorio
            $dh = opendir($dir);
            $files = array();
            $hashCase = array();
            while (false !== ($filename = readdir($dh))) {
                if ($filename != "." && $filename != "..") {
                    $files[] = $dir . $filename;
                    $hashCase["" . $filename] = sha1($dir . $filename);
                }
            }
            $numeroArchivos = count($files);
            if ($numeroArchivos == 0) {
                $mensaje = $this->generaAlerta($this->traducir('generico.error.subir.archivo'), 'alert-warning');
            } else if ($numeroArchivos == 1) {
                $eachFile = file_get_contents($files[0]);
                $fileContent = explode(MfcControlador::$SIGNO_SEPARADOR, $eachFile, 2);
                $handleVF = fopen($fileDir, "wb");
                fwrite($handleVF, $fileContent[1]);
                fclose($handleVF);
                $mensaje = $this->subirArchivo($des, $fileDir, $tipo, $formaOferta);
            } else {
                $verificador = file_get_contents($files[0]);
                $fileContent = explode(MfcControlador:: $SIGNO_SEPARADOR, $verificador, 2);
                $partes = explode(";", $fileContent[0]);
                $numeroArchivos = 0;
                $contenido = array();
                foreach ($partes as $parte) {
                    $ushay = explode(":", $parte);
                    $file = $dir . $ushay[0];
                    if (file_exists($file)) {
                        $numeroArchivos++;
                        $eachFile = file_get_contents($file);
                        $fileContent = explode(MfcControlador:: $SIGNO_SEPARADOR, $eachFile, 2);
                        $contenido[] = $fileContent[1];
                    }
                }
                if (count($partes) == $numeroArchivos) {
                    $handleVF = fopen($fileDir, "wb");
                    foreach ($contenido as $parte) {
                        fwrite($handleVF, $parte);
                    }
                    fclose($handleVF);
                    $mensaje = $this->subirArchivo($des, $fileDir, $tipo, $formaOferta);
                } else {
                    $mensaje = $this->traducir('generico.error.ushay.archivo.comprimido');
                }
            }
        } else {
            $mensaje = $this->generaAlerta($this->traducir('generico.error.ushay.archivo.comprimido'), 'alert-warning');
        }
        if (strcmp("OK", $mensaje) == 0) {
            if ($tipo == 'G') {
                $mensaje = $this->traducir('generico.ushay.pliego.correcto');
            } else {
                $mensaje = $this->traducir('generico.ushay.oferta.correcto');
            }
            $return = array("responseCode" => 400, "response" => $mensaje);
        } else {
            $mensaje = $this->generaAlerta($mensaje, 'alert-warning');
            $return = array("responseCode" => 200, "response" => $mensaje);
        }
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /////////////////////////////////////// INICIO - GENERACION XML

    /**
     * Este metodo expora el zip de los adjuntos.
     * @return Response
     */
    public function exportZipAction() {
        $fileId = date("mdYGisu");
        $tmpDir = sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . DIRECTORY_SEPARATOR;
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepArchivos p Where p.contratacionId = ' . $this->getClaveContratacion());
        $archivos = $query->getResult();
        $tmpfname = @tempnam($tmpDir, $fileId . "file.xml");
        $handle = fopen($tmpfname, "w");
        fwrite($handle, $this->xmlExport());
        fclose($handle);
        $archive = new ZipArchive();
        $tmpZip = @tempnam($tmpDir, $fileId . "recursos.zip");
        $hash = "";
        $res = $archive->open($tmpZip, ZipArchive::CREATE);
        if ($res === TRUE) {
            $archive->addFile($tmpfname, 'proceso.xml');
            $hash .= md5_file($tmpfname);
            foreach ($archivos as $archivo) {
                $file = $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_PLIEGOS . DIRECTORY_SEPARATOR . $archivo->getArchivo();
                if (file_exists($file)) {
                    $archive->addFile($file, $archivo->getArchivo());
                    $hash .= " " . md5_file($file);
                }
                $fileOfer = $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_OFERTA . DIRECTORY_SEPARATOR . $archivo->getArchivo();
                if (file_exists($fileOfer)) {
                    $archive->addFile($fileOfer, $archivo->getArchivo());
                    $hash .= " " . md5_file($fileOfer);
                }
            }
        }
//Agregamos info
        $tmpVerFile = @tempnam($tmpDir, $fileId . "zip.info");
        $handleVF = fopen($tmpVerFile, "w");
        fwrite($handleVF, "E" . base64_encode($hash));
        fclose($handleVF);
        $archive->addFile($tmpVerFile, 'zip.info');
        $archive->close();
        $result = $this->divideArchivoEnPartes($tmpZip);
        $tmpZip = $result['contenido'];
        $response = new Response();
        if ($result['tipo'] == 'zip') {
            $response->headers->set("Content-Type", "application/x-zip-compressed;charset = utf-8");
            $response->headers->set("Content-Disposition", "attachment;filename=oferta_" . strtolower(str_replace(".", "_", $this->getCodTipoPliego())) . ".zip;");
        } else if ($result['tipo'] == 'ushay') {
            $response->headers->set("Content-Type", "application/ushay;charset = utf-8");
            $response->headers->set("Content-Disposition", "attachment;filename=oferta_" . strtolower(str_replace(".", "_", $this->getCodTipoPliego())) . ".ushay;");
        }
        $response->headers->set('MFC', 'public');
        $response->headers->set('Cache-Control', 'maxage = 1');
        ob_get_contents();
        ob_end_clean();
        $response->sendHeaders();
        $response->setContent(readfile($tmpZip));
        unlink($tmpZip);
        unlink($tmpfname);
        return $response;
    }

    /**
     * Este metodo genera el xml de las tablas.
     * @return string
     */
    private function xmlExport() {
        $xml = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n<CONTENIDO>\n";
        $xml .= $this->informacionCabecera();
        $xml .= "<VERSION>" . base64_encode($this->getVersion()) . "</VERSION>\n";
        $xmlGeneratorPliego = new PliegoXmlUtil($this);
        $xml .= $xmlGeneratorPliego->seleccionTablas();
        $xmlGeneratorOferta = new OfertaXmlUtil($this);
        $xml .= $xmlGeneratorOferta->seleccionTablas();
        $xml .= "</CONTENIDO>";
        return $xml;
    }

    /**
     * Agrega informacion a la cabecera del xml.
     * @return string
     */
    private function informacionCabecera() {
        $xml = "";
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepContrataciones p where p.id=' . $this->getClaveContratacion());
        $contratacion = $query->getSingleResult();
        $xml .= "<CP>" . base64_encode($contratacion->getCodProc()) . "</CP>\n";
        $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepPliegos p where p.requerimientoId=' . $this->getClaveRequerimiento());
        $requerimiento = $query->getSingleResult();
        $xml .= "<CPP>" . base64_encode($requerimiento->getCodigoProceso()) . "</CPP>\n";
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferente p where p.id=" . $this->getOferenteId());
        $oferente = $query->getOneOrNullResult();
        $xml .= "<DO>" . base64_encode($oferente->getDocumento()) . "</DO >\n";
        return $xml;
    }

///////////////////////////////////////  FIN - GEBNERACION XML

    /**
     * Este metodo valida y genera la Oferta segun el resultado de la validacion.
     * @param Request $request
     * @return Response
     */
    public function generarOfertaAction(Request $request) {
        $IngresoOferta = $this->getRequest()->getSession()->get('IngresoOferta');
        $mensaje = '';
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferente p where p.id=" . $this->getOferenteId());
        $oferente = $query->getOneOrNullResult();
        $em->getConnection()->executeUpdate("delete from TMOA_OFERREPRLEGA where documento is null");
        if ($oferente->getTipoPersona() === 'J') {
            $queryRepLega = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferReprLega p where p.oferenteId=" . $this->getOferenteId());
            $repLega = $queryRepLega->getOneOrNullResult();
            $resLegaDocumento = trim($repLega->getDocumento());
        }
        $queryContrataciones = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepContrataciones p Where p.id=" . $this->getClaveContratacion());
        $contrataciones = $queryContrataciones->getOneOrNullResult();
        $codProc = trim($contrataciones->getCodProc());
        if ($oferente->getTipoParticipacion() == 'CA') {
            if (!is_null($codProc) && !empty($codProc) && !is_null($resLegaDocumento) && !empty($resLegaDocumento) && $codProc != '' && $resLegaDocumento != '') {
                $oferente->setDocumento($codProc . '-' . $resLegaDocumento);
                $em->persist($oferente);
                $em->flush();
            }
        }
//Validamos los datos.
        $error = false;
//VALIDA COMPROMISO DE PARTICIPACION
        $comproParti = $this->validarComproParticipacion();
        if ($comproParti['resultado']) {
            $error = true;
            $mensaje .= $this->areaError('Compromiso de Participación', $comproParti['html']);
        }
//VALIDA OFERTA ECONOMICA
        $oferEconom = $this->validarOfertaEconomica();
        if ($oferEconom['resultado']) {
            $error = true;
            $mensaje .= $this->areaError('Oferta Económica', $oferEconom['html']);
        }
//VALIDA FORMULARIO DE OFERTA
        $comproSubContra = $this->validarComproSubcontratacion();
        if ($comproSubContra['resultado']) {
            $error = true;
            $mensaje .= $this->areaError('Compromiso Subcontratación', $comproSubContra['html']);
        }
        $formOfer = $this->validarFormularioOferta();
        if ($formOfer['resultado']) {
            $error = true;
            $mensaje .= $this->areaError('Formulario Oferta', $formOfer['html']);
        }
        if ($IngresoOferta == 0) {
            $error = true;
            $IngresoOferta = $this->validarIngresoOferta();
            $mensaje .= $this->areaError('Generar Oferta', $IngresoOferta['html']);
        }
        $beneficiarioFinal = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferBeneficiarios")->findBy(array("oferenteId" => $oferente->getId()));
        if (!$beneficiarioFinal) {
            $error = true;
            $error = true;
            $val = array();
            $tituloTxt = $this->traducir('erroroferente.beneficiarioFinal.titulo');
            $personalizado = array(
                "titulo" => $tituloTxt,
                "mensaje" => array(
                    array(
                        "error" => $this->traducir('erroroferente.beneficiarioFinal'),
                        "campo" => null
                    )
                )
            );
            $html = $this->generaVistaValidacion($val, $personalizado);
            $mensaje .= $this->areaError('Formulario Oferta', $html['html']);
        }
//SI EXISTEN ERRORES EN LA VALIDACION MUESTRA EN PANTALLA
        if ($error) {
            return $this->render('IncopMfcOfertasBundle:Oferta:generarOferta.html.twig', array(
                        'mensaje' => $mensaje,
                        'error' => $error,
                        'oferente' => $oferente,
                        'nombreVentana' => 'Generación de Oferta',
                        'form' => null,
            ));
        } else {
            $oferta = new OfertaVO();
            $em = $this->getDoctrine()->getManager();
            $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p Where p.contratacionesId = ' . $this->getClaveContratacion() . " and p.oferenteId=" . $this->getOferenteId());
            $formOferInicial = $query->getOneOrNullResult();
            if ($formOferInicial) {
                $oferta->setFecha($formOferInicial->getFechaFirmaOferta());
                $oferta->setLugar($formOferInicial->getLugarFirmaOferta());
                $oferta->setPlazoEntrega($formOferInicial->getPlazoEntrega());
                $oferta->setGarantia($formOferInicial->getGarantia());
                $oferta->setObservacion($formOferInicial->getObservacion());
            }
            $mensaje = '<div class="alert alert-success">Datos validados</div> ';
            if ($_SESSION["_sf2_attributes"]["tipoPliegoCodigo"] == "PLI.MENBIESER") {
                $form = $this->createFormBuilder($oferta)
                        ->add('plazoEntrega', 'text', array('required' => true,
                            'attr' => array(
                                'class' => 'form-control campoNumerico',
                                'maxlength' => '4',
                                'autocomplete' => 'off'
                    )))
                        ->add('garantia', 'text', array('required' => true,
                            'attr' => array(
                                'class' => 'form-control campoNumerico',
                                'maxlength' => '3',
                                'autocomplete' => 'off',
                                'value' => 0
                    )))
                        ->add('observacion', 'textarea', array('required' => true,
                            'attr' => array(
                                'class' => 'form-control',
                                'style' => 'width:330px;',
                                'rows' => '1',
                                'onFocus' => 'angrandaTextArea(this,6,330)',
                                'onBlur' => 'achicaTextArea(this,1,330)',
                                'maxlength' => '200'
                    )))
                        ->getForm();
            } else {
                $form = $this->createFormBuilder($oferta)
                        ->add('plazoEntrega', 'text', array('required' => true,
                            'attr' => array(
                                'class' => 'form-control campoNumerico',
                                'maxlength' => '4',
                                'autocomplete' => 'off'
                    )))
                        ->add('garantia', 'text', array('required' => true,
                            'attr' => array(
                                'class' => 'form-control campoNumerico',
                                'maxlength' => '3',
                                'autocomplete' => 'off'
                    )))
                        ->add('observacion', 'textarea', array('required' => true,
                            'attr' => array(
                                'class' => 'form-control',
                                'style' => 'width:330px;',
                                'rows' => '1',
                                'onFocus' => 'angrandaTextArea(this,6,330)',
                                'onBlur' => 'achicaTextArea(this,1,330)',
                                'maxlength' => '200'
                    )))
                        ->getForm();
            }
            if (filter_input(INPUT_SERVER, 'REQUEST_METHOD') == 'POST') {
                $form->bind($request);
                $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p Where p.contratacionesId = ' . $this->getClaveContratacion() . " and p.oferenteId=" . $this->getOferenteId());
                $formOfer = $query->getOneOrNullResult();
                if ($formOfer != null) {
                    $formOfer->setFechaFirmaOferta($oferta->getFecha());
                    $formOfer->setLugarFirmaOferta($oferta->getLugar());
                    $formOfer->setPlazoEntrega($oferta->getPlazoEntrega());
                    $formOfer->setGarantia($oferta->getGarantia());
                    $formOfer->setObservacion($oferta->getObservacion());
                    $em->persist($formOfer);
                    $em->flush();
                    $formoferId = $formOfer->getId();
                    $this->getRequest()->getSession()->set('formoferId', $formoferId);
                }
                $formoferId = $this->getRequest()->getSession()->get('formoferId');
                $formoferId = trim($formoferId);
                if (!$formoferId) {
                    if ($formOferInicial) {
                        $formoferId = $formOferInicial->getId();
                    }
                }
                if (!$formoferId) {
                    if ($formOfer) {
                        $formoferId = $formOfer->getId();
                    }
                }
                if (!is_null($formoferId) && !empty($formoferId) && $formoferId != '') {
                    $em->getConnection()->executeUpdate("update TMOA_FORMOFER set FECHA_FIRMA_OFERTA= '" . date("Y-m-d") . "' where id=" . $formoferId);
                }
                $fileId = date("mdYGisu");
                $tmpDir = sys_get_temp_dir() . DIRECTORY_SEPARATOR . $fileId . DIRECTORY_SEPARATOR;
                $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepArchivos p Where p.contratacionId = ' . $this->getClaveContratacion());
                $archivos = $query->getResult();
                $tmpfname = @tempnam($tmpDir, $fileId . "file.xml");
                $handle = fopen($tmpfname, "w");
                fwrite($handle, $this->xmlExport());
                fclose($handle);
                $archive = new ZipArchive();
                $tmpZip = @tempnam($tmpDir, $fileId . "recursos.zip");
                $hash = "";
                $res = $archive->open($tmpZip, ZipArchive::CREATE);
                if ($res === TRUE) {
                    $archive->addFile($tmpfname, 'proceso.xml');
                    $hash .= md5_file($tmpfname);
                    foreach ($archivos as $archivo) {
                        $file = $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_PLIEGOS . DIRECTORY_SEPARATOR . $archivo->getArchivo();
                        if (file_exists($file)) {
                            $archive->addFile($file, $archivo->getArchivo());
                            $hash .= " " . md5_file($file);
                        }
                        $fileOfer = $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_OFERTA . DIRECTORY_SEPARATOR . $archivo->getArchivo();
                        if (file_exists($fileOfer)) {
                            $archive->addFile($fileOfer, $archivo->getArchivo());
                            $hash .= " " . md5_file($fileOfer);
                        }
                    }
                }
//Agregamos info
                $tmpVerFile = @tempnam($tmpDir, $fileId . "zip.info");
                $handleVF = fopen($tmpVerFile, "w");
                fwrite($handleVF, "O" . base64_encode($hash));
                fclose($handleVF);
                $archive->addFile($tmpVerFile, 'zip.info');
                $archive->close();
                $result = $this->divideArchivoEnPartes($tmpZip);
                $tmpZip = $result['contenido'];
                $response = new Response();
                if ($result['tipo'] == 'zip') {
                    $response->headers->set("Content-Type", "application/x-zip-compressed;charset = utf-8");
                    $response->headers->set("Content-Disposition", "attachment;filename=oferta_" . strtolower(str_replace(".", "_", $this->getCodTipoPliego())) . ".zip;");
                } else if ($result['tipo'] == 'ushay') {
                    $response->headers->set("Content-Type", "application/ushay;charset = utf-8");
                    $response->headers->set("Content-Disposition", "attachment;filename=oferta_" . strtolower(str_replace(".", "_", $this->getCodTipoPliego())) . ".ushay;");
                }
                $response->headers->set('MFC', 'public');
                $response->headers->set('Cache-Control', 'maxage = 1');
                ob_get_contents();
                ob_end_clean();
                $response->sendHeaders();
                $response->setContent(readfile($tmpZip));
                unlink($tmpZip);
                unlink($tmpfname);
                return $response;
            }
            return $this->render('IncopMfcOfertasBundle:Oferta:generarOferta.html.twig', array(
                        'mensaje' => $mensaje,
                        'error' => $error,
                        'oferente' => $oferente,
                        'form' => $form->createView(),
            ));
        }
    }

    /**
     * Este metodo busca y muestra las lista de anexos.
     * @return pantalla
     */
    public function listarAnexosOfertaAction() {
        $contratacionId = $this->getClaveContratacion();
        $mensaje = "";
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepArchivos p Where p.contratacionId = '
                . $contratacionId . ' and (p.oferta=false)');
        $archivos = $query->getResult();
        return $this->render('IncopMfcOfertasBundle:Oferta:listaAnexos.html.twig', array(
                    'mensaje' => $this->generaAlerta($mensaje),
                    'nombreVentana' => 'Anexos pliego',
                    'sitio' => MfcControlador::$DOC_PLIEGOS,
                    'archivos' => $archivos));
    }

    /**
     * Este metodo busca y muestra archivos de la oferta.
     * @return pantalla
     */
    public function listarArchivosOfertaAction() {
        $contratacionId = $this->getClaveContratacion();
        $mensaje = "";
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepArchivos p Where p.contratacionId = "
                . $contratacionId . " and ( p.oferta=true or p.oferta=" . $this->getOferenteId() . ")");
        $archivos = $query->getResult();
        return $this->render('IncopMfcOfertasBundle:Oferta:listaArchivos.html.twig', array(
                    'mensaje' => $this->generaAlerta($mensaje),
                    'nombreVentana' => 'Archivos oferta',
                    'sitio' => MfcControlador::$DOC_OFERTA,
                    'archivos' => $archivos));
    }

    /**
     * Este metodo elimina un registro de la base de datos.
     * @param type $request
     * @return Response
     */
    public function guardarEdicionArchivoAction(Request $request) {
        try {
            $dataForm = $request->request->get('form');
            $em = $this->getDoctrine()->getManager();
            $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepArchivos p where p.id=' . $dataForm['idArch']);
            $archivo = $query->getSingleResult();
            $archivo->setDescripcion($dataForm['descripcion']);
            $em->persist($archivo);
            $em->flush();
            $mensaje = $this->traducir('generico.guardado');
        } catch (Exception $e) {
            $this->generarLogError($e);
            $mensaje = $this->traducir('generico.error.guardar');
        }
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

//TODO, hay que eliminar el archivo fisicamente tambien.

    /**
     * Este metodo elimina un registro de la base de datos.
     * @param type $fileId
     * @return Response
     */
    public function eliminarArchivoOfertaAction($fileId) {
        try {
            $em = $this->getDoctrine()->getManager();
            $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepArchivos p where p.id=' . $fileId);
            $archivo = $query->getSingleResult();
            unlink($this->getUploadRootDir() . "/oferta/" . $archivo->getArchivo());
            $em->remove($archivo);
            $this->eliminaCamposArchivos($em, $fileId, "TmoaFormOferValoAgre", array("archivo"));
            $this->eliminaCamposArchivos($em, $fileId, "TmoaFormOfer", array("anexoNombre", "anexoDos", "lugarFirmaOferta"));
            $this->eliminaCamposArchivos($em, $fileId, "TmoaFormOferExpeOfer", array("archivos"));
            $this->eliminaCamposArchivos($em, $fileId, "TmoaFormOferIndices", array("archivos"));
            $this->eliminaCamposArchivos($em, $fileId, "TmoaFormOferPatrimonio", array("archivos"));
            $this->eliminaCamposArchivos($em, $fileId, "TmoaFormOferPlanTrab", array("nombreOrg"));
            $em->flush();
            $mensaje = "Registro eliminado con éxito.";
        } catch (Exception $e) {
            $this->generarLogError($e);
            $mensaje = $this->traducir('generico.error.guardar');
        }
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Elimina de una entidad los campos array
     * @param EntityManager $em
     * @param integer $fileId
     * @param string $entidad_nombre
     * @param array $campos
     */
    private function eliminaCamposArchivos($em, $fileId, $entidad_nombre, $campos) {
        $entidad = $em->createQuery("Select p from IncopMfcOfertasBundle:" . $entidad_nombre . " p")->getResult(2);
        foreach ($entidad as $item) {
            foreach ($campos as $campo) {
                $archivos = $item[$campo];
                if (is_array($archivos)) {
                    if ($archivos) {
                        $valor = array_search($fileId, $archivos);
                        unset($archivos[$valor]);
                        $json_array = array();
                        foreach ($archivos as $it) {
                            $json_array[] = $it;
                        }
                        $entidad_final = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:" . $entidad_nombre)->find($item["id"]);
                        $entidad_final->{"set" . ucfirst($campo)}($json_array);
                        $em->persist($entidad_final);
                    }
                }
            }
        }
        $em->flush();
    }

    /**
     * Este metodo registra y graba un archivo.
     * @param Request $request
     * @return type
     */
    public function crearArchivoOfertaAction(Request $request) {
        $contratacionId = $this->getClaveContratacion();
        $archivo = new TmepArchivos();
        $mensaje = $queryFiles = $files = $ficheros = $value = $fichero = "";
        $archivo->setOferta($this->getOferenteId());
        $archivo->setContratacionId($contratacionId);
        $archivo->setContratacionId($contratacionId);
        $form = $this->createFormBuilder($archivo)
                ->add('descripcion', 'textarea')
                ->add('file', 'file')
                ->getForm();
        $em = $this->getDoctrine()->getManager();
        $queryFiles = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepArchivos p");
        $files = $queryFiles->getResult();
        foreach ($files as $file) {
            $dirFile = "";
            $dirFile = $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_OFERTA . DIRECTORY_SEPARATOR . $file->getArchivo();
        }
        $ficheros = scandir($this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_OFERTA);
        foreach ($ficheros as $key => $value) {
            if ('.' !== $value && '..' !== $value) {
                $queryFiles = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepArchivos p where p.archivo = '" . $value . "'");
                $fichero = $queryFiles->getResult();
                if (!$fichero) {
                    unlink($this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_OFERTA . DIRECTORY_SEPARATOR . $value);
                }
            }
        }
        if (filter_input(INPUT_SERVER, 'REQUEST_METHOD') == 'POST') {
            $em = $this->getDoctrine()->getManager();
            $form->bind($request);
            $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepArchivos p Where p.contratacionId = " . $contratacionId . " and ( p.oferta=true or p.oferta=" . $this->getOferenteId() . ") and p.nombreArchivoReal = '" . $archivo->getFile()->getClientOriginalName() . "'");
            $archivos = $query->getResult();
            if (count($archivos) > 0) {
                $mensaje = $this->generaAlerta($this->traducir('generico.error.ushay.ya.subido'), 'alert-warning');
            } else {
                $archivo->setTipo('OFE');
                $archivo->upload(MfcControlador::$DOC_OFERTA);
                if ($em->persist($archivo) == 0) {
                    $mensaje = $this->generaAlerta($this->traducir('generico.datos.registrados'));
                    $archivo = new TmepArchivos();
                    $archivo->setOferta($this->getOferenteId());
                    $archivo->setContratacionId($contratacionId);
                    $form = $this->createFormBuilder($archivo)
                            ->add('descripcion', 'textarea')
                            ->add('file', 'file')
                            ->getForm();
                } else {
                    $mensaje = $this->generaAlerta($this->traducir('generico.datos.no.registrados'));
                }
                $em->flush();
            }
        }
        return $this->render('IncopMfcOfertasBundle:Oferta:subirArchivo.html.twig', array(
                    'form' => $form->createView(),
                    'nombreVentana' => 'Archivos oferta',
                    'mensaje' => $mensaje));
    }

    /**
     *
     * @param type $ofertente
     * @param type $accion
     */
    public function seleccionarOferenteAction($ofertente, $accion) {
        $pagina = "incop_mfc_ofertas_inicio";
        $this->getRequest()->getSession()->set('oferenteId', $ofertente);
        if ($ofertente) {
            $oferenteObj = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaOferente")->find($ofertente);
            if ($oferenteObj) {
                $this->getRequest()->getSession()->set('nombreOferente', $oferenteObj->getNombreOferente());
            } else {
                $this->getRequest()->getSession()->set('nombreOferente', null);
            }
        }
        if ($accion == 0) {
            $pagina = "incop_mfc_ofertas_lista";
        } else if ($accion == 1) {
            $pagina = "incop_mfc_ofertas_creacion";
        } else if ($accion == 2) {
            $pagina = "incop_mfc_ofertas_datosgenerales";
        }
        return $this->redirect($this->generateUrl("$pagina"));
    }

    /**
     *
     * @return typeMETODO Q LISTA LAS OFERTAS EXISTENTE EN EL SISTEMA
     */

    /**
     * Este metodo muestra todas las ofertas creadas.
     * @return pantalla
     */
    public function listarOfertasAction() {
        $oferente = $this->getOferenteId();
        if ($oferente != null) {
            $mensaje = "";
//TmepContrataciones
            $em = $this->getDoctrine()->getManager();
            $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepContrataciones p Where p.oferenteId=" . $oferente . "");
            $contrataciones = $query->getResult();
            foreach ($contrataciones as $contratacion) {
                $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepRequerimientos p where p.contratacionId=" . $contratacion->getId());
                $requerimiento = $query->getOneOrNullResult();
                $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepPliegos p where p.requerimientoId=" . $requerimiento->getId());
                $pliego = $query->getOneOrNullResult();
                $contratacion->setPliego($pliego);
            }
            return $this->render('IncopMfcOfertasBundle:Oferta:listaOferta.html.twig', array(
                        'mensaje' => $this->generaAlerta($mensaje),
                        'contrataciones' => $contrataciones));
        } else {
            return $this->redirect($this->generateUrl("incop_mfc_ofertas_inicio"));
        }
    }

    /**
     * METODO PARA EDITAR EL NOMBRE REFERENCIAL DE LA OFERTA
     * @param type $contratacionId
     * @return type
     */

    /**
     * Este metodo inicia la edicion de una oferta.
     * @param type $contratacionId
     * @return type
     */
    public function editarOfertaAction($contratacionId) {
        $plazoEjecucionAnio = 1;
        $requerimientoRedondeado = 0;
        $presentaPatrimonio = '';
        $prt = 0;
        if (substr(php_uname(), 0, 7) == "Windows") {
            $output = '';
            $ua = $this->getBrowser();
            if (strpos($ua['name'], 'Mozilla') !== false) {
                exec('C:\mfc\htdocs\mfc-oa\src\Incop\Mfc\OfertasBundle\Controller\ClearCacheMozillaFirefox.bat', $output);
            }
            if (strpos($ua['name'], 'Internet') !== false) {
                exec('C:\mfc\htdocs\mfc-oa\src\Incop\Mfc\OfertasBundle\Controller\ClearCacheInternetExplorer.bat', $output);
            }
            if (strpos($ua['name'], 'Chrome') !== false) {
                exec('C:\mfc\htdocs\mfc-oa\src\Incop\Mfc\OfertasBundle\Controller\ClearCacheGoogleChrome.bat', $output);
            }
            if (strpos($ua['name'], 'Safari') !== false) {
                exec('C:\mfc\htdocs\mfc-oa\src\Incop\Mfc\OfertasBundle\Controller\ClearCacheSafari.bat', $output);
            }
            if (strpos($ua['name'], 'Opera') !== false) {
                exec('C:\mfc\htdocs\mfc-oa\src\Incop\Mfc\OfertasBundle\Controller\ClearCacheOpera.bat', $output);
            }
        }
        $this->getRequest()->getSession()->set('IngresoOferta', 0);
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepRequerimientos p where p.contratacionId =" . $contratacionId);
        $requerimiento = $query->getOneOrNullResult();
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaOferente p where p.id=" . $this->getOferenteId());
        $oferente = $query->getOneOrNullResult();
        $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepCronograma p where p.requerimientoId=' . $requerimiento->getId());
        $cronograma = $query->getSingleResult();
        if ($cronograma) {
            $cronogramaDet = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmepCronogramaDetalle")->findOneBy(array("cronogramaId" => $cronograma->getId(), "orden" => 1));
        }
        $plazoEjecucionAnio = $requerimiento->getPlazoEjec() / 365;
        if ($plazoEjecucionAnio < 1) {
            $plazoEjecucionAnio = 1;
        }
        if (is_numeric($requerimiento->getPrt())) {
            $prt = $requerimiento ? $requerimiento->getPrt() : '0.00';
        } else {
            $prt = $requerimiento ? $this->decrip($requerimiento->getPrt()) : '0.00';
        }
        $requerimientoRedondeado = (float) $prt / $plazoEjecucionAnio;
        $requerimientoRedondeado = round($requerimientoRedondeado, 2);
        $presentaPatrimonio = PatrimoniosUtil::consultaPatrimonio($requerimientoRedondeado, $requerimiento->getTipoCompra());
        $this->getRequest()->getSession()->set("PRESENTA_PATRIMONIO", $presentaPatrimonio);
        $catalogos = new CatalogosUtil();
        $fechaXMLSIE = $catalogos->buscarPorcodigo('FECHA_OCULTA_VALORES_SIE');
        $fechaXMLSIE = date("Y/m/d", strtotime($fechaXMLSIE));
        $this->setearVariablesSession($contratacionId, $requerimiento->getId(), $requerimiento->getTipoCompra(), $requerimiento->getTipoContratacion(), $requerimiento->getTipoPliego(), $oferente->getTipoParticipacion());
        return $this->redirect($this->generateUrl('incop_mfc_ofertas_datos_oferta'));
    }

    public function getBrowser() {
        $u_agent = filter_input(INPUT_SERVER, 'HTTP_USER_AGENT');
        $bname = 'Unknown';
        $platform = 'Unknown';
        $version = "";
        //First get the platform?
        if (preg_match('/linux/i', $u_agent)) {
            $platform = 'linux';
        } elseif (preg_match('/macintosh|mac os x/i', $u_agent)) {
            $platform = 'mac';
        } elseif (preg_match('/windows|win32/i', $u_agent)) {
            $platform = 'windows';
        }
        // Next get the name of the useragent yes seperately and for good reason
        if (preg_match('/MSIE/i', $u_agent) && !preg_match('/Opera/i', $u_agent)) {
            $bname = 'Internet Explorer';
            $ub = "MSIE";
        } elseif (preg_match('/Firefox/i', $u_agent)) {
            $bname = 'Mozilla Firefox';
            $ub = "Firefox";
        } elseif (preg_match('/Chrome/i', $u_agent)) {
            $bname = 'Google Chrome';
            $ub = "Chrome";
        } elseif (preg_match('/Safari/i', $u_agent)) {
            $bname = 'Apple Safari';
            $ub = "Safari";
        } elseif (preg_match('/Opera/i', $u_agent)) {
            $bname = 'Opera';
            $ub = "Opera";
        } elseif (preg_match('/Netscape/i', $u_agent)) {
            $bname = 'Netscape';
            $ub = "Netscape";
        }
        // finally get the correct version number
        $known = array('Version', $ub, 'other');
        $pattern = '#(?<browser>' . join('|', $known) .
                ')[/ ]+(?<version>[0-9.|a-zA-Z.]*)#';
        // see how many we have
        $matches['browser'] = '';
        $i = count($matches['browser']);
        if ($i != 1) {
            //we will have two since we are not using 'other' argument yet
            //see if version is before or after the name
            if (strripos($u_agent, "Version") < strripos($u_agent, $ub)) {
                $version = $matches['version'][0];
            } else {
                $version = $matches['version'][1];
            }
        }
        // check if we have a number
        if ($version == null || $version == "") {
            $version = "?";
        }
        return array(
            'userAgent' => $u_agent,
            'name' => $bname,
            'version' => $version,
            'platform' => $platform,
            'pattern' => $pattern
        );
    }

    /**
     *
     * @param type $oferente
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function eliminarOferenteAction($oferente) {
        try {
            $em = $this->getDoctrine()->getManager();
            $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepContrataciones p Where p.oferenteId=" . $oferente . "");
            $this->getRequest()->getSession()->set('oferenteId', $oferente);
            $contrataciones = $query->getResult();
            foreach ($contrataciones as $contratacion) {
                $this->eliminarOferta($contratacion->getId());
                $this->eliminarPliego(null, $contratacion->getId());
            }
            $eme = $this->getDoctrine()->getManager();
            $eme->createQuery("delete from IncopMfcOfertasBundle:TmoaOferReprLega o where o.oferenteId=" . $oferente)->execute();
            $eme->createQuery("delete from IncopMfcOfertasBundle:TmoaOferOtroValo o where o.oferenteId=" . $oferente)->execute();
            $eme->createQuery("delete from IncopMfcOfertasBundle:TmoaOferente o where o.id=" . $oferente)->execute();
            $eme->createQuery("delete from IncopMfcOfertasBundle:TmoaOferAcci o where o.oferenteId=" . $oferente)->execute();
            $eme->createQuery("delete from IncopMfcOfertasBundle:TmoaOferBeneficiarios o where o.oferenteId=" . $oferente)->execute();
            $eme->createQuery("delete from IncopMfcOfertasBundle:TmoaOferPersonasNaturales o where o.oferenteId=" . $oferente)->execute();
            $eme->createQuery("delete from IncopMfcOfertasBundle:TmoaOferPersonasPublicas o where o.oferenteId=" . $oferente)->execute();
            $mensaje = $this->traducir('generico.registro.eliminado');
        } catch (Exception $e) {
            $this->generarLogError($e);
            $mensaje = $this->traducir('generico.error.eliminar');
        }
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * METODO PARA ELIMINAR LA OFERTA O CONTRATACION
     * @param type $idc
     * @return Response
     */

    /**
     * Este metodo elimina la oferta desactivando la contratacion.
     * @param type $idc
     * @return Response
     */
    public function eliminarContratacionAction($idc) {
        try {
            $errores = $this->eliminarOferta($idc);
            if (!$errores) {
                $this->eliminarPliego(null, $idc);
                $mensaje = $this->traducir('generico.registro.eliminado');
            } else {
                $mensaje = $errores;
            }
        } catch (Exception $e) {
            $this->generarLogError($e);
            $mensaje = $this->traducir('generico.error.eliminar');
        }
        $return = array("responseCode" => 200, "response" => $mensaje);
        $return = json_encode($return);
        return new Response($return, 200, array('Content-Type' => 'application/json'));
    }

    /**
     * Elimina los datos de la oferta FISICAMENTE
     * @param Request $idc
     * @return string
     */
    private function eliminarOferta($idc) {
        $contratacionId = $idc;
        $em = $this->getDoctrine()->getManager();
        $error = false;
        try {
            $formOfer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOfer")->findOneBy(array("contratacionesId" => $contratacionId, "oferenteId" => $this->getOferenteId()));
            if ($formOfer) {
                $em->getConnection()->beginTransaction();
                $formoferId = $formOfer->getId();
//Elimina los archivos antiguos
                $queryFiles = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepArchivos p where p.contratacionId=" . $contratacionId);
                $files = $queryFiles->getResult();
                foreach ($files as $file) {
                    $dirFileOfer = $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_OFERTA . DIRECTORY_SEPARATOR . $file->getArchivo();
                    if (file_exists($dirFileOfer)) {
                        unlink($dirFileOfer);
                    }
                }
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmepArchivos p WHERE p.contratacionId=" . $contratacionId)->execute();
//Elimino 3er nivel
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferValoAgreDet p WHERE p.formoferValoagreId in (SELECT c.id from IncopMfcOfertasBundle:TmoaFormOferValoAgre c where c.formoferId=$formoferId)")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferValoAgreCro p WHERE p.formoferValoagreId in (SELECT c.id from IncopMfcOfertasBundle:TmoaFormOferValoAgre c where c.formoferId=$formoferId)")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferProgActividad p WHERE p.formoferPlanTrabId in (SELECT c.id from IncopMfcOfertasBundle:TmoaFormOferPlanTrab c where c.formoferId=$formoferId)")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaComSubconRubro p WHERE p.comproSubcontrId in (SELECT c.id from IncopMfcOfertasBundle:TmoaComproSubcontr c where  c.contratacionId=$contratacionId)")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaExpProfe p WHERE p.comproParticipId in (SELECT c.id from IncopMfcOfertasBundle:TmoaComproParticip c where   c.contratacionId=$contratacionId)")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferPlanTrab p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferPlanTrab p WHERE p.formoferId IS NULL")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferPlanTrabProd p WHERE p.formoferId = $formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferBienServTdr p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferBienServEt p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferIndices p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferPatrimonio p WHERE p.formoferId=$formoferId")->execute();
//Elimino 2do nivel
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferCronTot p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferEquiAsig p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferEquiMini p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferEquiposInstrumentos p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferExpeOfer p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferOferEcon p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferPersTecn p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferValoAgre p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaComproSubcontr c where c.contratacionId=$contratacionId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaComproParticip c where  c.contratacionId=$contratacionId")->execute();
//Elimino 1er nivel
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOfer p WHERE p.id=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferIndices p WHERE p.formoferId=$formoferId")->execute();
                $em->createQuery("DELETE IncopMfcOfertasBundle:TmoaFormOferPatrimonio p WHERE p.formoferId=$formoferId")->execute();
                $em->flush();
                $em->getConnection()->commit();
            }
        } catch (\Exception $ex) {
            $this->generarLogError($ex);
            $em->getConnection()->rollback();
            $em->close();
            $error = $this->traducir("generico.error.proceso");
        }
        return $error;
    }

    /**
     * Este metodo ingresa los registros de archivos.
     * @param type $em
     * @param type $tablas
     */
    private function crearArchivos($em, $tablas, $contratacionId, $dir) {
        $archivosId = array();
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_ARCHIVOS']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['CONTRATACION_ID'] = $contratacionId;
                    if (!$datos['OFERTA']) {
                        $archivo = new TmepArchivos($datos);
                        $archivo->setOferta(false);
                        $file = $dir . $archivo->getArchivo();
                        if (file_exists($file)) {
                            copy($file, $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_PLIEGOS . DIRECTORY_SEPARATOR . $contratacionId . "-" . $archivo->getArchivo());
                            $archivo->setArchivo($contratacionId . "-" . $archivo->getArchivo());
                        } else {
                            return false;
                        }
                        $this->archivos[$datos['ID']] = $archivo->getId();
                        $em->persist($archivo);
                        $em->flush();
                        $archivosId["'" . $datos['ID'] . "'"] = $archivo->getId();
                    }
                }
            }
        }
        return $archivosId;
    }

    /**
     * Convierte los archivos a array con los nuevos ids
     * @param type $campo_de_archivos
     * @return type
     */
    private function actualizaIdsArchivos($campo_de_archivos) {
        $retorno = array();
        //Cambia los ids de los archivos por los nuevos ids
        $id_archivos = json_decode($campo_de_archivos . "");
        if (is_object($id_archivos)) {
            $id_archivos = get_object_vars($id_archivos);
        }
        if (is_array($id_archivos)) {
            foreach ($id_archivos as $item) {
                if ($item) {
                    if (isset($this->archivos[$item])) {
                        $retorno[] = $this->archivos[$item];
                    }
                }
            }
        }
        return $retorno;
    }

    /**
     * Ruta absoluta del directorio principal para subir y leer los archivos.
     * @return path
     */
    protected function getUploadRootDir() {
        return __DIR__ . '/../../../../../web/' . $this->getUploadDir();
    }

    /**
     * Carpetas para leer o subir.
     * @return string
     */
    protected function getUploadDir() {
        return 'uploads/documents';
    }

////////////////////////////////////////////// INICIO CARGA XML

    /**
     * Este metodo crear el cronograma y sus detalles
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearEvaluacion($em, $tablas, $requerimientoId) {
//PERSONAL TECNICO
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_VALORACION']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $tdrTmepPersonalTecnico = new TmepValoracion($datos);
                    $em->persist($tdrTmepPersonalTecnico);
                    $em->flush();
//Inicio detalle
                    $tdrTmepPersonalTecnicoiD = $tdrTmepPersonalTecnico->getId();
                    $resulthijos = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_VALORACION_DET']");
                    foreach ($resulthijos as $tabla) {
                        foreach ($tabla as $fila) {
                            $campoh = array();
                            $valorh = array();
                            foreach ($fila as $columna => $dato) {
                                $campoh[] = $columna;
                                $valorh[] = base64_decode($dato);
                            }
                            $datosH = array_combine($campoh, $valorh);
                            if ($datosH['VALORACION_ID'] == $datos['ID']) {
                                $datosH['VALORACION_ID'] = $tdrTmepPersonalTecnicoiD;
                                $tdrTmepPersonalTecnicoOtros = new TmepValoracionDet($datosH);
                                $em->persist($tdrTmepPersonalTecnicoOtros);
                                $em->flush();
                            }
                        }
                    }
//FIN detalle
//INICIO OTROS
                    $resulthijos = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_VALORACION_OTR']");
                    foreach ($resulthijos as $tabla) {
                        foreach ($tabla as $fila) {
                            $campoh = array();
                            $valorh = array();
                            foreach ($fila as $columna => $dato) {
                                $campoh[] = $columna;
                                $valorh[] = base64_decode($dato);
                            }
                            $datosH = array_combine($campoh, $valorh);
                            if ($datosH['VALORACION_ID'] == $datos['ID']) {
                                $datosH['VALORACION_ID'] = $tdrTmepPersonalTecnicoiD;
                                $tdrValoracionOtros = new TmepValoracionOtros($datosH);
                                $em->persist($tdrValoracionOtros);
                                $em->flush();
                            }
                        }
                    }
//FIN OTROS
                }
            }
        }
    }

    /**
     * Este metodo crear el cronograma y sus detalles.
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private $arrEt;
    private $arrEtIds;

    /**
     * Este metodo crear la especificación técnica
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearET($em, $tablas, $requerimientoId) {
        $queryReq = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepRequerimientos p where p.id=" . $requerimientoId);
        $requerimiento = $queryReq->getOneOrNullResult();
        if ($requerimiento->getTipoContratacion() != 'OBR.LCT') {
            $etCabecera = array();
            $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_ESPE_TECNICAS']");
            if (!is_null($result)) {
                foreach ($result as $tabla) {
                    foreach ($tabla as $fila) {
                        $campo = array();
                        $valor = array();
                        foreach ($fila as $columna => $dato) {
                            $campo[] = $columna;
                            $valor[] = base64_decode($dato);
                        }
                        $datos = array_combine($campo, $valor);
                        $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                        $tmepEspeTecnicas = new TmepEspeTecnicas($datos);
                        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_REQUERIMIENTOS']/ROW/TIPO_CONTRATACION");
                        if (!is_null($result)) {
                            foreach ($result as $tabla) {
                                if (in_array(base64_decode($tabla), array('BIE.SIE', 'SER.SIE'))) {
                                    if (is_numeric($tmepEspeTecnicas->getPrecioRefUnitario())) {
                                        $tmepEspeTecnicas->setPrecioRefUnitario($tmepEspeTecnicas->getPrecioRefUnitario());
                                    } else {
                                        $tmepEspeTecnicas->setPrecioRefUnitario($this->decrip($tmepEspeTecnicas->getPrecioRefUnitario()));
                                    }
                                    if (is_numeric($tmepEspeTecnicas->getPrecioRefSubtotal())) {
                                        $tmepEspeTecnicas->setPrecioRefSubtotal($tmepEspeTecnicas->getPrecioRefSubtotal());
                                    } else {
                                        $tmepEspeTecnicas->setPrecioRefSubtotal($this->decrip($tmepEspeTecnicas->getPrecioRefSubtotal()));
                                    }
                                }
                            }
                        }
                        $em->persist($tmepEspeTecnicas);
                        $em->flush();
                        $etCabecera["'" . $datos['ID'] . "'"] = $tmepEspeTecnicas->getId();
                    }
                }
            }
            if (isset($tmepEspeTecnicas)) {
                //Detalle ET
                $resulthijos = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_ESPE_TEC_DET']");
                foreach ($resulthijos as $tabla) {
                    foreach ($tabla as $fila) {
                        $campoh = array();
                        $valorh = array();
                        foreach ($fila as $columna => $dato) {
                            $campoh[] = $columna;
                            $valorh[] = base64_decode($dato);
                        }
                        $datosH = array_combine($campoh, $valorh);
                        $datosH['ESPECIFICACION_ID'] = $etCabecera["'" . $datosH['ESPECIFICACION_ID'] . "'"];
                        $tmepEspeTecDet = new TmepEspeTecDet($datosH);
                        $em->persist($tmepEspeTecDet);
                    }
                }
            }
            $em->flush();
            //Vigencia tecnologica
            $resulthijos = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_ESPE_TEC_VT']");
            foreach ($resulthijos as $tabla) {
                foreach ($tabla as $fila) {
                    $campoh = array();
                    $valorh = array();
                    foreach ($fila as $columna => $dato) {
                        $campoh[] = $columna;
                        $valorh[] = base64_decode($dato);
                    }
                    $datosH = array_combine($campoh, $valorh);
                    $datosH['ESPECIFICACION_ID'] = $etCabecera["'" . $datosH['ESPECIFICACION_ID'] . "'"];
                    $tdrEspeTecVt = new TmepEspeTecVt($datosH);
                    $em->persist($tdrEspeTecVt);
                }
            }
            $em->flush();
        } else {
            $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_ESPE_TECNICAS']");
            if (!is_null($result)) {
                foreach ($result as $tabla) {
                    foreach ($tabla as $fila) {
                        $campo = array();
                        $valor = array();
                        foreach ($fila as $columna => $dato) {
                            $campo[] = $columna;
                            $valor[] = base64_decode($dato);
                        }
                        $datos = array_combine($campo, $valor);
                        $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                        $tmepEspeTecnicas = new TmepEspeTecnicas($datos);
                        $em->persist($tmepEspeTecnicas);
                    }
                }
                $em->flush();
            }
        }
        $em = $this->getDoctrine()->getManager();
        $query = $em->createQuery('Select p.id from IncopMfcOfertasBundle:TmepMatPresRef p where p.requerimientoId = ' . $requerimientoId . ' order by p.id asc');
        $pres = $query->getResult();
        $arregloPres = array();
        $i = 0;
        foreach ($pres as $p) {
            $arregloPres[$i] = $p['id'];
            $i++;
        }
        $query1 = $em->createQuery('Select p.idPartida from IncopMfcOfertasBundle:TmepEspeTecnicas p where p.requerimientoId = ' . $requerimientoId . ' order by p.idPartida asc');
        $items = $query1->getResult();
        $arregloItems = array();
        $i = 0;
        foreach ($items as $item) {
            $arregloItems[$i] = $item['idPartida'];
            $i++;
        }
        $arregloItems = array_values(array_unique($arregloItems));
        if (count($arregloPres) == count($arregloItems)) {
            $matriz = array_combine($arregloPres, $arregloItems);
            $items = $em->getRepository('IncopMfcOfertasBundle:TmepEspeTecnicas')->findBy(array('requerimientoId' => $requerimientoId));
            foreach ($items as $itemLote) {
                $clave = array_search($itemLote->getIdPartida(), $arregloItems);
                $valor = $arregloItems[$clave];
                $valorId = array_search($valor, $matriz);
                $itemLote->setIdPartida($valorId);
                $em->persist($itemLote);
            }
            $em->flush();
        }
    }

    /**
     * Crea el presupesto de las especificaciones técnicas
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     * @param type $archivosId
     */
    private function crearPresupuestoET($em, $tablas, $requerimientoId, $archivosId) {
        $etCabecera = array();
        $tmepPresupuesto = null;
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_PRESUPUESTO']");
        foreach ($result as $tabla) {
            foreach ($tabla as $fila) {
                $campo = array();
                $valor = array();
                foreach ($fila as $columna => $dato) {
                    $campo[] = $columna;
                    $valor[] = base64_decode($dato);
                }
                $datos = array_combine($campo, $valor);
                $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                $tmepPresupuesto = new TmepPresupuesto($datos);
                $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_REQUERIMIENTOS']/ROW/TIPO_CONTRATACION");
                if (!is_null($result)) {
                    foreach ($result as $tabla) {
                        if (in_array(base64_decode($tabla), array('BIE.SIE', 'SER.SIE'))) {
                            if (is_numeric($tmepPresupuesto->getPrecioTotal())) {
                                $tmepPresupuesto->setPrecioTotal($tmepPresupuesto->getPrecioTotal());
                            } else {
                                $tmepPresupuesto->setPrecioTotal($this->decrip($tmepPresupuesto->getPrecioTotal()));
                            }
                        }
                    }
                }
                $em->persist($tmepPresupuesto);
                $em->flush();
                $etCabecera["'" . $datos['ID'] . "'"] = $tmepPresupuesto->getId();
            }
        }
        if (!is_null($tmepPresupuesto)) {
            //Detalle ET
            $resulthijos = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_PRESUPUESTO_DET']");
            foreach ($resulthijos as $tabla) {
                foreach ($tabla as $fila) {
                    $campoh = array();
                    $valorh = array();
                    foreach ($fila as $columna => $dato) {
                        $campoh[] = $columna;
                        $valorh[] = base64_decode($dato);
                    }
                    $datosH = array_combine($campoh, $valorh);
                    $datosH['PRESUPUESTO_ID'] = $etCabecera["'" . $datosH['PRESUPUESTO_ID'] . "'"];
                    $tmepPresupuestoDetalle = new TmepPresupuestoDetalle($datosH);
                    $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_REQUERIMIENTOS']/ROW/TIPO_CONTRATACION");
                    if (!is_null($result)) {
                        foreach ($result as $tabla) {
                            if (in_array(base64_decode($tabla), array('BIE.SIE', 'SER.SIE'))) {
                                if (is_numeric($tmepPresupuestoDetalle->getPrecioValorUnitario())) {
                                    $tmepPresupuestoDetalle->setPrecioValorUnitario($tmepPresupuestoDetalle->getPrecioValorUnitario());
                                } else {
                                    $tmepPresupuestoDetalle->setPrecioValorUnitario($this->decrip($tmepPresupuestoDetalle->getPrecioValorUnitario()));
                                }
                                if (is_numeric($tmepPresupuestoDetalle->getPrecioValorGlobal())) {
                                    $tmepPresupuestoDetalle->setPrecioValorGlobal($tmepPresupuestoDetalle->getPrecioValorGlobal());
                                } else {
                                    $tmepPresupuestoDetalle->setPrecioValorGlobal($this->decrip($tmepPresupuestoDetalle->getPrecioValorGlobal()));
                                }
                            }
                        }
                    }
                    $em->persist($tmepPresupuestoDetalle);
                }
            }
            $em->flush();
        }
        //Vigencia tecnologica
        $resulthijos = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_PRESUPUESTO_ARCH']");
        if (!is_null($resulthijos)) {
            foreach ($resulthijos as $tabla) {
                foreach ($tabla as $fila) {
                    $campoh = array();
                    $valorh = array();
                    foreach ($fila as $columna => $dato) {
                        $campoh[] = $columna;
                        $valorh[] = base64_decode($dato);
                    }
                    $datosH = array_combine($campoh, $valorh);
                    $datosH['REQUERIMIENTO_ID'] = $requerimientoId;
                    if (isset($archivosId["'" . $datosH['ARCHIVO_ID'] . "'"])) {
                        $datosH['ARCHIVO_ID'] = $archivosId["'" . $datosH['ARCHIVO_ID'] . "'"];
                        $tdrPresupuestoArchivo = new TmepPresupuestoArchivos($datosH);
                        $em->persist($tdrPresupuestoArchivo);
                    }
                }
            }
            $em->flush();
        }
    }

    /**
     * Esten metodo crea los datos de TMEP_PLIEGOS y sus relaciones.
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearPliego($em, $tablas, $requerimientoId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_PLIEGOS']");
        $pliegoId = null;
        foreach ($result as $tabla) {
            foreach ($tabla as $fila) {
                $campo = array();
                $valor = array();
                foreach ($fila as $columna => $dato) {
                    $campo[] = $columna;
                    $valor[] = base64_decode($dato);
                }
                $datos = array_combine($campo, $valor);
                $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                $pliego = new TmepPliegos($datos);
                $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_REQUERIMIENTOS']/ROW/TIPO_CONTRATACION");
                if (!is_null($result)) {
                    foreach ($result as $tabla) {
                        if (in_array(base64_decode($tabla), array('BIE.SIE', 'SER.SIE'))) {
                            if (is_numeric($pliego->getPresupuestoReferencialNumeros())) {
                                $pliego->setPresupuestoReferencialNumeros($pliego->getPresupuestoReferencialNumeros());
                            } else {
                                $pliego->setPresupuestoReferencialNumeros($this->decrip($pliego->getPresupuestoReferencialNumeros()));
                            }
                            if (strpos($pliego->getPresupuestoReferencialLetras(), "centavos") !== FALSE) {
                                $pliego->setPresupuestoReferencialLetras($pliego->getPresupuestoReferencialLetras());
                            } else {
                                $pliego->setPresupuestoReferencialLetras($this->decrip($pliego->getPresupuestoReferencialLetras()));
                            }
                        }
                    }
                }
                $em->persist($pliego);
                $em->flush();
                $pliegoId = $pliego->getId();
            }
        }
        //INDICE PATRIMONIAL
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_INDICEPATRIMONIO']");
        foreach ($result as $tabla) {
            foreach ($tabla as $fila) {
                $campo = array();
                $valor = array();
                foreach ($fila as $columna => $dato) {
                    $campo[] = $columna;
                    $valor[] = base64_decode($dato);
                }
                $datos = array_combine($campo, $valor);
                $datos['PLIEGOS_ID'] = $pliegoId;
                $indicePatrimonio = new TmepIndicePatrimonio($datos);
                $em->persist($indicePatrimonio);
                $em->flush();
                $this->indices[$datos['ID']] = $indicePatrimonio->getId();
            }
        }
        //TMEP_PLI_CONCONDIR
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_OBLIGACIONES']");
        foreach ($result as $tabla) {
            foreach ($tabla as $fila) {
                $campo = array();
                $valor = array();
                foreach ($fila as $columna => $dato) {
                    $campo[] = $columna;
                    $valor[] = base64_decode($dato);
                }
                $datos = array_combine($campo, $valor);
                $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                $pliego = new TmepObligaciones($datos);
                $em->persist($pliego);
                $em->flush();
            }
        }
    }

    /**
     * Esten metodo crea los datos de TMEP_PLIEGOS y sus relaciones.
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearRequisitosMinimos($em, $tablas, $requerimientoId, $prt) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_REQUISITOS_MINIMOS']");
        $result2 = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_CONTRATACIONES']");
        $plazoEjecucionAnio = 0;
        if ($result2) {
            foreach ($result2 as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                }
            }
        }
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepRequerimientos p where p.id=" . $requerimientoId);
        $requerimiento = $query->getOneOrNullResult();
        if ($result) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $objeto = new TmepRequisitosMinimos($datos);
                    $plazoEjecucionAnio = $requerimiento->getPlazoEjec() / 365;
                    if ($plazoEjecucionAnio < 1) {
                        $plazoEjecucionAnio = 1;
                    }
                    $objeto->setPatrimonio($this->cambioFormato(PatrimoniosUtil::calculaPatrimonio2($prt / $plazoEjecucionAnio, $requerimiento->getTipoCompra(), false)));
                    $em->persist($objeto);
                    $em->flush();
                    $this->requisitosMinimos[$datos['ID']] = $objeto->getId();
                }
            }
        } else {
            $datos['REQUERIMIENTO_ID'] = $requerimientoId;
            $objeto = new TmepRequisitosMinimos($datos);
            $plazoEjecucionAnio = $requerimiento->getPlazoEjec() / 365;
            if ($plazoEjecucionAnio < 1) {
                $plazoEjecucionAnio = 1;
            }
            $objeto->setPatrimonio($this->cambioFormato(PatrimoniosUtil::calculaPatrimonio2($prt / $plazoEjecucionAnio, $requerimiento->getTipoCompra(), false)));
            $em->persist($objeto);
            $em->flush();
        }
        //EquipoMinimo
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_EQUIPOMINIMO']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $objeto = new TmepEquipoMinimo($datos);
                    $em->persist($objeto);
                }
            }
            $em->flush();
        }
        //Personal Técnico
        $personalTecnico = array();
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_PERSONALTECNICO']");
        foreach ($result as $tabla) {
            foreach ($tabla as $fila) {
                $campo = array();
                $valor = array();
                foreach ($fila as $columna => $dato) {
                    $campo[] = $columna;
                    $valor[] = base64_decode($dato);
                }
                $datos = array_combine($campo, $valor);
                $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                $objeto = new TmepPersonalTecnico($datos);
                $em->persist($objeto);
                $em->flush();
                $personalTecnico[$datos['ID']] = $objeto->getId();
            }
        }
        //Experiencia del Personal Técnico
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_EXPEPERSTECN']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $objeto = new TmepExpeperstecn($datos);
                    $objeto->setPersonaltecnicoId($personalTecnico[$datos['PERSONALTECNICO_ID']]);
                    $em->persist($objeto);
                }
            }
            $em->flush();
        }
        //Metodologia y cronograma de ejecucion
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_METCRONEJEC']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $objeto = new TmepMetodologiaCronogramaEjecucion($datos);
                    $em->persist($objeto);
                }
            }
            $em->flush();
        }
        //Metodologia y cronograma de ejecucion
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_OTROSPARAMETROS']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $objeto = new TmepOtrosParametros($datos);
                    $em->persist($objeto);
                }
            }
            $em->flush();
        }
        //Metodologia y cronograma de ejecucion
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_EXPERIENCIA']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $objeto = new TmepExperiencia($datos);
                    $em->persist($objeto);
                }
            }
            $em->flush();
        }
    }

    /**
     * Esten metodo crea los datos de TMEP_MAT_PRES_REF.
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearPresupuesto($em, $tablas, $requerimientoId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_MAT_PRES_REF']");
        $orden = 1;
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $matPresRef = new TmepMatPresRef($datos);
                    $matPresRef->setOrden($orden);
                    $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_REQUERIMIENTOS']/ROW/TIPO_CONTRATACION");
                    if (!is_null($result)) {
                        foreach ($result as $tabla) {
                            if (in_array(base64_decode($tabla), array('BIE.SIE', 'SER.SIE'))) {
                                if (is_numeric($matPresRef->getPru())) {
                                    $matPresRef->setPru($matPresRef->getPru());
                                } else {
                                    $matPresRef->setPru($this->decrip($matPresRef->getPru()));
                                }
                                if (is_numeric($matPresRef->getPrt())) {
                                    $matPresRef->setPrt($matPresRef->getPrt());
                                } else {
                                    $matPresRef->setPrt($this->decrip($matPresRef->getPrt()));
                                }
                            }
                        }
                    }
                    $em->persist($matPresRef);
                    $orden++;
                }
            }
            $em->flush();
        }
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepRequerimientos p where p.id=" . $requerimientoId);
        $requerimiento = $query->getOneOrNullResult();
        if (base64_decode($tabla[0]) == "PLI.SUBINV") {
            if (in_array($requerimiento->getTipoCompra(), array("BIE", "SER"))) {
                if (is_numeric($matPresRef->getPrt())) {
                    return $matPresRef->getPrt();
                } else {
                    return $this->decrip($matPresRef->getPrt());
                }
            } else {
                if (is_numeric($matPresRef->getPru())) {
                    return $matPresRef->getPru();
                } else {
                    return $this->decrip($matPresRef->getPru());
                }
            }
        } else {
            if (in_array($requerimiento->getTipoCompra(), array("BIE", "SER"))) {
                return $matPresRef->getPrt();
            } else {
                return $matPresRef->getPru();
            }
        }
    }

    /**
     * Esten metodo crea los datos de TMEP_MAT_FORMAS_PAGO.
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearFormaPago($em, $tablas, $requerimientoId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_MAT_FORMAS_PAGO']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $archivo = new TmepMatFormasPago($datos);
                    $em->persist($archivo);
                }
            }
            $em->flush();
        }
    }

    /**
     * Esten metodo crea los datos de TMEP_MAT_DATOS_PROVI.
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearDatosProveedor($em, $tablas, $requerimientoId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_MAT_DATOS_PROVI']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $matDatoProv = new TmepMatDatosProvi($datos);
                    $em->persist($matDatoProv);
                }
            }
            $em->flush();
        }
    }

    /**
     * Este metodo crear el cronograma y sus detalles
     * @param type $em
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearCronograma($em, $tablas, $requerimientoId) {
        $cronogramaPk = array();
        try {
            $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_CRONOGRAMA']");
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $tmpCronograma = new TmepCronograma($datos);
                    $em->persist($tmpCronograma);
                    $em->flush();
                    $cronogramaPk[$datos['ID']] = $tmpCronograma->getId();
                }
            }
            $resulthijos = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_CRONDETALLE']");
            foreach ($resulthijos as $tabla) {
                foreach ($tabla as $fila) {
                    $campoh = array();
                    $valorh = array();
                    foreach ($fila as $columna => $dato) {
                        $campoh[] = $columna;
                        $valorh[] = base64_decode($dato);
                    }
                    $datosH = array_combine($campoh, $valorh);
                    $cronogramaId = $cronogramaPk[$datosH['CRONOGRAMA_ID']];
                    $datosH['CRONOGRAMA_ID'] = $cronogramaId;
                    $tdrTmepPersonalTecnicoOtros = new TmepCronogramaDetalle($datosH);
                    $em->persist($tdrTmepPersonalTecnicoOtros);
                }
            }
            $em->flush();
        } catch (Exception $e) {
            $this->generarLogError($e);
        }
    }

    /**
     * Este metodo crea una contratacion.
     * @param type $em
     * @param type $tablas
     * @return type
     */
    private function crearContratacion($em, $tablas, $descripcion, $tipo, $codigoProceso, $dir) {
        $oferente = $this->getOferenteId();
//Verificamos si existe la contratacion
        $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmepContrataciones p where p.codProc='" . $codigoProceso . "' and p.activo=true and p.oferenteId=" . $oferente . "");
        $contratacionPasada = $query->getOneOrNullResult();
        if ($contratacionPasada != null) {
            $ofertaId = null;
            $query = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaFormOfer p where p.codigoProceso='" . $codigoProceso . "' and p.oferenteId=" . $oferente . "");
            $oferta = $query->getOneOrNullResult();
            $mensaje = null;
            if ($oferta != null) {
                $ofertaId = $oferta->getId();
                if ($tipo == "G") {
                    $mensaje = $this->traducir('generico.error.oferta.pliego');
                }
                if ($tipo == "EO") {
                    $mensaje = $this->traducir('generico.error.oferta.archivo');
                }
            }
            return array('contratacionId' => $contratacionPasada->getId(),
                'mensaje' => $mensaje, 'institucionId' => $contratacionPasada->getInstitucionId(), 'formOfer' => $ofertaId);
        }
        $resultado = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_INSTITUCIONES']");
        $institucionId = null;
        foreach ($resultado as $tabla) {
            foreach ($tabla as $fila) {
                $campo = array();
                $valor = array();
                foreach ($fila as $columna => $dato) {
                    $campo[] = $columna;
                    $valor[] = base64_decode($dato);
                }
                $datos = array_combine($campo, $valor);
                //Verificamos si la Institucion existe
                $file = $dir . $datos['LOGO_PATH'];
                if ($datos['LOGO_PATH'] && file_exists($file)) {
                    copy($file, $this->getUploadRootDir() . DIRECTORY_SEPARATOR . MfcControlador::$DOC_LOGOS . DIRECTORY_SEPARATOR . $datos['RUC'] . $datos['RUP'] . $datos['LOGO_PATH']);
                }
                $institucion = new TmepInstituciones($datos);
                $institucion->setLogoPath($datos['RUC'] . $datos['RUP'] . $datos['LOGO_PATH']);
                $institucion->setLogoNombre('');
                $em->persist($institucion);
                $em->flush();
                $institucionId = $institucion->getId();
                break;
//LOGO_PATH
//logos.
            }
        }
//Creacion contratacion
        $entidadNombre = '';
        $autoridadNombre = '';
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_CONTRATACIONES']");
        $entidadCalificacionNombre = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_INSTITUCIONES']/ROW/NOMBRE_ENTID_CONTRAT");
        $maximaAutoridadNombre = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_INSTITUCIONES']/ROW/NOMBRE_MAX_AUTOR");
        $delegadoNombre = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_INSTITUCIONES']/ROW/NOMBRE_DELEGADO");
        $firma = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_PLIEGOS']/ROW/FIRMA");
        if (!is_null($entidadCalificacionNombre)) {
            foreach ($entidadCalificacionNombre as $tabla) {
                $entidadNombre = base64_decode($tabla[0]);
            }
        }
        if (base64_decode($firma[0]) == "AUT") {
            if (!is_null($maximaAutoridadNombre)) {
                $autoridadNombre = base64_decode($maximaAutoridadNombre[0]);
            }
        } else {
            if (!is_null($delegadoNombre)) {
                $autoridadNombre = base64_decode($delegadoNombre[0]);
            }
        }
        $contratacionId = null;
        foreach ($result as $tabla) {
            foreach ($tabla as $fila) {
                $campo = array();
                $valor = array();
                foreach ($fila as $columna => $dato) {
                    $campo[] = $columna;
                    $valor[] = base64_decode($dato);
                }
                $datos = array_combine($campo, $valor);
                $contratacion = new TmepContrataciones($datos);
                $contratacion->setInstitucionId($institucionId);
                $contratacion->setActivo(true);
                if ($tipo == "G") {
                    $contratacion->setDescripcionOferta($descripcion);
                }
                $contratacion->setIdentificador($this->getIdentificadorUsuario());
                $contratacion->setOferenteId($oferente);
                $contratacion->setEntidadCalificacion($entidadNombre);
                $contratacion->setMaxAutCalificacion($autoridadNombre);
                $em->persist($contratacion);
                $em->flush();
                $contratacionId = $contratacion->getId();
            }
        }
        return array('contratacionId' => $contratacionId, 'mensaje' => null, 'formOfer' => null);
    }

    /**
     * Este metodo crea un requerimiento
     * @param type $em
     * @param type $tablas
     * @param type $contratacionId
     * @return type
     */
    private function crearRequerimiento($em, $tablas, $contratacionId, $tarea) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_REQUERIMIENTOS']");
        $requerimientoId = null;
        foreach ($result as $tabla) {
            foreach ($tabla as $fila) {
                $campo = array();
                $valor = array();
                foreach ($fila as $columna => $dato) {
                    $campo[] = $columna;
                    $valor[] = base64_decode($dato);
                }
                $datos = array_combine($campo, $valor);
                $datos['CONTRATACION_ID'] = $contratacionId;
                $requerimiento = new TmepRequerimientos($datos);
                $requerimiento->setAreaRequirente($tarea);
                $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_REQUERIMIENTOS']/ROW/TIPO_CONTRATACION");
                if (!is_null($result)) {
                    foreach ($result as $tabla) {
                        if (in_array(base64_decode($tabla), array('BIE.SIE', 'SER.SIE'))) {
                            if (is_numeric($requerimiento->getPrt())) {
                                $requerimiento->setPrt($requerimiento->getPrt());
                            } else {
                                $requerimiento->setPrt($this->decrip($requerimiento->getPrt()));
                            }
                            if (is_numeric($requerimiento->getPrtLimite())) {
                                $requerimiento->setPrtLimite($requerimiento->getPrtLimite());
                            } else {
                                $requerimiento->setPrtLimite($this->decrip($requerimiento->getPrtLimite()));
                            }
                        }
                    }
                }
                if (is_null($requerimiento->getPrt()) || empty($requerimiento->getPrt())) {
                    $PRT = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_MAT_PRES_REF']/ROW/PRT");
                    $requerimiento->setPrt(base64_decode($PRT[0]));
                }
                $em->persist($requerimiento);
                $em->flush();
                $requerimientoId = $requerimiento->getId();
                $this->getRequest()->getSession()->set('reqId', $requerimientoId);
                break;
            }
        }
        return $requerimientoId;
    }

    /**
     *
     * @var type Claves foreanas relacionadas
     */
    private $arrPertec;

    /**
     * Este metodo Crear la estructura del TDR
     * @param type $tablas
     * @param type $requerimientoId
     */
    private function crearTDR($em, $tablas, $requerimientoId) {
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_TDRS']");
        $tdrId = null;
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['REQUERIMIENTO_ID'] = $requerimientoId;
                    $tdr = new TmepTdrs($datos);
                    $em->persist($tdr);
                    $em->flush();
                    $tdrId = $tdr->getId();
                }
            }
        }
        $result = $tablas->xpath("/CONTENIDO/TABLE[@NAME='TMEP_TDRS_DETPARCIAL']");
        if (!is_null($result)) {
            foreach ($result as $tabla) {
                foreach ($tabla as $fila) {
                    $campo = array();
                    $valor = array();
                    foreach ($fila as $columna => $dato) {
                        $campo[] = $columna;
                        $valor[] = base64_decode($dato);
                    }
                    $datos = array_combine($campo, $valor);
                    $datos['TDRS_ID'] = $tdrId;
                    $tdr = new TmepTdrsDetparcial($datos);
                    $em->persist($tdr);
                }
            }
            $em->flush();
        }
    }

///////////////////////////////////////////////////////////// Fin carga XML

    /**
     * setes las variables de session.
     * @param type $tipoCompra
     * @param type $tipoContratacion
     */
    private function setearVariablesSession($contratacion, $requerimientoId, $tipoCompra, $tipoContratacion, $tipoPl, $TipoParticipacion) {
//guarda variables de sesion para tipo contratacion y tipo de compra
        $this->getRequest()->getSession()->set('reqId', $requerimientoId);
        $this->getRequest()->getSession()->set('contrId', $contratacion);
        $this->getRequest()->getSession()->set('tipoCompraCodigo', $tipoCompra);
        $this->getRequest()->getSession()->set('tipoContratacionCodigo', $tipoContratacion);
        $this->getRequest()->getSession()->set('tipoPliegoCodigo', $tipoPl);
        $this->getRequest()->getSession()->set('tipoParticipacion', $TipoParticipacion);
        if ($tipoCompra && $tipoContratacion) {
            $this->getRequest()->getSession()->set('tipoCompraContratacion', $this->getCatalogos()->buscarPorcodigo($tipoCompra) . " - " .
                    $this->getCatalogos()->buscarPorcodigo($tipoContratacion));
        } else {
            $this->getRequest()->getSession()->set('tipoCompraContratacion', $this->traducir('datosGenerales.tipoContratacion.nombreTotal'));
        }
    }

    /**
     * Este metodo genera un excel de la Oferta.
     * @return type Excel File
     */
    public function generarExcelOfertaAction(Request $request) {
        $request = '';
        $em = $this->getDoctrine()->getManager();
        $excelService = $this->get('xls.service_xls5');
        $hoja = $excelService->excelObj->setActiveSheetIndex(0);
        $index = 3;
        $excelService->excelObj->setActiveSheetIndex(0)
                ->mergeCells('A1:I1')
                ->setCellValueExplicit('A1', 'OFERTA - PORCENTAJE DE PARTICIPACIÓN ECUATORIANO MÍNIMO')
                ->setCellValueExplicit('E2', 'MONTO TOTAL DEL PROYECTO ∑(F):')
                ->setCellValueExplicit('H2', 'PORCENTAJE DE PARTICIPACIÓN ECUATORIANO ∑(I):')
                ->setCellValue('A' . $index, 'NUMERO')
                ->setCellValue('B' . $index, 'DESCRIPCIÓN DEL RUBRO')
                ->setCellValue('C' . $index, 'UNIDAD')
                ->setCellValue('D' . $index, 'CANTIDAD (D) (Numérico de máximo 12 enteros, 5 decimales)')
                ->setCellValue('E' . $index, 'PRECIO UNITARIO (E) (Numérico de máximo 12 enteros, 5 decimales)')
                ->setCellValue('F' . $index, 'PRECIO GLOBAL (D*E) (Numérico de máximo 12 enteros, 5 decimales)')
                ->setCellValue('G' . $index, 'PESO RELATIVO     (F/$F$2) (Numérico de máximo 12 enteros, 5 decimales)')
                ->setCellValue('H' . $index, 'VALOR AGREGADO ECUATORIANO (H)')
                ->setCellValue('I' . $index, 'VALOR AGREGADO PONDERADO (G*H) (Numérico de máximo 12 enteros, 5 decimales)');
        //Ancho de las celdas
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('D3')->setValue("CANTIDAD (D)\n(Numérico de máximo\n12 enteros, 5 decimales)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('D3')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('E3')->setValue("PRECIO UNITARIO (E)\n(Numérico de máximo\n12 enteros, 5 decimales)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('E3')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('F3')->setValue("PRECIO GLOBAL (D*E)\n(Numérico de máximo\n12 enteros, 5 decimales)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('F3')->getAlignment()->setWrapText(true);
        $F = '$F';
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('G3')->setValue("PESO RELATIVO     (F/$F$2)\n(Numérico de máximo\n12 enteros, 5 decimales)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('G3')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('I3')->setValue("VALOR AGREGADO PONDERADO (G*H)\n(Numérico de máximo\n12 enteros, 5 decimales)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('I3')->getAlignment()->setWrapText(true);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('A')->setWidth(8);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('B')->setWidth(40);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('C')->setWidth(10);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('D')->setWidth(12);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('E')->setWidth(15);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('F')->setWidth(15);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('G')->setWidth(15);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('H')->setWidth(15);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('I')->setWidth(15);
        //Alto de las celdas
        $excelService->excelObj->getActiveSheet()->getRowDimension('1')->setRowHeight(80);
        $excelService->excelObj->getActiveSheet()->getRowDimension('2')->setRowHeight(30);
        $excelService->excelObj->getActiveSheet()->getRowDimension('3')->setRowHeight(95);
        $encabezadoPrincipal = array(
            'font' => array(
                'name' => 'Calibri',
                'size' => 16,
                'bold' => true,
                'color' => array(
                    'rgb' => '000000'
                ),
            ),
            'fill' => array(
                'type' => PHPExcel_Style_Fill::FILL_SOLID,
                'startcolor' => array(
                    'rgb' => 'FFFFFF',
                ),
            ),
            'alignment' => array(
                'wrap' => true,
                'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
            ),
        );
        $encabezadoSecundario = array(
            'font' => array(
                'name' => 'Calibri',
                'size' => 8,
                'bold' => true,
                'color' => array(
                    'rgb' => '000000'
                ),
            ),
            'fill' => array(
                'type' => PHPExcel_Style_Fill::FILL_SOLID,
                'startcolor' => array(
                    'rgb' => 'BDBDBD',
                ),
            ),
            'alignment' => array(
                'wrap' => true,
                'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT,
                'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
            ),
        );
        $tituloCeldas = array(
            'font' => array(
                'name' => 'Arial',
                'size' => 10,
                'bold' => true,
                'color' => array(
                    'rgb' => '000000'
                ),
            ),
            'fill' => array(
                'type' => PHPExcel_Style_Fill::FILL_SOLID,
                'startcolor' => array(
                    'rgb' => 'FFFF00',
                ),
            ),
            'alignment' => array(
                'wrap' => true,
                'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
            ),
        );
        $borderCeldas = array(
            'borders' => array(
                'allborders' => array(
                    'style' => PHPExcel_Style_Border::BORDER_THIN
                ),
            )
        );
        $excelService->excelObj->getActiveSheet()->getStyle('A1:I1')->applyFromArray($encabezadoPrincipal);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index . ':I' . $index)->applyFromArray($tituloCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('E2')->applyFromArray($encabezadoSecundario);
        $excelService->excelObj->getActiveSheet()->getStyle('H2')->applyFromArray($encabezadoSecundario);
        $excelService->excelObj->getActiveSheet()->getStyle('F2')->applyFromArray($encabezadoSecundario);
        $excelService->excelObj->getActiveSheet()->getStyle('I2')->applyFromArray($encabezadoSecundario);
        //Aplicando estilo de bordes
        $excelService->excelObj->getActiveSheet()->getStyle('A1:I1')->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index . ':I' . $index)->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('E2')->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('H2')->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('F2')->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('I2')->applyFromArray($borderCeldas);
        $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmepPresupuestoDetalle p where p.presupuestoId = (Select c from IncopMfcOfertasBundle:TmepPresupuesto c where c.requerimientoId = ' . $this->getClaveRequerimiento() . ')');
        $rubros = $query->getResult();
        $index += 1;
        foreach ($rubros as $rubrosOferta) {
            $hoja->setCellValue('A' . $index, $rubrosOferta->getNumero());
            $hoja->setCellValue('B' . $index, html_entity_decode($rubrosOferta->getRubroDescripcion()));
            $hoja->setCellValue('C' . $index, $rubrosOferta->getUnidad());
            $hoja->setCellValue('D' . $index, $rubrosOferta->getCantidad());
            $index++;
        }
        $response = $excelService->getResponse();
        $response->headers->set('Content-Type', 'text / vnd . ms - excel;charset = utf-8');
        $response->headers->set('Content-Disposition', 'attachment;filename=propuesta_oferente.xls;');
        $response->headers->set('MFC', 'public');
        $response->headers->set('Cache-Control', 'maxage = 1');
        ob_get_contents();
        ob_end_clean();
        $response->sendHeaders();
        return $response;
    }

    /**
     * Este metodo genera un excel del Cronograma.
     * @return type Excel File
     */
    public function generarExcelCronogramaAction(Request $request) {
        $request = '';
        $em = $this->getDoctrine()->getManager();
        $excelService = $this->get('xls.service_xls5');
        $hoja = $excelService->excelObj->setActiveSheetIndex(0);
        $index = 5;
        $excelService->excelObj->setActiveSheetIndex(0)
                ->mergeCells('A1:M1')
                ->setCellValueExplicit('A1', 'CRONOGRAMA VALORADO DE TRABAJOS')
                ->mergeCells('N1:HX1')
                ->mergeCells('A2:M2')
                ->setCellValueExplicit('A2', 'Nota: En la fila 4, bajo el campo "TIEMPO EN" deberá detallar si son semanas o meses')
                ->mergeCells('E3:M3')
                ->setCellValueExplicit('E3', 'TIEMPO EN')
                ->mergeCells('E4:M4')
                ->setCellValueExplicit('E4', '')
                ->setCellValue('A' . $index, 'RUBRO')
                ->setCellValue('B' . $index, 'CANTIDAD')
                ->setCellValue('C' . $index, 'PRECIO UNITARIO')
                ->setCellValue('D' . $index, 'PRECIO TOTAL')
                ->setCellValue('E' . $index, '1')
                ->setCellValue('F' . $index, '2')
                ->setCellValue('G' . $index, '3')
                ->setCellValue('H' . $index, '4')
                ->setCellValue('I' . $index, '5')
                ->setCellValue('J' . $index, '6')
                ->setCellValue('K' . $index, '7')
                ->setCellValue('L' . $index, '8')
                ->setCellValue('M' . $index, '9');
        //Ancho de las celdas
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('B5')->setValue("CANTIDAD\n(Numérico de máximo\n12 enteros, 5 decimales)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('B5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('C5')->setValue("PRECIO UNITARIO\n(Numérico de máximo\n12 enteros, 5 decimales)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('C5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('D5')->setValue("PRECIO TOTAL\n(Numérico de máximo\n12 enteros, 5 decimales)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('D5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('E5')->setValue("1\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('E5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('F5')->setValue("2\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('F5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('G5')->setValue("3\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('G5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('H5')->setValue("4\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('H5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('I5')->setValue("5\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('I5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('J5')->setValue("6\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('J5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('K5')->setValue("7\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('K5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('L5')->setValue("8\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('L5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->setActiveSheetIndex(0)->getCell('M5')->setValue("9\n(No dejar celdas en\nblanco, llenar con\n0,00000)");
        $excelService->excelObj->setActiveSheetIndex(0)->getStyle('M5')->getAlignment()->setWrapText(true);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('A')->setWidth(50);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('B')->setWidth(15);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('C')->setWidth(10);
        $excelService->excelObj->getActiveSheet()->getColumnDimension('D')->setWidth(15);
        //Alto de las celdas
        $excelService->excelObj->getActiveSheet()->getRowDimension('1')->setRowHeight(30);
        $excelService->excelObj->getActiveSheet()->getRowDimension('2')->setRowHeight(15);
        $excelService->excelObj->getActiveSheet()->getRowDimension('3')->setRowHeight(15);
        $excelService->excelObj->getActiveSheet()->getRowDimension('4')->setRowHeight(15);
        $excelService->excelObj->getActiveSheet()->getRowDimension('5')->setRowHeight(80);
        $encabezadoPrincipal = array(
            'font' => array(
                'name' => 'Calibri',
                'size' => 16,
                'bold' => true,
                'color' => array(
                    'rgb' => '000000'
                ),
            ),
            'fill' => array(
                'type' => PHPExcel_Style_Fill::FILL_SOLID,
                'startcolor' => array(
                    'rgb' => 'FFFFFF',
                ),
            ),
            'alignment' => array(
                'wrap' => true,
                'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
            ),
        );
        $tituloCeldas = array(
            'font' => array(
                'name' => 'Arial',
                'size' => 10,
                'bold' => true,
                'color' => array(
                    'rgb' => '000000'
                ),
            ),
            'fill' => array(
                'type' => PHPExcel_Style_Fill::FILL_SOLID,
                'startcolor' => array(
                    'rgb' => 'FFFF00',
                ),
            ),
            'alignment' => array(
                'wrap' => true,
                'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
            ),
        );
        $tituloCeldas2 = array(
            'font' => array(
                'name' => 'Arial',
                'size' => 10,
                'bold' => true,
                'color' => array(
                    'rgb' => '000000'
                ),
            ),
            'alignment' => array(
                'wrap' => true,
                'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,
                'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
            ),
        );
        $tituloCeldas3 = array(
            'font' => array(
                'name' => 'Arial',
                'size' => 10,
                'bold' => true,
                'color' => array(
                    'rgb' => '000000'
                ),
            ),
            'alignment' => array(
                'wrap' => true,
                'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
            ),
        );
        $borderCeldas = array(
            'borders' => array(
                'allborders' => array(
                    'style' => PHPExcel_Style_Border::BORDER_THIN
                ),
            )
        );
        $excelService->excelObj->getActiveSheet()->getStyle('A1:M1')->applyFromArray($encabezadoPrincipal);
        $excelService->excelObj->getActiveSheet()->getStyle('A2:D2')->applyFromArray($tituloCeldas2);
        $excelService->excelObj->getActiveSheet()->getStyle('E3:M3')->applyFromArray($tituloCeldas3);
        $excelService->excelObj->getActiveSheet()->getStyle('E4:M4')->applyFromArray($tituloCeldas2);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index . ':D' . $index)->applyFromArray($tituloCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('E' . $index . ':M' . $index)->applyFromArray($tituloCeldas3);
        //Aplicando estilo de bordes
        $excelService->excelObj->getActiveSheet()->getStyle('A1:M1')->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('A2:D2')->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('E3:M3')->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('E4:M4')->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index . ':D' . $index)->applyFromArray($borderCeldas);
        $queryOfer = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p where p.contratacionesId=' . $this->getClaveContratacion());
        $resultOfer = $queryOfer->getResult();
        $objOferta = $resultOfer[0];
        $idOferta = $objOferta->getId();
        $query = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferValoAgre p WHERE p.formoferId=' . $idOferta);
        $rubros = $query->getResult();
        $index += 1;
        $i = 1;
        foreach ($rubros as $rubrosOferta) {
            $hoja->setCellValue('A' . $index, html_entity_decode($rubrosOferta->getDescripcion()));
            $hoja->setCellValue('B' . $index, $rubrosOferta->getCantidad());
            $hoja->setCellValue('C' . $index, $rubrosOferta->getCostoUnitario());
            $hoja->setCellValue('D' . $index, $rubrosOferta->getCostoTotal());
            $index++;
            $i++;
        }
        $index1 = $index;
        $index2 = $index + 1;
        $index3 = $index + 2;
        $index4 = $index + 3;
        $excelService->excelObj->setActiveSheetIndex(0)
                ->mergeCells('A' . $index1 . ':D' . $index1)
                ->setCellValueExplicit('A' . $index1, 'INVERSIÓN MENSUAL')
                ->mergeCells('A' . $index2 . ':D' . $index2)
                ->setCellValueExplicit('A' . $index2, 'AVANCE PARCIAL EN %')
                ->mergeCells('A' . $index3 . ':D' . $index3)
                ->setCellValueExplicit('A' . $index3, 'INVERSIÓN ACUMULADA')
                ->mergeCells('A' . $index4 . ':D' . $index4)
                ->setCellValueExplicit('A' . $index4, 'AVANCE ACUMULADO EN %');
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index1 . ':D' . $index1)->applyFromArray($tituloCeldas2);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index2 . ':D' . $index2)->applyFromArray($tituloCeldas2);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index3 . ':D' . $index3)->applyFromArray($tituloCeldas2);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index4 . ':D' . $index4)->applyFromArray($tituloCeldas2);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index1 . ':D' . $index1)->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index2 . ':D' . $index2)->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index3 . ':D' . $index3)->applyFromArray($borderCeldas);
        $excelService->excelObj->getActiveSheet()->getStyle('A' . $index4 . ':D' . $index4)->applyFromArray($borderCeldas);
        $response = $excelService->getResponse();
        $response->headers->set('Content-Type', 'text / vnd . ms - excel;charset = utf-8');
        $response->headers->set('Content-Disposition', 'attachment;filename=cronograma_oferente.xls;');
        $response->headers->set('MFC', 'public');
        $response->headers->set('Cache-Control', 'maxage = 1');
        ob_get_contents();
        ob_end_clean();
        $response->sendHeaders();
        return $response;
    }

    /**
     * Este metodo importa el archivo excel de la oferta
     * @param Request $request
     * @return type
     */
    public function importarExcelOfertaAction(Request $request) {
        $em = $this->getDoctrine()->getManager();
        //Declaro las variables
        $mensaje = "";
        $archivo = new EvaluacionOfertaVO();
        $form = $this->createFormBuilder($archivo)
                ->add('file', 'file')
                ->getForm();
        $accion = $request->get("accion");
        if (filter_input(INPUT_SERVER, 'REQUEST_METHOD') == 'POST' && $accion == "GRABAR") {
            try {
                $form->bind($request);
                if ($archivo->getFile() != null) {
                    $archivoValido = strpos($archivo->getFile()->getClientMimeType(), "excel") || strpos($archivo->getFile()->getClientMimeType(), "sheet");
                    if ($archivoValido) {
                        $excelObj = null;
                        if ($archivo->getFile()->getClientOriginalExtension() == "xls") {
                            $archivo->getFile()->move(sys_get_temp_dir(), "cargaOfertaRubros.xls");
                            $excelObj = $this->get('xls.load_xls5')->setReadDataOnly(true)->load(sys_get_temp_dir() . "/cargaOfertaRubros.xls");
                        } elseif ($archivo->getFile()->getClientOriginalExtension() == "xlsx") {
                            $archivo->getFile()->move(sys_get_temp_dir(), "cargaOfertaRubros.xlsx");
                            $excelObj = $this->get('xls.load_xls2007')->setReadDataOnly(true)->load(sys_get_temp_dir() . "/cargaOfertaRubros.xlsx");
                        }
                        if ($excelObj) {
                            $excelObj->setActiveSheetIndex(0);
                            $hoja = $excelObj->getActiveSheet();
                            $arrayExcel = $hoja->toArray();
                            $cantRubrosExcel = $hoja->getHighestDataRow();
                            $inicio = 3;
                            try {
                                if ($cantRubrosExcel <= $inicio) {
                                    $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.vacio", "alert-warning");
                                } else {
                                    if ($hoja->getHighestDataColumn() != "I") {
                                        unset($hoja); //libera objeto
                                        $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.formato", "alert-warning");
                                    } else {
                                        unset($hoja); //libera objeto
                                        $em = $this->getDoctrine()->getManager();
                                        //Obtengo el id de la oferta
                                        $requerimientoId = $this->getClaveRequerimiento();
                                        $idOferta = $this->getIdFormOfer();
                                        $tmoaFormOfer = $em->getRepository('IncopMfcOfertasBundle:TmoaFormOferValoAgre');
                                        $queryCount = $tmoaFormOfer->createQueryBuilder('t');
                                        $queryCount->select('count(t.id)');
                                        $queryCount->where('t.formoferId = :formoferId');
                                        $queryCount->setParameter('formoferId', $idOferta);
                                        $cantRubrosAofertar = $queryCount->getQuery()->getSingleScalarResult();
                                        //Obtengo el idPresupuesto                                         
                                        $tmepPresupuesto = $em->getRepository('IncopMfcOfertasBundle:TmepPresupuesto');
                                        $queryIdPresupuesto = $tmepPresupuesto->createQueryBuilder('p');
                                        $queryIdPresupuesto->select('p.id');
                                        $queryIdPresupuesto->where('p.requerimientoId = :requerimiento');
                                        $queryIdPresupuesto->setParameter('requerimiento', $requerimientoId);
                                        $resultPresupuesto = $queryIdPresupuesto->getQuery()->getSingleResult();
                                        $idPresupuesto = $resultPresupuesto['id'];
                                        if (($cantRubrosExcel - $inicio) == $cantRubrosAofertar) {
                                            $errores = false;
                                            //Primer For para validacion de valores ingresados en el excel
                                            for ($p = $inicio; $p < $cantRubrosExcel; $p++) {
                                                $data = $arrayExcel[$p];
                                                $control = $this->validarValoresRubros($data, $p + 1);
                                                if ($control['error']) {
                                                    $errores = true;
                                                }
                                                $mensaje .= $control['mensaje'];
                                            }
                                            //Si existen errores
                                            if ($errores) {
                                                $mensaje = $mensaje = $this->generarVistaValidacionPersonalizada($mensaje);
                                            } else {//Si no existen errores
                                                $precioGlobalFinal = 0;
                                                $agregadoECPondFinal = 0;
                                                $pesoRelativoFinal = 0;
                                                $pesoRelativoCalculado = array();
                                                $agregadoECPondCalculado = array();
                                                $paso = 0;
                                                //Obtengo los id de los presupuestos
                                                $tmepPresDet = $em->getRepository('IncopMfcOfertasBundle:TmepPresupuestoDetalle');
                                                $queryPresupuestoDet = $tmepPresDet->createQueryBuilder('pd');
                                                $queryPresupuestoDet->select('pd.id, pd.cantidad, pd.numero');
                                                $queryPresupuestoDet->where('pd.presupuestoId = :presupuestoId');
                                                $queryPresupuestoDet->setParameter('presupuestoId', $idPresupuesto);
                                                $resultDetPresupuesto = $queryPresupuestoDet->getQuery()->getResult();
                                                $cantRubrosPresupDet = count($resultDetPresupuesto);
                                                //FOR para hacer los primeros calculos y obtener el precioGlobalArray y precioGlobalFinal
                                                for ($i = $inicio; $i < $cantRubrosExcel; $i++) {
                                                    $ordinal = $arrayExcel[$i][0];
                                                    $precioUnitarioR = $arrayExcel[$i][4];
                                                    for ($j = 0; $j < $cantRubrosPresupDet; $j++) {
                                                        if ($resultDetPresupuesto[$j]['numero'] == $ordinal) {
                                                            $precioGlobalRubCalculado[$j] = $resultDetPresupuesto[$j]['cantidad'] * $precioUnitarioR;
                                                            $precioGlobalFinal = $precioGlobalFinal + ($resultDetPresupuesto[$j]['cantidad'] * $precioUnitarioR);
                                                            $paso = 1;
                                                            $validacionNumeralError = false;
                                                            break;
                                                        } else {
                                                            $validacionNumeralError = true;
                                                            $paso = 1;
                                                        }
                                                    }
                                                }
                                                if ($paso == 1) {
                                                    if ($validacionNumeralError) {
                                                        $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.modificoArchivo", "alert-warning");
                                                    } else {
                                                        for ($i = $inicio; $i < $cantRubrosExcel; $i++) {
                                                            $ordinal = $arrayExcel[$i][0];
                                                            $precioUnitarioR = $arrayExcel[$i][4];
                                                            $agregadoEcR = $arrayExcel[$i][7];   //Ingresado por el usuario                                                   
                                                            for ($j = 0; $j < $cantRubrosPresupDet; $j++) {
                                                                if ($resultDetPresupuesto[$j]['numero'] == $ordinal) {
                                                                    $precioGlobalRubCalculado[$j] = $resultDetPresupuesto[$j]['cantidad'] * $precioUnitarioR;
                                                                    $pesoRelativoCalculado[$j] = $precioGlobalRubCalculado[$j] / $precioGlobalFinal;
                                                                    $pesoRelativoFinal = $pesoRelativoFinal + $pesoRelativoCalculado[$j];
                                                                    $agregadoECPondCalculado[$j] = ($precioGlobalRubCalculado[$j] / $precioGlobalFinal) * $agregadoEcR;
                                                                    $agregadoECPondFinal = $agregadoECPondFinal + $agregadoECPondCalculado[$j];
                                                                    $em->getConnection()->executeUpdate('update TMOA_FORMOFER_VALOAGRE set COSTO_UNITARIO = ' . $precioUnitarioR . ', COSTO_TOTAL = ' . $precioGlobalRubCalculado[$j] . ', PESO_RELATIVO = ' . $pesoRelativoCalculado[$j] . ', VAE_RUBRO_LO = ' . $agregadoEcR . ', VAPEM_LO = ' . $agregadoECPondCalculado[$j] . ' where formofer_id = ' . $idOferta . ' and presupuesto_id = ' . $resultDetPresupuesto[$j]['id']);
                                                                    break;
                                                                }
                                                            }
                                                        }
                                                        $em->flush();
                                                        $formOfer = $this->getDoctrine()->getRepository("IncopMfcOfertasBundle:TmoaFormOfer")->find($idOferta);
                                                        $lib = new NumerosALetras();
                                                        $formOfer->setDescrubrFinal(true);
                                                        $formOfer->setFechaFirmaOferta(date('Y-m-d'));
                                                        //GUARDO EL TOTAL DEL MONTO DEL PROYECTO
                                                        $formOfer->setValoagreTotal($precioGlobalFinal);
                                                        $numero_texto = $lib->ValorEnLetras($precioGlobalFinal, $this->traducir("generico.dolares"));
                                                        $formOfer->setValoagreTotalTexto($numero_texto);
                                                        //GUARDO EL TOTAL DEL PESO RELATIVO 
                                                        $formOfer->setTotalPesoRelativo($pesoRelativoFinal);
                                                        //GUARDO EL TOTAL DEL PORCENTAJE MINIMO ECUATORIANO
                                                        $formOfer->setTotalVaeo($agregadoECPondFinal);
                                                        $em->persist($formOfer);
                                                        $em->flush();
                                                        unset($arrayExcel);
                                                        $totales = "<strong>" . $this->traducir('generico.verificar.valores') . "</strong></br>";
                                                        $totales .= $this->traducir('generico.monto.total.proyecto') . ": " . number_format($precioGlobalFinal, 5) . " </br>" . $this->traducir('generico.porcentaje.participacion') . ": " . number_format($agregadoECPondFinal, 2);
                                                        $mensaje = $this->generaAlertaTrans($totales, "alert-warning");
                                                    }
                                                }
                                            }
                                        } else {
                                            $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.cantidadRubrosNoIgual", "alert-warning");
                                        }
                                    }
                                }
                            } catch (Exception $e) {
                                $this->generarLogError($e);
                                $mensaje = $this->generaAlertaTrans($this->traducir('generico.error.archivo.subir'), "alert-danger");
                            }
                        } else {
                            $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.archivo.extension", "alert-danger");
                        }
                    } else {
                        $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.archivo.extension", "alert-danger");
                    }
                }
            } catch (Exception $e) {
                $this->generarLogError($e);
                $em->getConnection()->rollback();
                $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.leerArchivo", "alert-danger");
            }
        }
        return $this->render('IncopMfcOfertasBundle:FormularioOfertas:formofer_carga_excel.html.twig', array(
                    'form' => $form->createView(),
                    'nombreVentana' => $this->traducir('formofer.ventana.importar.excel'),
                    'mensaje' => $mensaje
        ));
    }

    private function validarValoresRubros($info, $linea) {
        $error = false;
        $mensaje = "";
        $errorInicio = "<br/>Error en la línea " . $linea . ", ";
        $columna = array(0 => 'NÚMERO',
            1 => 'DESCRIPCIÓN DEL RUBRO',
            2 => 'UNIDAD',
            3 => 'CANTIDAD',
            4 => 'PRECIO UNITARIO',
            5 => 'PRECIO GLOBAL',
            6 => 'PESO RELATIVO',
            7 => 'VALOR AGREGADO ECUATORIANO',
            8 => 'VALOR AGREGADO PONDERADO');

        foreach ($columna as $key => $value) {
            //Validar valores vacios
            if (strlen($info[$key]) == 0) {
                $error = true;
                $mensaje .= $errorInicio . " el valor de '" . $value . "' no puede ser un valor vacío.";
            }
            //Validar valores numericos
            if ($key == 0 || $key > 2) {
                if (is_numeric($info[$key])) {
                    $valor_excel = $info[$key];
                    //Validar que los valores numericos no sean negativos
                    if ($valor_excel < 0) {
                        $error = true;
                        $mensaje .= $errorInicio . "el valor de '" . $value . "' no puede ser un valor negativo.";
                    } else {
                        if ($key == 0) {
                            $pos = strpos($valor_excel, ".");
                            if ($pos) {
                                $error = true;
                                $mensaje .= $errorInicio . "el valor de 'NÚMERO' no es un valor entero.";
                            }
                        } else {
                            $separador = explode(".", $valor_excel);
                            if (strlen($separador[0]) > 12) {
                                $error = true;
                                $mensaje .= $errorInicio . "el valor de '" . $value . "' excede los 12 enteror límites.";
                            }
                            //Validar el Valor Agregado Ecuatoriano no sea mayor a 100
                            if ($key == 7 && $valor_excel > 100) {
                                $error = true;
                                $mensaje .= $errorInicio . "el valor de '" . $value . "' debe oscilar entre 0 y 100.";
                            }
                        }
                    }
                } else {
                    $error = true;
                    $mensaje .= $errorInicio . "el valor de '" . $value . "' no es un valor numérico.";
                }
            }
        }
        return array('error' => $error, 'mensaje' => $mensaje);
    }

    /**
     * Este metodo importa el archivo excel del cronograma
     * @param Request $request
     * @return type
     */
    public function importarExcelCronogramaAction(Request $request) {
        $em = $this->getDoctrine()->getManager();
        //Declaro las variables
        $mensaje = "";
        $archivo = new EvaluacionOfertaVO();
        $form = $this->createFormBuilder($archivo)
                ->add('file', 'file')
                ->getForm();
        $accion = $request->get("accion");
        if (filter_input(INPUT_SERVER, 'REQUEST_METHOD') == 'POST' && $accion == "GRABAR") {
            try {
                $form->bind($request);
                if ($archivo->getFile() != null) {
                    $archivoValido = strpos($archivo->getFile()->getClientMimeType(), "excel") || strpos($archivo->getFile()->getClientMimeType(), "sheet");
                    if ($archivoValido) {
                        $excelObj = null;
                        if ($archivo->getFile()->getClientOriginalExtension() == "xls") {
                            $archivo->getFile()->move(sys_get_temp_dir(), "cargaOfertaRubros.xls");
                            $excelObj = $this->get('xls.load_xls5')->load(sys_get_temp_dir() . "/cargaOfertaRubros.xls");
                        } elseif ($archivo->getFile()->getClientOriginalExtension() == "xlsx") {
                            $archivo->getFile()->move(sys_get_temp_dir(), "cargaOfertaRubros.xlsx");
                            $excelObj = $this->get('xls.load_xls2007')->load(sys_get_temp_dir() . "/cargaOfertaRubros.xlsx");
                        }
                        if ($excelObj) {
                            $excelObj->setActiveSheetIndex(0);
                            $hoja = $excelObj->getActiveSheet();
                            $arrayExcel = $hoja->toArray();
                            $cantRubrosExcel = $hoja->getHighestDataRow();
                            $inicio = 5;
                            $calculoExcel = 4;
                            $limiteColumna = 228;
                            try {
                                if ($cantRubrosExcel <= $inicio) {
                                    $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.vacio", "alert-warning");
                                } else {
                                    $em = $this->getDoctrine()->getManager();
                                    //Obtengo el id de la oferta
                                    $queryOfer = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p where p.contratacionesId=' . $this->getClaveContratacion());
                                    $resultOfer = $queryOfer->getResult();
                                    $objOferta = $resultOfer[0];
                                    $idOferta = $objOferta->getId();
                                    $queryCount = $em->createQuery("Select p from IncopMfcOfertasBundle:TmoaFormOferValoAgre p WHERE p.formoferId=" . $idOferta);
                                    $cantRubrosAofertar = $queryCount->getResult();
                                    //Verifico que el usuario no ingrese ni menos ni mas rubros de los ingresados en el pliego
                                    if (($cantRubrosExcel - $inicio - $calculoExcel) == count($cantRubrosAofertar)) {
                                        $errores = false;
                                        //Primer For para validacion de valores ingresados en el excel
                                        for ($p = $inicio; $p < $cantRubrosExcel - $calculoExcel; $p++) {
                                            $data = $arrayExcel[$p];
                                            $control = $this->validarValoresCronograma($data, $p + 1);
                                            if ($control['error']) {
                                                $errores = true;
                                            }
                                            $mensaje .= $control['mensaje'];
                                        }
                                        //Si existen errores
                                        if ($errores) {
                                            $mensaje = $mensaje = $this->generarVistaValidacionPersonalizada($mensaje);
                                        } else {//Si no existen errores
                                            $k = 0;
                                            $limite = count($cantRubrosAofertar) + $inicio;
                                            for ($l = $inicio; $l < $limite; $l++) {
                                                $em->getConnection()->executeUpdate('DELETE FROM TMOA_FORMOFER_VALOAGRE_CRO WHERE formofer_valoagre_id = ' . $cantRubrosAofertar[$k]->getId());
                                                $em->flush();
                                                $k++;
                                            }
                                            $c = 1;
                                            for ($m = $inicio - 1; $m < $limiteColumna; $m++) {
                                                $valorColumna = 0;
                                                $j = 0;
                                                for ($i = $inicio; $i < $limite; $i++) {
                                                    $valorColumna = $arrayExcel[$i][$m];
                                                    if (!is_null($valorColumna)) {
                                                        $porcentaje = 0;
                                                        $porcentaje = $valorColumna * 100 / $arrayExcel[$i][3];
                                                        if (array_key_exists($j, $cantRubrosAofertar)) {
                                                            $em->getConnection()->executeUpdate('INSERT INTO TMOA_FORMOFER_VALOAGRE_CRO (FORMOFER_VALOAGRE_ID, ORDEN, VALOR, PORCENTAJE, PORCENTAJE_2D) VALUES(' . $cantRubrosAofertar[$j]->getId() . ',' . $c . ',' . $valorColumna . ',' . $porcentaje . ',' . $porcentaje . ')');
                                                            $em->flush();
                                                        }
                                                    }
                                                    $j++;
                                                }
                                                $c++;
                                            }
                                            $em->getConnection()->executeUpdate('DELETE FROM TMOA_FORMOFER_CRONTOT WHERE formofer_id = ' . $idOferta);
                                            $em->flush();
                                            $o = 1;
                                            $queryInsA = '';
                                            for ($m = $inicio - 1; $m < $limiteColumna; $m++) {
                                                $valorColumna = 0;
                                                $valoresCRONTOT = array();
                                                $orden = 1;
                                                for ($i = $limite; $i < count($arrayExcel); $i++) {
                                                    $valorColumna = $arrayExcel[$i][$m];
                                                    if (!is_null($valorColumna)) {
                                                        $valoresCRONTOT[$orden] = $valorColumna;
                                                        $orden++;
                                                    }
                                                }
                                                foreach ($valoresCRONTOT as $CRONTOT) {
                                                    $queryIns = 'INSERT INTO TMOA_FORMOFER_CRONTOT (FORMOFER_ID, ORDEN, INVERSION_PARCIAL, AVANCE_PARCIAL, AVANCE_PARCIAL_2D, INVERSION_ACUMULADA, AVANCE_ACUMULADO, AVANCE_ACUMULADO_2D) VALUES(' . $idOferta . ',' . $o . ',' . $valoresCRONTOT[1] . ',' . $valoresCRONTOT[2] . ',' . round($valoresCRONTOT[2], 2) . ',' . $valoresCRONTOT[3] . ',' . $valoresCRONTOT[4] . ',' . round($valoresCRONTOT[4], 2) . ')';
                                                    if ($queryInsA != $queryIns) {
                                                        $em->getConnection()->executeUpdate($queryIns);
                                                        $em->flush();
                                                        $queryInsA = $CRONTOT;
                                                        $queryInsA = $queryIns;
                                                    }
                                                }
                                                $o++;
                                            }
                                            $mensaje = $this->generaAlertaTrans("formofer.cargaexcel.cronograma.ok", "alert-success");
                                        }
                                    } else {
                                        $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.cantidadRubrosNoIgual", "alert-warning");
                                    }
                                }
                            } catch (Exception $e) {
                                $this->generarLogError($e);
                                $mensaje = $this->generaAlertaTrans($this->traducir('generico.error.archivo.subir'), "alert-danger");
                            }
                        } else {
                            $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.archivo.extension", "alert-danger");
                        }
                    } else {
                        $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.archivo.extension", "alert-danger");
                    }
                }
            } catch (Exception $e) {
                $this->generarLogError($e);
                $em->getConnection()->rollback();
                $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.leerArchivo", "alert-danger");
            }
        }
        return $this->render('IncopMfcOfertasBundle:FormularioOfertas:formofer_carga_excel_cronograma.html.twig', array(
                    'form' => $form->createView(),
                    'nombreVentana' => $this->traducir('formofer.ventana.importar.excel.cronograma'),
                    'mensaje' => $mensaje
        ));
    }

    private function validarValoresCronograma($info, $linea) {
        $error = false;
        $mensaje = "";
        $suma = 0;
        $errorInicio = "<br/>Error en la línea " . $linea . ", ";
        $columna = array(
            0 => 'DESCRIPCIÓN DEL RUBRO', 1 => 'CANTIDAD', 2 => 'PRECIO UNITARIO', 3 => 'PRECIO GLOBAL', 4 => '1', 5 => '2', 6 => '3', 7 => '4', 8 => '5', 9 => '6', 10 => '7',
            11 => '8', 12 => '9', 13 => '10', 14 => '11', 15 => '12', 16 => '13', 17 => '14', 18 => '15', 19 => '16', 20 => '17',
            21 => '18', 22 => '19', 23 => '20', 24 => '21', 25 => '22', 26 => '23', 27 => '24', 28 => '25', 29 => '26', 30 => '27',
            31 => '28', 32 => '29', 33 => '30', 34 => '31', 35 => '32', 36 => '33', 37 => '34', 38 => '35', 39 => '36', 40 => '37',
            41 => '38', 42 => '39', 43 => '40', 44 => '41', 45 => '42', 46 => '43', 47 => '44', 48 => '45', 49 => '46', 50 => '47',
            51 => '48', 52 => '49', 53 => '50', 54 => '51', 55 => '52', 56 => '53', 57 => '54', 58 => '55', 59 => '56', 60 => '57',
            61 => '58', 62 => '59', 63 => '60', 64 => '61', 65 => '62', 66 => '63', 67 => '64', 68 => '65', 69 => '66', 70 => '67',
            71 => '68', 72 => '69', 73 => '70', 74 => '71', 75 => '72', 76 => '73', 77 => '74', 78 => '75', 79 => '76', 80 => '77',
            81 => '78', 82 => '79', 83 => '80', 84 => '81', 85 => '82', 86 => '83', 87 => '84', 88 => '85', 89 => '86', 90 => '87',
            91 => '88', 92 => '89', 93 => '90', 94 => '91', 95 => '92', 96 => '93', 97 => '94', 98 => '95', 99 => '96', 100 => '97',
            101 => '98', 102 => '99', 103 => '100', 104 => '101', 105 => '102', 106 => '103', 107 => '104', 108 => '105', 109 => '106', 110 => '107',
            111 => '108', 112 => '109', 113 => '110', 114 => '111', 115 => '112', 116 => '113', 117 => '114', 118 => '115', 119 => '116', 120 => '117',
            121 => '118', 122 => '119', 123 => '120', 124 => '121', 125 => '122', 126 => '123', 127 => '124', 128 => '125', 129 => '126', 130 => '127',
            131 => '128', 132 => '129', 133 => '130', 134 => '131', 135 => '132', 136 => '133', 137 => '134', 138 => '135', 139 => '136', 140 => '137',
            141 => '138', 142 => '139', 143 => '140', 144 => '141', 145 => '142', 146 => '143', 147 => '144', 148 => '145', 149 => '146', 50 => '147',
            151 => '148', 152 => '149', 153 => '150', 154 => '151', 155 => '152', 156 => '153', 157 => '154', 158 => '155', 159 => '156', 60 => '157',
            161 => '158', 162 => '159', 163 => '160', 164 => '161', 165 => '162', 166 => '163', 167 => '164', 168 => '165', 169 => '166', 70 => '167',
            171 => '168', 172 => '169', 173 => '170', 174 => '171', 175 => '172', 176 => '173', 177 => '174', 178 => '175', 179 => '176', 80 => '177',
            181 => '178', 182 => '179', 183 => '180', 184 => '181', 185 => '182', 186 => '183', 187 => '184', 188 => '185', 189 => '186', 90 => '187',
            191 => '188', 192 => '189', 193 => '190', 194 => '191', 195 => '192', 196 => '193', 197 => '194', 198 => '195', 199 => '196', 200 => '197',
            201 => '198', 202 => '199', 203 => '200', 204 => '201', 205 => '202', 206 => '203', 207 => '204', 208 => '205', 209 => '206', 210 => '207',
            211 => '208', 212 => '209', 213 => '210', 214 => '211', 215 => '212', 216 => '213', 217 => '214', 218 => '215', 219 => '216', 220 => '217',
            221 => '218', 222 => '219', 223 => '220', 224 => '221', 225 => '222', 226 => '223', 227 => '224', 228 => '225', 229 => '226', 230 => '227');
        foreach ($columna as $key => $value) {
            //Validar valores numericos
            if ($key >= 4 && $key <= 230) {
                //Validar valores vacios
                if (array_key_exists($key, $info)) {
                    if (is_numeric($info[$key])) {
                        $valor_excel = $info[$key];
                        $suma = $suma + $valor_excel;
                        //Validar que los valores numericos no sean negativos
                        if ($valor_excel < 0) {
                            $error = true;
                            $mensaje .= $errorInicio . "el valor de '" . $value . "' no puede ser un valor negativo.";
                        } else {
                            $separador = explode(".", $valor_excel);
                            if (strlen($separador[0]) > 12) {
                                $error = true;
                                $mensaje .= $errorInicio . "el valor de '" . $value . "' excede los 12 enteror límites.";
                            }
                            if (isset($separador[1]) && strlen($separador[1]) > 5) {
                                $error = true;
                                $mensaje .= $errorInicio . "el valor de '" . $value . "' excede los 5 decimales límites.";
                            }
                        }
                    } elseif (strlen($info[$key]) > 0) {
                        $error = true;
                        $mensaje .= $errorInicio . "el valor de la columna '" . $value . "' no es un valor numérico.";
                    }
                }
            } else {
                if (array_key_exists($key, $info)) {
                    $valor_excel = $info[$key];
                    if (strlen($info[$key]) == 0 && ($value == 'DESCRIPCIÓN DEL RUBRO' || $value == 'CANTIDAD' || $value == 'PRECIO UNITARIO' || $value == 'PRECIO GLOBAL')) {
                        $error = true;
                        $mensaje .= $errorInicio . " el valor de '" . $value . "' no puede ser un valor vacío.";
                    } elseif ($info[$key] == 0 && ($value == 'CANTIDAD' || $value == 'PRECIO UNITARIO' || $value == 'PRECIO GLOBAL')) {
                        $error = true;
                        $mensaje .= $errorInicio . " el valor de '" . $value . "' no puede ser cero.";
                    }
                }
            }
        }
        if (number_format($suma, 5) < number_format($info[3], 5)) {
            $error = true;
            $mensaje .= $errorInicio . " la suma de los valores ingresados no puede ser diferente a " . number_format($info[3], 5);
        }
        return array('error' => $error, 'mensaje' => $mensaje);
    }

    /**
     * Este metodo genera un excel del equipo asignado.
     * @return type Excel File
     */
    public function generarExcelEquipAsignadoAction(Request $request) {
        $request = '';
        $em = $this->getDoctrine()->getManager();
        $excelService = $this->get('xls.service_xls5');
        $hoja = $excelService->excelObj->setActiveSheetIndex(0);
        $index = 3;
        if ($_SESSION["_sf2_attributes"]["tipoPliegoCodigo"] == 'PLI.LICOBR') {
            $excelService->excelObj->setActiveSheetIndex(0)
                    ->mergeCells('A1:G1')
                    ->setCellValueExplicit('A1', 'EQUIPO ASIGNADO AL PROYECTO')
                    ->mergeCells('A2:G2')
                    ->setCellValueExplicit('A2', 'Nota: La columna con información de matrícula deberá ser completada exclusivamente tratándose de vehículos y equipo caminero')
                    ->setCellValue('A' . $index, 'No')
                    ->setCellValue('B' . $index, 'DETALLE DEL EQUIPO (Tipo, potencia, capacidad, etc.)')
                    ->setCellValue('C' . $index, 'FECHA DE FABRICACIÓN')
                    ->setCellValue('D' . $index, 'UBICACIÓN ACTUAL')
                    ->setCellValue('E' . $index, 'PROPIETARIO ACTUAL')
                    ->setCellValue('F' . $index, 'MATRICULA No')
                    ->setCellValue('G' . $index, 'OBSERVACIONES');
            //Ancho de las celdas
            $excelService->excelObj->getActiveSheet()->getColumnDimension('A')->setWidth(8);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('B')->setWidth(50);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('C')->setWidth(10);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('D')->setWidth(50);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('E')->setWidth(15);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('F')->setWidth(15);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('G')->setWidth(15);
            //Alto de las celdas
            $excelService->excelObj->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
            $excelService->excelObj->getActiveSheet()->getRowDimension('2')->setRowHeight(25);
            $excelService->excelObj->getActiveSheet()->getRowDimension('3')->setRowHeight(50);
            $tituloCeldas2 = array(
                'font' => array(
                    'name' => 'Arial',
                    'size' => 10,
                    'bold' => true,
                    'color' => array(
                        'rgb' => '000000'
                    ),
                ),
                'alignment' => array(
                    'wrap' => true,
                    'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,
                    'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
                ),
            );
            $tituloCeldas3 = array(
                'font' => array(
                    'name' => 'Arial',
                    'size' => 10,
                    'bold' => true,
                    'color' => array(
                        'rgb' => '000000'
                    ),
                ),
                'alignment' => array(
                    'wrap' => true,
                    'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                    'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
                ),
            );
            $tituloCeldas = array(
                'font' => array(
                    'name' => 'Arial',
                    'size' => 10,
                    'bold' => true,
                    'color' => array(
                        'rgb' => '000000'
                    ),
                ),
                'fill' => array(
                    'type' => PHPExcel_Style_Fill::FILL_SOLID,
                    'startcolor' => array(
                        'rgb' => 'FFFF00',
                    ),
                ),
                'alignment' => array(
                    'wrap' => true,
                    'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                    'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
                ),
            );
            $borderCeldas = array(
                'borders' => array(
                    'allborders' => array(
                        'style' => PHPExcel_Style_Border::BORDER_THIN
                    ),
                )
            );
            $excelService->excelObj->getActiveSheet()->getStyle('A1:G1')->applyFromArray($tituloCeldas3);
            $excelService->excelObj->getActiveSheet()->getStyle('A2:G2')->applyFromArray($tituloCeldas2);
            $excelService->excelObj->getActiveSheet()->getStyle('A' . $index . ':G' . $index)->applyFromArray($tituloCeldas);
            //Aplicando estilo de bordes
            $excelService->excelObj->getActiveSheet()->getStyle('A1:G1')->applyFromArray($borderCeldas);
            $excelService->excelObj->getActiveSheet()->getStyle('A' . $index . ':G' . $index)->applyFromArray($borderCeldas);
            $queryOfer = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p where p.contratacionesId=' . $this->getClaveContratacion());
            $resultOfer = $queryOfer->getResult();
            $objOferta = $resultOfer[0];
            $idOferta = $objOferta->getId();
            $rubros = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferEquiAsig p where p.formoferId=' . $idOferta)->getResult();
            $index += 1;
            $i = 1;
            foreach ($rubros as $rubrosOferta) {
                $hoja->setCellValue('A' . $index, $i);
                $hoja->setCellValue('B' . $index, html_entity_decode($rubrosOferta->getDetalle()));
                $hoja->setCellValue('C' . $index, $rubrosOferta->getFechaFabricacion());
                $hoja->setCellValue('D' . $index, html_entity_decode($rubrosOferta->getUbicacionActual()));
                $hoja->setCellValue('E' . $index, html_entity_decode($rubrosOferta->getPropietarioActual()));
                $hoja->setCellValue('F' . $index, $rubrosOferta->getMatricula());
                $hoja->setCellValue('G' . $index, html_entity_decode($rubrosOferta->getObservacion()));
                $index++;
                $i++;
            }
        } else {
            $excelService->excelObj->setActiveSheetIndex(0)
                    ->mergeCells('A1:G1')
                    ->setCellValueExplicit('A1', 'EQUIPO ASIGNADO AL PROYECTO')
                    ->mergeCells('A2:G2')
                    ->setCellValueExplicit('A2', 'Nota: El No. de matrícula deberá ingresar siempre y cuando en el campo de Relación de Propiedad seleccione PROPIO o ARRENDADO')
                    ->setCellValue('A' . $index, 'No')
                    ->setCellValue('B' . $index, 'DETALLE DEL EQUIPO')
                    ->setCellValue('C' . $index, 'CANTIDAD')
                    ->setCellValue('D' . $index, 'CARACTERÍSTICAS')
                    ->setCellValue('E' . $index, 'AÑO DE FABRICACIÓN')
                    ->setCellValue('F' . $index, 'RELACIÓN DE PROPIEDAD')
                    ->setCellValue('G' . $index, 'MATRICULA No');
            //Ancho de las celdas
            $excelService->excelObj->getActiveSheet()->getColumnDimension('A')->setWidth(8);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('B')->setWidth(50);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('C')->setWidth(10);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('D')->setWidth(50);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('E')->setWidth(15);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('F')->setWidth(15);
            $excelService->excelObj->getActiveSheet()->getColumnDimension('G')->setWidth(15);
            //Alto de las celdas
            $excelService->excelObj->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
            $excelService->excelObj->getActiveSheet()->getRowDimension('2')->setRowHeight(25);
            $excelService->excelObj->getActiveSheet()->getRowDimension('3')->setRowHeight(50);
            $tituloCeldas2 = array(
                'font' => array(
                    'name' => 'Arial',
                    'size' => 10,
                    'bold' => true,
                    'color' => array(
                        'rgb' => '000000'
                    ),
                ),
                'alignment' => array(
                    'wrap' => true,
                    'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,
                    'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
                ),
            );
            $tituloCeldas3 = array(
                'font' => array(
                    'name' => 'Arial',
                    'size' => 10,
                    'bold' => true,
                    'color' => array(
                        'rgb' => '000000'
                    ),
                ),
                'alignment' => array(
                    'wrap' => true,
                    'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                    'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
                ),
            );
            $tituloCeldas = array(
                'font' => array(
                    'name' => 'Arial',
                    'size' => 10,
                    'bold' => true,
                    'color' => array(
                        'rgb' => '000000'
                    ),
                ),
                'fill' => array(
                    'type' => PHPExcel_Style_Fill::FILL_SOLID,
                    'startcolor' => array(
                        'rgb' => 'FFFF00',
                    ),
                ),
                'alignment' => array(
                    'wrap' => true,
                    'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
                    'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
                ),
            );
            $borderCeldas = array(
                'borders' => array(
                    'allborders' => array(
                        'style' => PHPExcel_Style_Border::BORDER_THIN
                    ),
                )
            );
            $excelService->excelObj->getActiveSheet()->getStyle('A1:G1')->applyFromArray($tituloCeldas3);
            $excelService->excelObj->getActiveSheet()->getStyle('A2:G2')->applyFromArray($tituloCeldas2);
            $excelService->excelObj->getActiveSheet()->getStyle('A' . $index . ':G' . $index)->applyFromArray($tituloCeldas);
            //Aplicando estilo de bordes
            $excelService->excelObj->getActiveSheet()->getStyle('A1:G1')->applyFromArray($borderCeldas);
            $excelService->excelObj->getActiveSheet()->getStyle('A' . $index . ':G' . $index)->applyFromArray($borderCeldas);
            $queryOfer = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p where p.contratacionesId=' . $this->getClaveContratacion());
            $resultOfer = $queryOfer->getResult();
            $objOferta = $resultOfer[0];
            $idOferta = $objOferta->getId();
            $rubros = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOferEquiAsig p where p.formoferId=' . $idOferta)->getResult();
            $index += 1;
            $i = 1;
            foreach ($rubros as $rubrosOferta) {
                $hoja->setCellValue('A' . $index, $i);
                $hoja->setCellValue('B' . $index, html_entity_decode($rubrosOferta->getDetalle()));
                $hoja->setCellValue('C' . $index, $rubrosOferta->getCantidad());
                $hoja->setCellValue('D' . $index, $rubrosOferta->getCaracteristicas());
                $hoja->setCellValue('E' . $index, $rubrosOferta->getFechaFabricacion());
                if ($rubrosOferta->getRelacionPropiedad() == 'P') {
                    $relacion = 'PROPIO';
                } elseif ($rubrosOferta->getRelacionPropiedad() == 'A') {
                    $relacion = 'ARRENDADO';
                } else {
                    $relacion = 'OPCION DE COMPRA';
                }
                $hoja->setCellValue('F' . $index, $relacion);
                $hoja->setCellValue('G' . $index, $rubrosOferta->getMatricula());
                $index++;
                $i++;
            }
        }
        $response = $excelService->getResponse();
        $response->headers->set('Content-Type', 'text / vnd . ms - excel;charset = utf-8');
        $response->headers->set('Content-Disposition', 'attachment;filename=equipasignado_oferente.xls;');
        $response->headers->set('MFC', 'public');
        $response->headers->set('Cache-Control', 'maxage = 1');
        ob_get_contents();
        ob_end_clean();
        $response->sendHeaders();
        return $response;
    }

    /**
     * Este metodo importa el archivo excel del equipo asignado
     * @param Request $request
     * @return type
     */
    public function importarExcelEquipAsignadoAction(Request $request) {
        $em = $this->getDoctrine()->getManager();
        //Declaro las variables
        $mensaje = "";
        $archivo = new EvaluacionOfertaVO();
        $form = $this->createFormBuilder($archivo)
                ->add('file', 'file')
                ->getForm();
        $accion = $request->get("accion");
        if (filter_input(INPUT_SERVER, 'REQUEST_METHOD') == 'POST' && $accion == "GRABAR") {
            try {
                $form->bind($request);
                if ($archivo->getFile() != null) {
                    $archivoValido = strpos($archivo->getFile()->getClientMimeType(), "excel") || strpos($archivo->getFile()->getClientMimeType(), "sheet");
                    if ($archivoValido) {
                        $excelObj = null;
                        if ($archivo->getFile()->getClientOriginalExtension() == "xls") {
                            $archivo->getFile()->move(sys_get_temp_dir(), "cargaOfertaRubros.xls");
                            $excelObj = $this->get('xls.load_xls5')->load(sys_get_temp_dir() . "/cargaOfertaRubros.xls");
                        } elseif ($archivo->getFile()->getClientOriginalExtension() == "xlsx") {
                            $archivo->getFile()->move(sys_get_temp_dir(), "cargaOfertaRubros.xlsx");
                            $excelObj = $this->get('xls.load_xls2007')->load(sys_get_temp_dir() . "/cargaOfertaRubros.xlsx");
                        }
                        if ($excelObj) {
                            $excelObj->setActiveSheetIndex(0);
                            $hoja = $excelObj->getActiveSheet();
                            $arrayExcel = $hoja->toArray();
                            $cantRubrosExcel = $hoja->getHighestDataRow();
                            $inicio = 3;
                            try {
                                if ($cantRubrosExcel <= $inicio) {
                                    $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.vacio", "alert-warning");
                                } else {
                                    if ($hoja->getHighestDataColumn() != "G") {
                                        $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.formato", "alert-warning");
                                    } else {
                                        $em = $this->getDoctrine()->getManager();
                                        //Obtengo el id de la oferta
                                        $queryOfer = $em->createQuery('Select p from IncopMfcOfertasBundle:TmoaFormOfer p where p.contratacionesId=' . $this->getClaveContratacion());
                                        $resultOfer = $queryOfer->getResult();
                                        $objOferta = $resultOfer[0];
                                        $idOferta = $objOferta->getId();
                                        //Verifico que el usuario no ingrese ni menos ni mas rubros de los ingresados en el pliego
                                        $errores = false;
                                        //Primer For para validacion de valores ingresados en el excel
                                        for ($p = $inicio; $p < $cantRubrosExcel; $p++) {
                                            $data = $arrayExcel[$p];
                                            $control = $this->validarValoresEquipAsignado($data, $p + 1);
                                            if ($control['error']) {
                                                $errores = true;
                                            }
                                            $mensaje .= $control['mensaje'];
                                        }
                                        //Si existen errores
                                        if ($errores) {
                                            $mensaje = $mensaje = $this->generarVistaValidacionPersonalizada($mensaje);
                                        } else {//Si no existen errores
                                            $em->getConnection()->executeUpdate('DELETE FROM TMOA_FORMOFER_EQUIASIG WHERE formofer_id = ' . $idOferta);
                                            $em->flush();
                                            $limite = $cantRubrosExcel;
                                            $j = 0;
                                            if ($_SESSION["_sf2_attributes"]["tipoPliegoCodigo"] == 'PLI.LICOBR') {
                                                for ($i = $inicio; $i < $limite; $i++) {
                                                    $detalle = $arrayExcel[$i][1];
                                                    $fechaFabricacion = $arrayExcel[$i][2];
                                                    $ubicacionActual = $this->validaTextoExcel($arrayExcel[$i][3]);
                                                    $propietarioActual = $this->validaTextoExcel($arrayExcel[$i][4]);
                                                    $matricula = strtoupper($arrayExcel[$i][5]);
                                                    $observacion = $this->validaTextoExcel($arrayExcel[$i][6]);
                                                    $queryInsertEquip = "INSERT INTO TMOA_FORMOFER_EQUIASIG (FORMOFER_ID, DETALLE, FECHA_FABRICACION, UBICACION_ACTUAL, PROPIETARIO_ACTUAL, MATRICULA, OBSERVACION, ES_DE_PLIEGO) VALUES (" . $idOferta . ",'" . $detalle . "','" . $fechaFabricacion . "','" . $ubicacionActual . "','" . $propietarioActual . "','" . $matricula . "','" . $observacion . "',1)";
                                                    $em->getConnection()->executeUpdate($queryInsertEquip);
                                                    $em->flush();
                                                    $j++;
                                                }
                                            } else {
                                                for ($i = $inicio; $i < $limite; $i++) {
                                                    $detalle = $arrayExcel[$i][1];
                                                    $cantidad = $arrayExcel[$i][2];
                                                    $caracteristicas = $this->validaTextoExcel($arrayExcel[$i][3]);
                                                    $fechaFabricacion = $arrayExcel[$i][4];
                                                    $relacionPropiedad = strtoupper(substr($arrayExcel[$i][5], 0, 1));
                                                    $matricula = $arrayExcel[$i][6];
                                                    if (strtoupper($relacionPropiedad) == 'O') {
                                                        $matricula = '';
                                                    }
                                                    $queryInsertEquip = "INSERT INTO TMOA_FORMOFER_EQUIASIG (FORMOFER_ID, DETALLE, CARACTERISTICAS, CANTIDAD, RELACION_PROPIEDAD, FECHA_FABRICACION, MATRICULA, ES_DE_PLIEGO) VALUES (" . $idOferta . ",'" . $detalle . "','" . $caracteristicas . "'," . $cantidad . ",'" . $relacionPropiedad . "'," . $fechaFabricacion . ",'" . $matricula . "',1)";
                                                    $em->getConnection()->executeUpdate($queryInsertEquip);
                                                    $em->flush();
                                                    $j++;
                                                }
                                            }
                                            $mensaje = $this->generaAlertaTrans("formofer.cargaexcel.equipasignado.ok", "alert-success");
                                        }
                                    }
                                }
                            } catch (Exception $e) {
                                $this->generarLogError($e);
                                $mensaje = $this->generaAlertaTrans($this->traducir('generico.error.archivo.subir'), "alert-danger");
                            }
                        } else {
                            $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.archivo.extension", "alert-danger");
                        }
                    } else {
                        $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.archivo.extension", "alert-danger");
                    }
                }
            } catch (Exception $e) {
                $this->generarLogError($e);
                $em->getConnection()->rollback();
                $mensaje = $this->generaAlertaTrans("formofer.cargaExcelOferta.error.leerArchivo", "alert-danger");
            }
        }
        return $this->render('IncopMfcOfertasBundle:FormularioOfertas:formofer_carga_excel_equipasig.html.twig', array(
                    'form' => $form->createView(),
                    'nombreVentana' => $this->traducir('formofer.ventana.importar.excel.equipasignado'),
                    'mensaje' => $mensaje
        ));
    }

    private function validarValoresEquipAsignado($info, $linea) {
        $error = false;
        $mensaje = "";
        $errorInicio = "<br/>Error en la línea " . $linea . ", ";
        if ($_SESSION["_sf2_attributes"]["tipoPliegoCodigo"] == 'PLI.LICOBR') {
            $columna = array(0 => 'No',
                1 => 'DETALLE DEL EQUIPO',
                2 => 'FECHA DE FABRICACIÓN',
                3 => 'UBICACIÓN ACTUAL',
                4 => 'PROPIETARIO ACTUAL',
                5 => 'MATRICULA No',
                6 => 'OBSERVACIONES');
            foreach ($columna as $key => $value) {
                //Validar valores vacios
                if (strlen($info[$key]) == 0) {
                    $error = true;
                    $mensaje .= $errorInicio . " el valor de '" . $value . "' no puede ser un valor vacío.";
                }
                //Validar valores numericos
                if ($key == 0) {
                    if (is_numeric($info[$key])) {
                        $valor_excel = $info[$key];
                        //Validar que los valores numericos no sean negativos
                        if ($valor_excel <= 0) {
                            $error = true;
                            $mensaje .= $errorInicio . "el valor de '" . $value . "' no puede ser un valor negativo o cero.";
                        } else {
                            if ($key == 0) {
                                $pos = strpos($valor_excel, ".");
                                if ($pos) {
                                    $error = true;
                                    $mensaje .= $errorInicio . "el valor de 'NÚMERO' no es un valor entero.";
                                }
                            } else {
                                $separador = explode(".", $valor_excel);
                                if (strlen($separador[0]) > 12) {
                                    $error = true;
                                    $mensaje .= $errorInicio . "el valor de '" . $value . "' excede los 12 enteror límites.";
                                }
                                if (isset($separador[1]) && strlen($separador[1]) > 5) {
                                    $error = true;
                                    $mensaje .= $errorInicio . "el valor de '" . $value . "' excede los 5 decimales límites.";
                                }
                            }
                        }
                    } else {
                        $error = true;
                        $mensaje .= $errorInicio . "el valor de '" . $value . "' no es un valor numérico.";
                    }
                } else {
                    if (strlen($info[$key]) == 0 && ($value == 'DETALLE DEL EQUIPO' || $value == 'FECHA DE FABRICACIÓN' || $value == 'UBICACIÓN ACTUAL' || $value == 'PROPIETARIO ACTUAL' || $value == 'MATRICULA No')) {
                        $error = true;
                        $mensaje .= $errorInicio . " el valor de '" . $value . "' no puede ser un valor vacío.";
                    }
                }
            }
        } else {
            $columna = array(0 => 'No',
                1 => 'DETALLE DEL EQUIPO',
                2 => 'CANTIDAD',
                3 => 'CARACTERÍSTICAS',
                4 => 'AÑO DE FABRICACIÓN',
                5 => 'RELACIÓN DE PROPIEDAD',
                6 => 'MATRICULA No');
            foreach ($columna as $key => $value) {
                //Validar valores vacios
                if ($this->formatoTextoExcel($info[$key]) == 'OPCION DE COMPRA') {
                    $opMatricula = 1;
                }
                if (strlen($info[$key]) == 0) {
                    if ($opMatricula == 0) {
                        $error = true;
                        $mensaje .= $errorInicio . " el valor de '" . $value . "' no puede ser un valor vacío.";
                    }
                }
                //Validar valores numericos
                if ($key == 2 || $key == 4) {
                    if (is_numeric($info[$key])) {
                        $valor_excel = $info[$key];
                        //Validar que los valores numericos no sean negativos
                        if ($valor_excel <= 0) {
                            $error = true;
                            $mensaje .= $errorInicio . "el valor de '" . $value . "' no puede ser un valor negativo o cero.";
                        } else {
                            if ($key == 0) {
                                $pos = strpos($valor_excel, ".");
                                if ($pos) {
                                    $error = true;
                                    $mensaje .= $errorInicio . "el valor de 'NÚMERO' no es un valor entero.";
                                }
                            } else {
                                $separador = explode(".", $valor_excel);
                                if (strlen($separador[0]) > 12) {
                                    $error = true;
                                    $mensaje .= $errorInicio . "el valor de '" . $value . "' excede los 12 enteror límites.";
                                }
                                if (isset($separador[1]) && strlen($separador[1]) > 5) {
                                    $error = true;
                                    $mensaje .= $errorInicio . "el valor de '" . $value . "' excede los 5 decimales límites.";
                                }
                            }
                            if ($key == 4 && strlen($valor_excel) != 4) {
                                $error = true;
                                $mensaje .= $errorInicio . "el valor de '" . $value . "' debe ser un año válido";
                            }
                            if ($key == 4 && strlen($valor_excel) == 4 && $valor_excel > date("Y") + 1) {
                                $error = true;
                                $mensaje .= $errorInicio . "el valor de '" . $value . "' debe ser un año válido ";
                            }
                        }
                    } else {
                        $error = true;
                        $mensaje .= $errorInicio . "el valor de '" . $value . "' no es un valor numérico.";
                    }
                } else if ($key == 5) {
                    if (strtoupper($info[$key]) != 'PROPIO' && strtoupper($info[$key]) != 'ARRENDADO' && strtoupper($info[$key]) != 'OPCION DE COMPRA') {
                        $error = true;
                        $mensaje .= $errorInicio . "el valor de '" . $value . "' no es una opción válida.";
                    }
                } else {
                    if (strlen($info[$key]) == 0 && ($value == 'CANTIDAD' || $value == 'AÑO DE FABRICACIÓN' || $value == 'RELACIÓN DE PROPIEDAD')) {
                        $error = true;
                        $mensaje .= $errorInicio . " el valor de '" . $value . "' no puede ser un valor vacío.";
                    }
                }
            }
        }
        return array('error' => $error, 'mensaje' => $mensaje);
    }
}

?>
